// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class AdminApiApi extends BaseApi {
    public adminApiCmsSettings(p: { 
"model.limit": 
number
;"model.currPage": 
number
;"model.companyId"?: 
number | null
;"model.templateId"?: 
string | null
;"model.option"?: 
CmsSettingFilterOptionsEnum | null
; }, ): Promise<models.QueryResultCmsSettingMigrationViewModel>  {        
		let localVarPath = '/api/admin/cmsSettings';
        this.r(p, [  "model.limit",  "model.currPage",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public adminApiMigrateCmsSetting(p: { 
"cmsSettingId": 
number
; }, ): Promise<void>  {        
		let localVarPath = '/api/admin/migrateCmsSetting';
        this.r(p, [  "cmsSettingId",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public adminApiResetTemplate(p: { 
"cmsSettingId": 
number
; }, ): Promise<void>  {        
		let localVarPath = '/api/admin/resetTemplate';
        this.r(p, [  "cmsSettingId",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public adminApiUpdateCmsSetting(p: { 
"model": 
models.CmsSettingInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/admin/updateCmsSetting';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
}
