// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class CmsApiApi extends BaseApi {
    public cmsApiAutoCompleteCustomPages(p: { 
"companyId": 
number
;"q": 
string
;"tag"?: 
Date | null
; }, ): Promise<Array<models.AutoCompleteViewModel>>  {        
		let localVarPath = '/api/cms/autocompletecustomPages';
        this.r(p, [  "companyId",  "q",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiCmsSettingByCompanyId(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.CmsSettingViewModel>  {        
		let localVarPath = '/api/cms/settings';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetAllArticleType(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<models.ArticleTypeViewModel>>  {        
		let localVarPath = '/api/cms/allarticletype';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetAllCompanyCustomerServicesByCompanyIdAsync(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<models.UserSimpleViewModel>>  {        
		let localVarPath = '/api/cms/companyallcustomerservices';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetAllCompanyMembersByCompanyId(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<models.CompanyMemberViewModel>>  {        
		let localVarPath = '/api/cms/companyallmembers';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetAllCompanyMembersCached(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<models.UserSimpleViewModel>>  {        
		let localVarPath = '/api/cms/companymemberusers';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetArticleType(p: { 
"articleTypeId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.ArticleTypeSimpleViewModel>  {        
		let localVarPath = '/api/cms/articletype';
        this.r(p, [  "articleTypeId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetArticlesByIds(p: { 
"articleIds": 
Array<number>
;"tag"?: 
Date | null
; }, ): Promise<Array<models.ArticleViewModel>>  {        
		let localVarPath = '/api/cms/batcharticles';
        this.r(p, [  "articleIds",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetArticlesDetail(p: { 
"articleId": 
number
;"isDetail"?: 
boolean | null
;"tag"?: 
Date | null
; }, ): Promise<models.ArticleDetailViewModel>  {        
		let localVarPath = '/api/cms/article';
        this.r(p, [  "articleId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetArticlesOfArticleTypeAsync(p: { 
"companyId": 
number
;"articleTypeId": 
number
;"q": 
string
;"args.offset": 
number
;"args.limit": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.QueryResultArticleViewModel>  {        
		let localVarPath = '/api/cms/articlesoftype';
        this.r(p, [  "companyId",  "articleTypeId",  "q",  "args.offset",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCmsConfig(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.CmsConfigViewModel>  {        
		let localVarPath = '/api/cms/cmsConfig';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCmsTagCachedAsync(p: { 
"companyId": 
number
; }, ): Promise<models.DateTimeViewModel>  {        
		let localVarPath = '/api/cms/cmstag';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCompanyAllArticleIdsAsync(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<number>>  {        
		let localVarPath = '/api/cms/getcompanyallarticleids';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCompanyAllProductIdsAsync(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<number>>  {        
		let localVarPath = '/api/cms/getcompanyallproductids';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCompanyByCompanyId(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.CompanySimpleViewModel>  {        
		let localVarPath = '/api/cms/{companyId}'
            .replace('{' + 'companyId' + '}', String(p["companyId"]));
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCompanyByDomainAsync(p: { 
"domain": 
string
; }, ): Promise<models.CustomDomainViewModel>  {        
		let localVarPath = '/api/cms/getByDomain';
        this.r(p, [  "domain",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCompanyDetail(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.CompanyDetailViewModel>  {        
		let localVarPath = '/api/cms/company';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCompanyMembersOfCompanyId(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<models.CompanyMemberViewModel>>  {        
		let localVarPath = '/api/cms/{companyId}/companyMembers'
            .replace('{' + 'companyId' + '}', String(p["companyId"]));
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCompanyMultiProductsCached(p: { 
"companyId": 
number
;"productIds": 
Array<number>
;"tag"?: 
Date | null
; }, ): Promise<Array<models.ProductSimpleViewModel>>  {        
		let localVarPath = '/api/cms/multiProducts';
        this.r(p, [  "companyId",  "productIds",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCompanyProductsWithTagAsync(p: { 
"companyId": 
number
;"productTagType": 
ProductTagTypeEnum
;"args.top": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<models.ProductSimpleItemViewModel>>  {        
		let localVarPath = '/api/cms/getcompanyproductswithtag';
        this.r(p, [  "companyId",  "productTagType",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCustomCategoriesByIdsCachedAsync(p: { 
"companyId": 
number
;"customCategoryIds": 
Array<number>
;"tag"?: 
Date | null
; }, ): Promise<Array<models.CategoryItemViewModel>>  {        
		let localVarPath = '/api/cms/batchCustomCategories';
        this.r(p, [  "companyId",  "customCategoryIds",  ]);
        let bodyDict = p["customCategoryIds"];
		const _p = p as any;
		delete _p["customCategoryIds"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCustomPageAsync(p: { 
"customPageId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.CustomPageViewModel>  {        
		let localVarPath = '/api/cms/customPages';
        this.r(p, [  "customPageId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetCustomerServicesOfCompanyId(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<models.UserSimpleViewModel>>  {        
		let localVarPath = '/api/cms/{companyId}/customerServices'
            .replace('{' + 'companyId' + '}', String(p["companyId"]));
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetMyCompanyMember(p: { 
"authenticatedUserId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.CompanyMemberViewModel>  {        
		let localVarPath = '/api/cms/mycompanymember';
        this.r(p, [  "authenticatedUserId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetMyCompanyMembers(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<models.CompanyMemberViewModel>>  {        
		let localVarPath = '/api/cms/mycompanymembers';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetNextArticleAsync(p: { 
"companyId": 
number
;"articleId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.TitleViewModel>  {        
		let localVarPath = '/api/cms/getnextarticle';
        this.r(p, [  "companyId",  "articleId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetNextProduct(p: { 
"productId": 
number
;"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.ProductTitleViewModel>  {        
		let localVarPath = '/api/cms/nextproduct';
        this.r(p, [  "productId",  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetPreProduct(p: { 
"productId": 
number
;"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.ProductTitleViewModel>  {        
		let localVarPath = '/api/cms/preproduct';
        this.r(p, [  "productId",  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetPresetArticleType(p: { 
"companyId": 
number
;"presetPage": 
CmsPresetPageEnum
;"tag"?: 
Date | null
; }, ): Promise<models.ArticleTypeSimpleViewModel>  {        
		let localVarPath = '/api/cms/presetarticletype';
        this.r(p, [  "companyId",  "presetPage",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetPresetArticlesAsync(p: { 
"companyId": 
number
;"presetPage": 
CmsPresetPageEnum
;"args.offset": 
number
;"args.limit": 
number
;"q"?: 
string | null
;"tag"?: 
Date | null
; }, ): Promise<models.QueryResultArticleViewModel>  {        
		let localVarPath = '/api/cms/presetarticles';
        this.r(p, [  "companyId",  "presetPage",  "args.offset",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetPrevArticleAsync(p: { 
"companyId": 
number
;"articleId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.TitleViewModel>  {        
		let localVarPath = '/api/cms/getprevarticle';
        this.r(p, [  "companyId",  "articleId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetProductDetail(p: { 
"productId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.ProductDetailViewModel>  {        
		let localVarPath = '/api/cms/productDetail';
        this.r(p, [  "productId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetProductsByCustomCategoryIdsAsync(p: { 
"companyId": 
number
;"customCategoryIds": 
Array<number>
;"tag"?: 
Date | null
; }, ): Promise<Array<models.ProductDetailViewModel>>  {        
		let localVarPath = '/api/cms/getProductsByCustomCategoryIds';
        this.r(p, [  "companyId",  "customCategoryIds",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetProductsByIds(p: { 
"ids": 
Array<number>
;"tag"?: 
Date | null
; }, ): Promise<Array<models.ProductSimpleViewModel>>  {        
		let localVarPath = '/api/cms/batchproductsasync';
        this.r(p, [  "ids",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetProductsInCms(p: { 
"companyId": 
number
;"args.currPage": 
number
;"args.limit": 
number
;"q"?: 
string | null
;"customCategoryId"?: 
number | null
;"orderByType"?: 
OrderByTypeEnum | null
;"tag"?: 
Date | null
; }, ): Promise<models.QueryResultProductSimpleViewModel>  {        
		let localVarPath = '/api/cms/products';
        this.r(p, [  "companyId",  "args.currPage",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetRecentTopicPostsOfCompany(p: { 
"myCompanyId": 
number
;"args.limit": 
number
;"tag"?: 
Date | null
;"args.cursor"?: 
number | null
; }, ): Promise<models.CursorPaginationResultTopicPostSimpleViewModel>  {        
		let localVarPath = '/api/cms/recentTopicPostsOfCompany';
        this.r(p, [  "myCompanyId",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetRecommendProducts(p: { 
"companyId": 
number
;"args.top": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<models.ProductSimpleInfoViewModel>>  {        
		let localVarPath = '/api/cms/recommendProducts';
        this.r(p, [  "companyId",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetRelatedProductsAsync(p: { 
"title": 
string
;"companyId": 
number
;"productId": 
number
;"args.top": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<models.ProductSimpleViewModel>>  {        
		let localVarPath = '/api/cms/relatedproducts';
        this.r(p, [  "title",  "companyId",  "productId",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetSingleCustomCategoryAsync(p: { 
"companyId": 
number
;"customCategoryId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.CustomCategoryViewModel>  {        
		let localVarPath = '/api/cms/usedSingleCustomCategory';
        this.r(p, [  "companyId",  "customCategoryId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetSingleSystemCategoryAsync(p: { 
"systemCategoryId": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.SystemCategoryViewModel>  {        
		let localVarPath = '/api/cms/usedSingleSystemCategory';
        this.r(p, [  "systemCategoryId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetSystemCategoriesByIdsCachedAsync(p: { 
"systemCategoryIds": 
Array<number>
;"tag"?: 
Date | null
; }, ): Promise<Array<models.SystemCategoryViewModel>>  {        
		let localVarPath = '/api/cms/batchSystemCategories';
        this.r(p, [  "systemCategoryIds",  ]);
        let bodyDict = p["systemCategoryIds"];
		const _p = p as any;
		delete _p["systemCategoryIds"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetTopicPostDetail(p: { 
"id": 
number
;"tag"?: 
Date | null
; }, ): Promise<models.TopicPostViewModel>  {        
		let localVarPath = '/api/cms/gettopicpostdetail';
        this.r(p, [  "id",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiGetUsedSystemCategoriesOfCompanyAsync(p: { 
"companyId": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<models.SystemCategoryViewModel>>  {        
		let localVarPath = '/api/cms/allUsedSystemCategoriesOfCompany';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiPreviewTemplateCmsSettingByCompanyId(p: { 
"companyId": 
number
;"templateId": 
string
;"tag"?: 
Date | null
; }, ): Promise<models.CmsSettingViewModel>  {        
		let localVarPath = '/api/cms/previewtemplatecmssettings';
        this.r(p, [  "companyId",  "templateId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiRelatedAsync(p: { 
"companyId": 
number
;"title": 
string
;"args.top": 
number
;"tag"?: 
Date | null
; }, ): Promise<Array<models.ArticleViewModel>>  {        
		let localVarPath = '/api/cms/relatedarticle';
        this.r(p, [  "companyId",  "title",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiSearchAllUsedCustomCategoriesOfCompanyAsync(p: { 
"companyId": 
number
;"q"?: 
string | null
;"tag"?: 
Date | null
; }, ): Promise<Array<models.SingleUsedCategoryViewModel>>  {        
		let localVarPath = '/api/cms/searchUsedCustomCategoriesOfCompany';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public cmsApiSearchAllUsedSystemCategoriesOfCompanyAsync(p: { 
"companyId": 
number
;"q"?: 
string | null
;"tag"?: 
Date | null
; }, ): Promise<Array<models.SystemCategoryViewModel>>  {        
		let localVarPath = '/api/cms/searchUsedSystemCategoriesOfCompany';
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
}
