// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class CompanyApiApi extends BaseApi {
    public companyApiActiveCompanyAsync(p: { 
"args.top": 
number
; }, ): Promise<Array<models.CompanySimpleViewModel>>  {        
		let localVarPath = '/api/companies/activeCompanies';
        this.r(p, [  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public companyApiAutoCompleteCompany(p: { 
"term": 
string
; }, ): Promise<Array<models.SearchCompanyViewModel>>  {        
		let localVarPath = '/api/companies/_autoComplete';
        this.r(p, [  "term",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public companyApiChangeCompany(p: { 
"model": 
models.ModifyCompanyInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/companies/_edit';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public companyApiChangeCompanyAboutUs(p: { 
"model": 
models.ChangeAboutUsInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/companies/_changecompanyaboutus';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public companyApiChangeCompanyContractInfo(p: { 
"model": 
models.ContactInfoSimpleInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/companies/_changecompanycontractinfo';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public companyApiChangeCompanyGeoLocation(p: { 
"model": 
models.ChangeCompanyGeoLocationInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/companies/_changecompanygeolocation';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public companyApiChangeCompanyLogoUrl(p: { 
"model": 
models.ChangeCompanyLogoUrlInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/companies/_changecompanylogourl';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public companyApiChangeCompanyNameApplyAsync(p: { 
"companyName": 
string
; }, ): Promise<void>  {        
		let localVarPath = '/api/companies/_changecompanynameapply';
        this.r(p, [  "companyName",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public companyApiChangeCompanySeo(p: { 
"model": 
models.CompanySeoInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/companies/_changecompanyseo';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public companyApiCheckIfAllowedToUseCompanyName(p: { 
"companyName": 
string
; }, ): Promise<models.CheckIfUsedViewModel>  {        
		let localVarPath = '/api/companies/_checkIfAllowedToUseCompanyName';
        this.r(p, [  "companyName",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public companyApiCompanyRegionSite(p: { 
"model": 
models.RegionSiteInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/companies/_setRegionSite';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public companyApiCompanyRegistrationSearchAsync(p: { 
"q"?: 
string | null
; }, ): Promise<Array<models.SearchSimpleCompanyViewModel>>  {        
		let localVarPath = '/api/companies/_searchForRegistration';
        this.r(p, [  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public companyApiCreateCompany(p: { 
"company": 
models.CreateCompanyInputModel
; }, ): Promise<models.CreatedViewModel>  {        
		let localVarPath = '/api/companies/_create';
        this.r(p, [  "company",  ]);
        let bodyDict = p["company"];
		const _p = p as any;
		delete _p["company"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public companyApiDisableShopsAsync(): Promise<models.BoolViewModel>  {        
		let localVarPath = '/api/companies/_disableShops';
        let bodyDict = {};
        return this.ajax("POST", localVarPath, {}, bodyDict) as any;
    }
    public companyApiEnableShopsAsync(): Promise<models.BoolViewModel>  {        
		let localVarPath = '/api/companies/_enableShops';
        let bodyDict = {};
        return this.ajax("POST", localVarPath, {}, bodyDict) as any;
    }
    public companyApiExamineSite(): Promise<models.ExamineViewModel>  {        
		let localVarPath = '/api/companies/_examinesite';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public companyApiGetCompany(p: { 
"companyId": 
number
; }, ): Promise<models.CompanyDetailViewModel>  {        
		let localVarPath = '/api/companies/{companyId}'
            .replace('{' + 'companyId' + '}', String(p["companyId"]));
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public companyApiGetCompanyForModify(): Promise<models.ModifyCompanyInputModel>  {        
		let localVarPath = '/api/companies/_get';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public companyApiGetCompanySeo(): Promise<models.CompanySeoInputModel>  {        
		let localVarPath = '/api/companies/_getcompanyseo';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public companyApiGetMyCompany(): Promise<models.MyCompanyProfileViewModel>  {        
		let localVarPath = '/api/companies/mycompany';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public companyApiGetNearbyCompanies(p: { 
"args.currPage": 
number
;"args.limit": 
number
;"longitude"?: 
number | null
;"latitude"?: 
number | null
;"realIp"?: 
string | null
; }, ): Promise<models.QueryResultNearCompanyViewModel>  {        
		let localVarPath = '/api/companies/nearbyCompanies';
        this.r(p, [  "args.currPage",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public companyApiGetNewlyRegisteredEnterprise(p: { 
"args.top": 
number
; }, ): Promise<Array<models.CompanySimpleViewModel>>  {        
		let localVarPath = '/api/companies/newlyRegisteredCompanies';
        this.r(p, [  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public companyApiSetRegionSiteShow(p: { 
"regionSiteEnabled": 
boolean
; }, ): Promise<void>  {        
		let localVarPath = '/api/companies/_setRegionSiteShow';
        this.r(p, [  "regionSiteEnabled",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public companyApiSetShowMemberInShops(p: { 
"isShow": 
boolean
; }, ): Promise<void>  {        
		let localVarPath = '/api/companies/_setshowmemberinshops';
        this.r(p, [  "isShow",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public companyApiToggleShopStatus(p: { 
"companyId": 
number
; }, ): Promise<models.BoolViewModel>  {        
		let localVarPath = '/api/companies/shopStatus/_toggle/{companyId}'
            .replace('{' + 'companyId' + '}', String(p["companyId"]));
        this.r(p, [  "companyId",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
}
