// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class CompanyCatalogApiApi extends BaseApi {
    public companyCatalogApiGetIndustryKeywordOfCompanyCatalog(p: { 
"keywordId": 
number
; }, ): Promise<models.CompanyKeywordViewModel>  {        
		let localVarPath = '/api/companyCatalog/industryKeyword/{keywordId}'
            .replace('{' + 'keywordId' + '}', String(p["keywordId"]));
        this.r(p, [  "keywordId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public companyCatalogApiGetIndustryKeywordsOfCompanyCatalog(): Promise<Array<models.CompanyIndustryKeywordViewModel>>  {        
		let localVarPath = '/api/companyCatalog/industryKeywords';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public companyCatalogApiGetLatestKeywordAsync(p: { 
"regionId": 
number
;"args.top": 
number
; }, ): Promise<Array<models.CompanyKeywordViewModel>>  {        
		let localVarPath = '/api/companyCatalog/latestKeyword';
        this.r(p, [  "regionId",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public companyCatalogApiGetRandowKeywordAsync(p: { 
"args.top": 
number
; }, ): Promise<Array<models.CompanyKeywordAndRegionViewModel>>  {        
		let localVarPath = '/api/companyCatalog/randomKeyword';
        this.r(p, [  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public companyCatalogApiGetRandowKeywordWithIndustryId(p: { 
"excludeIndustryId": 
number
;"args.top": 
number
; }, ): Promise<Array<models.CompanyKeywordAndRegionViewModel>>  {        
		let localVarPath = '/api/companyCatalog/randomKeywordWithIndustryId';
        this.r(p, [  "excludeIndustryId",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public companyCatalogApiGetRandowKeywordWithRegionPinYin(p: { 
"regionPinYin": 
string
;"args.top": 
number
; }, ): Promise<Array<models.CompanyKeywordAndRegionViewModel>>  {        
		let localVarPath = '/api/companyCatalog/randomKeywordWithRegionPinYin';
        this.r(p, [  "regionPinYin",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public companyCatalogApiGetRegionKeywordsOfCompanyCatalog(): Promise<Array<models.CompanyRegionKeywordViewModel>>  {        
		let localVarPath = '/api/companyCatalog/regionKeywords';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public companyCatalogApiSearchWithCompanyCatalog(p: { 
"args.isActiveIndexSort": 
boolean
;"args.isOnlyCompanyVerified": 
boolean
;"args.isOnlyVipCompany": 
boolean
;"args.limit": 
number
;"args.currPage": 
number
;"args.regionPinYin"?: 
string | null
;"args.regionId"?: 
number | null
;"args.industryId"?: 
number | null
;"args.keywordId"?: 
number | null
;"args.q"?: 
string | null
; }, ): Promise<models.QueryResultSearchCompanyListViewModel>  {        
		let localVarPath = '/api/companyCatalog/_search';
        this.r(p, [  "args.isActiveIndexSort",  "args.isOnlyCompanyVerified",  "args.isOnlyVipCompany",  "args.limit",  "args.currPage",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
}
