// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class MarketingKeywordApiApi extends BaseApi {
    public marketingKeywordApiGetCatalogsAsync(p: { 
"preGroupCount"?: 
number | null
; }, ): Promise<Array<models.MarketingKeywordGroupViewModel>>  {        
		let localVarPath = '/api/marketingKeywords/catalog';
        this.r(p, [  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public marketingKeywordApiGetKeywordAsync(p: { 
"keywordId": 
number
; }, ): Promise<models.MarketingKeywordViewModel>  {        
		let localVarPath = '/api/marketingKeywords/keyword/{keywordId}'
            .replace('{' + 'keywordId' + '}', String(p["keywordId"]));
        this.r(p, [  "keywordId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public marketingKeywordApiGetKeywordByPinYinAsync(p: { 
"pinyin": 
string
;"keywordType": 
MarketingKeywordTypeEnum
; }, ): Promise<models.MarketingKeywordViewModel>  {        
		let localVarPath = '/api/marketingKeywords/keyword';
        this.r(p, [  "pinyin",  "keywordType",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public marketingKeywordApiGetKeywordListAsync(p: { 
"marketingKeywordType": 
MarketingKeywordTypeEnum
;"args.offset": 
number
;"args.limit": 
number
; }, ): Promise<models.QueryResultMarketingKeywordViewModel>  {        
		let localVarPath = '/api/marketingKeywords/keywords';
        this.r(p, [  "marketingKeywordType",  "args.offset",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public marketingKeywordApiGetRandomKeywordAsync(p: { 
"keywordType": 
MarketingKeywordTypeEnum
;"args.top": 
number
; }, ): Promise<Array<models.MarketingKeywordViewModel>>  {        
		let localVarPath = '/api/marketingKeywords/randomKeywords';
        this.r(p, [  "keywordType",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public marketingKeywordApiGetRelatedArticlesAsync(p: { 
"q": 
string
;"args.top": 
number
; }, ): Promise<Array<models.ArticleWindowItemViewModel>>  {        
		let localVarPath = '/api/marketingKeywords/relatedArticles';
        this.r(p, [  "q",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public marketingKeywordApiGetRelatedCompaniesAsync(p: { 
"q": 
string
;"args.top": 
number
; }, ): Promise<Array<models.CompanyWindowItemViewModel>>  {        
		let localVarPath = '/api/marketingKeywords/relatedCompanies';
        this.r(p, [  "q",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public marketingKeywordApiGetRelatedProductsAsync(p: { 
"q": 
string
;"args.top": 
number
; }, ): Promise<Array<models.ProductSimpleItemViewModel>>  {        
		let localVarPath = '/api/marketingKeywords/relatedProducts';
        this.r(p, [  "q",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public marketingKeywordApiGetSearchArticleAsync(p: { 
"pinYin": 
string
;"args.offset": 
number
;"args.limit": 
number
; }, ): Promise<models.QueryResultMarketingKeywordSearchViewModel>  {        
		let localVarPath = '/api/marketingKeywords/searchArticle';
        this.r(p, [  "pinYin",  "args.offset",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public marketingKeywordApiGetSearchCompanyAsync(p: { 
"pinYin": 
string
;"args.offset": 
number
;"args.limit": 
number
; }, ): Promise<models.QueryResultSearchCompanyListViewModel>  {        
		let localVarPath = '/api/marketingKeywords/searchCompany';
        this.r(p, [  "pinYin",  "args.offset",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public marketingKeywordApiGetSearchProductAsync(p: { 
"pinYin": 
string
;"args.offset": 
number
;"args.limit": 
number
; }, ): Promise<models.QueryResultMarketingKeywordProductViewModel>  {        
		let localVarPath = '/api/marketingKeywords/searchProduct';
        this.r(p, [  "pinYin",  "args.offset",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
}
