// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class PublicApiApi extends BaseApi {
    public publicApiCheckModifyInfoSmsCode(p: { 
"model": 
models.VerifySmsCodeInputModel
; }, ): Promise<models.VerifyResultViewModel>  {        
		let localVarPath = '/api/verifyCodes/_checkModifyInfoSmsCode';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public publicApiCheckRegister(p: { 
"model.mobile": 
string
;"model.code": 
string
; }, ): Promise<models.BoolViewModel>  {        
		let localVarPath = '/api/verifyCodes/_CheckRegister';
        this.r(p, [  "model.mobile",  "model.code",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public publicApiCreateModifyInfoVerifyCode(p: { 
"model": 
models.CreateSmsVerificationCodeInputModel
; }, ): Promise<models.VerifyResultViewModel>  {        
		let localVarPath = '/api/verifyCodes/_CreateModifyInfoVerifyCode';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public publicApiCreateVerifyCode(p: { 
"model": 
models.CreateSmsVerificationCodeInputModel
; }, ): Promise<models.VerifyResultViewModel>  {        
		let localVarPath = '/api/verifyCodes/_create';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public publicApiFhtGlobal(p: { 
"appVerion": 
string
; }, ): Promise<models.FhtWebGlobal>  {        
		let localVarPath = '/api/fhtGlobal';
        this.r(p, [  "appVerion",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public publicApiGetAllIndudtries(): Promise<Array<models.CoreIndustryViewModel>>  {        
		let localVarPath = '/api/allIndustries';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public publicApiGetAllRegions(): Promise<Array<models.TreeNodeViewModel>>  {        
		let localVarPath = '/api/allregions';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public publicApiGetRegion(p: { 
"regionId": 
number
; }, ): Promise<models.CoreRegionViewModel>  {        
		let localVarPath = '/api/regions/{regionId}'
            .replace('{' + 'regionId' + '}', String(p["regionId"]));
        this.r(p, [  "regionId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public publicApiGetRegionByPinYin(p: { 
"pinYin": 
string
; }, ): Promise<models.CoreRegionViewModel>  {        
		let localVarPath = '/api/regions';
        this.r(p, [  "pinYin",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public publicApiGetSubRegions(p: { 
"parentRegionId"?: 
number | null
; }, ): Promise<Array<models.AutoCompleteViewModel>>  {        
		let localVarPath = '/api/regions/_getchildren';
        this.r(p, [  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public publicApiLeancloudConn(p: { 
"appVerion": 
string
; }, ): Promise<models.LeancloudConnection>  {        
		let localVarPath = '/api/leancloudConn';
        this.r(p, [  "appVerion",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
}
