// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class StatisticsApiApi extends BaseApi {
    public statisticsApiGetProductImpressionDetail(p: { 
"productId": 
number
;"args.top": 
number
;"timeRange"?: 
StatTimeRangeEnum | null
; }, ): Promise<Array<models.ProductExposureItemViewModel>>  {        
		let localVarPath = '/api/statistics/_productImpressionDetail';
        this.r(p, [  "productId",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public statisticsApiGetProductImpressionStat(p: { 
"timeRange": 
StatTimeRangeEnum
; }, ): Promise<Array<models.ProductStatViewModel>>  {        
		let localVarPath = '/api/statistics/_productImpressionStat';
        this.r(p, [  "timeRange",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public statisticsApiGetProductVisitStat(p: { 
"timeRange": 
StatTimeRangeEnum
; }, ): Promise<Array<models.ProductStatViewModel>>  {        
		let localVarPath = '/api/statistics/_productVisitStat';
        this.r(p, [  "timeRange",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public statisticsApiProductImpressionStatistics(p: { 
"statTimeRange": 
StatTimeRangeEnum
;"args.offset": 
number
;"args.limit": 
number
; }, ): Promise<models.QueryResultProductExposureDetailViewModel>  {        
		let localVarPath = '/api/statistics/_productImpressionStatistics';
        this.r(p, [  "statTimeRange",  "args.offset",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public statisticsApiProductPvStatisticByCity(p: { 
"timeRange"?: 
StatTimeRangeEnum | null
; }, ): Promise<Array<models.StatsCityVisitViewModel>>  {        
		let localVarPath = '/api/statistics/_productvisitstatisticbycity';
        this.r(p, [  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public statisticsApiProductVisitDetail(p: { 
"productId": 
number
;"timeRange": 
StatTimeRangeEnum
;"args.top": 
number
; }, ): Promise<Array<models.ProductVisitDetailViewModel>>  {        
		let localVarPath = '/api/statistics/_productVisitDetail';
        this.r(p, [  "productId",  "timeRange",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public statisticsApiProductVisitStatistics(p: { 
"atatTimeRange": 
StatTimeRangeEnum
;"args.offset": 
number
;"args.limit": 
number
; }, ): Promise<models.QueryResultProductVisitStatisticsViewModel>  {        
		let localVarPath = '/api/statistics/_productVisitStatistics';
        this.r(p, [  "atatTimeRange",  "args.offset",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
}
