// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class TopicPostApiApi extends BaseApi {
    public topicPostApiAutoCompleteTopicPosts(p: { 
"model.q"?: 
string | null
;"model.topicTypeId"?: 
number | null
; }, ): Promise<Array<models.StringViewModel>>  {        
		let localVarPath = '/api/topicposts/_autoCompleteTopicPosts';
        this.r(p, [  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiBatchDelete(p: { 
"model": 
models.ActionableBatchInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/topicposts/_batchdelete';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiCheckTitleUnique(p: { 
"title": 
string
;"topicPostId"?: 
number | null
; }, ): Promise<models.BoolViewModel>  {        
		let localVarPath = '/api/topicposts/_checkTitleUnique';
        this.r(p, [  "title",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiCreateTopicPost(p: { 
"model": 
models.TopicPostInputModel
; }, ): Promise<models.CreatedViewModel>  {        
		let localVarPath = '/api/topicposts/_create';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiDetail(p: { 
"topicpostId": 
number
; }, ): Promise<models.TopicPostViewModel>  {        
		let localVarPath = '/api/topicposts/{topicpostId}'
            .replace('{' + 'topicpostId' + '}', String(p["topicpostId"]));
        this.r(p, [  "topicpostId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiGet(p: { 
"topicPostId": 
number
; }, ): Promise<models.TopicPostInputModel>  {        
		let localVarPath = '/api/topicposts/_get';
        this.r(p, [  "topicPostId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiGetHotTopicPosts(p: { 
"args.top": 
number
; }, ): Promise<Array<models.TopicPostPromotionViewModel>>  {        
		let localVarPath = '/api/topicposts/hotTopicPosts';
        this.r(p, [  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiGetLatestUserTopicPostAsync(p: { 
"args.top": 
number
; }, ): Promise<Array<models.TopicPostViewModel>>  {        
		let localVarPath = '/api/topicposts/latestTopicPosts';
        this.r(p, [  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiGetMyTopicPostsCount(): Promise<models.NumberViewModel>  {        
		let localVarPath = '/api/topicposts/totalCount';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public topicPostApiGetRecentTopicPostsOfCompany(p: { 
"myCompanyId": 
number
;"args.limit": 
number
;"args.cursor"?: 
number | null
; }, ): Promise<models.CursorPaginationResultTopicPostSimpleViewModel>  {        
		let localVarPath = '/api/topicposts/recentTopicPostsOfCompany';
        this.r(p, [  "myCompanyId",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiGetRecommendedTopicPosts(p: { 
"args.currPage": 
number
;"args.limit": 
number
;"longitude"?: 
number | null
;"latitude"?: 
number | null
;"realIp"?: 
string | null
; }, ): Promise<models.QueryResultTopicPostViewModel>  {        
		let localVarPath = '/api/topicposts/recommendedTopicPosts';
        this.r(p, [  "args.currPage",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiGetRelatedTopicPosts(p: { 
"q": 
string
;"args.top": 
number
;"exTopicPostIds"?: 
Array<number> | null
; }, ): Promise<Array<models.TopicPostSimpleViewModel>>  {        
		let localVarPath = '/api/topicposts/relatedTopicPosts';
        this.r(p, [  "q",  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiGetUserTopicPosts(p: { 
"userId": 
number
;"q": 
string
;"args.offset": 
number
;"args.limit": 
number
;"topicTypeId"?: 
number | null
; }, ): Promise<models.QueryResultTopicPostViewModel>  {        
		let localVarPath = '/api/topicposts/userTopicPosts';
        this.r(p, [  "userId",  "q",  "args.offset",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiHotSearchWords(p: { 
"hotSearchWordType": 
HotSearchWordTypeEnum
;"size": 
number
;"q"?: 
string | null
; }, ): Promise<Array<models.StringViewModel>>  {        
		let localVarPath = '/api/topicposts/hotSearchWords';
        this.r(p, [  "hotSearchWordType",  "size",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiMyTopicPosts(p: { 
"args.orderType": 
OrderTypeEnum
;"args.currPage": 
number
;"args.limit": 
number
;"args.q"?: 
string | null
;"args.userId"?: 
number | null
;"args.topicPostId"?: 
number | null
;"args.topicTypeId"?: 
number | null
;"args.showStatus"?: 
AuditDisplayStatusEnum | null
; }, ): Promise<models.QueryResultTopicPostViewModel>  {        
		let localVarPath = '/api/topicposts/myTopicPosts';
        this.r(p, [  "args.orderType",  "args.currPage",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiNearBusinessOpportunities(p: { 
"args.offset": 
number
;"args.limit": 
number
;"longitude"?: 
number | null
;"latitude"?: 
number | null
;"realIp"?: 
string | null
; }, ): Promise<Array<models.TopicPostViewModel>>  {        
		let localVarPath = '/api/topicposts/_nearBusinessOpportunities';
        this.r(p, [  "args.offset",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiNearBusinessOpportunitiesCount(p: { 
"longitude"?: 
number | null
;"latitude"?: 
number | null
;"realIp"?: 
string | null
; }, ): Promise<models.CityNearBusinessNum>  {        
		let localVarPath = '/api/topicposts/_nearBusinessOpportunitiesCount';
        this.r(p, [  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiSearch(p: { 
"args.isActiveIndexSort": 
boolean
;"args.hasOnlyCompany": 
boolean
;"args.isMobileUser": 
boolean
;"args.limit": 
number
;"args.currPage": 
number
;"args.regionId"?: 
number | null
;"args.productCategoryId"?: 
number | null
;"args.customCategoryId"?: 
number | null
;"args.timeRule"?: 
TimeRuleEnum | null
;"args.q"?: 
string | null
;"args.latitude"?: 
number | null
;"args.longitude"?: 
number | null
;"args.topicTypeId"?: 
number | null
;"args.pinYin"?: 
string | null
;"args.topicTypeName"?: 
string | null
;"args.industryId"?: 
number | null
;"args.regionName"?: 
string | null
;"args.timeRuleName"?: 
string | null
; }, ): Promise<models.QueryResultTopicPostViewModel>  {        
		let localVarPath = '/api/topicposts/_search';
        this.r(p, [  "args.isActiveIndexSort",  "args.hasOnlyCompany",  "args.isMobileUser",  "args.limit",  "args.currPage",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public topicPostApiSelectTypes(): Promise<Array<models.TopicTypeForAdsViewModel>>  {        
		let localVarPath = '/api/topicposts/selectTypes';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public topicPostApiTopicTypes(): Promise<Array<models.TopicTypeViewModel>>  {        
		let localVarPath = '/api/topicposts/topictypes';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public topicPostApiTopicpostTypes(): Promise<Array<models.TopicTypeViewModel>>  {        
		let localVarPath = '/api/topicposts/topicpostTypes';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public topicPostApiUpdateTopicPost(p: { 
"model": 
models.TopicPostInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/topicposts/_update';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
}
