// FHT Swagger axios client V2


/**
 * FHT.Statistics.Interfaces.InputModels.AppEntryType, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Statistics.Interfaces.InputModels.AppEntryType, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum AppEntryTypeEnum {
    Fresh = "Fresh",
    Icon = "Icon",
    Chat = "Chat",
    Notification = "Notification",
}

export function convertFromAppEntryTypeEnum(e: AppEntryTypeEnum): number{
    switch(e){
        case AppEntryTypeEnum.Fresh:
            return 1;
        case AppEntryTypeEnum.Icon:
            return 2;
        case AppEntryTypeEnum.Chat:
            return 3;
        case AppEntryTypeEnum.Notification:
            return 4;
        default:
            throw new Error(`${e} is an invalid AppEntryTypeEnum`);
    }
}

export function convertToAppEntryTypeEnum(n: number): AppEntryTypeEnum{
    switch(n){
        case 1:
            return AppEntryTypeEnum.Fresh;
        case 2:
            return AppEntryTypeEnum.Icon;
        case 3:
            return AppEntryTypeEnum.Chat;
        case 4:
            return AppEntryTypeEnum.Notification;
        default:
            throw new Error(`${n} is an invalid AppEntryTypeEnum`);
    }
}

export function describeAppEntryTypeEnum(e: AppEntryTypeEnum): string{
    switch(e){
        case AppEntryTypeEnum.Fresh:
            return "安装后新启动";
        case AppEntryTypeEnum.Icon:
            return "图标";
        case AppEntryTypeEnum.Chat:
            return "聊天通知";
        case AppEntryTypeEnum.Notification:
            return "通知";
        default:
            throw new Error(`${e} is an invalid AppEntryTypeEnum`);
    }
}


