// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.ApplyRequestStatus, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.ApplyRequestStatus, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ApplyRequestStatusEnum {
    Applying = "Applying",
    Accepted = "Accepted",
    Rejected = "Rejected",
    Canceled = "Canceled",
}

export function convertFromApplyRequestStatusEnum(e: ApplyRequestStatusEnum): number{
    switch(e){
        case ApplyRequestStatusEnum.Applying:
            return 1;
        case ApplyRequestStatusEnum.Accepted:
            return 2;
        case ApplyRequestStatusEnum.Rejected:
            return 3;
        case ApplyRequestStatusEnum.Canceled:
            return 4;
        default:
            throw new Error(`${e} is an invalid ApplyRequestStatusEnum`);
    }
}

export function convertToApplyRequestStatusEnum(n: number): ApplyRequestStatusEnum{
    switch(n){
        case 1:
            return ApplyRequestStatusEnum.Applying;
        case 2:
            return ApplyRequestStatusEnum.Accepted;
        case 3:
            return ApplyRequestStatusEnum.Rejected;
        case 4:
            return ApplyRequestStatusEnum.Canceled;
        default:
            throw new Error(`${n} is an invalid ApplyRequestStatusEnum`);
    }
}

export function describeApplyRequestStatusEnum(e: ApplyRequestStatusEnum): string{
    switch(e){
        case ApplyRequestStatusEnum.Applying:
            return "申请中";
        case ApplyRequestStatusEnum.Accepted:
            return "已同意";
        case ApplyRequestStatusEnum.Rejected:
            return "已拒绝";
        case ApplyRequestStatusEnum.Canceled:
            return "已取消";
        default:
            throw new Error(`${e} is an invalid ApplyRequestStatusEnum`);
    }
}


