// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.ApplyType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.ApplyType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ApplyTypeEnum {
    Member = "Member",
    Agency = "Agency",
}

export function convertFromApplyTypeEnum(e: ApplyTypeEnum): number{
    switch(e){
        case ApplyTypeEnum.Member:
            return 1;
        case ApplyTypeEnum.Agency:
            return 2;
        default:
            throw new Error(`${e} is an invalid ApplyTypeEnum`);
    }
}

export function convertToApplyTypeEnum(n: number): ApplyTypeEnum{
    switch(n){
        case 1:
            return ApplyTypeEnum.Member;
        case 2:
            return ApplyTypeEnum.Agency;
        default:
            throw new Error(`${n} is an invalid ApplyTypeEnum`);
    }
}

export function describeApplyTypeEnum(e: ApplyTypeEnum): string{
    switch(e){
        case ApplyTypeEnum.Member:
            return "会员";
        case ApplyTypeEnum.Agency:
            return "代理商";
        default:
            throw new Error(`${e} is an invalid ApplyTypeEnum`);
    }
}


