// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.AuditDisplayStatus, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.AuditDisplayStatus, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum AuditDisplayStatusEnum {
    Accepted = "Accepted",
    Pending = "Pending",
    Rejected = "Rejected",
}

export function convertFromAuditDisplayStatusEnum(e: AuditDisplayStatusEnum): number{
    switch(e){
        case AuditDisplayStatusEnum.Accepted:
            return 1;
        case AuditDisplayStatusEnum.Pending:
            return 2;
        case AuditDisplayStatusEnum.Rejected:
            return 3;
        default:
            throw new Error(`${e} is an invalid AuditDisplayStatusEnum`);
    }
}

export function convertToAuditDisplayStatusEnum(n: number): AuditDisplayStatusEnum{
    switch(n){
        case 1:
            return AuditDisplayStatusEnum.Accepted;
        case 2:
            return AuditDisplayStatusEnum.Pending;
        case 3:
            return AuditDisplayStatusEnum.Rejected;
        default:
            throw new Error(`${n} is an invalid AuditDisplayStatusEnum`);
    }
}

export function describeAuditDisplayStatusEnum(e: AuditDisplayStatusEnum): string{
    switch(e){
        case AuditDisplayStatusEnum.Accepted:
            return "通过";
        case AuditDisplayStatusEnum.Pending:
            return "待审核";
        case AuditDisplayStatusEnum.Rejected:
            return "未通过";
        default:
            throw new Error(`${e} is an invalid AuditDisplayStatusEnum`);
    }
}


