// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.AuditStatus, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.AuditStatus, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum AuditStatusEnum {
    Accepted = "Accepted",
    Suspicious = "Suspicious",
    Pending = "Pending",
    Rejected = "Rejected",
}

export function convertFromAuditStatusEnum(e: AuditStatusEnum): number{
    switch(e){
        case AuditStatusEnum.Accepted:
            return 1;
        case AuditStatusEnum.Suspicious:
            return 2;
        case AuditStatusEnum.Pending:
            return 3;
        case AuditStatusEnum.Rejected:
            return 4;
        default:
            throw new Error(`${e} is an invalid AuditStatusEnum`);
    }
}

export function convertToAuditStatusEnum(n: number): AuditStatusEnum{
    switch(n){
        case 1:
            return AuditStatusEnum.Accepted;
        case 2:
            return AuditStatusEnum.Suspicious;
        case 3:
            return AuditStatusEnum.Pending;
        case 4:
            return AuditStatusEnum.Rejected;
        default:
            throw new Error(`${n} is an invalid AuditStatusEnum`);
    }
}

export function describeAuditStatusEnum(e: AuditStatusEnum): string{
    switch(e){
        case AuditStatusEnum.Accepted:
            return "已通过";
        case AuditStatusEnum.Suspicious:
            return "可疑";
        case AuditStatusEnum.Pending:
            return "待审核";
        case AuditStatusEnum.Rejected:
            return "未通过";
        default:
            throw new Error(`${e} is an invalid AuditStatusEnum`);
    }
}


