// FHT Swagger axios client V2


// mark 2 model generic



// not an enum
export   interface  BasicStatInfo {
 
//a smart property
 'DeviceId'
: 
    string; // not enum

//a smart property
 'SessionId'
: 
    string; // not enum

//a smart property
 'TrackingKey'
: 
    string; // not enum

//a smart property
 'UserId'
?
: 
null |
    number; // not enum

//a smart property
 'UserCompanyId'
?
: 
null |
    number; // not enum

//a smart property
 'DeviceType'
: 
    DeviceTypeEnum; //is single enum

//a smart property
 'Longitude'
?
: 
null |
    number; // not enum

//a smart property
 'Latitude'
?
: 
null |
    number; // not enum

//a smart property
 'UserAgent'
: 
    string; // not enum

//a smart property
 'Timestamp'
: 
    number; // not enum

//a smart property
 'AppVersion'
: 
    string; // not enum

//a smart property
 'Manufacturer'
: 
    string; // not enum

//a smart property
 'Model'
: 
    string; // not enum

//a smart property
 'OS'
: 
    string; // not enum

//a smart property
 'ScreenHeight'
?
: 
null |
    number; // not enum

//a smart property
 'ScreenWidth'
?
: 
null |
    number; // not enum

//a smart property
 'Network'
: 
    NetworkTypeEnum; //is single enum

//a smart property
 'Battery'
?
: 
null |
    number; // not enum

//a smart property
 'Url'
: 
    string; // not enum

//a smart property
 'Referer'
: 
    string; // not enum

//a smart property
 'PageId'
?
: 
null |
    MobilePageIdEnum; //is single enum

//a smart property
 'PreviousPageId'
?
: 
null |
    MobilePageIdEnum; //is single enum

}
//export namespace BasicStatInfo 
export enum DeviceTypeEnum {
	Web = 'Web',
	Ios = 'Ios',
	Android = 'Android',
	MobileWeb = 'MobileWeb',
	Other = 'Other'
}
export enum NetworkTypeEnum {
	Disconnected = 'Disconnected',
	Wifi = 'Wifi',
	_2G = '_2G',
	_3G = '_3G',
	_4G = '_4G',
	_5G = '_5G',
	Cable = 'Cable'
}
export enum MobilePageIdEnum {
	Login = 'Login',
	Registration = 'Registration',
	FindPassword = 'FindPassword',
	HomeTab = 'HomeTab',
	MyBusinessOpportunity = 'MyBusinessOpportunity',
	Notifications = 'Notifications',
	Broadcasts = 'Broadcasts',
	ChatRoom = 'ChatRoom',
	ChatRoomSetting = 'ChatRoomSetting',
	FriendsTab = 'FriendsTab',
	SearchFriends = 'SearchFriends',
	DiscoverFriends = 'DiscoverFriends',
	FriendGroup = 'FriendGroup',
	FriendRequests = 'FriendRequests',
	SavedGroups = 'SavedGroups',
	DiscoverNearbyFriends = 'DiscoverNearbyFriends',
	DiscoverIndustryFriends = 'DiscoverIndustryFriends',
	Meetups = 'Meetups',
	MeetupDetail = 'MeetupDetail',
	MeetupMembers = 'MeetupMembers',
	PublishTab = 'PublishTab',
	CreateTopicPost = 'CreateTopicPost',
	BusinessOpportunityTab = 'BusinessOpportunityTab',
	ProductList = 'ProductList',
	ProductDetail = 'ProductDetail',
	TopicPostList = 'TopicPostList',
	TopicPostDetail = 'TopicPostDetail',
	NearbyTopicPosts = 'NearbyTopicPosts',
	NearbyCompanies = 'NearbyCompanies',
	RecommendedTopicPosts = 'RecommendedTopicPosts',
	MeTab = 'MeTab',
	UpdateMyProfile = 'UpdateMyProfile',
	MyQrCode = 'MyQrCode',
	MyTopicPosts = 'MyTopicPosts',
	MyCollections = 'MyCollections',
	RecentVisitors = 'RecentVisitors',
	ViewingHistories = 'ViewingHistories',
	MyCompany = 'MyCompany',
	MyCompanyProfile = 'MyCompanyProfile',
	MyCompanyMembers = 'MyCompanyMembers',
	MyCompanyQrCode = 'MyCompanyQrCode',
	UpdateMyCompanyProfile = 'UpdateMyCompanyProfile',
	MyCompanyAuthentication = 'MyCompanyAuthentication',
	MyCompanyStatistics = 'MyCompanyStatistics',
	IncomingCompanyApplications = 'IncomingCompanyApplications',
	MyCompanyAdminManagment = 'MyCompanyAdminManagment',
	MyCompanyCustomerServiceManagement = 'MyCompanyCustomerServiceManagement',
	CompanyDetail = 'CompanyDetail',
	Settings = 'Settings',
	NotificationSettings = 'NotificationSettings',
	AccountSecurity = 'AccountSecurity',
	Privacy = 'Privacy',
	BlockSettings = 'BlockSettings',
	AboutUs = 'AboutUs',
	ClearCaches = 'ClearCaches',
	FontSettings = 'FontSettings',
	UserDetail = 'UserDetail',
	MobileWeb = 'MobileWeb',
	RecommendedProducts = 'RecommendedProducts',
	GeneralSearch = 'GeneralSearch',
	UserTopicPosts = 'UserTopicPosts',
	AboutUsContactUs = 'AboutUsContactUs',
	AboutUsIntroduction = 'AboutUsIntroduction',
	AddFriend = 'AddFriend',
	CreateFriendRequest = 'CreateFriendRequest',
	LoginSearchCompanies = 'LoginSearchCompanies',
	RegisterSearchCompanies = 'RegisterSearchCompanies',
	BindPhone = 'BindPhone',
	SearchProductTopicPosts = 'SearchProductTopicPosts',
	SearchChatMessages = 'SearchChatMessages',
	GeneralTypeSearch = 'GeneralTypeSearch',
	CompactCompositeMessages = 'CompactCompositeMessages',
	City = 'City',
	Location = 'Location',
	Complain = 'Complain',
	ComplainEvidence = 'ComplainEvidence',
	CompanyCustomerServices = 'CompanyCustomerServices',
	CompanyManagers = 'CompanyManagers',
	ContactFriends = 'ContactFriends',
	CreateFriendGroup = 'CreateFriendGroup',
	UpdateFriendGroup = 'UpdateFriendGroup',
	CreateGroupChat = 'CreateGroupChat',
	CreateOrJoinCompany = 'CreateOrJoinCompany',
	LoginCreateCompany = 'LoginCreateCompany',
	RegisterCreateCompany = 'RegisterCreateCompany',
	FeedBack = 'FeedBack',
	ForgetPassword = 'ForgetPassword',
	FriendGroupDetail = 'FriendGroupDetail',
	FriendSelection = 'FriendSelection',
	GroupChatDetail = 'GroupChatDetail',
	GroupChatMembers = 'GroupChatMembers',
	IncomingCompanyInvitations = 'IncomingCompanyInvitations',
	ViewLocation = 'ViewLocation',
	IncomingMeetupInvitations = 'IncomingMeetupInvitations',
	MeetupChatDetail = 'MeetupChatDetail',
	ModifyBindedPhone = 'ModifyBindedPhone',
	ModifyPassword = 'ModifyPassword',
	MyCompanyAuthenticationIdCard = 'MyCompanyAuthenticationIdCard',
	MyCompanyAuthenticationLicense = 'MyCompanyAuthenticationLicense',
	RegisterationCompanyType = 'RegisterationCompanyType',
	RegisterationOptimization = 'RegisterationOptimization',
	PersonChatDetail = 'PersonChatDetail',
	PlayVideo = 'PlayVideo',
	PreviewTopicPost = 'PreviewTopicPost',
	PublishMeetup = 'PublishMeetup',
	SystemRemindReadList = 'SystemRemindReadList',
	SystemRemindUnReadList = 'SystemRemindUnReadList',
	UpdateTopicPost = 'UpdateTopicPost',
	TouristDetail = 'TouristDetail',
	TouristChatDetail = 'TouristChatDetail',
	TouristRemark = 'TouristRemark',
	ForwardTo = 'ForwardTo',
	UserRemark = 'UserRemark',
	SearchUsers = 'SearchUsers',
	V1UserBindPhone = 'V1UserBindPhone',
	PrvicayServiceProtocol = 'PrvicayServiceProtocol',
	NotificationDetail = 'NotificationDetail',
	BroadcastDetail = 'BroadcastDetail',
	IncomingMeetupApplications = 'IncomingMeetupApplications'
}
export enum MobilePageIdEnum {
	Login = 'Login',
	Registration = 'Registration',
	FindPassword = 'FindPassword',
	HomeTab = 'HomeTab',
	MyBusinessOpportunity = 'MyBusinessOpportunity',
	Notifications = 'Notifications',
	Broadcasts = 'Broadcasts',
	ChatRoom = 'ChatRoom',
	ChatRoomSetting = 'ChatRoomSetting',
	FriendsTab = 'FriendsTab',
	SearchFriends = 'SearchFriends',
	DiscoverFriends = 'DiscoverFriends',
	FriendGroup = 'FriendGroup',
	FriendRequests = 'FriendRequests',
	SavedGroups = 'SavedGroups',
	DiscoverNearbyFriends = 'DiscoverNearbyFriends',
	DiscoverIndustryFriends = 'DiscoverIndustryFriends',
	Meetups = 'Meetups',
	MeetupDetail = 'MeetupDetail',
	MeetupMembers = 'MeetupMembers',
	PublishTab = 'PublishTab',
	CreateTopicPost = 'CreateTopicPost',
	BusinessOpportunityTab = 'BusinessOpportunityTab',
	ProductList = 'ProductList',
	ProductDetail = 'ProductDetail',
	TopicPostList = 'TopicPostList',
	TopicPostDetail = 'TopicPostDetail',
	NearbyTopicPosts = 'NearbyTopicPosts',
	NearbyCompanies = 'NearbyCompanies',
	RecommendedTopicPosts = 'RecommendedTopicPosts',
	MeTab = 'MeTab',
	UpdateMyProfile = 'UpdateMyProfile',
	MyQrCode = 'MyQrCode',
	MyTopicPosts = 'MyTopicPosts',
	MyCollections = 'MyCollections',
	RecentVisitors = 'RecentVisitors',
	ViewingHistories = 'ViewingHistories',
	MyCompany = 'MyCompany',
	MyCompanyProfile = 'MyCompanyProfile',
	MyCompanyMembers = 'MyCompanyMembers',
	MyCompanyQrCode = 'MyCompanyQrCode',
	UpdateMyCompanyProfile = 'UpdateMyCompanyProfile',
	MyCompanyAuthentication = 'MyCompanyAuthentication',
	MyCompanyStatistics = 'MyCompanyStatistics',
	IncomingCompanyApplications = 'IncomingCompanyApplications',
	MyCompanyAdminManagment = 'MyCompanyAdminManagment',
	MyCompanyCustomerServiceManagement = 'MyCompanyCustomerServiceManagement',
	CompanyDetail = 'CompanyDetail',
	Settings = 'Settings',
	NotificationSettings = 'NotificationSettings',
	AccountSecurity = 'AccountSecurity',
	Privacy = 'Privacy',
	BlockSettings = 'BlockSettings',
	AboutUs = 'AboutUs',
	ClearCaches = 'ClearCaches',
	FontSettings = 'FontSettings',
	UserDetail = 'UserDetail',
	MobileWeb = 'MobileWeb',
	RecommendedProducts = 'RecommendedProducts',
	GeneralSearch = 'GeneralSearch',
	UserTopicPosts = 'UserTopicPosts',
	AboutUsContactUs = 'AboutUsContactUs',
	AboutUsIntroduction = 'AboutUsIntroduction',
	AddFriend = 'AddFriend',
	CreateFriendRequest = 'CreateFriendRequest',
	LoginSearchCompanies = 'LoginSearchCompanies',
	RegisterSearchCompanies = 'RegisterSearchCompanies',
	BindPhone = 'BindPhone',
	SearchProductTopicPosts = 'SearchProductTopicPosts',
	SearchChatMessages = 'SearchChatMessages',
	GeneralTypeSearch = 'GeneralTypeSearch',
	CompactCompositeMessages = 'CompactCompositeMessages',
	City = 'City',
	Location = 'Location',
	Complain = 'Complain',
	ComplainEvidence = 'ComplainEvidence',
	CompanyCustomerServices = 'CompanyCustomerServices',
	CompanyManagers = 'CompanyManagers',
	ContactFriends = 'ContactFriends',
	CreateFriendGroup = 'CreateFriendGroup',
	UpdateFriendGroup = 'UpdateFriendGroup',
	CreateGroupChat = 'CreateGroupChat',
	CreateOrJoinCompany = 'CreateOrJoinCompany',
	LoginCreateCompany = 'LoginCreateCompany',
	RegisterCreateCompany = 'RegisterCreateCompany',
	FeedBack = 'FeedBack',
	ForgetPassword = 'ForgetPassword',
	FriendGroupDetail = 'FriendGroupDetail',
	FriendSelection = 'FriendSelection',
	GroupChatDetail = 'GroupChatDetail',
	GroupChatMembers = 'GroupChatMembers',
	IncomingCompanyInvitations = 'IncomingCompanyInvitations',
	ViewLocation = 'ViewLocation',
	IncomingMeetupInvitations = 'IncomingMeetupInvitations',
	MeetupChatDetail = 'MeetupChatDetail',
	ModifyBindedPhone = 'ModifyBindedPhone',
	ModifyPassword = 'ModifyPassword',
	MyCompanyAuthenticationIdCard = 'MyCompanyAuthenticationIdCard',
	MyCompanyAuthenticationLicense = 'MyCompanyAuthenticationLicense',
	RegisterationCompanyType = 'RegisterationCompanyType',
	RegisterationOptimization = 'RegisterationOptimization',
	PersonChatDetail = 'PersonChatDetail',
	PlayVideo = 'PlayVideo',
	PreviewTopicPost = 'PreviewTopicPost',
	PublishMeetup = 'PublishMeetup',
	SystemRemindReadList = 'SystemRemindReadList',
	SystemRemindUnReadList = 'SystemRemindUnReadList',
	UpdateTopicPost = 'UpdateTopicPost',
	TouristDetail = 'TouristDetail',
	TouristChatDetail = 'TouristChatDetail',
	TouristRemark = 'TouristRemark',
	ForwardTo = 'ForwardTo',
	UserRemark = 'UserRemark',
	SearchUsers = 'SearchUsers',
	V1UserBindPhone = 'V1UserBindPhone',
	PrvicayServiceProtocol = 'PrvicayServiceProtocol',
	NotificationDetail = 'NotificationDetail',
	BroadcastDetail = 'BroadcastDetail',
	IncomingMeetupApplications = 'IncomingMeetupApplications'
}

