// FHT Swagger axios client V2


/**
 * FHT.DDD.BoundedContext, FHT.DDD, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.DDD.BoundedContext, FHT.DDD, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum BoundedContextEnum {
    Core = "Core",
    Agency = "Agency",
}

export function convertFromBoundedContextEnum(e: BoundedContextEnum): number{
    switch(e){
        case BoundedContextEnum.Core:
            return 1;
        case BoundedContextEnum.Agency:
            return 2;
        default:
            throw new Error(`${e} is an invalid BoundedContextEnum`);
    }
}

export function convertToBoundedContextEnum(n: number): BoundedContextEnum{
    switch(n){
        case 1:
            return BoundedContextEnum.Core;
        case 2:
            return BoundedContextEnum.Agency;
        default:
            throw new Error(`${n} is an invalid BoundedContextEnum`);
    }
}

export function describeBoundedContextEnum(e: BoundedContextEnum): string{
    switch(e){
        case BoundedContextEnum.Core:
            return "Core BC";
        case BoundedContextEnum.Agency:
            return "Agency BC";
        default:
            throw new Error(`${e} is an invalid BoundedContextEnum`);
    }
}


