// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.BroadcastType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.BroadcastType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum BroadcastTypeEnum {
    AllUsers = "AllUsers",
    AllCompanyAdmins = "AllCompanyAdmins",
}

export function convertFromBroadcastTypeEnum(e: BroadcastTypeEnum): number{
    switch(e){
        case BroadcastTypeEnum.AllUsers:
            return 1;
        case BroadcastTypeEnum.AllCompanyAdmins:
            return 2;
        default:
            throw new Error(`${e} is an invalid BroadcastTypeEnum`);
    }
}

export function convertToBroadcastTypeEnum(n: number): BroadcastTypeEnum{
    switch(n){
        case 1:
            return BroadcastTypeEnum.AllUsers;
        case 2:
            return BroadcastTypeEnum.AllCompanyAdmins;
        default:
            throw new Error(`${n} is an invalid BroadcastTypeEnum`);
    }
}

export function describeBroadcastTypeEnum(e: BroadcastTypeEnum): string{
    switch(e){
        case BroadcastTypeEnum.AllUsers:
            return "所有用户";
        case BroadcastTypeEnum.AllCompanyAdmins:
            return "所有公司";
        default:
            throw new Error(`${e} is an invalid BroadcastTypeEnum`);
    }
}


