// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.BusinessEmoji, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.BusinessEmoji, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum BusinessEmojiEnum {
    business_0 = "business_0",
    business_1 = "business_1",
    business_2 = "business_2",
    business_3 = "business_3",
    business_4 = "business_4",
    business_5 = "business_5",
    business_6 = "business_6",
    business_7 = "business_7",
    business_8 = "business_8",
}

export function convertFromBusinessEmojiEnum(e: BusinessEmojiEnum): number{
    switch(e){
        case BusinessEmojiEnum.business_0:
            return 1;
        case BusinessEmojiEnum.business_1:
            return 2;
        case BusinessEmojiEnum.business_2:
            return 3;
        case BusinessEmojiEnum.business_3:
            return 4;
        case BusinessEmojiEnum.business_4:
            return 5;
        case BusinessEmojiEnum.business_5:
            return 6;
        case BusinessEmojiEnum.business_6:
            return 7;
        case BusinessEmojiEnum.business_7:
            return 8;
        case BusinessEmojiEnum.business_8:
            return 9;
        default:
            throw new Error(`${e} is an invalid BusinessEmojiEnum`);
    }
}

export function convertToBusinessEmojiEnum(n: number): BusinessEmojiEnum{
    switch(n){
        case 1:
            return BusinessEmojiEnum.business_0;
        case 2:
            return BusinessEmojiEnum.business_1;
        case 3:
            return BusinessEmojiEnum.business_2;
        case 4:
            return BusinessEmojiEnum.business_3;
        case 5:
            return BusinessEmojiEnum.business_4;
        case 6:
            return BusinessEmojiEnum.business_5;
        case 7:
            return BusinessEmojiEnum.business_6;
        case 8:
            return BusinessEmojiEnum.business_7;
        case 9:
            return BusinessEmojiEnum.business_8;
        default:
            throw new Error(`${n} is an invalid BusinessEmojiEnum`);
    }
}

export function describeBusinessEmojiEnum(e: BusinessEmojiEnum): string{
    switch(e){
        case BusinessEmojiEnum.business_0:
            return "出差";
        case BusinessEmojiEnum.business_1:
            return "上班";
        case BusinessEmojiEnum.business_2:
            return "合作愉快";
        case BusinessEmojiEnum.business_3:
            return "开会";
        case BusinessEmojiEnum.business_4:
            return "见面详谈";
        case BusinessEmojiEnum.business_5:
            return "聚会";
        case BusinessEmojiEnum.business_6:
            return "开车";
        case BusinessEmojiEnum.business_7:
            return "握手";
        case BusinessEmojiEnum.business_8:
            return "有什么可以帮您";
        default:
            throw new Error(`${e} is an invalid BusinessEmojiEnum`);
    }
}


