// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ChangeCompanyLogoUrlInputModel {
public static LABELS = {
    "LogoUrl": "企业Logo",
}
public static VALIDATORS = {
'LogoUrl': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "企业Logo最长不超过200字"},
// regex-pattern
    { type: "string", pattern: /^[hH][tT][tT][pP][sH]?:\/\/.*$/, trigger: 'blur', message: "请输入http或https开头的url"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Matches(/^[hH][tT][tT][pP][sH]?:\/\/.*$/)
 'LogoUrl'
    ?
: 
    string; // not enum

}

