// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ChangeUserPasswordInputModel {
public static LABELS = {
    "OldPassword": "旧密码",
    "NewPassword": "新密码",
    "ConfirmPassword": "确认新密码",
}
public static VALIDATORS = {
'OldPassword': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入旧密码" }, 
    { type: "string", min: 6, max: 20, trigger: 'blur', message: "旧密码应该是6到20位"},
].filter(r=>r) as ValidationRule[],
'NewPassword': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入新密码" }, 
    { type: "string", min: 6, max: 20, trigger: 'blur', message: "新密码必须是6到20位"},
].filter(r=>r) as ValidationRule[],
'ConfirmPassword': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入确认新密码" }, 
    { type: "string", min: 6, max: 20, trigger: 'blur', message: "确认新密码必须6到20字符"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Length(6, 20)
 'OldPassword'
: 
    string; // not enum

//a smart property
    @Length(6, 20)
 'NewPassword'
: 
    string; // not enum

//a smart property
    @Length(6, 20)
 'ConfirmPassword'
: 
    string; // not enum

}

