// FHT Swagger axios client V2


// mark 2 model generic

import { StatExtensionModel } from "../model/StatExtensionModel";


// not an enum
export   interface  ChatStatExtensionModel extends StatExtensionModel  {
 
//a smart property
 'ChatType'
: 
    ChatTypeEnum; //is single enum

//a smart property
 'ChatId'
: 
    number; // not enum

//a smart property
 'IsNew'
: 
    boolean; // not enum

//a smart property
 'OpenMs'
: 
    number; // not enum

//a smart property
 'MyMsgCount'
: 
    number; // not enum

//a smart property
 'OtherMsgCount'
: 
    number; // not enum

//a smart property
 'LastMsgTs'
: 
    number; // not enum

//a smart property
 'OtherUserId'
?
: 
null |
    number; // not enum

//a smart property
 'CSCompanyId'
?
: 
null |
    number; // not enum

//a smart property

//a smart property

//a smart property

}
//export namespace ChatStatExtensionModel 
export enum ChatTypeEnum {
	Tourist = 'Tourist',
	Personal = 'Personal',
	Group = 'Group',
	Meetup = 'Meetup'
}
export enum UserActivityTypeEnum {
	EnterApp = 'EnterApp',
	Register = 'Register',
	Login = 'Login',
	CreateCompany = 'CreateCompany',
	Create = 'Create',
	Update = 'Update',
	ViewDetail = 'ViewDetail',
	Impression = 'Impression',
	ViewList = 'ViewList',
	Search = 'Search',
	Hover = 'Hover',
	Click = 'Click',
	Collect = 'Collect',
	Report = 'Report',
	Chat = 'Chat',
	Forward = 'Forward',
	FriendRequest = 'FriendRequest',
	AcceptFriend = 'AcceptFriend',
	RejectFriend = 'RejectFriend',
	Error = 'Error',
	AuthenticateCompany = 'AuthenticateCompany',
	EnableShop = 'EnableShop',
	CompanyManagement = 'CompanyManagement',
	JoinCompany = 'JoinCompany',
	SwitchTemplate = 'SwitchTemplate'
}

