// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.ChatType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.ChatType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ChatTypeEnum {
    Tourist = "Tourist",
    Personal = "Personal",
    Group = "Group",
    Meetup = "Meetup",
}

export function convertFromChatTypeEnum(e: ChatTypeEnum): number{
    switch(e){
        case ChatTypeEnum.Tourist:
            return 1;
        case ChatTypeEnum.Personal:
            return 2;
        case ChatTypeEnum.Group:
            return 3;
        case ChatTypeEnum.Meetup:
            return 4;
        default:
            throw new Error(`${e} is an invalid ChatTypeEnum`);
    }
}

export function convertToChatTypeEnum(n: number): ChatTypeEnum{
    switch(n){
        case 1:
            return ChatTypeEnum.Tourist;
        case 2:
            return ChatTypeEnum.Personal;
        case 3:
            return ChatTypeEnum.Group;
        case 4:
            return ChatTypeEnum.Meetup;
        default:
            throw new Error(`${n} is an invalid ChatTypeEnum`);
    }
}

export function describeChatTypeEnum(e: ChatTypeEnum): string{
    switch(e){
        case ChatTypeEnum.Tourist:
            return "游客聊";
        case ChatTypeEnum.Personal:
            return "单聊";
        case ChatTypeEnum.Group:
            return "群聊";
        case ChatTypeEnum.Meetup:
            return "一起玩";
        default:
            throw new Error(`${e} is an invalid ChatTypeEnum`);
    }
}


