// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.CmsSettingFilterOptions, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.CmsSettingFilterOptions, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum CmsSettingFilterOptionsEnum {
    All = "All",
    NeedsMigration = "NeedsMigration",
}

export function convertFromCmsSettingFilterOptionsEnum(e: CmsSettingFilterOptionsEnum): number{
    switch(e){
        case CmsSettingFilterOptionsEnum.All:
            return 0;
        case CmsSettingFilterOptionsEnum.NeedsMigration:
            return 1;
        default:
            throw new Error(`${e} is an invalid CmsSettingFilterOptionsEnum`);
    }
}

export function convertToCmsSettingFilterOptionsEnum(n: number): CmsSettingFilterOptionsEnum{
    switch(n){
        case 0:
            return CmsSettingFilterOptionsEnum.All;
        case 1:
            return CmsSettingFilterOptionsEnum.NeedsMigration;
        default:
            throw new Error(`${n} is an invalid CmsSettingFilterOptionsEnum`);
    }
}

export function describeCmsSettingFilterOptionsEnum(e: CmsSettingFilterOptionsEnum): string{
    switch(e){
        case CmsSettingFilterOptionsEnum.All:
            return "全部";
        case CmsSettingFilterOptionsEnum.NeedsMigration:
            return "需要迁移";
        default:
            throw new Error(`${e} is an invalid CmsSettingFilterOptionsEnum`);
    }
}


