// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   CmsSettingInputModel {
public static LABELS = {
    "TemplateUID": "模板编号",
    "TemplateId": "模板编号",
    "SettingJson": "配置内容",
    "LastModified": "修改时间",
}
public static VALIDATORS = {
'CmsSettingId': [

// only-min-range
    
    { type: "number", min: 1, trigger: 'blur', message: "必须不小于1"},
].filter(r=>r) as ValidationRule[],
'CompanyId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "必须不小于1"},
].filter(r=>r) as ValidationRule[],
'TemplateUID': [

// min-max-length
    
    { type: "string", min: 1, max: 50, trigger: 'blur', message: "模板编号必须1到50字符"},
].filter(r=>r) as ValidationRule[],
'TemplateId': [

// min-max-length
    
    { type: "string", min: 1, max: 50, trigger: 'blur', message: "模板编号必须1到50字符"},
].filter(r=>r) as ValidationRule[],
'SettingJson': [

// only-max-length 
    
    { type: "string", max: 2147483647, trigger: 'blur', message: "配置内容最长不超过2147483647字"},
].filter(r=>r) as ValidationRule[],
'LastModified': [

].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
 'CmsSettingId'
    ?
: 
null |
    number; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'CompanyId'
: 
    number; // not enum

//a smart property
    @Length(1, 50)
 'TemplateUID'
    ?
: 
    string; // not enum

//a smart property
    @Length(1, 50)
 'TemplateId'
    ?
: 
    string; // not enum

//a smart property
 'SettingJson'
    ?
: 
    string; // not enum

//a smart property
 'LastModified'
    ?
: 
null |
    Date; // not enum

}

