// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.CommonEmoji, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.CommonEmoji, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum CommonEmojiEnum {
    angry = "angry",
    astonished = "astonished",
    awkward = "awkward",
    awkward_shy = "awkward_shy",
    blush = "blush",
    cash = "cash",
    cold_sweat = "cold_sweat",
    contempt = "contempt",
    cry = "cry",
    depressed = "depressed",
    doubt = "doubt",
    happy = "happy",
    laugh = "laugh",
    laugh_with_tears = "laugh_with_tears",
    laugh_with_teeth = "laugh_with_teeth",
    naughty = "naughty",
    pout = "pout",
    rage = "rage",
    shy = "shy",
    sleep = "sleep",
    smile = "smile",
    sorrow = "sorrow",
    stupefied = "stupefied",
    sun_glasses = "sun_glasses",
    sweat = "sweat",
    tears = "tears",
    think = "think",
    thumb_up = "thumb_up",
    weep = "weep",
    wronged = "wronged",
}

export function convertFromCommonEmojiEnum(e: CommonEmojiEnum): number{
    switch(e){
        case CommonEmojiEnum.angry:
            return 1;
        case CommonEmojiEnum.astonished:
            return 2;
        case CommonEmojiEnum.awkward:
            return 3;
        case CommonEmojiEnum.awkward_shy:
            return 4;
        case CommonEmojiEnum.blush:
            return 5;
        case CommonEmojiEnum.cash:
            return 6;
        case CommonEmojiEnum.cold_sweat:
            return 7;
        case CommonEmojiEnum.contempt:
            return 8;
        case CommonEmojiEnum.cry:
            return 9;
        case CommonEmojiEnum.depressed:
            return 10;
        case CommonEmojiEnum.doubt:
            return 11;
        case CommonEmojiEnum.happy:
            return 12;
        case CommonEmojiEnum.laugh:
            return 13;
        case CommonEmojiEnum.laugh_with_tears:
            return 14;
        case CommonEmojiEnum.laugh_with_teeth:
            return 15;
        case CommonEmojiEnum.naughty:
            return 16;
        case CommonEmojiEnum.pout:
            return 17;
        case CommonEmojiEnum.rage:
            return 18;
        case CommonEmojiEnum.shy:
            return 19;
        case CommonEmojiEnum.sleep:
            return 20;
        case CommonEmojiEnum.smile:
            return 21;
        case CommonEmojiEnum.sorrow:
            return 22;
        case CommonEmojiEnum.stupefied:
            return 23;
        case CommonEmojiEnum.sun_glasses:
            return 24;
        case CommonEmojiEnum.sweat:
            return 25;
        case CommonEmojiEnum.tears:
            return 26;
        case CommonEmojiEnum.think:
            return 27;
        case CommonEmojiEnum.thumb_up:
            return 28;
        case CommonEmojiEnum.weep:
            return 29;
        case CommonEmojiEnum.wronged:
            return 30;
        default:
            throw new Error(`${e} is an invalid CommonEmojiEnum`);
    }
}

export function convertToCommonEmojiEnum(n: number): CommonEmojiEnum{
    switch(n){
        case 1:
            return CommonEmojiEnum.angry;
        case 2:
            return CommonEmojiEnum.astonished;
        case 3:
            return CommonEmojiEnum.awkward;
        case 4:
            return CommonEmojiEnum.awkward_shy;
        case 5:
            return CommonEmojiEnum.blush;
        case 6:
            return CommonEmojiEnum.cash;
        case 7:
            return CommonEmojiEnum.cold_sweat;
        case 8:
            return CommonEmojiEnum.contempt;
        case 9:
            return CommonEmojiEnum.cry;
        case 10:
            return CommonEmojiEnum.depressed;
        case 11:
            return CommonEmojiEnum.doubt;
        case 12:
            return CommonEmojiEnum.happy;
        case 13:
            return CommonEmojiEnum.laugh;
        case 14:
            return CommonEmojiEnum.laugh_with_tears;
        case 15:
            return CommonEmojiEnum.laugh_with_teeth;
        case 16:
            return CommonEmojiEnum.naughty;
        case 17:
            return CommonEmojiEnum.pout;
        case 18:
            return CommonEmojiEnum.rage;
        case 19:
            return CommonEmojiEnum.shy;
        case 20:
            return CommonEmojiEnum.sleep;
        case 21:
            return CommonEmojiEnum.smile;
        case 22:
            return CommonEmojiEnum.sorrow;
        case 23:
            return CommonEmojiEnum.stupefied;
        case 24:
            return CommonEmojiEnum.sun_glasses;
        case 25:
            return CommonEmojiEnum.sweat;
        case 26:
            return CommonEmojiEnum.tears;
        case 27:
            return CommonEmojiEnum.think;
        case 28:
            return CommonEmojiEnum.thumb_up;
        case 29:
            return CommonEmojiEnum.weep;
        case 30:
            return CommonEmojiEnum.wronged;
        default:
            throw new Error(`${n} is an invalid CommonEmojiEnum`);
    }
}

export function describeCommonEmojiEnum(e: CommonEmojiEnum): string{
    switch(e){
        case CommonEmojiEnum.angry:
            return "生气";
        case CommonEmojiEnum.astonished:
            return "惊讶";
        case CommonEmojiEnum.awkward:
            return "尴尬";
        case CommonEmojiEnum.awkward_shy:
            return "尴尬又害羞";
        case CommonEmojiEnum.blush:
            return "脸红";
        case CommonEmojiEnum.cash:
            return "现金";
        case CommonEmojiEnum.cold_sweat:
            return "冷汗";
        case CommonEmojiEnum.contempt:
            return "蔑视";
        case CommonEmojiEnum.cry:
            return "哭";
        case CommonEmojiEnum.depressed:
            return "沮丧";
        case CommonEmojiEnum.doubt:
            return "疑问";
        case CommonEmojiEnum.happy:
            return "可爱";
        case CommonEmojiEnum.laugh:
            return "大笑";
        case CommonEmojiEnum.laugh_with_tears:
            return "大笑笑哭";
        case CommonEmojiEnum.laugh_with_teeth:
            return "嘻嘻";
        case CommonEmojiEnum.naughty:
            return "调皮";
        case CommonEmojiEnum.pout:
            return "噘嘴";
        case CommonEmojiEnum.rage:
            return "愤怒";
        case CommonEmojiEnum.shy:
            return "害羞";
        case CommonEmojiEnum.sleep:
            return "困";
        case CommonEmojiEnum.smile:
            return "微笑";
        case CommonEmojiEnum.sorrow:
            return "悲伤";
        case CommonEmojiEnum.stupefied:
            return "惊呆了";
        case CommonEmojiEnum.sun_glasses:
            return "酷";
        case CommonEmojiEnum.sweat:
            return "流汗";
        case CommonEmojiEnum.tears:
            return "大哭";
        case CommonEmojiEnum.think:
            return "思考";
        case CommonEmojiEnum.thumb_up:
            return "点赞";
        case CommonEmojiEnum.weep:
            return "快哭了";
        case CommonEmojiEnum.wronged:
            return "委屈";
        default:
            throw new Error(`${e} is an invalid CommonEmojiEnum`);
    }
}


