// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   CoreIndustryInputModel {
public static LABELS = {
    "IndustryName": "行业",
    "IndustryId": "行业",
}
public static VALIDATORS = {
'IndustryName': [

// only-max-length 
    
    { type: "string", max: 20, trigger: 'blur', message: "行业最长不超过20字"},
].filter(r=>r) as ValidationRule[],
'IndustryId': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "请输入行业" }, 
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "请选择行业！"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'IndustryName'
    ?
: 
    string; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'IndustryId'
: 
    number; // not enum

}

