// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   CreateSmsVerificationCodeInputModel {
public static LABELS = {
    "Mobile": "手机号",
}
public static VALIDATORS = {
'Mobile': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入手机号" }, 
    { type: "string", min: 11, max: 11, trigger: 'blur', message: "手机号必须11位数字"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
    @Length(11, 11)
 'Mobile'
: 
    string; // not enum

}

