// FHT Swagger axios client V2


// mark 2 model generic

import { NavigationContentInputModelBase } from "../model/NavigationContentInputModelBase";

import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   CustomCategoryNavigationContentInputModel extends NavigationContentInputModelBase  {
public static LABELS = {
    "CustomCategoryId": "自定义分类",
    "ContentType": "导航类型",
}
public static VALIDATORS = {
'CustomCategoryId': [

// only-min-range
     { type: "number", required: true, trigger: 'blur', message: "必须输入自定义分类" }, 
    { type: "number", min: 1, trigger: 'blur', message: "自定义分类必须不小于1"},
].filter(r=>r) as ValidationRule[],
'ContentType': [

].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
 'CustomCategoryId'
: 
    number; // not enum

//a smart property

}
//export namespace CustomCategoryNavigationContentInputModel 
export enum NavigationContentTypeEnum {
	Preset = 'Preset',
	CustomPage = 'CustomPage',
	ArticleType = 'ArticleType',
	Url = 'Url',
	CustomCategory = 'CustomCategory'
}

