// FHT Swagger axios client V2


/**
 * FHT.Core.Web.Models.EnterpriseCenterMenu, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.Web.Models.EnterpriseCenterMenu, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum EnterpriseCenterMenuEnum {
    EnterpriseHome = "EnterpriseHome",
    ProductManagement = "ProductManagement",
    ProductList = "ProductList",
    CompanyManagement = "CompanyManagement",
    CompanyAuthentication = "CompanyAuthentication",
    CompanyProfile = "CompanyProfile",
    FriendlyLink = "FriendlyLink",
    CreateArticle = "CreateArticle",
    SiteRenovation = "SiteRenovation",
    EditNavigations = "EditNavigations",
    MemberManagement = "MemberManagement",
    MemberInvitations = "MemberInvitations",
    MemberApplications = "MemberApplications",
    Statistics = "Statistics",
    EditArticleTypes = "EditArticleTypes",
    ArticleList = "ArticleList",
    SelectTemplate = "SelectTemplate",
    CreateProduct = "CreateProduct",
    EditCustomCategories = "EditCustomCategories",
    SEOSetting = "SEOSetting",
    ArticleManagement = "ArticleManagement",
    SiteExamination = "SiteExamination",
    CreateProductFinished = "CreateProductFinished",
    CreateArticleFinished = "CreateArticleFinished",
}

export function convertFromEnterpriseCenterMenuEnum(e: EnterpriseCenterMenuEnum): number{
    switch(e){
        case EnterpriseCenterMenuEnum.EnterpriseHome:
            return 1;
        case EnterpriseCenterMenuEnum.ProductManagement:
            return 2;
        case EnterpriseCenterMenuEnum.ProductList:
            return 3;
        case EnterpriseCenterMenuEnum.CompanyManagement:
            return 4;
        case EnterpriseCenterMenuEnum.CompanyAuthentication:
            return 5;
        case EnterpriseCenterMenuEnum.CompanyProfile:
            return 6;
        case EnterpriseCenterMenuEnum.FriendlyLink:
            return 7;
        case EnterpriseCenterMenuEnum.CreateArticle:
            return 8;
        case EnterpriseCenterMenuEnum.SiteRenovation:
            return 9;
        case EnterpriseCenterMenuEnum.EditNavigations:
            return 10;
        case EnterpriseCenterMenuEnum.MemberManagement:
            return 11;
        case EnterpriseCenterMenuEnum.MemberInvitations:
            return 12;
        case EnterpriseCenterMenuEnum.MemberApplications:
            return 13;
        case EnterpriseCenterMenuEnum.Statistics:
            return 15;
        case EnterpriseCenterMenuEnum.EditArticleTypes:
            return 16;
        case EnterpriseCenterMenuEnum.ArticleList:
            return 17;
        case EnterpriseCenterMenuEnum.SelectTemplate:
            return 18;
        case EnterpriseCenterMenuEnum.CreateProduct:
            return 20;
        case EnterpriseCenterMenuEnum.EditCustomCategories:
            return 21;
        case EnterpriseCenterMenuEnum.SEOSetting:
            return 23;
        case EnterpriseCenterMenuEnum.ArticleManagement:
            return 24;
        case EnterpriseCenterMenuEnum.SiteExamination:
            return 25;
        case EnterpriseCenterMenuEnum.CreateProductFinished:
            return 26;
        case EnterpriseCenterMenuEnum.CreateArticleFinished:
            return 27;
        default:
            throw new Error(`${e} is an invalid EnterpriseCenterMenuEnum`);
    }
}

export function convertToEnterpriseCenterMenuEnum(n: number): EnterpriseCenterMenuEnum{
    switch(n){
        case 1:
            return EnterpriseCenterMenuEnum.EnterpriseHome;
        case 2:
            return EnterpriseCenterMenuEnum.ProductManagement;
        case 3:
            return EnterpriseCenterMenuEnum.ProductList;
        case 4:
            return EnterpriseCenterMenuEnum.CompanyManagement;
        case 5:
            return EnterpriseCenterMenuEnum.CompanyAuthentication;
        case 6:
            return EnterpriseCenterMenuEnum.CompanyProfile;
        case 7:
            return EnterpriseCenterMenuEnum.FriendlyLink;
        case 8:
            return EnterpriseCenterMenuEnum.CreateArticle;
        case 9:
            return EnterpriseCenterMenuEnum.SiteRenovation;
        case 10:
            return EnterpriseCenterMenuEnum.EditNavigations;
        case 11:
            return EnterpriseCenterMenuEnum.MemberManagement;
        case 12:
            return EnterpriseCenterMenuEnum.MemberInvitations;
        case 13:
            return EnterpriseCenterMenuEnum.MemberApplications;
        case 15:
            return EnterpriseCenterMenuEnum.Statistics;
        case 16:
            return EnterpriseCenterMenuEnum.EditArticleTypes;
        case 17:
            return EnterpriseCenterMenuEnum.ArticleList;
        case 18:
            return EnterpriseCenterMenuEnum.SelectTemplate;
        case 20:
            return EnterpriseCenterMenuEnum.CreateProduct;
        case 21:
            return EnterpriseCenterMenuEnum.EditCustomCategories;
        case 23:
            return EnterpriseCenterMenuEnum.SEOSetting;
        case 24:
            return EnterpriseCenterMenuEnum.ArticleManagement;
        case 25:
            return EnterpriseCenterMenuEnum.SiteExamination;
        case 26:
            return EnterpriseCenterMenuEnum.CreateProductFinished;
        case 27:
            return EnterpriseCenterMenuEnum.CreateArticleFinished;
        default:
            throw new Error(`${n} is an invalid EnterpriseCenterMenuEnum`);
    }
}

export function describeEnterpriseCenterMenuEnum(e: EnterpriseCenterMenuEnum): string{
    switch(e){
        case EnterpriseCenterMenuEnum.EnterpriseHome:
            return "企业首页";
        case EnterpriseCenterMenuEnum.ProductManagement:
            return "产品管理";
        case EnterpriseCenterMenuEnum.ProductList:
            return "产品列表";
        case EnterpriseCenterMenuEnum.CompanyManagement:
            return "企业管理";
        case EnterpriseCenterMenuEnum.CompanyAuthentication:
            return "企业认证";
        case EnterpriseCenterMenuEnum.CompanyProfile:
            return "公司资料";
        case EnterpriseCenterMenuEnum.FriendlyLink:
            return "友情链接管理";
        case EnterpriseCenterMenuEnum.CreateArticle:
            return "发布文章";
        case EnterpriseCenterMenuEnum.SiteRenovation:
            return "商铺装修";
        case EnterpriseCenterMenuEnum.EditNavigations:
            return "导航栏设置";
        case EnterpriseCenterMenuEnum.MemberManagement:
            return "我的企业";
        case EnterpriseCenterMenuEnum.MemberInvitations:
            return "成员邀请";
        case EnterpriseCenterMenuEnum.MemberApplications:
            return "成员申请";
        case EnterpriseCenterMenuEnum.Statistics:
            return "数据统计";
        case EnterpriseCenterMenuEnum.EditArticleTypes:
            return "文章分类设置";
        case EnterpriseCenterMenuEnum.ArticleList:
            return "文章列表";
        case EnterpriseCenterMenuEnum.SelectTemplate:
            return "选择模板";
        case EnterpriseCenterMenuEnum.CreateProduct:
            return "发布产品";
        case EnterpriseCenterMenuEnum.EditCustomCategories:
            return "产品分类设置";
        case EnterpriseCenterMenuEnum.SEOSetting:
            return "SEO功能";
        case EnterpriseCenterMenuEnum.ArticleManagement:
            return "文章管理";
        case EnterpriseCenterMenuEnum.SiteExamination:
            return "站点体检";
        case EnterpriseCenterMenuEnum.CreateProductFinished:
            return "产品发布成功";
        case EnterpriseCenterMenuEnum.CreateArticleFinished:
            return "文章发布成功";
        default:
            throw new Error(`${e} is an invalid EnterpriseCenterMenuEnum`);
    }
}


