// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.FhtConstants, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.FhtConstants, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum FhtConstantsEnum {
    CustomerServicePhoneNumber = "CustomerServicePhoneNumber",
}

export function convertFromFhtConstantsEnum(e: FhtConstantsEnum): number{
    switch(e){
        case FhtConstantsEnum.CustomerServicePhoneNumber:
            return 1;
        default:
            throw new Error(`${e} is an invalid FhtConstantsEnum`);
    }
}

export function convertToFhtConstantsEnum(n: number): FhtConstantsEnum{
    switch(n){
        case 1:
            return FhtConstantsEnum.CustomerServicePhoneNumber;
        default:
            throw new Error(`${n} is an invalid FhtConstantsEnum`);
    }
}

export function describeFhtConstantsEnum(e: FhtConstantsEnum): string{
    switch(e){
        case FhtConstantsEnum.CustomerServicePhoneNumber:
            return "0519-68688008";
        default:
            throw new Error(`${e} is an invalid FhtConstantsEnum`);
    }
}


