// FHT Swagger axios client V2


/**
 * FHT.FhtWebCompanyHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.FhtWebCompanyHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum FhtWebCompanyHostTypeEnum {
    Local = "Local",
    Development = "Development",
    MobileDevelopment = "MobileDevelopment",
    Staging = "Staging",
    Production = "Production",
}

export function convertFromFhtWebCompanyHostTypeEnum(e: FhtWebCompanyHostTypeEnum): number{
    switch(e){
        case FhtWebCompanyHostTypeEnum.Local:
            return 1;
        case FhtWebCompanyHostTypeEnum.Development:
            return 2;
        case FhtWebCompanyHostTypeEnum.MobileDevelopment:
            return 3;
        case FhtWebCompanyHostTypeEnum.Staging:
            return 4;
        case FhtWebCompanyHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid FhtWebCompanyHostTypeEnum`);
    }
}

export function convertToFhtWebCompanyHostTypeEnum(n: number): FhtWebCompanyHostTypeEnum{
    switch(n){
        case 1:
            return FhtWebCompanyHostTypeEnum.Local;
        case 2:
            return FhtWebCompanyHostTypeEnum.Development;
        case 3:
            return FhtWebCompanyHostTypeEnum.MobileDevelopment;
        case 4:
            return FhtWebCompanyHostTypeEnum.Staging;
        case 5:
            return FhtWebCompanyHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid FhtWebCompanyHostTypeEnum`);
    }
}

export function describeFhtWebCompanyHostTypeEnum(e: FhtWebCompanyHostTypeEnum): string{
    switch(e){
        case FhtWebCompanyHostTypeEnum.Local:
            return "http://localhost:5002";
        case FhtWebCompanyHostTypeEnum.Development:
            return "http://company.developmentfht360web.com";
        case FhtWebCompanyHostTypeEnum.MobileDevelopment:
            return "http://company.mobiledevelopmentfht360web.com";
        case FhtWebCompanyHostTypeEnum.Staging:
            return "http://company.stagingfht360web.com";
        case FhtWebCompanyHostTypeEnum.Production:
            return "https://company.fht360.com";
        default:
            throw new Error(`${e} is an invalid FhtWebCompanyHostTypeEnum`);
    }
}


