// FHT Swagger axios client V2


/**
 * FHT.FhtWebMobileCompanyHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.FhtWebMobileCompanyHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum FhtWebMobileCompanyHostTypeEnum {
    Local = "Local",
    Development = "Development",
    MobileDevelopment = "MobileDevelopment",
    Staging = "Staging",
    Production = "Production",
}

export function convertFromFhtWebMobileCompanyHostTypeEnum(e: FhtWebMobileCompanyHostTypeEnum): number{
    switch(e){
        case FhtWebMobileCompanyHostTypeEnum.Local:
            return 1;
        case FhtWebMobileCompanyHostTypeEnum.Development:
            return 2;
        case FhtWebMobileCompanyHostTypeEnum.MobileDevelopment:
            return 3;
        case FhtWebMobileCompanyHostTypeEnum.Staging:
            return 4;
        case FhtWebMobileCompanyHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid FhtWebMobileCompanyHostTypeEnum`);
    }
}

export function convertToFhtWebMobileCompanyHostTypeEnum(n: number): FhtWebMobileCompanyHostTypeEnum{
    switch(n){
        case 1:
            return FhtWebMobileCompanyHostTypeEnum.Local;
        case 2:
            return FhtWebMobileCompanyHostTypeEnum.Development;
        case 3:
            return FhtWebMobileCompanyHostTypeEnum.MobileDevelopment;
        case 4:
            return FhtWebMobileCompanyHostTypeEnum.Staging;
        case 5:
            return FhtWebMobileCompanyHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid FhtWebMobileCompanyHostTypeEnum`);
    }
}

export function describeFhtWebMobileCompanyHostTypeEnum(e: FhtWebMobileCompanyHostTypeEnum): string{
    switch(e){
        case FhtWebMobileCompanyHostTypeEnum.Local:
            return "http://localhost:8001";
        case FhtWebMobileCompanyHostTypeEnum.Development:
            return "http://wap.developmentfht360web.com";
        case FhtWebMobileCompanyHostTypeEnum.MobileDevelopment:
            return "http://wap.mobiledevelopmentfht360web.com";
        case FhtWebMobileCompanyHostTypeEnum.Staging:
            return "http://wap.stagingfht360web.com";
        case FhtWebMobileCompanyHostTypeEnum.Production:
            return "https://wap.fht360.com";
        default:
            throw new Error(`${e} is an invalid FhtWebMobileCompanyHostTypeEnum`);
    }
}


