// FHT Swagger axios client V2


/**
 * FHT.Statistics.Interfaces.InputModels.ForwardPlatform, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Statistics.Interfaces.InputModels.ForwardPlatform, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ForwardPlatformEnum {
    Feige = "Feige",
    WeixinFriend = "WeixinFriend",
    WeixinZone = "WeixinZone",
    QQFriend = "QQFriend",
    QQZone = "QQZone",
    SinaWeibo = "SinaWeibo",
    Other = "Other",
}

export function convertFromForwardPlatformEnum(e: ForwardPlatformEnum): number{
    switch(e){
        case ForwardPlatformEnum.Feige:
            return 1;
        case ForwardPlatformEnum.WeixinFriend:
            return 2;
        case ForwardPlatformEnum.WeixinZone:
            return 3;
        case ForwardPlatformEnum.QQFriend:
            return 4;
        case ForwardPlatformEnum.QQZone:
            return 5;
        case ForwardPlatformEnum.SinaWeibo:
            return 6;
        case ForwardPlatformEnum.Other:
            return 255;
        default:
            throw new Error(`${e} is an invalid ForwardPlatformEnum`);
    }
}

export function convertToForwardPlatformEnum(n: number): ForwardPlatformEnum{
    switch(n){
        case 1:
            return ForwardPlatformEnum.Feige;
        case 2:
            return ForwardPlatformEnum.WeixinFriend;
        case 3:
            return ForwardPlatformEnum.WeixinZone;
        case 4:
            return ForwardPlatformEnum.QQFriend;
        case 5:
            return ForwardPlatformEnum.QQZone;
        case 6:
            return ForwardPlatformEnum.SinaWeibo;
        case 255:
            return ForwardPlatformEnum.Other;
        default:
            throw new Error(`${n} is an invalid ForwardPlatformEnum`);
    }
}

export function describeForwardPlatformEnum(e: ForwardPlatformEnum): string{
    switch(e){
        case ForwardPlatformEnum.Feige:
            return "飞鸽联动";
        case ForwardPlatformEnum.WeixinFriend:
            return "微信好友";
        case ForwardPlatformEnum.WeixinZone:
            return "微信朋友圈";
        case ForwardPlatformEnum.QQFriend:
            return "QQ好友";
        case ForwardPlatformEnum.QQZone:
            return "QQ空间";
        case ForwardPlatformEnum.SinaWeibo:
            return "新浪微博";
        case ForwardPlatformEnum.Other:
            return "其他";
        default:
            throw new Error(`${e} is an invalid ForwardPlatformEnum`);
    }
}


