// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.Gender, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.Gender, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum GenderEnum {
    Male = "Male",
    Female = "Female",
}

export function convertFromGenderEnum(e: GenderEnum): number{
    switch(e){
        case GenderEnum.Male:
            return 1;
        case GenderEnum.Female:
            return 2;
        default:
            throw new Error(`${e} is an invalid GenderEnum`);
    }
}

export function convertToGenderEnum(n: number): GenderEnum{
    switch(n){
        case 1:
            return GenderEnum.Male;
        case 2:
            return GenderEnum.Female;
        default:
            throw new Error(`${n} is an invalid GenderEnum`);
    }
}

export function describeGenderEnum(e: GenderEnum): string{
    switch(e){
        case GenderEnum.Male:
            return "男";
        case GenderEnum.Female:
            return "女";
        default:
            throw new Error(`${e} is an invalid GenderEnum`);
    }
}


