// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   GeoAddressInputModel {
public static LABELS = {
    "PoiName": "Poi名称",
    "PoiDetail": "详细地址",
}
public static VALIDATORS = {
'PoiName': [

// only-max-length 
    
    { type: "string", max: 50, trigger: 'blur', message: "Poi名称最长不超过50字"},
].filter(r=>r) as ValidationRule[],
'PoiDetail': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "详细地址最长不超过200字"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'PoiName'
    ?
: 
    string; // not enum

//a smart property
 'PoiDetail'
    ?
: 
    string; // not enum

}

