// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.ImageSizeType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.ImageSizeType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ImageSizeTypeEnum {
    Large = "Large",
    Thumbnail44whFill = "Thumbnail44whFill",
    Thumbnail100whFill = "Thumbnail100whFill",
    Thumbnail200whFill = "Thumbnail200whFill",
    Thumbnail300whFill = "Thumbnail300whFill",
    Thumbnail400_300whFill = "Thumbnail400_300whFill",
    Thumbnail100wh7rFill = "Thumbnail100wh7rFill",
    Thumbnail80wh40crFill = "Thumbnail80wh40crFill",
    Thumbnail200w = "Thumbnail200w",
    Thumbnail200whFit = "Thumbnail200whFit",
    Thumbnail750_440whFill = "Thumbnail750_440whFill",
    Thumbnail1920_500whFill = "Thumbnail1920_500whFill",
    Thumbnail1600_500whFill = "Thumbnail1600_500whFill",
    Thumbnail1440_500whFill = "Thumbnail1440_500whFill",
    Thumbnail1280_500whFill = "Thumbnail1280_500whFill",
    Thumbnail440whFill = "Thumbnail440whFill",
    Thumbnail500hAlpha = "Thumbnail500hAlpha",
    Thumbnail120_60whLongSideAlpha = "Thumbnail120_60whLongSideAlpha",
    Thumbnail100whLongSideAlpha = "Thumbnail100whLongSideAlpha",
    Thumbnail80whAlphaFit = "Thumbnail80whAlphaFit",
    Thumbnail200whAlphaFill = "Thumbnail200whAlphaFill",
    AssetsOrigin = "AssetsOrigin",
    AssetsGif = "AssetsGif",
}

export function convertFromImageSizeTypeEnum(e: ImageSizeTypeEnum): number{
    switch(e){
        case ImageSizeTypeEnum.Large:
            return 0;
        case ImageSizeTypeEnum.Thumbnail44whFill:
            return 1;
        case ImageSizeTypeEnum.Thumbnail100whFill:
            return 2;
        case ImageSizeTypeEnum.Thumbnail200whFill:
            return 3;
        case ImageSizeTypeEnum.Thumbnail300whFill:
            return 4;
        case ImageSizeTypeEnum.Thumbnail400_300whFill:
            return 5;
        case ImageSizeTypeEnum.Thumbnail100wh7rFill:
            return 6;
        case ImageSizeTypeEnum.Thumbnail80wh40crFill:
            return 7;
        case ImageSizeTypeEnum.Thumbnail200w:
            return 8;
        case ImageSizeTypeEnum.Thumbnail200whFit:
            return 9;
        case ImageSizeTypeEnum.Thumbnail750_440whFill:
            return 10;
        case ImageSizeTypeEnum.Thumbnail1920_500whFill:
            return 11;
        case ImageSizeTypeEnum.Thumbnail1600_500whFill:
            return 12;
        case ImageSizeTypeEnum.Thumbnail1440_500whFill:
            return 13;
        case ImageSizeTypeEnum.Thumbnail1280_500whFill:
            return 14;
        case ImageSizeTypeEnum.Thumbnail440whFill:
            return 15;
        case ImageSizeTypeEnum.Thumbnail500hAlpha:
            return 16;
        case ImageSizeTypeEnum.Thumbnail120_60whLongSideAlpha:
            return 17;
        case ImageSizeTypeEnum.Thumbnail100whLongSideAlpha:
            return 18;
        case ImageSizeTypeEnum.Thumbnail80whAlphaFit:
            return 19;
        case ImageSizeTypeEnum.Thumbnail200whAlphaFill:
            return 20;
        case ImageSizeTypeEnum.AssetsOrigin:
            return 21;
        case ImageSizeTypeEnum.AssetsGif:
            return 22;
        default:
            throw new Error(`${e} is an invalid ImageSizeTypeEnum`);
    }
}

export function convertToImageSizeTypeEnum(n: number): ImageSizeTypeEnum{
    switch(n){
        case 0:
            return ImageSizeTypeEnum.Large;
        case 1:
            return ImageSizeTypeEnum.Thumbnail44whFill;
        case 2:
            return ImageSizeTypeEnum.Thumbnail100whFill;
        case 3:
            return ImageSizeTypeEnum.Thumbnail200whFill;
        case 4:
            return ImageSizeTypeEnum.Thumbnail300whFill;
        case 5:
            return ImageSizeTypeEnum.Thumbnail400_300whFill;
        case 6:
            return ImageSizeTypeEnum.Thumbnail100wh7rFill;
        case 7:
            return ImageSizeTypeEnum.Thumbnail80wh40crFill;
        case 8:
            return ImageSizeTypeEnum.Thumbnail200w;
        case 9:
            return ImageSizeTypeEnum.Thumbnail200whFit;
        case 10:
            return ImageSizeTypeEnum.Thumbnail750_440whFill;
        case 11:
            return ImageSizeTypeEnum.Thumbnail1920_500whFill;
        case 12:
            return ImageSizeTypeEnum.Thumbnail1600_500whFill;
        case 13:
            return ImageSizeTypeEnum.Thumbnail1440_500whFill;
        case 14:
            return ImageSizeTypeEnum.Thumbnail1280_500whFill;
        case 15:
            return ImageSizeTypeEnum.Thumbnail440whFill;
        case 16:
            return ImageSizeTypeEnum.Thumbnail500hAlpha;
        case 17:
            return ImageSizeTypeEnum.Thumbnail120_60whLongSideAlpha;
        case 18:
            return ImageSizeTypeEnum.Thumbnail100whLongSideAlpha;
        case 19:
            return ImageSizeTypeEnum.Thumbnail80whAlphaFit;
        case 20:
            return ImageSizeTypeEnum.Thumbnail200whAlphaFill;
        case 21:
            return ImageSizeTypeEnum.AssetsOrigin;
        case 22:
            return ImageSizeTypeEnum.AssetsGif;
        default:
            throw new Error(`${n} is an invalid ImageSizeTypeEnum`);
    }
}

export function describeImageSizeTypeEnum(e: ImageSizeTypeEnum): string{
    switch(e){
        case ImageSizeTypeEnum.Large:
            return "@!large";
        case ImageSizeTypeEnum.Thumbnail44whFill:
            return "@!44wh-fill";
        case ImageSizeTypeEnum.Thumbnail100whFill:
            return "@!100wh-fill";
        case ImageSizeTypeEnum.Thumbnail200whFill:
            return "@!200wh-fill";
        case ImageSizeTypeEnum.Thumbnail300whFill:
            return "@!300wh-fill";
        case ImageSizeTypeEnum.Thumbnail400_300whFill:
            return "@!400-300wh-fill";
        case ImageSizeTypeEnum.Thumbnail100wh7rFill:
            return "@!100wh7r-fill";
        case ImageSizeTypeEnum.Thumbnail80wh40crFill:
            return "@!80wh40cr-fill";
        case ImageSizeTypeEnum.Thumbnail200w:
            return "@!200w";
        case ImageSizeTypeEnum.Thumbnail200whFit:
            return "@!200wh-fit";
        case ImageSizeTypeEnum.Thumbnail750_440whFill:
            return "@!750-440wh-fill";
        case ImageSizeTypeEnum.Thumbnail1920_500whFill:
            return "@!1920-500wh-fill";
        case ImageSizeTypeEnum.Thumbnail1600_500whFill:
            return "@!1600-500wh-fill";
        case ImageSizeTypeEnum.Thumbnail1440_500whFill:
            return "@!1440-500wh-fill";
        case ImageSizeTypeEnum.Thumbnail1280_500whFill:
            return "@!1280-500wh-fill";
        case ImageSizeTypeEnum.Thumbnail440whFill:
            return "@!440wh-fill";
        case ImageSizeTypeEnum.Thumbnail500hAlpha:
            return "@!500ha";
        case ImageSizeTypeEnum.Thumbnail120_60whLongSideAlpha:
            return "@!120-60whla";
        case ImageSizeTypeEnum.Thumbnail100whLongSideAlpha:
            return "@!100whla";
        case ImageSizeTypeEnum.Thumbnail80whAlphaFit:
            return "@!80wha-fit";
        case ImageSizeTypeEnum.Thumbnail200whAlphaFill:
            return "@!200wha-fill";
        case ImageSizeTypeEnum.AssetsOrigin:
            return "@!origin";
        case ImageSizeTypeEnum.AssetsGif:
            return "@!gif";
        default:
            throw new Error(`${e} is an invalid ImageSizeTypeEnum`);
    }
}


