// FHT Swagger axios client V2


// mark 2 model generic



// not an enum
export   interface  Impression {
 
//a smart property
 'ItemType'
: 
    GenericItemTypeEnum; //is single enum

//a smart property
 'Id'
: 
    number; // not enum

//a smart property
 'OwnerId'
?
: 
null |
    number; // not enum

//a smart property
 'ContextKey'
?
: 
null |
    ContextKeyEnum; //is single enum

}
//export namespace Impression 
export enum GenericItemTypeEnum {
	Product = 'Product',
	TopicPost = 'TopicPost',
	User = 'User',
	Company = 'Company',
	Meetup = 'Meetup',
	Article = 'Article'
}
export enum ContextKeyEnum {
	WHmRecentts = 'w_hm_recentts',
	WHmNearbyts = 'w_hm_nearbyts',
	WHmActivecs = 'w_hm_activecs',
	WHmNearbycs = 'w_hm_nearbycs',
	WPlMain = 'w_pl_main',
	WPlRecentts = 'w_pl_recentts',
	WPlRelatedts = 'w_pl_relatedts',
	WPlMobileps = 'w_pl_mobileps',
	WPsMain = 'w_ps_main',
	WPsRelatedts = 'w_ps_relatedts',
	WPsRelatedcs = 'w_ps_relatedcs',
	WPsMobileps = 'w_ps_mobileps',
	WPdMain = 'w_pd_main',
	WPdRelatedps = 'w_pd_relatedps',
	WPdRelatedts = 'w_pd_relatedts',
	WPdRelatedcs = 'w_pd_relatedcs',
	WTlMain = 'w_tl_main',
	WTlRecentts = 'w_tl_recentts',
	WTlActiveus = 'w_tl_activeus',
	WTsMain = 'w_ts_main',
	WTsRelatedts = 'w_ts_relatedts',
	WTsActiveus = 'w_ts_activeus',
	WTdMain = 'w_td_main',
	WTdRelatedus = 'w_td_relatedus',
	WTdRelatedts = 'w_td_relatedts',
	WUdTs = 'w_ud_ts',
	WUdIndustryus = 'w_ud_industryus',
	CmsHome = 'cms_home',
	CmsPl = 'cms_pl',
	CmsAl = 'cms_al'
}

