// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.InviteRequestStatus, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.InviteRequestStatus, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum InviteRequestStatusEnum {
    Inviting = "Inviting",
    Accepted = "Accepted",
    Rejected = "Rejected",
    Canceled = "Canceled",
}

export function convertFromInviteRequestStatusEnum(e: InviteRequestStatusEnum): number{
    switch(e){
        case InviteRequestStatusEnum.Inviting:
            return 1;
        case InviteRequestStatusEnum.Accepted:
            return 2;
        case InviteRequestStatusEnum.Rejected:
            return 3;
        case InviteRequestStatusEnum.Canceled:
            return 4;
        default:
            throw new Error(`${e} is an invalid InviteRequestStatusEnum`);
    }
}

export function convertToInviteRequestStatusEnum(n: number): InviteRequestStatusEnum{
    switch(n){
        case 1:
            return InviteRequestStatusEnum.Inviting;
        case 2:
            return InviteRequestStatusEnum.Accepted;
        case 3:
            return InviteRequestStatusEnum.Rejected;
        case 4:
            return InviteRequestStatusEnum.Canceled;
        default:
            throw new Error(`${n} is an invalid InviteRequestStatusEnum`);
    }
}

export function describeInviteRequestStatusEnum(e: InviteRequestStatusEnum): string{
    switch(e){
        case InviteRequestStatusEnum.Inviting:
            return "邀请中";
        case InviteRequestStatusEnum.Accepted:
            return "已同意";
        case InviteRequestStatusEnum.Rejected:
            return "已拒绝";
        case InviteRequestStatusEnum.Canceled:
            return "已取消";
        default:
            throw new Error(`${e} is an invalid InviteRequestStatusEnum`);
    }
}


