// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.KeywordStatus, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.KeywordStatus, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum KeywordStatusEnum {
    Deleted = "Deleted",
    InUse = "InUse",
    NotUsedAnyMore = "NotUsedAnyMore",
}

export function convertFromKeywordStatusEnum(e: KeywordStatusEnum): number{
    switch(e){
        case KeywordStatusEnum.Deleted:
            return 1;
        case KeywordStatusEnum.InUse:
            return 2;
        case KeywordStatusEnum.NotUsedAnyMore:
            return 3;
        default:
            throw new Error(`${e} is an invalid KeywordStatusEnum`);
    }
}

export function convertToKeywordStatusEnum(n: number): KeywordStatusEnum{
    switch(n){
        case 1:
            return KeywordStatusEnum.Deleted;
        case 2:
            return KeywordStatusEnum.InUse;
        case 3:
            return KeywordStatusEnum.NotUsedAnyMore;
        default:
            throw new Error(`${n} is an invalid KeywordStatusEnum`);
    }
}

export function describeKeywordStatusEnum(e: KeywordStatusEnum): string{
    switch(e){
        case KeywordStatusEnum.Deleted:
            return "删除";
        case KeywordStatusEnum.InUse:
            return "启用";
        case KeywordStatusEnum.NotUsedAnyMore:
            return "禁用";
        default:
            throw new Error(`${e} is an invalid KeywordStatusEnum`);
    }
}


