// FHT Swagger axios client V2


// mark 2 model generic

import { PaginationInputModel } from "../model/PaginationInputModel";

import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   LimitedPaginationInputModel extends PaginationInputModel  {
public static LABELS = {
    "Limit": "每页数据总数",
    "CurrPage": "页码",
}
public static VALIDATORS = {
'Limit': [

// min-max-range
    
    { type: "number",  min: 1, max: 100, trigger: 'blur', message: "每页最多取1条数据"},
].filter(r=>r) as ValidationRule[],
'CurrPage': [

// min-max-range
    
    { type: "number",  min: 1, max: 10000, trigger: 'blur', message: "页码必须为1与10000之间"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property

//a smart property

}

