// FHT Swagger axios client V2


/**
 * IO.Nswag.Cms.LinkType, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * IO.Nswag.Cms.LinkType, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum LinkTypeEnum {
    None = "None",
    Product = "Product",
    ArticleType = "ArticleType",
    Article = "Article",
    CustomCategory = "CustomCategory",
}

export function convertFromLinkTypeEnum(e: LinkTypeEnum): number{
    switch(e){
        case LinkTypeEnum.None:
            return 1;
        case LinkTypeEnum.Product:
            return 2;
        case LinkTypeEnum.ArticleType:
            return 3;
        case LinkTypeEnum.Article:
            return 4;
        case LinkTypeEnum.CustomCategory:
            return 6;
        default:
            throw new Error(`${e} is an invalid LinkTypeEnum`);
    }
}

export function convertToLinkTypeEnum(n: number): LinkTypeEnum{
    switch(n){
        case 1:
            return LinkTypeEnum.None;
        case 2:
            return LinkTypeEnum.Product;
        case 3:
            return LinkTypeEnum.ArticleType;
        case 4:
            return LinkTypeEnum.Article;
        case 6:
            return LinkTypeEnum.CustomCategory;
        default:
            throw new Error(`${n} is an invalid LinkTypeEnum`);
    }
}

export function describeLinkTypeEnum(e: LinkTypeEnum): string{
    switch(e){
        case LinkTypeEnum.None:
            return "无";
        case LinkTypeEnum.Product:
            return "产品";
        case LinkTypeEnum.ArticleType:
            return "文章类型";
        case LinkTypeEnum.Article:
            return "文章";
        case LinkTypeEnum.CustomCategory:
            return "产品自定义分类";
        default:
            throw new Error(`${e} is an invalid LinkTypeEnum`);
    }
}


