// FHT Swagger axios client V2


/**
 * FHT.Statistics.Interfaces.InputModels.ManagementAction, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Statistics.Interfaces.InputModels.ManagementAction, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ManagementActionEnum {
    UpdateCompany = "UpdateCompany",
    UpdateTemplate = "UpdateTemplate",
}

export function convertFromManagementActionEnum(e: ManagementActionEnum): number{
    switch(e){
        case ManagementActionEnum.UpdateCompany:
            return 41;
        case ManagementActionEnum.UpdateTemplate:
            return 50;
        default:
            throw new Error(`${e} is an invalid ManagementActionEnum`);
    }
}

export function convertToManagementActionEnum(n: number): ManagementActionEnum{
    switch(n){
        case 41:
            return ManagementActionEnum.UpdateCompany;
        case 50:
            return ManagementActionEnum.UpdateTemplate;
        default:
            throw new Error(`${n} is an invalid ManagementActionEnum`);
    }
}

export function describeManagementActionEnum(e: ManagementActionEnum): string{
    switch(e){
        case ManagementActionEnum.UpdateCompany:
            return "更新公司资料";
        case ManagementActionEnum.UpdateTemplate:
            return "更新模板配置";
        default:
            throw new Error(`${e} is an invalid ManagementActionEnum`);
    }
}


