// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ManagementRegionInputModel {
public static LABELS = {
    "FirstLevelId": "省",
    "SecondLevelId": "市",
}
public static VALIDATORS = {
'FirstLevelId': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "请选择省" }, 
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "请选择省！"},
].filter(r=>r) as ValidationRule[],
'SecondLevelId': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "请选择市" }, 
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "请选择市！"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
    @Max(2147483647)
 'FirstLevelId'
: 
    number; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'SecondLevelId'
: 
    number; // not enum

}

