// FHT Swagger axios client V2


/**
 * FHT.Statistics.Interfaces.Dto.Common.MobilePageId, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Statistics.Interfaces.Dto.Common.MobilePageId, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum MobilePageIdEnum {
    Login = "Login",
    Registration = "Registration",
    FindPassword = "FindPassword",
    HomeTab = "HomeTab",
    MyBusinessOpportunity = "MyBusinessOpportunity",
    Notifications = "Notifications",
    Broadcasts = "Broadcasts",
    ChatRoom = "ChatRoom",
    ChatRoomSetting = "ChatRoomSetting",
    FriendsTab = "FriendsTab",
    SearchFriends = "SearchFriends",
    DiscoverFriends = "DiscoverFriends",
    FriendGroup = "FriendGroup",
    FriendRequests = "FriendRequests",
    SavedGroups = "SavedGroups",
    DiscoverNearbyFriends = "DiscoverNearbyFriends",
    DiscoverIndustryFriends = "DiscoverIndustryFriends",
    Meetups = "Meetups",
    MeetupDetail = "MeetupDetail",
    MeetupMembers = "MeetupMembers",
    PublishTab = "PublishTab",
    CreateTopicPost = "CreateTopicPost",
    BusinessOpportunityTab = "BusinessOpportunityTab",
    ProductList = "ProductList",
    ProductDetail = "ProductDetail",
    TopicPostList = "TopicPostList",
    TopicPostDetail = "TopicPostDetail",
    NearbyTopicPosts = "NearbyTopicPosts",
    NearbyCompanies = "NearbyCompanies",
    RecommendedTopicPosts = "RecommendedTopicPosts",
    MeTab = "MeTab",
    UpdateMyProfile = "UpdateMyProfile",
    MyQrCode = "MyQrCode",
    MyTopicPosts = "MyTopicPosts",
    MyCollections = "MyCollections",
    RecentVisitors = "RecentVisitors",
    ViewingHistories = "ViewingHistories",
    MyCompany = "MyCompany",
    MyCompanyProfile = "MyCompanyProfile",
    MyCompanyMembers = "MyCompanyMembers",
    MyCompanyQrCode = "MyCompanyQrCode",
    UpdateMyCompanyProfile = "UpdateMyCompanyProfile",
    MyCompanyAuthentication = "MyCompanyAuthentication",
    MyCompanyStatistics = "MyCompanyStatistics",
    IncomingCompanyApplications = "IncomingCompanyApplications",
    MyCompanyAdminManagment = "MyCompanyAdminManagment",
    MyCompanyCustomerServiceManagement = "MyCompanyCustomerServiceManagement",
    CompanyDetail = "CompanyDetail",
    Settings = "Settings",
    NotificationSettings = "NotificationSettings",
    AccountSecurity = "AccountSecurity",
    Privacy = "Privacy",
    BlockSettings = "BlockSettings",
    AboutUs = "AboutUs",
    ClearCaches = "ClearCaches",
    FontSettings = "FontSettings",
    UserDetail = "UserDetail",
    MobileWeb = "MobileWeb",
    RecommendedProducts = "RecommendedProducts",
    GeneralSearch = "GeneralSearch",
    UserTopicPosts = "UserTopicPosts",
    AboutUsContactUs = "AboutUsContactUs",
    AboutUsIntroduction = "AboutUsIntroduction",
    AddFriend = "AddFriend",
    CreateFriendRequest = "CreateFriendRequest",
    LoginSearchCompanies = "LoginSearchCompanies",
    RegisterSearchCompanies = "RegisterSearchCompanies",
    BindPhone = "BindPhone",
    SearchProductTopicPosts = "SearchProductTopicPosts",
    SearchChatMessages = "SearchChatMessages",
    GeneralTypeSearch = "GeneralTypeSearch",
    CompactCompositeMessages = "CompactCompositeMessages",
    City = "City",
    Location = "Location",
    Complain = "Complain",
    ComplainEvidence = "ComplainEvidence",
    CompanyCustomerServices = "CompanyCustomerServices",
    CompanyManagers = "CompanyManagers",
    ContactFriends = "ContactFriends",
    CreateFriendGroup = "CreateFriendGroup",
    UpdateFriendGroup = "UpdateFriendGroup",
    CreateGroupChat = "CreateGroupChat",
    CreateOrJoinCompany = "CreateOrJoinCompany",
    LoginCreateCompany = "LoginCreateCompany",
    RegisterCreateCompany = "RegisterCreateCompany",
    FeedBack = "FeedBack",
    ForgetPassword = "ForgetPassword",
    FriendGroupDetail = "FriendGroupDetail",
    FriendSelection = "FriendSelection",
    GroupChatDetail = "GroupChatDetail",
    GroupChatMembers = "GroupChatMembers",
    IncomingCompanyInvitations = "IncomingCompanyInvitations",
    ViewLocation = "ViewLocation",
    IncomingMeetupInvitations = "IncomingMeetupInvitations",
    MeetupChatDetail = "MeetupChatDetail",
    ModifyBindedPhone = "ModifyBindedPhone",
    ModifyPassword = "ModifyPassword",
    MyCompanyAuthenticationIdCard = "MyCompanyAuthenticationIdCard",
    MyCompanyAuthenticationLicense = "MyCompanyAuthenticationLicense",
    RegisterationCompanyType = "RegisterationCompanyType",
    RegisterationOptimization = "RegisterationOptimization",
    PersonChatDetail = "PersonChatDetail",
    PlayVideo = "PlayVideo",
    PreviewTopicPost = "PreviewTopicPost",
    PublishMeetup = "PublishMeetup",
    SystemRemindReadList = "SystemRemindReadList",
    SystemRemindUnReadList = "SystemRemindUnReadList",
    UpdateTopicPost = "UpdateTopicPost",
    TouristDetail = "TouristDetail",
    TouristChatDetail = "TouristChatDetail",
    TouristRemark = "TouristRemark",
    ForwardTo = "ForwardTo",
    UserRemark = "UserRemark",
    SearchUsers = "SearchUsers",
    V1UserBindPhone = "V1UserBindPhone",
    PrvicayServiceProtocol = "PrvicayServiceProtocol",
    NotificationDetail = "NotificationDetail",
    BroadcastDetail = "BroadcastDetail",
    IncomingMeetupApplications = "IncomingMeetupApplications",
}

export function convertFromMobilePageIdEnum(e: MobilePageIdEnum): number{
    switch(e){
        case MobilePageIdEnum.Login:
            return 1;
        case MobilePageIdEnum.Registration:
            return 2;
        case MobilePageIdEnum.FindPassword:
            return 3;
        case MobilePageIdEnum.HomeTab:
            return 100;
        case MobilePageIdEnum.MyBusinessOpportunity:
            return 101;
        case MobilePageIdEnum.Notifications:
            return 102;
        case MobilePageIdEnum.Broadcasts:
            return 103;
        case MobilePageIdEnum.ChatRoom:
            return 110;
        case MobilePageIdEnum.ChatRoomSetting:
            return 111;
        case MobilePageIdEnum.FriendsTab:
            return 200;
        case MobilePageIdEnum.SearchFriends:
            return 201;
        case MobilePageIdEnum.DiscoverFriends:
            return 202;
        case MobilePageIdEnum.FriendGroup:
            return 203;
        case MobilePageIdEnum.FriendRequests:
            return 204;
        case MobilePageIdEnum.SavedGroups:
            return 205;
        case MobilePageIdEnum.DiscoverNearbyFriends:
            return 207;
        case MobilePageIdEnum.DiscoverIndustryFriends:
            return 208;
        case MobilePageIdEnum.Meetups:
            return 210;
        case MobilePageIdEnum.MeetupDetail:
            return 211;
        case MobilePageIdEnum.MeetupMembers:
            return 212;
        case MobilePageIdEnum.PublishTab:
            return 300;
        case MobilePageIdEnum.CreateTopicPost:
            return 301;
        case MobilePageIdEnum.BusinessOpportunityTab:
            return 400;
        case MobilePageIdEnum.ProductList:
            return 410;
        case MobilePageIdEnum.ProductDetail:
            return 411;
        case MobilePageIdEnum.TopicPostList:
            return 420;
        case MobilePageIdEnum.TopicPostDetail:
            return 421;
        case MobilePageIdEnum.NearbyTopicPosts:
            return 430;
        case MobilePageIdEnum.NearbyCompanies:
            return 431;
        case MobilePageIdEnum.RecommendedTopicPosts:
            return 432;
        case MobilePageIdEnum.MeTab:
            return 500;
        case MobilePageIdEnum.UpdateMyProfile:
            return 501;
        case MobilePageIdEnum.MyQrCode:
            return 502;
        case MobilePageIdEnum.MyTopicPosts:
            return 503;
        case MobilePageIdEnum.MyCollections:
            return 504;
        case MobilePageIdEnum.RecentVisitors:
            return 505;
        case MobilePageIdEnum.ViewingHistories:
            return 506;
        case MobilePageIdEnum.MyCompany:
            return 510;
        case MobilePageIdEnum.MyCompanyProfile:
            return 511;
        case MobilePageIdEnum.MyCompanyMembers:
            return 512;
        case MobilePageIdEnum.MyCompanyQrCode:
            return 513;
        case MobilePageIdEnum.UpdateMyCompanyProfile:
            return 514;
        case MobilePageIdEnum.MyCompanyAuthentication:
            return 515;
        case MobilePageIdEnum.MyCompanyStatistics:
            return 516;
        case MobilePageIdEnum.IncomingCompanyApplications:
            return 517;
        case MobilePageIdEnum.MyCompanyAdminManagment:
            return 518;
        case MobilePageIdEnum.MyCompanyCustomerServiceManagement:
            return 519;
        case MobilePageIdEnum.CompanyDetail:
            return 520;
        case MobilePageIdEnum.Settings:
            return 550;
        case MobilePageIdEnum.NotificationSettings:
            return 551;
        case MobilePageIdEnum.AccountSecurity:
            return 552;
        case MobilePageIdEnum.Privacy:
            return 553;
        case MobilePageIdEnum.BlockSettings:
            return 554;
        case MobilePageIdEnum.AboutUs:
            return 555;
        case MobilePageIdEnum.ClearCaches:
            return 556;
        case MobilePageIdEnum.FontSettings:
            return 557;
        case MobilePageIdEnum.UserDetail:
            return 600;
        case MobilePageIdEnum.MobileWeb:
            return 610;
        case MobilePageIdEnum.RecommendedProducts:
            return 701;
        case MobilePageIdEnum.GeneralSearch:
            return 702;
        case MobilePageIdEnum.UserTopicPosts:
            return 703;
        case MobilePageIdEnum.AboutUsContactUs:
            return 800;
        case MobilePageIdEnum.AboutUsIntroduction:
            return 801;
        case MobilePageIdEnum.AddFriend:
            return 803;
        case MobilePageIdEnum.CreateFriendRequest:
            return 804;
        case MobilePageIdEnum.LoginSearchCompanies:
            return 805;
        case MobilePageIdEnum.RegisterSearchCompanies:
            return 806;
        case MobilePageIdEnum.BindPhone:
            return 807;
        case MobilePageIdEnum.SearchProductTopicPosts:
            return 808;
        case MobilePageIdEnum.SearchChatMessages:
            return 809;
        case MobilePageIdEnum.GeneralTypeSearch:
            return 810;
        case MobilePageIdEnum.CompactCompositeMessages:
            return 811;
        case MobilePageIdEnum.City:
            return 812;
        case MobilePageIdEnum.Location:
            return 813;
        case MobilePageIdEnum.Complain:
            return 814;
        case MobilePageIdEnum.ComplainEvidence:
            return 815;
        case MobilePageIdEnum.CompanyCustomerServices:
            return 816;
        case MobilePageIdEnum.CompanyManagers:
            return 817;
        case MobilePageIdEnum.ContactFriends:
            return 818;
        case MobilePageIdEnum.CreateFriendGroup:
            return 819;
        case MobilePageIdEnum.UpdateFriendGroup:
            return 820;
        case MobilePageIdEnum.CreateGroupChat:
            return 821;
        case MobilePageIdEnum.CreateOrJoinCompany:
            return 822;
        case MobilePageIdEnum.LoginCreateCompany:
            return 823;
        case MobilePageIdEnum.RegisterCreateCompany:
            return 824;
        case MobilePageIdEnum.FeedBack:
            return 825;
        case MobilePageIdEnum.ForgetPassword:
            return 826;
        case MobilePageIdEnum.FriendGroupDetail:
            return 828;
        case MobilePageIdEnum.FriendSelection:
            return 829;
        case MobilePageIdEnum.GroupChatDetail:
            return 830;
        case MobilePageIdEnum.GroupChatMembers:
            return 831;
        case MobilePageIdEnum.IncomingCompanyInvitations:
            return 832;
        case MobilePageIdEnum.ViewLocation:
            return 833;
        case MobilePageIdEnum.IncomingMeetupInvitations:
            return 834;
        case MobilePageIdEnum.MeetupChatDetail:
            return 835;
        case MobilePageIdEnum.ModifyBindedPhone:
            return 836;
        case MobilePageIdEnum.ModifyPassword:
            return 837;
        case MobilePageIdEnum.MyCompanyAuthenticationIdCard:
            return 838;
        case MobilePageIdEnum.MyCompanyAuthenticationLicense:
            return 839;
        case MobilePageIdEnum.RegisterationCompanyType:
            return 840;
        case MobilePageIdEnum.RegisterationOptimization:
            return 841;
        case MobilePageIdEnum.PersonChatDetail:
            return 842;
        case MobilePageIdEnum.PlayVideo:
            return 843;
        case MobilePageIdEnum.PreviewTopicPost:
            return 844;
        case MobilePageIdEnum.PublishMeetup:
            return 845;
        case MobilePageIdEnum.SystemRemindReadList:
            return 846;
        case MobilePageIdEnum.SystemRemindUnReadList:
            return 847;
        case MobilePageIdEnum.UpdateTopicPost:
            return 848;
        case MobilePageIdEnum.TouristDetail:
            return 849;
        case MobilePageIdEnum.TouristChatDetail:
            return 850;
        case MobilePageIdEnum.TouristRemark:
            return 851;
        case MobilePageIdEnum.ForwardTo:
            return 852;
        case MobilePageIdEnum.UserRemark:
            return 853;
        case MobilePageIdEnum.SearchUsers:
            return 854;
        case MobilePageIdEnum.V1UserBindPhone:
            return 855;
        case MobilePageIdEnum.PrvicayServiceProtocol:
            return 856;
        case MobilePageIdEnum.NotificationDetail:
            return 857;
        case MobilePageIdEnum.BroadcastDetail:
            return 858;
        case MobilePageIdEnum.IncomingMeetupApplications:
            return 859;
        default:
            throw new Error(`${e} is an invalid MobilePageIdEnum`);
    }
}

export function convertToMobilePageIdEnum(n: number): MobilePageIdEnum{
    switch(n){
        case 1:
            return MobilePageIdEnum.Login;
        case 2:
            return MobilePageIdEnum.Registration;
        case 3:
            return MobilePageIdEnum.FindPassword;
        case 100:
            return MobilePageIdEnum.HomeTab;
        case 101:
            return MobilePageIdEnum.MyBusinessOpportunity;
        case 102:
            return MobilePageIdEnum.Notifications;
        case 103:
            return MobilePageIdEnum.Broadcasts;
        case 110:
            return MobilePageIdEnum.ChatRoom;
        case 111:
            return MobilePageIdEnum.ChatRoomSetting;
        case 200:
            return MobilePageIdEnum.FriendsTab;
        case 201:
            return MobilePageIdEnum.SearchFriends;
        case 202:
            return MobilePageIdEnum.DiscoverFriends;
        case 203:
            return MobilePageIdEnum.FriendGroup;
        case 204:
            return MobilePageIdEnum.FriendRequests;
        case 205:
            return MobilePageIdEnum.SavedGroups;
        case 207:
            return MobilePageIdEnum.DiscoverNearbyFriends;
        case 208:
            return MobilePageIdEnum.DiscoverIndustryFriends;
        case 210:
            return MobilePageIdEnum.Meetups;
        case 211:
            return MobilePageIdEnum.MeetupDetail;
        case 212:
            return MobilePageIdEnum.MeetupMembers;
        case 300:
            return MobilePageIdEnum.PublishTab;
        case 301:
            return MobilePageIdEnum.CreateTopicPost;
        case 400:
            return MobilePageIdEnum.BusinessOpportunityTab;
        case 410:
            return MobilePageIdEnum.ProductList;
        case 411:
            return MobilePageIdEnum.ProductDetail;
        case 420:
            return MobilePageIdEnum.TopicPostList;
        case 421:
            return MobilePageIdEnum.TopicPostDetail;
        case 430:
            return MobilePageIdEnum.NearbyTopicPosts;
        case 431:
            return MobilePageIdEnum.NearbyCompanies;
        case 432:
            return MobilePageIdEnum.RecommendedTopicPosts;
        case 500:
            return MobilePageIdEnum.MeTab;
        case 501:
            return MobilePageIdEnum.UpdateMyProfile;
        case 502:
            return MobilePageIdEnum.MyQrCode;
        case 503:
            return MobilePageIdEnum.MyTopicPosts;
        case 504:
            return MobilePageIdEnum.MyCollections;
        case 505:
            return MobilePageIdEnum.RecentVisitors;
        case 506:
            return MobilePageIdEnum.ViewingHistories;
        case 510:
            return MobilePageIdEnum.MyCompany;
        case 511:
            return MobilePageIdEnum.MyCompanyProfile;
        case 512:
            return MobilePageIdEnum.MyCompanyMembers;
        case 513:
            return MobilePageIdEnum.MyCompanyQrCode;
        case 514:
            return MobilePageIdEnum.UpdateMyCompanyProfile;
        case 515:
            return MobilePageIdEnum.MyCompanyAuthentication;
        case 516:
            return MobilePageIdEnum.MyCompanyStatistics;
        case 517:
            return MobilePageIdEnum.IncomingCompanyApplications;
        case 518:
            return MobilePageIdEnum.MyCompanyAdminManagment;
        case 519:
            return MobilePageIdEnum.MyCompanyCustomerServiceManagement;
        case 520:
            return MobilePageIdEnum.CompanyDetail;
        case 550:
            return MobilePageIdEnum.Settings;
        case 551:
            return MobilePageIdEnum.NotificationSettings;
        case 552:
            return MobilePageIdEnum.AccountSecurity;
        case 553:
            return MobilePageIdEnum.Privacy;
        case 554:
            return MobilePageIdEnum.BlockSettings;
        case 555:
            return MobilePageIdEnum.AboutUs;
        case 556:
            return MobilePageIdEnum.ClearCaches;
        case 557:
            return MobilePageIdEnum.FontSettings;
        case 600:
            return MobilePageIdEnum.UserDetail;
        case 610:
            return MobilePageIdEnum.MobileWeb;
        case 701:
            return MobilePageIdEnum.RecommendedProducts;
        case 702:
            return MobilePageIdEnum.GeneralSearch;
        case 703:
            return MobilePageIdEnum.UserTopicPosts;
        case 800:
            return MobilePageIdEnum.AboutUsContactUs;
        case 801:
            return MobilePageIdEnum.AboutUsIntroduction;
        case 803:
            return MobilePageIdEnum.AddFriend;
        case 804:
            return MobilePageIdEnum.CreateFriendRequest;
        case 805:
            return MobilePageIdEnum.LoginSearchCompanies;
        case 806:
            return MobilePageIdEnum.RegisterSearchCompanies;
        case 807:
            return MobilePageIdEnum.BindPhone;
        case 808:
            return MobilePageIdEnum.SearchProductTopicPosts;
        case 809:
            return MobilePageIdEnum.SearchChatMessages;
        case 810:
            return MobilePageIdEnum.GeneralTypeSearch;
        case 811:
            return MobilePageIdEnum.CompactCompositeMessages;
        case 812:
            return MobilePageIdEnum.City;
        case 813:
            return MobilePageIdEnum.Location;
        case 814:
            return MobilePageIdEnum.Complain;
        case 815:
            return MobilePageIdEnum.ComplainEvidence;
        case 816:
            return MobilePageIdEnum.CompanyCustomerServices;
        case 817:
            return MobilePageIdEnum.CompanyManagers;
        case 818:
            return MobilePageIdEnum.ContactFriends;
        case 819:
            return MobilePageIdEnum.CreateFriendGroup;
        case 820:
            return MobilePageIdEnum.UpdateFriendGroup;
        case 821:
            return MobilePageIdEnum.CreateGroupChat;
        case 822:
            return MobilePageIdEnum.CreateOrJoinCompany;
        case 823:
            return MobilePageIdEnum.LoginCreateCompany;
        case 824:
            return MobilePageIdEnum.RegisterCreateCompany;
        case 825:
            return MobilePageIdEnum.FeedBack;
        case 826:
            return MobilePageIdEnum.ForgetPassword;
        case 828:
            return MobilePageIdEnum.FriendGroupDetail;
        case 829:
            return MobilePageIdEnum.FriendSelection;
        case 830:
            return MobilePageIdEnum.GroupChatDetail;
        case 831:
            return MobilePageIdEnum.GroupChatMembers;
        case 832:
            return MobilePageIdEnum.IncomingCompanyInvitations;
        case 833:
            return MobilePageIdEnum.ViewLocation;
        case 834:
            return MobilePageIdEnum.IncomingMeetupInvitations;
        case 835:
            return MobilePageIdEnum.MeetupChatDetail;
        case 836:
            return MobilePageIdEnum.ModifyBindedPhone;
        case 837:
            return MobilePageIdEnum.ModifyPassword;
        case 838:
            return MobilePageIdEnum.MyCompanyAuthenticationIdCard;
        case 839:
            return MobilePageIdEnum.MyCompanyAuthenticationLicense;
        case 840:
            return MobilePageIdEnum.RegisterationCompanyType;
        case 841:
            return MobilePageIdEnum.RegisterationOptimization;
        case 842:
            return MobilePageIdEnum.PersonChatDetail;
        case 843:
            return MobilePageIdEnum.PlayVideo;
        case 844:
            return MobilePageIdEnum.PreviewTopicPost;
        case 845:
            return MobilePageIdEnum.PublishMeetup;
        case 846:
            return MobilePageIdEnum.SystemRemindReadList;
        case 847:
            return MobilePageIdEnum.SystemRemindUnReadList;
        case 848:
            return MobilePageIdEnum.UpdateTopicPost;
        case 849:
            return MobilePageIdEnum.TouristDetail;
        case 850:
            return MobilePageIdEnum.TouristChatDetail;
        case 851:
            return MobilePageIdEnum.TouristRemark;
        case 852:
            return MobilePageIdEnum.ForwardTo;
        case 853:
            return MobilePageIdEnum.UserRemark;
        case 854:
            return MobilePageIdEnum.SearchUsers;
        case 855:
            return MobilePageIdEnum.V1UserBindPhone;
        case 856:
            return MobilePageIdEnum.PrvicayServiceProtocol;
        case 857:
            return MobilePageIdEnum.NotificationDetail;
        case 858:
            return MobilePageIdEnum.BroadcastDetail;
        case 859:
            return MobilePageIdEnum.IncomingMeetupApplications;
        default:
            throw new Error(`${n} is an invalid MobilePageIdEnum`);
    }
}

export function describeMobilePageIdEnum(e: MobilePageIdEnum): string{
    switch(e){
        case MobilePageIdEnum.Login:
            return "登录";
        case MobilePageIdEnum.Registration:
            return "注册";
        case MobilePageIdEnum.FindPassword:
            return "找回密码";
        case MobilePageIdEnum.HomeTab:
            return "首页";
        case MobilePageIdEnum.MyBusinessOpportunity:
            return "首页我的商机";
        case MobilePageIdEnum.Notifications:
            return "通知消息";
        case MobilePageIdEnum.Broadcasts:
            return "系统公告";
        case MobilePageIdEnum.ChatRoom:
            return "聊天房间";
        case MobilePageIdEnum.ChatRoomSetting:
            return "聊天设置";
        case MobilePageIdEnum.FriendsTab:
            return "商友";
        case MobilePageIdEnum.SearchFriends:
            return "搜索好友";
        case MobilePageIdEnum.DiscoverFriends:
            return "发现商友";
        case MobilePageIdEnum.FriendGroup:
            return "商友分组";
        case MobilePageIdEnum.FriendRequests:
            return "好友申请";
        case MobilePageIdEnum.SavedGroups:
            return "我的群聊";
        case MobilePageIdEnum.DiscoverNearbyFriends:
            return "发现附近商友";
        case MobilePageIdEnum.DiscoverIndustryFriends:
            return "发现附近商友";
        case MobilePageIdEnum.Meetups:
            return "一起玩";
        case MobilePageIdEnum.MeetupDetail:
            return "一起玩详情";
        case MobilePageIdEnum.MeetupMembers:
            return "一起玩成员";
        case MobilePageIdEnum.PublishTab:
            return "发布";
        case MobilePageIdEnum.CreateTopicPost:
            return "发布表单";
        case MobilePageIdEnum.BusinessOpportunityTab:
            return "商机";
        case MobilePageIdEnum.ProductList:
            return "产品列表";
        case MobilePageIdEnum.ProductDetail:
            return "产品详情";
        case MobilePageIdEnum.TopicPostList:
            return "服务列表";
        case MobilePageIdEnum.TopicPostDetail:
            return "服务详情";
        case MobilePageIdEnum.NearbyTopicPosts:
            return "附近服务";
        case MobilePageIdEnum.NearbyCompanies:
            return "附近企业";
        case MobilePageIdEnum.RecommendedTopicPosts:
            return "推荐商机";
        case MobilePageIdEnum.MeTab:
            return "我";
        case MobilePageIdEnum.UpdateMyProfile:
            return "更新个人资料";
        case MobilePageIdEnum.MyQrCode:
            return "我的二维码";
        case MobilePageIdEnum.MyTopicPosts:
            return "我的发布";
        case MobilePageIdEnum.MyCollections:
            return "我的收藏";
        case MobilePageIdEnum.RecentVisitors:
            return "最近访客";
        case MobilePageIdEnum.ViewingHistories:
            return "历史足迹";
        case MobilePageIdEnum.MyCompany:
            return "我的企业";
        case MobilePageIdEnum.MyCompanyProfile:
            return "企业页面";
        case MobilePageIdEnum.MyCompanyMembers:
            return "我的企业成员";
        case MobilePageIdEnum.MyCompanyQrCode:
            return "企业二维码";
        case MobilePageIdEnum.UpdateMyCompanyProfile:
            return "修改企业资料";
        case MobilePageIdEnum.MyCompanyAuthentication:
            return "企业认证";
        case MobilePageIdEnum.MyCompanyStatistics:
            return "流量统计";
        case MobilePageIdEnum.IncomingCompanyApplications:
            return "新加入管理";
        case MobilePageIdEnum.MyCompanyAdminManagment:
            return "管理员设置";
        case MobilePageIdEnum.MyCompanyCustomerServiceManagement:
            return "客服设置";
        case MobilePageIdEnum.CompanyDetail:
            return "企业详情";
        case MobilePageIdEnum.Settings:
            return "设置";
        case MobilePageIdEnum.NotificationSettings:
            return "消息管理";
        case MobilePageIdEnum.AccountSecurity:
            return "账号安全";
        case MobilePageIdEnum.Privacy:
            return "隐私";
        case MobilePageIdEnum.BlockSettings:
            return "黑名单";
        case MobilePageIdEnum.AboutUs:
            return "关于我们";
        case MobilePageIdEnum.ClearCaches:
            return "清理存储空间";
        case MobilePageIdEnum.FontSettings:
            return "字体设置";
        case MobilePageIdEnum.UserDetail:
            return "用户详情";
        case MobilePageIdEnum.MobileWeb:
            return "webview打开移动web端";
        case MobilePageIdEnum.RecommendedProducts:
            return "推荐产品";
        case MobilePageIdEnum.GeneralSearch:
            return "综合搜索";
        case MobilePageIdEnum.UserTopicPosts:
            return "搜索";
        case MobilePageIdEnum.AboutUsContactUs:
            return "联系我们";
        case MobilePageIdEnum.AboutUsIntroduction:
            return "关于我们简介";
        case MobilePageIdEnum.AddFriend:
            return "添加好友";
        case MobilePageIdEnum.CreateFriendRequest:
            return "申请添加好友";
        case MobilePageIdEnum.LoginSearchCompanies:
            return "搜索企业(已登录)";
        case MobilePageIdEnum.RegisterSearchCompanies:
            return "搜索企业(未注册)";
        case MobilePageIdEnum.BindPhone:
            return "绑定手机号";
        case MobilePageIdEnum.SearchProductTopicPosts:
            return "产品帖子搜索";
        case MobilePageIdEnum.SearchChatMessages:
            return "消息搜索";
        case MobilePageIdEnum.GeneralTypeSearch:
            return "综合搜索-分类搜索";
        case MobilePageIdEnum.CompactCompositeMessages:
            return "浏览合并消息";
        case MobilePageIdEnum.City:
            return "选择城市";
        case MobilePageIdEnum.Location:
            return "地址定位";
        case MobilePageIdEnum.Complain:
            return "投诉";
        case MobilePageIdEnum.ComplainEvidence:
            return "投诉-提交截图等";
        case MobilePageIdEnum.CompanyCustomerServices:
            return "企业客服";
        case MobilePageIdEnum.CompanyManagers:
            return "企业管理员";
        case MobilePageIdEnum.ContactFriends:
            return "通讯录好友";
        case MobilePageIdEnum.CreateFriendGroup:
            return "创建好友分组";
        case MobilePageIdEnum.UpdateFriendGroup:
            return "修改好友分组";
        case MobilePageIdEnum.CreateGroupChat:
            return "创建群聊";
        case MobilePageIdEnum.CreateOrJoinCompany:
            return "创建或加入企业(已登录)";
        case MobilePageIdEnum.LoginCreateCompany:
            return "创建企业(已登录)";
        case MobilePageIdEnum.RegisterCreateCompany:
            return "创建企业(未注册)";
        case MobilePageIdEnum.FeedBack:
            return "意见反馈";
        case MobilePageIdEnum.ForgetPassword:
            return "忘记密码";
        case MobilePageIdEnum.FriendGroupDetail:
            return "好友分组详情";
        case MobilePageIdEnum.FriendSelection:
            return "好友列表(选择好友:邀请好友加入企业、好友分组等)";
        case MobilePageIdEnum.GroupChatDetail:
            return "群聊详情";
        case MobilePageIdEnum.GroupChatMembers:
            return "群聊成员";
        case MobilePageIdEnum.IncomingCompanyInvitations:
            return "企业邀请";
        case MobilePageIdEnum.ViewLocation:
            return "位置预览(预览已知地理位置)";
        case MobilePageIdEnum.IncomingMeetupInvitations:
            return "一起玩新邀请";
        case MobilePageIdEnum.MeetupChatDetail:
            return "一起玩群聊详情";
        case MobilePageIdEnum.ModifyBindedPhone:
            return "修改手机号";
        case MobilePageIdEnum.ModifyPassword:
            return "修改密码";
        case MobilePageIdEnum.MyCompanyAuthenticationIdCard:
            return "企业认证-上传联系人身份证";
        case MobilePageIdEnum.MyCompanyAuthenticationLicense:
            return "企业认证-上传营业执照";
        case MobilePageIdEnum.RegisterationCompanyType:
            return "注册-选择企业类型";
        case MobilePageIdEnum.RegisterationOptimization:
            return "注册-完善注册信息";
        case MobilePageIdEnum.PersonChatDetail:
            return "单聊详情";
        case MobilePageIdEnum.PlayVideo:
            return "播放视频";
        case MobilePageIdEnum.PreviewTopicPost:
            return "预览服务发布";
        case MobilePageIdEnum.PublishMeetup:
            return "发布一起玩";
        case MobilePageIdEnum.SystemRemindReadList:
            return "服务提醒记录(已读)";
        case MobilePageIdEnum.SystemRemindUnReadList:
            return "服务提醒记录(未读)";
        case MobilePageIdEnum.UpdateTopicPost:
            return "更新/编辑已发布服务";
        case MobilePageIdEnum.TouristDetail:
            return "游客详情";
        case MobilePageIdEnum.TouristChatDetail:
            return "游客聊天详情";
        case MobilePageIdEnum.TouristRemark:
            return "游客备注详情";
        case MobilePageIdEnum.ForwardTo:
            return "选择转发给";
        case MobilePageIdEnum.UserRemark:
            return "用户备注";
        case MobilePageIdEnum.SearchUsers:
            return "搜索用户(加好友-搜索陌生人)";
        case MobilePageIdEnum.V1UserBindPhone:
            return "V1.0用户绑定手机号";
        case MobilePageIdEnum.PrvicayServiceProtocol:
            return "隐私/服务协议";
        case MobilePageIdEnum.NotificationDetail:
            return "消息详情";
        case MobilePageIdEnum.BroadcastDetail:
            return "系统公告详情";
        case MobilePageIdEnum.IncomingMeetupApplications:
            return "一起玩新加入申请";
        default:
            throw new Error(`${e} is an invalid MobilePageIdEnum`);
    }
}


