// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.OAuthType, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.OAuthType, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum OAuthTypeEnum {
    Alipay = "Alipay",
    WeChat = "WeChat",
    QQ = "QQ",
    Apple = "Apple",
}

export function convertFromOAuthTypeEnum(e: OAuthTypeEnum): number{
    switch(e){
        case OAuthTypeEnum.Alipay:
            return 1;
        case OAuthTypeEnum.WeChat:
            return 2;
        case OAuthTypeEnum.QQ:
            return 3;
        case OAuthTypeEnum.Apple:
            return 4;
        default:
            throw new Error(`${e} is an invalid OAuthTypeEnum`);
    }
}

export function convertToOAuthTypeEnum(n: number): OAuthTypeEnum{
    switch(n){
        case 1:
            return OAuthTypeEnum.Alipay;
        case 2:
            return OAuthTypeEnum.WeChat;
        case 3:
            return OAuthTypeEnum.QQ;
        case 4:
            return OAuthTypeEnum.Apple;
        default:
            throw new Error(`${n} is an invalid OAuthTypeEnum`);
    }
}

export function describeOAuthTypeEnum(e: OAuthTypeEnum): string{
    switch(e){
        case OAuthTypeEnum.Alipay:
            return "支付宝";
        case OAuthTypeEnum.WeChat:
            return "微信";
        case OAuthTypeEnum.QQ:
            return "QQ";
        case OAuthTypeEnum.Apple:
            return "Apple";
        default:
            throw new Error(`${e} is an invalid OAuthTypeEnum`);
    }
}


