// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.OrderByType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.OrderByType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum OrderByTypeEnum {
    OrderNum = "OrderNum",
    LastModified = "LastModified",
    IsTop = "IsTop",
    Click = "Click",
    View = "View",
    Collection = "Collection",
    Default = "Default",
}

export function convertFromOrderByTypeEnum(e: OrderByTypeEnum): number{
    switch(e){
        case OrderByTypeEnum.OrderNum:
            return 1;
        case OrderByTypeEnum.LastModified:
            return 2;
        case OrderByTypeEnum.IsTop:
            return 3;
        case OrderByTypeEnum.Click:
            return 4;
        case OrderByTypeEnum.View:
            return 5;
        case OrderByTypeEnum.Collection:
            return 6;
        case OrderByTypeEnum.Default:
            return 7;
        default:
            throw new Error(`${e} is an invalid OrderByTypeEnum`);
    }
}

export function convertToOrderByTypeEnum(n: number): OrderByTypeEnum{
    switch(n){
        case 1:
            return OrderByTypeEnum.OrderNum;
        case 2:
            return OrderByTypeEnum.LastModified;
        case 3:
            return OrderByTypeEnum.IsTop;
        case 4:
            return OrderByTypeEnum.Click;
        case 5:
            return OrderByTypeEnum.View;
        case 6:
            return OrderByTypeEnum.Collection;
        case 7:
            return OrderByTypeEnum.Default;
        default:
            throw new Error(`${n} is an invalid OrderByTypeEnum`);
    }
}

export function describeOrderByTypeEnum(e: OrderByTypeEnum): string{
    switch(e){
        case OrderByTypeEnum.OrderNum:
            return "自定义排序";
        case OrderByTypeEnum.LastModified:
            return "最后修改时间";
        case OrderByTypeEnum.IsTop:
            return "置顶排序";
        case OrderByTypeEnum.Click:
            return "点击";
        case OrderByTypeEnum.View:
            return "点击";
        case OrderByTypeEnum.Collection:
            return "点击";
        case OrderByTypeEnum.Default:
            return "默认排序";
        default:
            throw new Error(`${e} is an invalid OrderByTypeEnum`);
    }
}


