// FHT Swagger axios client V2


/**
 * FHT.RPC.BigData.Common.Utilities.OwnerType, FHT.RPC.BigData.Common, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.RPC.BigData.Common.Utilities.OwnerType, FHT.RPC.BigData.Common, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum OwnerTypeEnum {
    u = "u",
    c = "c",
}

export function convertFromOwnerTypeEnum(e: OwnerTypeEnum): number{
    switch(e){
        case OwnerTypeEnum.u:
            return 0;
        case OwnerTypeEnum.c:
            return 1;
        default:
            throw new Error(`${e} is an invalid OwnerTypeEnum`);
    }
}

export function convertToOwnerTypeEnum(n: number): OwnerTypeEnum{
    switch(n){
        case 0:
            return OwnerTypeEnum.u;
        case 1:
            return OwnerTypeEnum.c;
        default:
            throw new Error(`${n} is an invalid OwnerTypeEnum`);
    }
}

export function describeOwnerTypeEnum(e: OwnerTypeEnum): string{
    switch(e){
        case OwnerTypeEnum.u:
            return "用户";
        case OwnerTypeEnum.c:
            return "企业";
        default:
            throw new Error(`${e} is an invalid OwnerTypeEnum`);
    }
}


