// FHT Swagger axios client V2


// mark 2 model generic

import { NavigationContentInputModelBase } from "../model/NavigationContentInputModelBase";

import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   PresetNavigationContentInputModel extends NavigationContentInputModelBase  {
public static LABELS = {
    "PresetPage": "预设页面",
    "ContentType": "导航类型",
}
public static VALIDATORS = {
'PresetPage': [

].filter(r=>r) as ValidationRule[],
'ContentType': [

].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'PresetPage'
: 
    CmsPresetPageEnum; //is single enum

//a smart property

}
//export namespace PresetNavigationContentInputModel 
export enum CmsPresetPageEnum {
	Home = 'Home',
	Products = 'Products',
	News = 'News',
	AboutUs = 'AboutUs',
	ContactUs = 'ContactUs',
	Case = 'Case',
	Honor = 'Honor',
	Album = 'Album'
}
export enum NavigationContentTypeEnum {
	Preset = 'Preset',
	CustomPage = 'CustomPage',
	ArticleType = 'ArticleType',
	Url = 'Url',
	CustomCategory = 'CustomCategory'
}

