// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.ProcessingStatus, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.ProcessingStatus, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ProcessingStatusEnum {
    Pending = "Pending",
    Accepted = "Accepted",
    Rejected = "Rejected",
}

export function convertFromProcessingStatusEnum(e: ProcessingStatusEnum): number{
    switch(e){
        case ProcessingStatusEnum.Pending:
            return 1;
        case ProcessingStatusEnum.Accepted:
            return 2;
        case ProcessingStatusEnum.Rejected:
            return 3;
        default:
            throw new Error(`${e} is an invalid ProcessingStatusEnum`);
    }
}

export function convertToProcessingStatusEnum(n: number): ProcessingStatusEnum{
    switch(n){
        case 1:
            return ProcessingStatusEnum.Pending;
        case 2:
            return ProcessingStatusEnum.Accepted;
        case 3:
            return ProcessingStatusEnum.Rejected;
        default:
            throw new Error(`${n} is an invalid ProcessingStatusEnum`);
    }
}

export function describeProcessingStatusEnum(e: ProcessingStatusEnum): string{
    switch(e){
        case ProcessingStatusEnum.Pending:
            return "待处理";
        case ProcessingStatusEnum.Accepted:
            return "通过";
        case ProcessingStatusEnum.Rejected:
            return "拒绝";
        default:
            throw new Error(`${e} is an invalid ProcessingStatusEnum`);
    }
}


