// FHT Swagger axios client V2


/**
 * FHT.Core.Web.Models.ProductAndServiceMenuType, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.Web.Models.ProductAndServiceMenuType, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ProductAndServiceMenuTypeEnum {
    AppDownload = "AppDownload",
    WebSite = "WebSite",
    Product = "Product",
    Service = "Service",
}

export function convertFromProductAndServiceMenuTypeEnum(e: ProductAndServiceMenuTypeEnum): number{
    switch(e){
        case ProductAndServiceMenuTypeEnum.AppDownload:
            return 1;
        case ProductAndServiceMenuTypeEnum.WebSite:
            return 2;
        case ProductAndServiceMenuTypeEnum.Product:
            return 3;
        case ProductAndServiceMenuTypeEnum.Service:
            return 4;
        default:
            throw new Error(`${e} is an invalid ProductAndServiceMenuTypeEnum`);
    }
}

export function convertToProductAndServiceMenuTypeEnum(n: number): ProductAndServiceMenuTypeEnum{
    switch(n){
        case 1:
            return ProductAndServiceMenuTypeEnum.AppDownload;
        case 2:
            return ProductAndServiceMenuTypeEnum.WebSite;
        case 3:
            return ProductAndServiceMenuTypeEnum.Product;
        case 4:
            return ProductAndServiceMenuTypeEnum.Service;
        default:
            throw new Error(`${n} is an invalid ProductAndServiceMenuTypeEnum`);
    }
}

export function describeProductAndServiceMenuTypeEnum(e: ProductAndServiceMenuTypeEnum): string{
    switch(e){
        case ProductAndServiceMenuTypeEnum.AppDownload:
            return "APP下载";
        case ProductAndServiceMenuTypeEnum.WebSite:
            return "网站模板";
        case ProductAndServiceMenuTypeEnum.Product:
            return "产品介绍";
        case ProductAndServiceMenuTypeEnum.Service:
            return "产品服务";
        default:
            throw new Error(`${e} is an invalid ProductAndServiceMenuTypeEnum`);
    }
}


