// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.ProductBondType, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.ProductBondType, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ProductBondTypeEnum {
    WebProduct = "WebProduct",
    MobileProduct = "MobileProduct",
}

export function convertFromProductBondTypeEnum(e: ProductBondTypeEnum): number{
    switch(e){
        case ProductBondTypeEnum.WebProduct:
            return 1;
        case ProductBondTypeEnum.MobileProduct:
            return 2;
        default:
            throw new Error(`${e} is an invalid ProductBondTypeEnum`);
    }
}

export function convertToProductBondTypeEnum(n: number): ProductBondTypeEnum{
    switch(n){
        case 1:
            return ProductBondTypeEnum.WebProduct;
        case 2:
            return ProductBondTypeEnum.MobileProduct;
        default:
            throw new Error(`${n} is an invalid ProductBondTypeEnum`);
    }
}

export function describeProductBondTypeEnum(e: ProductBondTypeEnum): string{
    switch(e){
        case ProductBondTypeEnum.WebProduct:
            return "PC端产品";
        case ProductBondTypeEnum.MobileProduct:
            return "移动端产品";
        default:
            throw new Error(`${e} is an invalid ProductBondTypeEnum`);
    }
}


