// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ProductCustomPropertyInputModel {
public static LABELS = {
    "Name": "属性名",
    "Description": "属性值",
}
public static VALIDATORS = {
'Name': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入属性名" }, 
    { type: "string", max: 10, trigger: 'blur', message: "属性名最长不超过10字"},
    customValidators.sensitiveWord?.(
"属性名包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Description': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入属性值" }, 
    { type: "string", max: 20, trigger: 'blur', message: "属性值最长不超过20字"},
    customValidators.sensitiveWord?.(
"属性值包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'Name'
: 
    string; // not enum

//a smart property
 'Description'
: 
    string; // not enum

}

