// FHT Swagger axios client V2


// mark 2 model generic

import { Fht1ProductBaseViewModel } from "../model/Fht1ProductBaseViewModel";


// not an enum
export   interface  ProductDetailViewModel extends Fht1ProductBaseViewModel  {
 
//a smart property
 'UserId'
: 
    number; // not enum

//a smart property
 'Company'
: 
    models.CompanySimpleViewModel; // not enum

//a smart property
 'HaveCustomerService'
: 
    boolean; // not enum

//a smart property
 'GeoCity'
: 
    string; // not enum

//a smart property
 'Content'
: 
    models.ContentViewModel; // not enum

//a smart property
 'SystemCategory'
: 
    models.SystemCategoryViewModel; // not enum

//a smart property
 'CustomCategory'
: 
    models.CustomCategoryViewModel; // not enum

//a smart property
 'Keywords'
: 
    Array<string>; // not enum

//a smart property
 'Tags'
: 
    Array<number>; // not enum

//a smart property
 'CustomProperties'
: 
    Array<models.ProductCustomPropertyViewModel>; // not enum

//a smart property
 'PicUrls'
: 
    Array<models.ImageViewModel>; // not enum

//a smart property
 'Order'
: 
    number; // not enum

//a smart property
 'IsTop'
: 
    boolean; // not enum

//a smart property
 'AuditStatus'
: 
    AuditStatusEnum; //is single enum

//a smart property
 'CreatedTime'
: 
    Date; // not enum

//a smart property
 'LastModified'
: 
    Date; // not enum

//a smart property
 'Url'
: 
    string; // not enum

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

}
//export namespace ProductDetailViewModel 
export enum AuditStatusEnum {
	Accepted = 'Accepted',
	Suspicious = 'Suspicious',
	Pending = 'Pending',
	Rejected = 'Rejected'
}

