// FHT Swagger axios client V2


/**
 * FHT.Core.Web.Models.ProductMenuType, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.Web.Models.ProductMenuType, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ProductMenuTypeEnum {
    Introduction = "Introduction",
    AppDownload = "AppDownload",
    Agreement = "Agreement",
    Privacy = "Privacy",
    Templates = "Templates",
}

export function convertFromProductMenuTypeEnum(e: ProductMenuTypeEnum): number{
    switch(e){
        case ProductMenuTypeEnum.Introduction:
            return 1;
        case ProductMenuTypeEnum.AppDownload:
            return 2;
        case ProductMenuTypeEnum.Agreement:
            return 3;
        case ProductMenuTypeEnum.Privacy:
            return 4;
        case ProductMenuTypeEnum.Templates:
            return 5;
        default:
            throw new Error(`${e} is an invalid ProductMenuTypeEnum`);
    }
}

export function convertToProductMenuTypeEnum(n: number): ProductMenuTypeEnum{
    switch(n){
        case 1:
            return ProductMenuTypeEnum.Introduction;
        case 2:
            return ProductMenuTypeEnum.AppDownload;
        case 3:
            return ProductMenuTypeEnum.Agreement;
        case 4:
            return ProductMenuTypeEnum.Privacy;
        case 5:
            return ProductMenuTypeEnum.Templates;
        default:
            throw new Error(`${n} is an invalid ProductMenuTypeEnum`);
    }
}

export function describeProductMenuTypeEnum(e: ProductMenuTypeEnum): string{
    switch(e){
        case ProductMenuTypeEnum.Introduction:
            return "产品介绍";
        case ProductMenuTypeEnum.AppDownload:
            return "APP下载";
        case ProductMenuTypeEnum.Agreement:
            return "服务协议";
        case ProductMenuTypeEnum.Privacy:
            return "隐私政策";
        case ProductMenuTypeEnum.Templates:
            return "网站模板";
        default:
            throw new Error(`${e} is an invalid ProductMenuTypeEnum`);
    }
}


