// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.RealNameStatus, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.RealNameStatus, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum RealNameStatusEnum {
    Valid = "Valid",
    CheckNeeded = "CheckNeeded",
    Invalid = "Invalid",
}

export function convertFromRealNameStatusEnum(e: RealNameStatusEnum): number{
    switch(e){
        case RealNameStatusEnum.Valid:
            return 1;
        case RealNameStatusEnum.CheckNeeded:
            return 2;
        case RealNameStatusEnum.Invalid:
            return 3;
        default:
            throw new Error(`${e} is an invalid RealNameStatusEnum`);
    }
}

export function convertToRealNameStatusEnum(n: number): RealNameStatusEnum{
    switch(n){
        case 1:
            return RealNameStatusEnum.Valid;
        case 2:
            return RealNameStatusEnum.CheckNeeded;
        case 3:
            return RealNameStatusEnum.Invalid;
        default:
            throw new Error(`${n} is an invalid RealNameStatusEnum`);
    }
}

export function describeRealNameStatusEnum(e: RealNameStatusEnum): string{
    switch(e){
        case RealNameStatusEnum.Valid:
            return "有效名称";
        case RealNameStatusEnum.CheckNeeded:
            return "待定名称";
        case RealNameStatusEnum.Invalid:
            return "无效名称";
        default:
            throw new Error(`${e} is an invalid RealNameStatusEnum`);
    }
}


