// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.RegIdentityType, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.RegIdentityType, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum RegIdentityTypeEnum {
    NomalMember = "NomalMember",
    JoinCompanyMember = "JoinCompanyMember",
    CreateCompanyMember = "CreateCompanyMember",
}

export function convertFromRegIdentityTypeEnum(e: RegIdentityTypeEnum): number{
    switch(e){
        case RegIdentityTypeEnum.NomalMember:
            return 1;
        case RegIdentityTypeEnum.JoinCompanyMember:
            return 2;
        case RegIdentityTypeEnum.CreateCompanyMember:
            return 3;
        default:
            throw new Error(`${e} is an invalid RegIdentityTypeEnum`);
    }
}

export function convertToRegIdentityTypeEnum(n: number): RegIdentityTypeEnum{
    switch(n){
        case 1:
            return RegIdentityTypeEnum.NomalMember;
        case 2:
            return RegIdentityTypeEnum.JoinCompanyMember;
        case 3:
            return RegIdentityTypeEnum.CreateCompanyMember;
        default:
            throw new Error(`${n} is an invalid RegIdentityTypeEnum`);
    }
}

export function describeRegIdentityTypeEnum(e: RegIdentityTypeEnum): string{
    switch(e){
        case RegIdentityTypeEnum.NomalMember:
            return "普通预览会员";
        case RegIdentityTypeEnum.JoinCompanyMember:
            return "加入企业会员";
        case RegIdentityTypeEnum.CreateCompanyMember:
            return "创建企业会员";
        default:
            throw new Error(`${e} is an invalid RegIdentityTypeEnum`);
    }
}


