// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.RegistrationSourceType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.RegistrationSourceType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum RegistrationSourceTypeEnum {
    Web = "Web",
    App = "App",
    Agency = "Agency",
    Crawler = "Crawler",
}

export function convertFromRegistrationSourceTypeEnum(e: RegistrationSourceTypeEnum): number{
    switch(e){
        case RegistrationSourceTypeEnum.Web:
            return 0;
        case RegistrationSourceTypeEnum.App:
            return 1;
        case RegistrationSourceTypeEnum.Agency:
            return 2;
        case RegistrationSourceTypeEnum.Crawler:
            return 3;
        default:
            throw new Error(`${e} is an invalid RegistrationSourceTypeEnum`);
    }
}

export function convertToRegistrationSourceTypeEnum(n: number): RegistrationSourceTypeEnum{
    switch(n){
        case 0:
            return RegistrationSourceTypeEnum.Web;
        case 1:
            return RegistrationSourceTypeEnum.App;
        case 2:
            return RegistrationSourceTypeEnum.Agency;
        case 3:
            return RegistrationSourceTypeEnum.Crawler;
        default:
            throw new Error(`${n} is an invalid RegistrationSourceTypeEnum`);
    }
}

export function describeRegistrationSourceTypeEnum(e: RegistrationSourceTypeEnum): string{
    switch(e){
        case RegistrationSourceTypeEnum.Web:
            return "PC端";
        case RegistrationSourceTypeEnum.App:
            return "App端";
        case RegistrationSourceTypeEnum.Agency:
            return "代理商";
        case RegistrationSourceTypeEnum.Crawler:
            return "蜘蛛抓取";
        default:
            throw new Error(`${e} is an invalid RegistrationSourceTypeEnum`);
    }
}


