// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.ReportReason, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.ReportReason, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ReportReasonEnum {
    Adult = "Adult",
    Political = "Political",
    Advertisement = "Advertisement",
    Rumour = "Rumour",
    Cheat = "Cheat",
    Illegal = "Illegal",
    Other = "Other",
}

export function convertFromReportReasonEnum(e: ReportReasonEnum): number{
    switch(e){
        case ReportReasonEnum.Adult:
            return 1;
        case ReportReasonEnum.Political:
            return 2;
        case ReportReasonEnum.Advertisement:
            return 3;
        case ReportReasonEnum.Rumour:
            return 4;
        case ReportReasonEnum.Cheat:
            return 5;
        case ReportReasonEnum.Illegal:
            return 6;
        case ReportReasonEnum.Other:
            return 7;
        default:
            throw new Error(`${e} is an invalid ReportReasonEnum`);
    }
}

export function convertToReportReasonEnum(n: number): ReportReasonEnum{
    switch(n){
        case 1:
            return ReportReasonEnum.Adult;
        case 2:
            return ReportReasonEnum.Political;
        case 3:
            return ReportReasonEnum.Advertisement;
        case 4:
            return ReportReasonEnum.Rumour;
        case 5:
            return ReportReasonEnum.Cheat;
        case 6:
            return ReportReasonEnum.Illegal;
        case 7:
            return ReportReasonEnum.Other;
        default:
            throw new Error(`${n} is an invalid ReportReasonEnum`);
    }
}

export function describeReportReasonEnum(e: ReportReasonEnum): string{
    switch(e){
        case ReportReasonEnum.Adult:
            return "色情低俗";
        case ReportReasonEnum.Political:
            return "政治敏感";
        case ReportReasonEnum.Advertisement:
            return "广告骚扰";
        case ReportReasonEnum.Rumour:
            return "谣言";
        case ReportReasonEnum.Cheat:
            return "欺诈骗钱";
        case ReportReasonEnum.Illegal:
            return "违法（暴力恐怖/违禁品）";
        case ReportReasonEnum.Other:
            return "其他";
        default:
            throw new Error(`${e} is an invalid ReportReasonEnum`);
    }
}


