// FHT Swagger axios client V2


// mark 2 model generic

import { LimitedPaginationInputModel } from "../model/LimitedPaginationInputModel";

import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   SimpleSearchInputModel extends LimitedPaginationInputModel  {
public static LABELS = {
    "Q": "检索词",
    "Limit": "每页数据总数",
    "CurrPage": "页码",
}
public static VALIDATORS = {
'Q': [

// min-max-length
    
    { type: "string", min: 1, max: 20, trigger: 'blur', message: "检索词必须1到20字符"},
].filter(r=>r) as ValidationRule[],
'Limit': [

// min-max-range
    
    { type: "number",  min: 1, max: 100, trigger: 'blur', message: "每页最多取1条数据"},
].filter(r=>r) as ValidationRule[],
'CurrPage': [

// min-max-range
    
    { type: "number",  min: 1, max: 10000, trigger: 'blur', message: "页码必须为1与10000之间"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Length(1, 20)
 'Q'
    ?
: 
    string; // not enum

//a smart property

//a smart property

}

