// FHT Swagger axios client V2


/**
 * IO.Nswag.Cms.TemplateDesignType, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * IO.Nswag.Cms.TemplateDesignType, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum TemplateDesignTypeEnum {
    Responsive = "Responsive",
    WebOnly = "WebOnly",
    WebAndSeparateMobile = "WebAndSeparateMobile",
}

export function convertFromTemplateDesignTypeEnum(e: TemplateDesignTypeEnum): number{
    switch(e){
        case TemplateDesignTypeEnum.Responsive:
            return 1;
        case TemplateDesignTypeEnum.WebOnly:
            return 2;
        case TemplateDesignTypeEnum.WebAndSeparateMobile:
            return 3;
        default:
            throw new Error(`${e} is an invalid TemplateDesignTypeEnum`);
    }
}

export function convertToTemplateDesignTypeEnum(n: number): TemplateDesignTypeEnum{
    switch(n){
        case 1:
            return TemplateDesignTypeEnum.Responsive;
        case 2:
            return TemplateDesignTypeEnum.WebOnly;
        case 3:
            return TemplateDesignTypeEnum.WebAndSeparateMobile;
        default:
            throw new Error(`${n} is an invalid TemplateDesignTypeEnum`);
    }
}

export function describeTemplateDesignTypeEnum(e: TemplateDesignTypeEnum): string{
    switch(e){
        case TemplateDesignTypeEnum.Responsive:
            return "响应式";
        case TemplateDesignTypeEnum.WebOnly:
            return "仅Web端";
        case TemplateDesignTypeEnum.WebAndSeparateMobile:
            return "Web端,移动端";
        default:
            throw new Error(`${e} is an invalid TemplateDesignTypeEnum`);
    }
}


