// FHT Swagger axios client V2


/**
 * IO.Nswag.Cms.TemplateSuitableIndustry, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * IO.Nswag.Cms.TemplateSuitableIndustry, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum TemplateSuitableIndustryEnum {
    Hardware = "Hardware",
    Mechanics = "Mechanics",
    Chemical = "Chemical",
    Furniture = "Furniture",
    Textile = "Textile",
    Security = "Security",
    Business = "Business",
    Digital = "Digital",
    Store = "Store",
    Printing = "Printing",
    MedicalCare = "MedicalCare",
    Agriculture = "Agriculture",
    Electronics = "Electronics",
    Trappings = "Trappings",
    Vehicle = "Vehicle",
    Outdoors = "Outdoors",
}

export function convertFromTemplateSuitableIndustryEnum(e: TemplateSuitableIndustryEnum): number{
    switch(e){
        case TemplateSuitableIndustryEnum.Hardware:
            return 1;
        case TemplateSuitableIndustryEnum.Mechanics:
            return 2;
        case TemplateSuitableIndustryEnum.Chemical:
            return 3;
        case TemplateSuitableIndustryEnum.Furniture:
            return 4;
        case TemplateSuitableIndustryEnum.Textile:
            return 5;
        case TemplateSuitableIndustryEnum.Security:
            return 6;
        case TemplateSuitableIndustryEnum.Business:
            return 7;
        case TemplateSuitableIndustryEnum.Digital:
            return 8;
        case TemplateSuitableIndustryEnum.Store:
            return 9;
        case TemplateSuitableIndustryEnum.Printing:
            return 10;
        case TemplateSuitableIndustryEnum.MedicalCare:
            return 11;
        case TemplateSuitableIndustryEnum.Agriculture:
            return 12;
        case TemplateSuitableIndustryEnum.Electronics:
            return 13;
        case TemplateSuitableIndustryEnum.Trappings:
            return 14;
        case TemplateSuitableIndustryEnum.Vehicle:
            return 15;
        case TemplateSuitableIndustryEnum.Outdoors:
            return 16;
        default:
            throw new Error(`${e} is an invalid TemplateSuitableIndustryEnum`);
    }
}

export function convertToTemplateSuitableIndustryEnum(n: number): TemplateSuitableIndustryEnum{
    switch(n){
        case 1:
            return TemplateSuitableIndustryEnum.Hardware;
        case 2:
            return TemplateSuitableIndustryEnum.Mechanics;
        case 3:
            return TemplateSuitableIndustryEnum.Chemical;
        case 4:
            return TemplateSuitableIndustryEnum.Furniture;
        case 5:
            return TemplateSuitableIndustryEnum.Textile;
        case 6:
            return TemplateSuitableIndustryEnum.Security;
        case 7:
            return TemplateSuitableIndustryEnum.Business;
        case 8:
            return TemplateSuitableIndustryEnum.Digital;
        case 9:
            return TemplateSuitableIndustryEnum.Store;
        case 10:
            return TemplateSuitableIndustryEnum.Printing;
        case 11:
            return TemplateSuitableIndustryEnum.MedicalCare;
        case 12:
            return TemplateSuitableIndustryEnum.Agriculture;
        case 13:
            return TemplateSuitableIndustryEnum.Electronics;
        case 14:
            return TemplateSuitableIndustryEnum.Trappings;
        case 15:
            return TemplateSuitableIndustryEnum.Vehicle;
        case 16:
            return TemplateSuitableIndustryEnum.Outdoors;
        default:
            throw new Error(`${n} is an invalid TemplateSuitableIndustryEnum`);
    }
}

export function describeTemplateSuitableIndustryEnum(e: TemplateSuitableIndustryEnum): string{
    switch(e){
        case TemplateSuitableIndustryEnum.Hardware:
            return "五金仪表";
        case TemplateSuitableIndustryEnum.Mechanics:
            return "机械设备/机械配件";
        case TemplateSuitableIndustryEnum.Chemical:
            return "化工/能源/环保";
        case TemplateSuitableIndustryEnum.Furniture:
            return "家具/建材/房产";
        case TemplateSuitableIndustryEnum.Textile:
            return "皮革/纺织";
        case TemplateSuitableIndustryEnum.Security:
            return "安防/照明";
        case TemplateSuitableIndustryEnum.Business:
            return "商务服务";
        case TemplateSuitableIndustryEnum.Digital:
            return "3C数码/配件";
        case TemplateSuitableIndustryEnum.Store:
            return "百货/礼品/办公";
        case TemplateSuitableIndustryEnum.Printing:
            return "图书/印刷/包装";
        case TemplateSuitableIndustryEnum.MedicalCare:
            return "医疗/保健";
        case TemplateSuitableIndustryEnum.Agriculture:
            return "农林牧渔/食品";
        case TemplateSuitableIndustryEnum.Electronics:
            return "电子/电气/电工";
        case TemplateSuitableIndustryEnum.Trappings:
            return "服饰鞋帽/箱包";
        case TemplateSuitableIndustryEnum.Vehicle:
            return "车辆/汽配";
        case TemplateSuitableIndustryEnum.Outdoors:
            return "户外/体育用品";
        default:
            throw new Error(`${e} is an invalid TemplateSuitableIndustryEnum`);
    }
}


