// FHT Swagger axios client V2


// mark 2 model generic



// not an enum
export   interface  TopicPostSimpleViewModel {
 
//a smart property
 'TopicPostId'
: 
    number; // not enum

//a smart property
 'Creator'
: 
    models.UserSimpleViewModel; // not enum

//a smart property
 'TopicType'
: 
    models.TopicTypeViewModel; // not enum

//a smart property
 'Title'
: 
    string; // not enum

//a smart property
 'Content'
: 
    models.ContentViewModel; // not enum

//a smart property
 'AuditStatus'
: 
    AuditStatusEnum; //is single enum

//a smart property
 'CreatedTime'
: 
    Date; // not enum

//a smart property
 'LastModified'
: 
    Date; // not enum

//a smart property
 'GeoCity'
: 
    string; // not enum

//a smart property
 'IsShowGeoAddress'
: 
    boolean; // not enum

//a smart property
 'ModifiedGeoLocation'
: 
    models.GeoLocationViewModel; // not enum

//a smart property
 'GeoAddress'
: 
    models.GeoAddressViewModel; // not enum

//a smart property
 'DeviceType'
: 
    DeviceTypeEnum; //is single enum

//a smart property
 'PicUrls'
: 
    Array<models.ImageViewModel>; // not enum

//a smart property
 'Distance'
: 
    string; // not enum

//a smart property
 readonly  'Url'
: 
    string; // not enum

//a smart property
 'IsDeleted'
: 
    boolean; // not enum

}
//export namespace TopicPostSimpleViewModel 
export enum AuditStatusEnum {
	Accepted = 'Accepted',
	Suspicious = 'Suspicious',
	Pending = 'Pending',
	Rejected = 'Rejected'
}
export enum DeviceTypeEnum {
	Web = 'Web',
	Ios = 'Ios',
	Android = 'Android',
	MobileWeb = 'MobileWeb',
	Other = 'Other'
}

