// FHT Swagger axios client V2


// mark 2 model generic

import { ReportRemarkInputModelBase } from "../model/ReportRemarkInputModelBase";

import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   UserRemarkInputModel extends ReportRemarkInputModelBase  {
public static LABELS = {
    "Id": "编号",
}
public static VALIDATORS = {
'Messages': [

    customValidators.elementCount?.(
"的个数必须为0与2147483647之间",
0,
2147483647,
    )
].filter(r=>r) as ValidationRule[],
'PicUrls': [

    customValidators.elementCount?.(
"的个数必须为0与2147483647之间",
0,
2147483647,
    )
].filter(r=>r) as ValidationRule[],
'Id': [

// only-min-range
    
    { type: "number", min: 1, trigger: 'blur', message: "编号必须在9.22337203685478E+18--1之间"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'Messages'
    ?
: 
    Array<string>; // not enum

//a smart property
 'PicUrls'
    ?
: 
    Array<string>; // not enum

//a smart property

}

