// FHT Swagger axios client V2


// mark 2 model generic



// not an enum
export   interface  UserSimpleViewModel {
 
//a smart property
 readonly  'UserId'
: 
    number; // not enum

//a smart property
 readonly  'RealName'
: 
    string; // not enum

//a smart property
 readonly  'Gender'
?
: 
null |
    GenderEnum; //is single enum

//a smart property
 readonly  'AvatarUrl'
: 
    models.ImageViewModel; // not enum

//a smart property
 readonly  'Profession'
: 
    string; // not enum

//a smart property
 readonly  'CreatedTime'
: 
    Date; // not enum

//a smart property
 readonly  'Mobile'
: 
    string; // not enum

//a smart property
 readonly  'AddressDetail'
: 
    string; // not enum

//a smart property
 readonly  'CompanyId'
?
: 
null |
    number; // not enum

//a smart property
 readonly  'CompanyName'
: 
    string; // not enum

//a smart property
 readonly  'CompanyMemberId'
?
: 
null |
    number; // not enum

//a smart property
 readonly  'CompanyMemberType'
?
: 
null |
    CompanyMemberTypeEnum; //is single enum

//a smart property
 readonly  'IsMobileUser'
: 
    boolean; // not enum

//a smart property
 readonly  'MobileVisibled'
: 
    boolean; // not enum

//a smart property
 readonly  'IsActive'
: 
    boolean; // not enum

//a smart property
 readonly  'TopicPostCount'
: 
    number; // not enum

//a smart property
 readonly  'TopicPostCountLastModified'
: 
    Date; // not enum

//a smart property
 readonly  'CollectionCount'
: 
    number; // not enum

//a smart property
 readonly  'CollectionCountLastModified'
: 
    Date; // not enum

//a smart property
 readonly  'AuditStatus'
: 
    AuditStatusEnum; //is single enum

//a smart property
 readonly  'QrCodeUrl'
: 
    string; // not enum

//a smart property
 readonly  'ClientId'
: 
    string; // not enum

//a smart property
 readonly  'IsEffective'
: 
    boolean; // not enum

}
//export namespace UserSimpleViewModel 
export enum GenderEnum {
	Male = 'Male',
	Female = 'Female'
}
export enum CompanyMemberTypeEnum {
	MainAdmin = 'MainAdmin',
	SubAdmin = 'SubAdmin',
	Member = 'Member'
}
export enum AuditStatusEnum {
	Accepted = 'Accepted',
	Suspicious = 'Suspicious',
	Pending = 'Pending',
	Rejected = 'Rejected'
}

