
import { AuditStatusEnum } from "./AuditStatusEnum"
export function convertFromAuditStatusEnum(e: AuditStatusEnum): number{
    switch(e){
        case AuditStatusEnum.Accepted:
            return 1;
        case AuditStatusEnum.Suspicious:
            return 2;
        case AuditStatusEnum.Pending:
            return 3;
        case AuditStatusEnum.Rejected:
            return 4;
        default:
            throw new Error(`${e} is an invalid AuditStatusEnum`);
    }
}
		