
import { CommonEmojiEnum } from "./CommonEmojiEnum"
export function convertFromCommonEmojiEnum(e: CommonEmojiEnum): number{
    switch(e){
        case CommonEmojiEnum.angry:
            return 1;
        case CommonEmojiEnum.astonished:
            return 2;
        case CommonEmojiEnum.awkward:
            return 3;
        case CommonEmojiEnum.awkward_shy:
            return 4;
        case CommonEmojiEnum.blush:
            return 5;
        case CommonEmojiEnum.cash:
            return 6;
        case CommonEmojiEnum.cold_sweat:
            return 7;
        case CommonEmojiEnum.contempt:
            return 8;
        case CommonEmojiEnum.cry:
            return 9;
        case CommonEmojiEnum.depressed:
            return 10;
        case CommonEmojiEnum.doubt:
            return 11;
        case CommonEmojiEnum.happy:
            return 12;
        case CommonEmojiEnum.laugh:
            return 13;
        case CommonEmojiEnum.laugh_with_tears:
            return 14;
        case CommonEmojiEnum.laugh_with_teeth:
            return 15;
        case CommonEmojiEnum.naughty:
            return 16;
        case CommonEmojiEnum.pout:
            return 17;
        case CommonEmojiEnum.rage:
            return 18;
        case CommonEmojiEnum.shy:
            return 19;
        case CommonEmojiEnum.sleep:
            return 20;
        case CommonEmojiEnum.smile:
            return 21;
        case CommonEmojiEnum.sorrow:
            return 22;
        case CommonEmojiEnum.stupefied:
            return 23;
        case CommonEmojiEnum.sun_glasses:
            return 24;
        case CommonEmojiEnum.sweat:
            return 25;
        case CommonEmojiEnum.tears:
            return 26;
        case CommonEmojiEnum.think:
            return 27;
        case CommonEmojiEnum.thumb_up:
            return 28;
        case CommonEmojiEnum.weep:
            return 29;
        case CommonEmojiEnum.wronged:
            return 30;
        default:
            throw new Error(`${e} is an invalid CommonEmojiEnum`);
    }
}
		