
import { ConstItemEnum } from "./ConstItemEnum"
export function convertFromConstItemEnum(e: ConstItemEnum): number{
    switch(e){
        case ConstItemEnum.CzCustmerServiceHotline:
            return 1;
        case ConstItemEnum.CzCustmerServiceHotlineExtra:
            return 2;
        case ConstItemEnum.NjCustmerServiceHotline:
            return 3;
        case ConstItemEnum.NjAddress:
            return 4;
        case ConstItemEnum.CzAddress:
            return 5;
        case ConstItemEnum.NjCompanyName:
            return 6;
        case ConstItemEnum.CzCompanyName:
            return 7;
        case ConstItemEnum.NjPostCode:
            return 8;
        case ConstItemEnum.CzPostCode:
            return 9;
        default:
            throw new Error(`${e} is an invalid ConstItemEnum`);
    }
}
		