
import { EligibilityStatusEnum } from "./EligibilityStatusEnum"
export function convertFromEligibilityStatusEnum(e: EligibilityStatusEnum): number{
    switch(e){
        case EligibilityStatusEnum.Ok:
            return 1;
        case EligibilityStatusEnum.Warn:
            return 2;
        case EligibilityStatusEnum.Error:
            return 3;
        default:
            throw new Error(`${e} is an invalid EligibilityStatusEnum`);
    }
}
		