
import { HostNameEnumEnum } from "./HostNameEnumEnum"
export function convertFromHostNameEnumEnum(e: HostNameEnumEnum): number{
    switch(e){
        case HostNameEnumEnum.www:
            return 1;
        case HostNameEnumEnum.m:
            return 3;
        case HostNameEnumEnum.wap:
            return 4;
        case HostNameEnumEnum.company:
            return 5;
        case HostNameEnumEnum.detail:
            return 6;
        case HostNameEnumEnum.topic:
            return 7;
        default:
            throw new Error(`${e} is an invalid HostNameEnumEnum`);
    }
}
		