
import { LeancloudFileServiceHostTypeEnum } from "./LeancloudFileServiceHostTypeEnum"
export function convertFromLeancloudFileServiceHostTypeEnum(e: LeancloudFileServiceHostTypeEnum): number{
    switch(e){
        case LeancloudFileServiceHostTypeEnum.Local:
            return 1;
        case LeancloudFileServiceHostTypeEnum.Development:
            return 2;
        case LeancloudFileServiceHostTypeEnum.MobileDevelopment:
            return 3;
        case LeancloudFileServiceHostTypeEnum.Staging:
            return 4;
        case LeancloudFileServiceHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid LeancloudFileServiceHostTypeEnum`);
    }
}
		