
import { LinkTypeEnum } from "./LinkTypeEnum"
export function convertFromLinkTypeEnum(e: LinkTypeEnum): number{
    switch(e){
        case LinkTypeEnum.None:
            return 1;
        case LinkTypeEnum.Product:
            return 2;
        case LinkTypeEnum.ArticleType:
            return 3;
        case LinkTypeEnum.Article:
            return 4;
        case LinkTypeEnum.CustomCategory:
            return 6;
        default:
            throw new Error(`${e} is an invalid LinkTypeEnum`);
    }
}
		