
import { OAuthTypeEnum } from "./OAuthTypeEnum"
export function convertFromOAuthTypeEnum(e: OAuthTypeEnum): number{
    switch(e){
        case OAuthTypeEnum.Alipay:
            return 1;
        case OAuthTypeEnum.WeChat:
            return 2;
        case OAuthTypeEnum.QQ:
            return 3;
        case OAuthTypeEnum.Apple:
            return 4;
        default:
            throw new Error(`${e} is an invalid OAuthTypeEnum`);
    }
}
		