
import { OrderByTypeEnum } from "./OrderByTypeEnum"
export function convertFromOrderByTypeEnum(e: OrderByTypeEnum): number{
    switch(e){
        case OrderByTypeEnum.OrderNum:
            return 1;
        case OrderByTypeEnum.LastModified:
            return 2;
        case OrderByTypeEnum.IsTop:
            return 3;
        case OrderByTypeEnum.Click:
            return 4;
        case OrderByTypeEnum.View:
            return 5;
        case OrderByTypeEnum.Collection:
            return 6;
        case OrderByTypeEnum.Default:
            return 7;
        default:
            throw new Error(`${e} is an invalid OrderByTypeEnum`);
    }
}
		