
import { RegIdentityTypeEnum } from "./RegIdentityTypeEnum"
export function convertFromRegIdentityTypeEnum(e: RegIdentityTypeEnum): number{
    switch(e){
        case RegIdentityTypeEnum.NomalMember:
            return 1;
        case RegIdentityTypeEnum.JoinCompanyMember:
            return 2;
        case RegIdentityTypeEnum.CreateCompanyMember:
            return 3;
        default:
            throw new Error(`${e} is an invalid RegIdentityTypeEnum`);
    }
}
		