
import { TemplateSuitableIndustryEnum } from "./TemplateSuitableIndustryEnum"
export function convertFromTemplateSuitableIndustryEnum(e: TemplateSuitableIndustryEnum): number{
    switch(e){
        case TemplateSuitableIndustryEnum.Hardware:
            return 1;
        case TemplateSuitableIndustryEnum.Mechanics:
            return 2;
        case TemplateSuitableIndustryEnum.Chemical:
            return 3;
        case TemplateSuitableIndustryEnum.Furniture:
            return 4;
        case TemplateSuitableIndustryEnum.Textile:
            return 5;
        case TemplateSuitableIndustryEnum.Security:
            return 6;
        case TemplateSuitableIndustryEnum.Business:
            return 7;
        case TemplateSuitableIndustryEnum.Digital:
            return 8;
        case TemplateSuitableIndustryEnum.Store:
            return 9;
        case TemplateSuitableIndustryEnum.Printing:
            return 10;
        case TemplateSuitableIndustryEnum.MedicalCare:
            return 11;
        case TemplateSuitableIndustryEnum.Agriculture:
            return 12;
        case TemplateSuitableIndustryEnum.Electronics:
            return 13;
        case TemplateSuitableIndustryEnum.Trappings:
            return 14;
        case TemplateSuitableIndustryEnum.Vehicle:
            return 15;
        case TemplateSuitableIndustryEnum.Outdoors:
            return 16;
        default:
            throw new Error(`${e} is an invalid TemplateSuitableIndustryEnum`);
    }
}
		