
import { TimeRuleEnum } from "./TimeRuleEnum"
export function convertFromTimeRuleEnum(e: TimeRuleEnum): number{
    switch(e){
        case TimeRuleEnum.All:
            return 1;
        case TimeRuleEnum.Within24Hours:
            return 2;
        case TimeRuleEnum.Within3Days:
            return 3;
        case TimeRuleEnum.Within1Week:
            return 4;
        case TimeRuleEnum.Within1Month:
            return 5;
        default:
            throw new Error(`${e} is an invalid TimeRuleEnum`);
    }
}
		