
import { UserCenterMenuEnum } from "./UserCenterMenuEnum"
export function convertFromUserCenterMenuEnum(e: UserCenterMenuEnum): number{
    switch(e){
        case UserCenterMenuEnum.UserHome:
            return 1;
        case UserCenterMenuEnum.UserProfile:
            return 2;
        case UserCenterMenuEnum.ViewingHistory:
            return 4;
        case UserCenterMenuEnum.CreateTopicPost:
            return 5;
        case UserCenterMenuEnum.MyCompany:
            return 6;
        case UserCenterMenuEnum.MyTopicPosts:
            return 7;
        case UserCenterMenuEnum.MyCollections:
            return 8;
        case UserCenterMenuEnum.MyNotifications:
            return 9;
        case UserCenterMenuEnum.AccountSecurity:
            return 10;
        case UserCenterMenuEnum.InviteApplies:
            return 11;
        case UserCenterMenuEnum.CreateCompany:
            return 12;
        case UserCenterMenuEnum.JoinCompany:
            return 13;
        case UserCenterMenuEnum.CreateTopicPostFinished:
            return 14;
        case UserCenterMenuEnum.SecuritySettings:
            return 15;
        case UserCenterMenuEnum.AccountBinding:
            return 16;
        default:
            throw new Error(`${e} is an invalid UserCenterMenuEnum`);
    }
}
		