
import { UuidCodeTypeEnum } from "./UuidCodeTypeEnum"
export function convertFromUuidCodeTypeEnum(e: UuidCodeTypeEnum): number{
    switch(e){
        case UuidCodeTypeEnum.NotScanned:
            return 201;
        case UuidCodeTypeEnum.ToBeConfirmed:
            return 202;
        case UuidCodeTypeEnum.Revoke:
            return 203;
        case UuidCodeTypeEnum.SignedIn:
            return 204;
        case UuidCodeTypeEnum.Invalid:
            return 205;
        case UuidCodeTypeEnum.Used:
            return 206;
        default:
            throw new Error(`${e} is an invalid UuidCodeTypeEnum`);
    }
}
		