
import { VueFunctionalityEnum } from "./VueFunctionalityEnum"
export function convertFromVueFunctionalityEnum(e: VueFunctionalityEnum): number{
    switch(e){
        case VueFunctionalityEnum.Center:
            return 1;
        case VueFunctionalityEnum.Report:
            return 2;
        case VueFunctionalityEnum.Feedback:
            return 3;
        case VueFunctionalityEnum.EditTemplate:
            return 4;
        case VueFunctionalityEnum.LayoutNotifications:
            return 5;
        case VueFunctionalityEnum.CreateTopicPost:
            return 6;
        case VueFunctionalityEnum.Login:
            return 7;
        case VueFunctionalityEnum.FindPassword:
            return 8;
        case VueFunctionalityEnum.Register:
            return 9;
        case VueFunctionalityEnum.AgencyApplicationFormModal:
            return 10;
        case VueFunctionalityEnum.MemberApplicationFormModal:
            return 11;
        case VueFunctionalityEnum.CmsSettingAdmin:
            return 100;
        case VueFunctionalityEnum.BindExternalAccount:
            return 101;
        default:
            throw new Error(`${e} is an invalid VueFunctionalityEnum`);
    }
}
		