
import { AgencyApiWebHostTypeEnum } from "./AgencyApiWebHostTypeEnum"
export function convertToAgencyApiWebHostTypeEnum(n: number): AgencyApiWebHostTypeEnum{
    switch(n){
        case 1:
            return AgencyApiWebHostTypeEnum.Local;
        case 2:
            return AgencyApiWebHostTypeEnum.Development;
        case 3:
            return AgencyApiWebHostTypeEnum.MobileDevelopment;
        case 4:
            return AgencyApiWebHostTypeEnum.Staging;
        case 5:
            return AgencyApiWebHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid AgencyApiWebHostTypeEnum`);
    }
}
		