
import { ApplyRequestStatusEnum } from "./ApplyRequestStatusEnum"
export function convertToApplyRequestStatusEnum(n: number): ApplyRequestStatusEnum{
    switch(n){
        case 1:
            return ApplyRequestStatusEnum.Applying;
        case 2:
            return ApplyRequestStatusEnum.Accepted;
        case 3:
            return ApplyRequestStatusEnum.Rejected;
        case 4:
            return ApplyRequestStatusEnum.Canceled;
        default:
            throw new Error(`${n} is an invalid ApplyRequestStatusEnum`);
    }
}
		