
import { AuditStatusEnum } from "./AuditStatusEnum"
export function convertToAuditStatusEnum(n: number): AuditStatusEnum{
    switch(n){
        case 1:
            return AuditStatusEnum.Accepted;
        case 2:
            return AuditStatusEnum.Suspicious;
        case 3:
            return AuditStatusEnum.Pending;
        case 4:
            return AuditStatusEnum.Rejected;
        default:
            throw new Error(`${n} is an invalid AuditStatusEnum`);
    }
}
		