
import { BusinessEmojiEnum } from "./BusinessEmojiEnum"
export function convertToBusinessEmojiEnum(n: number): BusinessEmojiEnum{
    switch(n){
        case 1:
            return BusinessEmojiEnum.business_0;
        case 2:
            return BusinessEmojiEnum.business_1;
        case 3:
            return BusinessEmojiEnum.business_2;
        case 4:
            return BusinessEmojiEnum.business_3;
        case 5:
            return BusinessEmojiEnum.business_4;
        case 6:
            return BusinessEmojiEnum.business_5;
        case 7:
            return BusinessEmojiEnum.business_6;
        case 8:
            return BusinessEmojiEnum.business_7;
        case 9:
            return BusinessEmojiEnum.business_8;
        default:
            throw new Error(`${n} is an invalid BusinessEmojiEnum`);
    }
}
		