
import { ChatTypeEnum } from "./ChatTypeEnum"
export function convertToChatTypeEnum(n: number): ChatTypeEnum{
    switch(n){
        case 1:
            return ChatTypeEnum.Tourist;
        case 2:
            return ChatTypeEnum.Personal;
        case 3:
            return ChatTypeEnum.Group;
        case 4:
            return ChatTypeEnum.Meetup;
        default:
            throw new Error(`${n} is an invalid ChatTypeEnum`);
    }
}
		