
import { CommonEmojiEnum } from "./CommonEmojiEnum"
export function convertToCommonEmojiEnum(n: number): CommonEmojiEnum{
    switch(n){
        case 1:
            return CommonEmojiEnum.angry;
        case 2:
            return CommonEmojiEnum.astonished;
        case 3:
            return CommonEmojiEnum.awkward;
        case 4:
            return CommonEmojiEnum.awkward_shy;
        case 5:
            return CommonEmojiEnum.blush;
        case 6:
            return CommonEmojiEnum.cash;
        case 7:
            return CommonEmojiEnum.cold_sweat;
        case 8:
            return CommonEmojiEnum.contempt;
        case 9:
            return CommonEmojiEnum.cry;
        case 10:
            return CommonEmojiEnum.depressed;
        case 11:
            return CommonEmojiEnum.doubt;
        case 12:
            return CommonEmojiEnum.happy;
        case 13:
            return CommonEmojiEnum.laugh;
        case 14:
            return CommonEmojiEnum.laugh_with_tears;
        case 15:
            return CommonEmojiEnum.laugh_with_teeth;
        case 16:
            return CommonEmojiEnum.naughty;
        case 17:
            return CommonEmojiEnum.pout;
        case 18:
            return CommonEmojiEnum.rage;
        case 19:
            return CommonEmojiEnum.shy;
        case 20:
            return CommonEmojiEnum.sleep;
        case 21:
            return CommonEmojiEnum.smile;
        case 22:
            return CommonEmojiEnum.sorrow;
        case 23:
            return CommonEmojiEnum.stupefied;
        case 24:
            return CommonEmojiEnum.sun_glasses;
        case 25:
            return CommonEmojiEnum.sweat;
        case 26:
            return CommonEmojiEnum.tears;
        case 27:
            return CommonEmojiEnum.think;
        case 28:
            return CommonEmojiEnum.thumb_up;
        case 29:
            return CommonEmojiEnum.weep;
        case 30:
            return CommonEmojiEnum.wronged;
        default:
            throw new Error(`${n} is an invalid CommonEmojiEnum`);
    }
}
		