
import { CompactMessageTypeEnum } from "./CompactMessageTypeEnum"
export function convertToCompactMessageTypeEnum(n: number): CompactMessageTypeEnum{
    switch(n){
        case 1:
            return CompactMessageTypeEnum.Compact;
        case 2:
            return CompactMessageTypeEnum.Text;
        case 3:
            return CompactMessageTypeEnum.Image;
        case 255:
            return CompactMessageTypeEnum.Other;
        default:
            throw new Error(`${n} is an invalid CompactMessageTypeEnum`);
    }
}
		