
import { CompanyMemberTypeEnum } from "./CompanyMemberTypeEnum"
export function convertToCompanyMemberTypeEnum(n: number): CompanyMemberTypeEnum{
    switch(n){
        case 1:
            return CompanyMemberTypeEnum.MainAdmin;
        case 2:
            return CompanyMemberTypeEnum.SubAdmin;
        case 3:
            return CompanyMemberTypeEnum.Member;
        default:
            throw new Error(`${n} is an invalid CompanyMemberTypeEnum`);
    }
}
		