
import { ExamineItemNameEnum } from "./ExamineItemNameEnum"
export function convertToExamineItemNameEnum(n: number): ExamineItemNameEnum{
    switch(n){
        case 1:
            return ExamineItemNameEnum.ProductCreate;
        case 2:
            return ExamineItemNameEnum.ShopDesign;
        case 3:
            return ExamineItemNameEnum.NewsCreate;
        case 4:
            return ExamineItemNameEnum.CustomCategory;
        case 5:
            return ExamineItemNameEnum.CustomerServiceManagement;
        case 6:
            return ExamineItemNameEnum.JoinMemberManagement;
        case 7:
            return ExamineItemNameEnum.Authentication;
        case 8:
            return ExamineItemNameEnum.Membership;
        case 9:
            return ExamineItemNameEnum.LogoSetting;
        case 10:
            return ExamineItemNameEnum.Contact;
        default:
            throw new Error(`${n} is an invalid ExamineItemNameEnum`);
    }
}
		