
import { FeedBackTypeEnum } from "./FeedBackTypeEnum"
export function convertToFeedBackTypeEnum(n: number): FeedBackTypeEnum{
    switch(n){
        case 1:
            return FeedBackTypeEnum.Wrong;
        case 2:
            return FeedBackTypeEnum.Appeal;
        case 3:
            return FeedBackTypeEnum.Suggestion;
        case 4:
            return FeedBackTypeEnum.False;
        case 5:
            return FeedBackTypeEnum.Forbid;
        case 6:
            return FeedBackTypeEnum.Cheat;
        case 7:
            return FeedBackTypeEnum.Doubt;
        case 8:
            return FeedBackTypeEnum.Other;
        default:
            throw new Error(`${n} is an invalid FeedBackTypeEnum`);
    }
}
		