
import { ForwardPlatformEnum } from "./ForwardPlatformEnum"
export function convertToForwardPlatformEnum(n: number): ForwardPlatformEnum{
    switch(n){
        case 1:
            return ForwardPlatformEnum.Feige;
        case 2:
            return ForwardPlatformEnum.WeixinFriend;
        case 3:
            return ForwardPlatformEnum.WeixinZone;
        case 4:
            return ForwardPlatformEnum.QQFriend;
        case 5:
            return ForwardPlatformEnum.QQZone;
        case 6:
            return ForwardPlatformEnum.SinaWeibo;
        case 255:
            return ForwardPlatformEnum.Other;
        default:
            throw new Error(`${n} is an invalid ForwardPlatformEnum`);
    }
}
		