
import { GenericItemTypeEnum } from "./GenericItemTypeEnum"
export function convertToGenericItemTypeEnum(n: number): GenericItemTypeEnum{
    switch(n){
        case 1:
            return GenericItemTypeEnum.Product;
        case 2:
            return GenericItemTypeEnum.TopicPost;
        case 3:
            return GenericItemTypeEnum.User;
        case 4:
            return GenericItemTypeEnum.Company;
        case 5:
            return GenericItemTypeEnum.Meetup;
        case 6:
            return GenericItemTypeEnum.Article;
        default:
            throw new Error(`${n} is an invalid GenericItemTypeEnum`);
    }
}
		