
import { HotSearchWordTypeEnum } from "./HotSearchWordTypeEnum"
export function convertToHotSearchWordTypeEnum(n: number): HotSearchWordTypeEnum{
    switch(n){
        case 1:
            return HotSearchWordTypeEnum.Product;
        case 2:
            return HotSearchWordTypeEnum.TopicPost;
        case 3:
            return HotSearchWordTypeEnum.User;
        case 4:
            return HotSearchWordTypeEnum.Company;
        case 5:
            return HotSearchWordTypeEnum.Meetup;
        default:
            throw new Error(`${n} is an invalid HotSearchWordTypeEnum`);
    }
}
		