
import { KeywordStatusEnum } from "./KeywordStatusEnum"
export function convertToKeywordStatusEnum(n: number): KeywordStatusEnum{
    switch(n){
        case 1:
            return KeywordStatusEnum.Deleted;
        case 2:
            return KeywordStatusEnum.InUse;
        case 3:
            return KeywordStatusEnum.NotUsedAnyMore;
        default:
            throw new Error(`${n} is an invalid KeywordStatusEnum`);
    }
}
		