
import { KnownPageTypeEnum } from "./KnownPageTypeEnum"
export function convertToKnownPageTypeEnum(n: number): KnownPageTypeEnum{
    switch(n){
        case 1:
            return KnownPageTypeEnum.Home;
        case 2:
            return KnownPageTypeEnum.ProductList;
        case 3:
            return KnownPageTypeEnum.ProductDetail;
        case 4:
            return KnownPageTypeEnum.TopicPostList;
        case 5:
            return KnownPageTypeEnum.TopicPostDetail;
        case 6:
            return KnownPageTypeEnum.UserDetail;
        case 8:
            return KnownPageTypeEnum.Account;
        case 9:
            return KnownPageTypeEnum.OfficialSite;
        case 20:
            return KnownPageTypeEnum.App;
        case 21:
            return KnownPageTypeEnum.Membership;
        case 22:
            return KnownPageTypeEnum.EditTemplate;
        case 23:
            return KnownPageTypeEnum.Center;
        case 40:
            return KnownPageTypeEnum.ProductSearch;
        case 41:
            return KnownPageTypeEnum.TopicPostSearch;
        case 42:
            return KnownPageTypeEnum.UserSearch;
        case 43:
            return KnownPageTypeEnum.CompanySearch;
        default:
            throw new Error(`${n} is an invalid KnownPageTypeEnum`);
    }
}
		