
import { LeancloudFileServiceHostTypeEnum } from "./LeancloudFileServiceHostTypeEnum"
export function convertToLeancloudFileServiceHostTypeEnum(n: number): LeancloudFileServiceHostTypeEnum{
    switch(n){
        case 1:
            return LeancloudFileServiceHostTypeEnum.Local;
        case 2:
            return LeancloudFileServiceHostTypeEnum.Development;
        case 3:
            return LeancloudFileServiceHostTypeEnum.MobileDevelopment;
        case 4:
            return LeancloudFileServiceHostTypeEnum.Staging;
        case 5:
            return LeancloudFileServiceHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid LeancloudFileServiceHostTypeEnum`);
    }
}
		