
import { LinkTypeEnum } from "./LinkTypeEnum"
export function convertToLinkTypeEnum(n: number): LinkTypeEnum{
    switch(n){
        case 1:
            return LinkTypeEnum.None;
        case 2:
            return LinkTypeEnum.Product;
        case 3:
            return LinkTypeEnum.ArticleType;
        case 4:
            return LinkTypeEnum.Article;
        case 6:
            return LinkTypeEnum.CustomCategory;
        default:
            throw new Error(`${n} is an invalid LinkTypeEnum`);
    }
}
		