
import { MarketingKeywordTypeEnum } from "./MarketingKeywordTypeEnum"
export function convertToMarketingKeywordTypeEnum(n: number): MarketingKeywordTypeEnum{
    switch(n){
        case 1:
            return MarketingKeywordTypeEnum.Company;
        case 2:
            return MarketingKeywordTypeEnum.Product;
        case 3:
            return MarketingKeywordTypeEnum.Article;
        default:
            throw new Error(`${n} is an invalid MarketingKeywordTypeEnum`);
    }
}
		