
import { NavigationContentTypeEnum } from "./NavigationContentTypeEnum"
export function convertToNavigationContentTypeEnum(n: number): NavigationContentTypeEnum{
    switch(n){
        case 0:
            return NavigationContentTypeEnum.Preset;
        case 1:
            return NavigationContentTypeEnum.CustomPage;
        case 2:
            return NavigationContentTypeEnum.ArticleType;
        case 3:
            return NavigationContentTypeEnum.Url;
        case 4:
            return NavigationContentTypeEnum.CustomCategory;
        default:
            throw new Error(`${n} is an invalid NavigationContentTypeEnum`);
    }
}
		