
import { NetworkTypeEnum } from "./NetworkTypeEnum"
export function convertToNetworkTypeEnum(n: number): NetworkTypeEnum{
    switch(n){
        case 1:
            return NetworkTypeEnum.Disconnected;
        case 2:
            return NetworkTypeEnum.Wifi;
        case 3:
            return NetworkTypeEnum._2G;
        case 4:
            return NetworkTypeEnum._3G;
        case 5:
            return NetworkTypeEnum._4G;
        case 6:
            return NetworkTypeEnum._5G;
        case 10:
            return NetworkTypeEnum.Cable;
        default:
            throw new Error(`${n} is an invalid NetworkTypeEnum`);
    }
}
		