
import { NotificationContentPartTypeEnum } from "./NotificationContentPartTypeEnum"
export function convertToNotificationContentPartTypeEnum(n: number): NotificationContentPartTypeEnum{
    switch(n){
        case 1:
            return NotificationContentPartTypeEnum.String;
        case 2:
            return NotificationContentPartTypeEnum.Company;
        case 3:
            return NotificationContentPartTypeEnum.User;
        case 4:
            return NotificationContentPartTypeEnum.Product;
        case 5:
            return NotificationContentPartTypeEnum.TopicPost;
        case 6:
            return NotificationContentPartTypeEnum.Meetup;
        case 7:
            return NotificationContentPartTypeEnum.GroupChat;
        case 8:
            return NotificationContentPartTypeEnum.NearByMeetup;
        case 9:
            return NotificationContentPartTypeEnum.FriendRequestToUser;
        case 10:
            return NotificationContentPartTypeEnum.Article;
        case 11:
            return NotificationContentPartTypeEnum.Url;
        case 12:
            return NotificationContentPartTypeEnum.Mobile;
        case 13:
            return NotificationContentPartTypeEnum.Tel;
        default:
            throw new Error(`${n} is an invalid NotificationContentPartTypeEnum`);
    }
}
		