
import { NotificationRedirectCategoryEnum } from "./NotificationRedirectCategoryEnum"
export function convertToNotificationRedirectCategoryEnum(n: number): NotificationRedirectCategoryEnum{
    switch(n){
        case 0:
            return NotificationRedirectCategoryEnum.SystemNotification;
        case 1:
            return NotificationRedirectCategoryEnum.MeetupApplication;
        case 2:
            return NotificationRedirectCategoryEnum.MeetupInvitation;
        case 3:
            return NotificationRedirectCategoryEnum.CompanyAuthentication;
        case 4:
            return NotificationRedirectCategoryEnum.CompanyMemberApplication;
        case 5:
            return NotificationRedirectCategoryEnum.CompanyMemberInvitation;
        case 6:
            return NotificationRedirectCategoryEnum.SystemBroadcast;
        default:
            throw new Error(`${n} is an invalid NotificationRedirectCategoryEnum`);
    }
}
		