
import { OAuthTypeEnum } from "./OAuthTypeEnum"
export function convertToOAuthTypeEnum(n: number): OAuthTypeEnum{
    switch(n){
        case 1:
            return OAuthTypeEnum.Alipay;
        case 2:
            return OAuthTypeEnum.WeChat;
        case 3:
            return OAuthTypeEnum.QQ;
        case 4:
            return OAuthTypeEnum.Apple;
        default:
            throw new Error(`${n} is an invalid OAuthTypeEnum`);
    }
}
		