
import { OrderByTypeEnum } from "./OrderByTypeEnum"
export function convertToOrderByTypeEnum(n: number): OrderByTypeEnum{
    switch(n){
        case 1:
            return OrderByTypeEnum.OrderNum;
        case 2:
            return OrderByTypeEnum.LastModified;
        case 3:
            return OrderByTypeEnum.IsTop;
        case 4:
            return OrderByTypeEnum.Click;
        case 5:
            return OrderByTypeEnum.View;
        case 6:
            return OrderByTypeEnum.Collection;
        case 7:
            return OrderByTypeEnum.Default;
        default:
            throw new Error(`${n} is an invalid OrderByTypeEnum`);
    }
}
		