
import { PlatformMenuTypeEnum } from "./PlatformMenuTypeEnum"
export function convertToPlatformMenuTypeEnum(n: number): PlatformMenuTypeEnum{
    switch(n){
        case 1:
            return PlatformMenuTypeEnum.Home;
        case 2:
            return PlatformMenuTypeEnum.CompanyInfo;
        case 3:
            return PlatformMenuTypeEnum.ProductAndService;
        case 4:
            return PlatformMenuTypeEnum.ServiceSupport;
        case 5:
            return PlatformMenuTypeEnum.NewUserGuid;
        case 6:
            return PlatformMenuTypeEnum.Privacy;
        default:
            throw new Error(`${n} is an invalid PlatformMenuTypeEnum`);
    }
}
		