
import { ProcessingStatusEnum } from "./ProcessingStatusEnum"
export function convertToProcessingStatusEnum(n: number): ProcessingStatusEnum{
    switch(n){
        case 1:
            return ProcessingStatusEnum.Pending;
        case 2:
            return ProcessingStatusEnum.Accepted;
        case 3:
            return ProcessingStatusEnum.Rejected;
        default:
            throw new Error(`${n} is an invalid ProcessingStatusEnum`);
    }
}
		