
import { ProductMenuTypeEnum } from "./ProductMenuTypeEnum"
export function convertToProductMenuTypeEnum(n: number): ProductMenuTypeEnum{
    switch(n){
        case 1:
            return ProductMenuTypeEnum.Introduction;
        case 2:
            return ProductMenuTypeEnum.AppDownload;
        case 3:
            return ProductMenuTypeEnum.Agreement;
        case 4:
            return ProductMenuTypeEnum.Privacy;
        case 5:
            return ProductMenuTypeEnum.Templates;
        default:
            throw new Error(`${n} is an invalid ProductMenuTypeEnum`);
    }
}
		