
import { RegistrationSourceTypeEnum } from "./RegistrationSourceTypeEnum"
export function convertToRegistrationSourceTypeEnum(n: number): RegistrationSourceTypeEnum{
    switch(n){
        case 0:
            return RegistrationSourceTypeEnum.Web;
        case 1:
            return RegistrationSourceTypeEnum.App;
        case 2:
            return RegistrationSourceTypeEnum.Agency;
        case 3:
            return RegistrationSourceTypeEnum.Crawler;
        default:
            throw new Error(`${n} is an invalid RegistrationSourceTypeEnum`);
    }
}
		