
import { StatTimeRangeEnum } from "./StatTimeRangeEnum"
export function convertToStatTimeRangeEnum(n: number): StatTimeRangeEnum{
    switch(n){
        case 1:
            return StatTimeRangeEnum.Yesterday;
        case 2:
            return StatTimeRangeEnum.PastWeek;
        case 3:
            return StatTimeRangeEnum.PastMonth;
        default:
            throw new Error(`${n} is an invalid StatTimeRangeEnum`);
    }
}
		