
import { TemplateSuitableIndustryEnum } from "./TemplateSuitableIndustryEnum"
export function convertToTemplateSuitableIndustryEnum(n: number): TemplateSuitableIndustryEnum{
    switch(n){
        case 1:
            return TemplateSuitableIndustryEnum.Hardware;
        case 2:
            return TemplateSuitableIndustryEnum.Mechanics;
        case 3:
            return TemplateSuitableIndustryEnum.Chemical;
        case 4:
            return TemplateSuitableIndustryEnum.Furniture;
        case 5:
            return TemplateSuitableIndustryEnum.Textile;
        case 6:
            return TemplateSuitableIndustryEnum.Security;
        case 7:
            return TemplateSuitableIndustryEnum.Business;
        case 8:
            return TemplateSuitableIndustryEnum.Digital;
        case 9:
            return TemplateSuitableIndustryEnum.Store;
        case 10:
            return TemplateSuitableIndustryEnum.Printing;
        case 11:
            return TemplateSuitableIndustryEnum.MedicalCare;
        case 12:
            return TemplateSuitableIndustryEnum.Agriculture;
        case 13:
            return TemplateSuitableIndustryEnum.Electronics;
        case 14:
            return TemplateSuitableIndustryEnum.Trappings;
        case 15:
            return TemplateSuitableIndustryEnum.Vehicle;
        case 16:
            return TemplateSuitableIndustryEnum.Outdoors;
        default:
            throw new Error(`${n} is an invalid TemplateSuitableIndustryEnum`);
    }
}
		