
import { UserCenterMenuEnum } from "./UserCenterMenuEnum"
export function convertToUserCenterMenuEnum(n: number): UserCenterMenuEnum{
    switch(n){
        case 1:
            return UserCenterMenuEnum.UserHome;
        case 2:
            return UserCenterMenuEnum.UserProfile;
        case 4:
            return UserCenterMenuEnum.ViewingHistory;
        case 5:
            return UserCenterMenuEnum.CreateTopicPost;
        case 6:
            return UserCenterMenuEnum.MyCompany;
        case 7:
            return UserCenterMenuEnum.MyTopicPosts;
        case 8:
            return UserCenterMenuEnum.MyCollections;
        case 9:
            return UserCenterMenuEnum.MyNotifications;
        case 10:
            return UserCenterMenuEnum.AccountSecurity;
        case 11:
            return UserCenterMenuEnum.InviteApplies;
        case 12:
            return UserCenterMenuEnum.CreateCompany;
        case 13:
            return UserCenterMenuEnum.JoinCompany;
        case 14:
            return UserCenterMenuEnum.CreateTopicPostFinished;
        case 15:
            return UserCenterMenuEnum.SecuritySettings;
        case 16:
            return UserCenterMenuEnum.AccountBinding;
        default:
            throw new Error(`${n} is an invalid UserCenterMenuEnum`);
    }
}
		