
import { AgencyApiWebHostTypeEnum } from "./AgencyApiWebHostTypeEnum"
export function describeAgencyApiWebHostTypeEnum(e: AgencyApiWebHostTypeEnum): string{
    switch(e){
        case AgencyApiWebHostTypeEnum.Local:
            return "http://localhost:8002";
        case AgencyApiWebHostTypeEnum.Development:
            return "http://development.fht360agency.com";
        case AgencyApiWebHostTypeEnum.MobileDevelopment:
            return "http://mobiledevelopment.fht360agency.com";
        case AgencyApiWebHostTypeEnum.Staging:
            return "http://staging.fht360agency.com";
        case AgencyApiWebHostTypeEnum.Production:
            return "https://agencyapi.fht360.com";
        default:
            throw new Error(`${e} is an invalid AgencyApiWebHostTypeEnum`);
    }
}
		