
import { AgencyWebHostTypeEnum } from "./AgencyWebHostTypeEnum"
export function describeAgencyWebHostTypeEnum(e: AgencyWebHostTypeEnum): string{
    switch(e){
        case AgencyWebHostTypeEnum.Local:
            return "http://localhost:8002";
        case AgencyWebHostTypeEnum.Development:
            return "http://development.fht360agency.com";
        case AgencyWebHostTypeEnum.MobileDevelopment:
            return "http://mobiledevelopmentagency.fht360.cn";
        case AgencyWebHostTypeEnum.Staging:
            return "http://stagingagency.fht360.cn";
        case AgencyWebHostTypeEnum.Production:
            return "https://agency.fht360.com";
        default:
            throw new Error(`${e} is an invalid AgencyWebHostTypeEnum`);
    }
}
		