
import { AppEntryTypeEnum } from "./AppEntryTypeEnum"
export function describeAppEntryTypeEnum(e: AppEntryTypeEnum): string{
    switch(e){
        case AppEntryTypeEnum.Fresh:
            return "安装后新启动";
        case AppEntryTypeEnum.Icon:
            return "图标";
        case AppEntryTypeEnum.Chat:
            return "聊天通知";
        case AppEntryTypeEnum.Notification:
            return "通知";
        default:
            throw new Error(`${e} is an invalid AppEntryTypeEnum`);
    }
}
		