
import { ArticleListStyleEnum } from "./ArticleListStyleEnum"
export function describeArticleListStyleEnum(e: ArticleListStyleEnum): string{
    switch(e){
        case ArticleListStyleEnum.Text:
            return "文字";
        case ArticleListStyleEnum.Image:
            return "图片";
        case ArticleListStyleEnum.Mix:
            return "图文";
        default:
            throw new Error(`${e} is an invalid ArticleListStyleEnum`);
    }
}
		