
import { AssetsHostTypeEnum } from "./AssetsHostTypeEnum"
export function describeAssetsHostTypeEnum(e: AssetsHostTypeEnum): string{
    switch(e){
        case AssetsHostTypeEnum.Assets1:
            return "//assets1.fht360.cn";
        case AssetsHostTypeEnum.Assets2:
            return "//assets2.fht360.cn";
        case AssetsHostTypeEnum.Assets3:
            return "//assets3.fht360.cn";
        case AssetsHostTypeEnum.img2:
            return "https://img2.fht360.com";
        case AssetsHostTypeEnum.img:
            return "https://img.fht360.com";
        default:
            throw new Error(`${e} is an invalid AssetsHostTypeEnum`);
    }
}
		