
import { AuditDisplayStatusEnum } from "./AuditDisplayStatusEnum"
export function describeAuditDisplayStatusEnum(e: AuditDisplayStatusEnum): string{
    switch(e){
        case AuditDisplayStatusEnum.Accepted:
            return "通过";
        case AuditDisplayStatusEnum.Pending:
            return "待审核";
        case AuditDisplayStatusEnum.Rejected:
            return "未通过";
        default:
            throw new Error(`${e} is an invalid AuditDisplayStatusEnum`);
    }
}
		