
import { AuditStatusEnum } from "./AuditStatusEnum"
export function describeAuditStatusEnum(e: AuditStatusEnum): string{
    switch(e){
        case AuditStatusEnum.Accepted:
            return "已通过";
        case AuditStatusEnum.Suspicious:
            return "可疑";
        case AuditStatusEnum.Pending:
            return "待审核";
        case AuditStatusEnum.Rejected:
            return "未通过";
        default:
            throw new Error(`${e} is an invalid AuditStatusEnum`);
    }
}
		