
import { CmsPresetPageEnum } from "./CmsPresetPageEnum"
export function describeCmsPresetPageEnum(e: CmsPresetPageEnum): string{
    switch(e){
        case CmsPresetPageEnum.Home:
            return "首页";
        case CmsPresetPageEnum.Products:
            return "供应产品";
        case CmsPresetPageEnum.News:
            return "新闻";
        case CmsPresetPageEnum.AboutUs:
            return "关于我们";
        case CmsPresetPageEnum.ContactUs:
            return "联系我们";
        case CmsPresetPageEnum.Case:
            return "成功案例";
        case CmsPresetPageEnum.Honor:
            return "资质荣誉";
        case CmsPresetPageEnum.Album:
            return "公司相册";
        default:
            throw new Error(`${e} is an invalid CmsPresetPageEnum`);
    }
}
		