
import { CommonEmojiEnum } from "./CommonEmojiEnum"
export function describeCommonEmojiEnum(e: CommonEmojiEnum): string{
    switch(e){
        case CommonEmojiEnum.angry:
            return "生气";
        case CommonEmojiEnum.astonished:
            return "惊讶";
        case CommonEmojiEnum.awkward:
            return "尴尬";
        case CommonEmojiEnum.awkward_shy:
            return "尴尬又害羞";
        case CommonEmojiEnum.blush:
            return "脸红";
        case CommonEmojiEnum.cash:
            return "现金";
        case CommonEmojiEnum.cold_sweat:
            return "冷汗";
        case CommonEmojiEnum.contempt:
            return "蔑视";
        case CommonEmojiEnum.cry:
            return "哭";
        case CommonEmojiEnum.depressed:
            return "沮丧";
        case CommonEmojiEnum.doubt:
            return "疑问";
        case CommonEmojiEnum.happy:
            return "可爱";
        case CommonEmojiEnum.laugh:
            return "大笑";
        case CommonEmojiEnum.laugh_with_tears:
            return "大笑笑哭";
        case CommonEmojiEnum.laugh_with_teeth:
            return "嘻嘻";
        case CommonEmojiEnum.naughty:
            return "调皮";
        case CommonEmojiEnum.pout:
            return "噘嘴";
        case CommonEmojiEnum.rage:
            return "愤怒";
        case CommonEmojiEnum.shy:
            return "害羞";
        case CommonEmojiEnum.sleep:
            return "困";
        case CommonEmojiEnum.smile:
            return "微笑";
        case CommonEmojiEnum.sorrow:
            return "悲伤";
        case CommonEmojiEnum.stupefied:
            return "惊呆了";
        case CommonEmojiEnum.sun_glasses:
            return "酷";
        case CommonEmojiEnum.sweat:
            return "流汗";
        case CommonEmojiEnum.tears:
            return "大哭";
        case CommonEmojiEnum.think:
            return "思考";
        case CommonEmojiEnum.thumb_up:
            return "点赞";
        case CommonEmojiEnum.weep:
            return "快哭了";
        case CommonEmojiEnum.wronged:
            return "委屈";
        default:
            throw new Error(`${e} is an invalid CommonEmojiEnum`);
    }
}
		