
import { CompactMessageTypeEnum } from "./CompactMessageTypeEnum"
export function describeCompactMessageTypeEnum(e: CompactMessageTypeEnum): string{
    switch(e){
        case CompactMessageTypeEnum.Compact:
            return "合并消息";
        case CompactMessageTypeEnum.Text:
            return "文本消息";
        case CompactMessageTypeEnum.Image:
            return "图片消息";
        case CompactMessageTypeEnum.Other:
            return "其他消息";
        default:
            throw new Error(`${e} is an invalid CompactMessageTypeEnum`);
    }
}
		