
import { CompanyMembershipTypeEnum } from "./CompanyMembershipTypeEnum"
export function describeCompanyMembershipTypeEnum(e: CompanyMembershipTypeEnum): string{
    switch(e){
        case CompanyMembershipTypeEnum.None:
            return "非会员";
        case CompanyMembershipTypeEnum.General:
            return "普通会员";
        case CompanyMembershipTypeEnum.Gold:
            return "高级会员";
        case CompanyMembershipTypeEnum.Silver:
            return "白银会员";
        case CompanyMembershipTypeEnum.FhtMember:
            return "烽火台会员";
        case CompanyMembershipTypeEnum.FHT1VIP_905:
            return "ZJ6800";
        case CompanyMembershipTypeEnum.FHT1VIP_906:
            return "JNXF";
        case CompanyMembershipTypeEnum.FHT1VIP_908:
            return "烽火台普通会员";
        case CompanyMembershipTypeEnum.FHT1VIP_912:
            return "烽火台普通会员";
        case CompanyMembershipTypeEnum.FHT1VIP_918:
            return "12800ZJ";
        case CompanyMembershipTypeEnum.FHT1VIP_922:
            return "普通会员";
        case CompanyMembershipTypeEnum.FHT1VIP_925:
            return "普通会员";
        case CompanyMembershipTypeEnum.FHT1VIP_935:
            return "烽火台普通会员";
        case CompanyMembershipTypeEnum.FHT1VIP_937:
            return "金牌会员";
        case CompanyMembershipTypeEnum.FHT1VIP_941:
            return "金牌会员";
        case CompanyMembershipTypeEnum.FHT1VIP_942:
            return "普通会员";
        case CompanyMembershipTypeEnum.FHT1VIP_947:
            return "金牌推广";
        case CompanyMembershipTypeEnum.FHT1VIP_949:
            return "金牌推广";
        case CompanyMembershipTypeEnum.FHT1VIP_950:
            return "金牌推广";
        case CompanyMembershipTypeEnum.FHT1VIP_951:
            return "基础会员服务";
        case CompanyMembershipTypeEnum.FHT1VIP_952:
            return "基础会员服务";
        case CompanyMembershipTypeEnum.FHT1VIP_958:
            return "普通会员";
        case CompanyMembershipTypeEnum.FHT1VIP_959:
            return "普通会员";
        case CompanyMembershipTypeEnum.FHT1VIP_960:
            return "普通会员";
        case CompanyMembershipTypeEnum.FHT1VIP_963:
            return "普通会员";
        case CompanyMembershipTypeEnum.FHT1VIP_964:
            return "普通会员";
        case CompanyMembershipTypeEnum.FHT1VIP_965:
            return "普通会员";
        case CompanyMembershipTypeEnum.FHT1VIP_966:
            return "银牌会员";
        case CompanyMembershipTypeEnum.FHT1VIP_968:
            return "金牌会员";
        case CompanyMembershipTypeEnum.FHT1VIP_969:
            return "金牌会员";
        case CompanyMembershipTypeEnum.FHT1VIP_970:
            return "金牌会员";
        case CompanyMembershipTypeEnum.FHT1VIP_971:
            return "金牌会员";
        case CompanyMembershipTypeEnum.FHT1VIP_972:
            return "金牌会员";
        case CompanyMembershipTypeEnum.FHT1VIP_973:
            return "金牌会员";
        default:
            throw new Error(`${e} is an invalid CompanyMembershipTypeEnum`);
    }
}
		