
import { ContextKeyEnum } from "./ContextKeyEnum"
export function describeContextKeyEnum(e: ContextKeyEnum): string{
    switch(e){
        case ContextKeyEnum.w_hm_recentts:
            return "Web端首页最新发布";
        case ContextKeyEnum.w_hm_nearbyts:
            return "Web端首页附近商机";
        case ContextKeyEnum.w_hm_activecs:
            return "Web端首页活跃企业";
        case ContextKeyEnum.w_hm_nearbycs:
            return "Web端首页附近企业";
        case ContextKeyEnum.w_pl_main:
            return "Web产品列表页";
        case ContextKeyEnum.w_pl_recentts:
            return "Web产品列表页-最新发布";
        case ContextKeyEnum.w_pl_relatedts:
            return "Web产品列表页-相关服务";
        case ContextKeyEnum.w_pl_mobileps:
            return "Web产品列表页-移动端发布";
        case ContextKeyEnum.w_ps_main:
            return "Web产品搜索页";
        case ContextKeyEnum.w_ps_relatedts:
            return "Web产品搜索页-相关服务";
        case ContextKeyEnum.w_ps_relatedcs:
            return "Web产品搜索页-相关供应商";
        case ContextKeyEnum.w_ps_mobileps:
            return "Web产品搜索页-移动端发布";
        case ContextKeyEnum.w_pd_main:
            return "Web产品详情页";
        case ContextKeyEnum.w_pd_relatedps:
            return "Web产品搜索页-相关推荐";
        case ContextKeyEnum.w_pd_relatedts:
            return "Web产品搜索页-相关服务";
        case ContextKeyEnum.w_pd_relatedcs:
            return "Web产品搜索页-相关供应商";
        case ContextKeyEnum.w_tl_main:
            return "Web服务列表页";
        case ContextKeyEnum.w_tl_recentts:
            return "Web服务列表页-最新发布";
        case ContextKeyEnum.w_tl_activeus:
            return "Web服务列表页-活跃用户";
        case ContextKeyEnum.w_ts_main:
            return "Web服务搜索页";
        case ContextKeyEnum.w_ts_relatedts:
            return "Web服务搜索页-相关服务";
        case ContextKeyEnum.w_ts_activeus:
            return "Web服务搜索页-活跃用户";
        case ContextKeyEnum.w_td_main:
            return "Web服务详情页";
        case ContextKeyEnum.w_td_relatedus:
            return "Web服务详情页-同城好友";
        case ContextKeyEnum.w_td_relatedts:
            return "Web服务详情页-相关服务";
        case ContextKeyEnum.w_ud_ts:
            return "Web用户详情页-他的发布";
        case ContextKeyEnum.w_ud_industryus:
            return "Web用户详情页-同行业好友";
        case ContextKeyEnum.cms_home:
            return "CMS首页";
        case ContextKeyEnum.cms_pl:
            return "CMS产品列表";
        case ContextKeyEnum.cms_al:
            return "CMS文章列表";
        default:
            throw new Error(`${e} is an invalid ContextKeyEnum`);
    }
}
		