
import { DeviceTypeEnum } from "./DeviceTypeEnum"
export function describeDeviceTypeEnum(e: DeviceTypeEnum): string{
    switch(e){
        case DeviceTypeEnum.Web:
            return "Web";
        case DeviceTypeEnum.Ios:
            return "iOS";
        case DeviceTypeEnum.Android:
            return "安卓";
        case DeviceTypeEnum.MobileWeb:
            return "MobileWeb";
        case DeviceTypeEnum.Other:
            return "所有";
        default:
            throw new Error(`${e} is an invalid DeviceTypeEnum`);
    }
}
		