
import { EligibilityStatusEnum } from "./EligibilityStatusEnum"
export function describeEligibilityStatusEnum(e: EligibilityStatusEnum): string{
    switch(e){
        case EligibilityStatusEnum.Ok:
            return "OK";
        case EligibilityStatusEnum.Warn:
            return "Warn";
        case EligibilityStatusEnum.Error:
            return "Error";
        default:
            throw new Error(`${e} is an invalid EligibilityStatusEnum`);
    }
}
		