
import { EligibilityTypeEnum } from "./EligibilityTypeEnum"
export function describeEligibilityTypeEnum(e: EligibilityTypeEnum): string{
    switch(e){
        case EligibilityTypeEnum.TopicPost:
            return "服务";
        case EligibilityTypeEnum.Product:
            return "产品";
        case EligibilityTypeEnum.OtherCompanyCommonManagement:
            return "企业一般操作";
        case EligibilityTypeEnum.CompanyVipManagement:
            return "企业一般操作";
        case EligibilityTypeEnum.Article:
            return "文章";
        case EligibilityTypeEnum.JoinCompany:
            return "申请加入企业";
        case EligibilityTypeEnum.InviteCompany:
            return "邀请加入企业";
        case EligibilityTypeEnum.Chat:
            return "聊天";
        case EligibilityTypeEnum.Meetup:
            return "一起玩";
        case EligibilityTypeEnum.JoinMeetup:
            return "申请加入一起玩";
        case EligibilityTypeEnum.AddFriend:
            return "申请加好友";
        default:
            throw new Error(`${e} is an invalid EligibilityTypeEnum`);
    }
}
		