
import { FeedBackTypeEnum } from "./FeedBackTypeEnum"
export function describeFeedBackTypeEnum(e: FeedBackTypeEnum): string{
    switch(e){
        case FeedBackTypeEnum.Wrong:
            return "网页错误";
        case FeedBackTypeEnum.Appeal:
            return "申诉";
        case FeedBackTypeEnum.Suggestion:
            return "提建议";
        case FeedBackTypeEnum.False:
            return "投诉虚假信息";
        case FeedBackTypeEnum.Forbid:
            return "投诉禁限销售信息";
        case FeedBackTypeEnum.Cheat:
            return "投诉欺诈信息";
        case FeedBackTypeEnum.Doubt:
            return "使用疑问";
        case FeedBackTypeEnum.Other:
            return "其他";
        default:
            throw new Error(`${e} is an invalid FeedBackTypeEnum`);
    }
}
		