
import { Fht1AccountMigrationStatusEnum } from "./Fht1AccountMigrationStatusEnum"
export function describeFht1AccountMigrationStatusEnum(e: Fht1AccountMigrationStatusEnum): string{
    switch(e){
        case Fht1AccountMigrationStatusEnum.InFht1:
            return "Fht1平台用户";
        case Fht1AccountMigrationStatusEnum.InFht2AndNeedAccountWizard:
            return "迁移到Fht2平台，需要做账号向导确认";
        case Fht1AccountMigrationStatusEnum.InFht2:
            return "Fht2平台用户";
        default:
            throw new Error(`${e} is an invalid Fht1AccountMigrationStatusEnum`);
    }
}
		