
import { FhtApiHostTypeEnum } from "./FhtApiHostTypeEnum"
export function describeFhtApiHostTypeEnum(e: FhtApiHostTypeEnum): string{
    switch(e){
        case FhtApiHostTypeEnum.Local:
            return "http://localhost:2000";
        case FhtApiHostTypeEnum.Development:
            return "http://192.168.0.223:7000";
        case FhtApiHostTypeEnum.MobileDevelopment:
            return "http://192.168.0.223:8000";
        case FhtApiHostTypeEnum.Staging:
            return "http://192.168.0.223:9000";
        case FhtApiHostTypeEnum.Production:
            return "https://api.fht360.com";
        default:
            throw new Error(`${e} is an invalid FhtApiHostTypeEnum`);
    }
}
		