
import { FhtWebTopicHostTypeEnum } from "./FhtWebTopicHostTypeEnum"
export function describeFhtWebTopicHostTypeEnum(e: FhtWebTopicHostTypeEnum): string{
    switch(e){
        case FhtWebTopicHostTypeEnum.Local:
            return "http://localhost:8001";
        case FhtWebTopicHostTypeEnum.Development:
            return "http://topic.developmentfht360web.com";
        case FhtWebTopicHostTypeEnum.MobileDevelopment:
            return "http://topic.mobiledevelopmentfht360web.com";
        case FhtWebTopicHostTypeEnum.Staging:
            return "http://topic.stagingfht360web.com";
        case FhtWebTopicHostTypeEnum.Production:
            return "https://topic.fht360.com";
        default:
            throw new Error(`${e} is an invalid FhtWebTopicHostTypeEnum`);
    }
}
		