
import { HostNameEnumEnum } from "./HostNameEnumEnum"
export function describeHostNameEnumEnum(e: HostNameEnumEnum): string{
    switch(e){
        case HostNameEnumEnum.www:
            return "www.";
        case HostNameEnumEnum.m:
            return "m.";
        case HostNameEnumEnum.wap:
            return "wap.";
        case HostNameEnumEnum.company:
            return "company.";
        case HostNameEnumEnum.detail:
            return "detail.";
        case HostNameEnumEnum.topic:
            return "topic.";
        default:
            throw new Error(`${e} is an invalid HostNameEnumEnum`);
    }
}
		