
import { KnownPageTypeEnum } from "./KnownPageTypeEnum"
export function describeKnownPageTypeEnum(e: KnownPageTypeEnum): string{
    switch(e){
        case KnownPageTypeEnum.Home:
            return "首页";
        case KnownPageTypeEnum.ProductList:
            return "产品列表";
        case KnownPageTypeEnum.ProductDetail:
            return "产品详情";
        case KnownPageTypeEnum.TopicPostList:
            return "服务息列表";
        case KnownPageTypeEnum.TopicPostDetail:
            return "服务详情";
        case KnownPageTypeEnum.UserDetail:
            return "用户详情";
        case KnownPageTypeEnum.Account:
            return "账户，注册,登录";
        case KnownPageTypeEnum.OfficialSite:
            return "官网";
        case KnownPageTypeEnum.App:
            return "App下载中心";
        case KnownPageTypeEnum.Membership:
            return "会员认证";
        case KnownPageTypeEnum.EditTemplate:
            return "编辑模板";
        case KnownPageTypeEnum.Center:
            return "个人中心，企业中心";
        case KnownPageTypeEnum.ProductSearch:
            return "产品搜索";
        case KnownPageTypeEnum.TopicPostSearch:
            return "服务信息搜索";
        case KnownPageTypeEnum.UserSearch:
            return "用户搜索";
        case KnownPageTypeEnum.CompanySearch:
            return "企业搜索";
        default:
            throw new Error(`${e} is an invalid KnownPageTypeEnum`);
    }
}
		