
import { LeancloudFileServiceHostTypeEnum } from "./LeancloudFileServiceHostTypeEnum"
export function describeLeancloudFileServiceHostTypeEnum(e: LeancloudFileServiceHostTypeEnum): string{
    switch(e){
        case LeancloudFileServiceHostTypeEnum.Local:
            return "";
        case LeancloudFileServiceHostTypeEnum.Development:
            return "http://development.fht360.com";
        case LeancloudFileServiceHostTypeEnum.MobileDevelopment:
            return "http://mobiledevelopment.fht360.com";
        case LeancloudFileServiceHostTypeEnum.Staging:
            return "http://staging.fht360.com";
        case LeancloudFileServiceHostTypeEnum.Production:
            return "http://production.fht360.com";
        default:
            throw new Error(`${e} is an invalid LeancloudFileServiceHostTypeEnum`);
    }
}
		