
import { NetworkTypeEnum } from "./NetworkTypeEnum"
export function describeNetworkTypeEnum(e: NetworkTypeEnum): string{
    switch(e){
        case NetworkTypeEnum.Disconnected:
            return "断网";
        case NetworkTypeEnum.Wifi:
            return "Wifi";
        case NetworkTypeEnum._2G:
            return "2G";
        case NetworkTypeEnum._3G:
            return "3G";
        case NetworkTypeEnum._4G:
            return "4G";
        case NetworkTypeEnum._5G:
            return "5G";
        case NetworkTypeEnum.Cable:
            return "有线网络";
        default:
            throw new Error(`${e} is an invalid NetworkTypeEnum`);
    }
}
		