
import { OAuthTypeEnum } from "./OAuthTypeEnum"
export function describeOAuthTypeEnum(e: OAuthTypeEnum): string{
    switch(e){
        case OAuthTypeEnum.Alipay:
            return "支付宝";
        case OAuthTypeEnum.WeChat:
            return "微信";
        case OAuthTypeEnum.QQ:
            return "QQ";
        case OAuthTypeEnum.Apple:
            return "Apple";
        default:
            throw new Error(`${e} is an invalid OAuthTypeEnum`);
    }
}
		