
import { OrderByTypeEnum } from "./OrderByTypeEnum"
export function describeOrderByTypeEnum(e: OrderByTypeEnum): string{
    switch(e){
        case OrderByTypeEnum.OrderNum:
            return "自定义排序";
        case OrderByTypeEnum.LastModified:
            return "最后修改时间";
        case OrderByTypeEnum.IsTop:
            return "置顶排序";
        case OrderByTypeEnum.Click:
            return "点击";
        case OrderByTypeEnum.View:
            return "点击";
        case OrderByTypeEnum.Collection:
            return "点击";
        case OrderByTypeEnum.Default:
            return "默认排序";
        default:
            throw new Error(`${e} is an invalid OrderByTypeEnum`);
    }
}
		