
import { OrderTypeEnum } from "./OrderTypeEnum"
export function describeOrderTypeEnum(e: OrderTypeEnum): string{
    switch(e){
        case OrderTypeEnum.Ascending:
            return "升序";
        case OrderTypeEnum.Descending:
            return "降序";
        default:
            throw new Error(`${e} is an invalid OrderTypeEnum`);
    }
}
		