
import { PlatformMenuTypeEnum } from "./PlatformMenuTypeEnum"
export function describePlatformMenuTypeEnum(e: PlatformMenuTypeEnum): string{
    switch(e){
        case PlatformMenuTypeEnum.Home:
            return "首页";
        case PlatformMenuTypeEnum.CompanyInfo:
            return "公司信息";
        case PlatformMenuTypeEnum.ProductAndService:
            return "产品与服务";
        case PlatformMenuTypeEnum.ServiceSupport:
            return "服务支持";
        case PlatformMenuTypeEnum.NewUserGuid:
            return "新手引导";
        case PlatformMenuTypeEnum.Privacy:
            return "隐私政策";
        default:
            throw new Error(`${e} is an invalid PlatformMenuTypeEnum`);
    }
}
		