
import { RealNameStatusEnum } from "./RealNameStatusEnum"
export function describeRealNameStatusEnum(e: RealNameStatusEnum): string{
    switch(e){
        case RealNameStatusEnum.Valid:
            return "有效名称";
        case RealNameStatusEnum.CheckNeeded:
            return "待定名称";
        case RealNameStatusEnum.Invalid:
            return "无效名称";
        default:
            throw new Error(`${e} is an invalid RealNameStatusEnum`);
    }
}
		