
import { RegIdentityTypeEnum } from "./RegIdentityTypeEnum"
export function describeRegIdentityTypeEnum(e: RegIdentityTypeEnum): string{
    switch(e){
        case RegIdentityTypeEnum.NomalMember:
            return "普通预览会员";
        case RegIdentityTypeEnum.JoinCompanyMember:
            return "加入企业会员";
        case RegIdentityTypeEnum.CreateCompanyMember:
            return "创建企业会员";
        default:
            throw new Error(`${e} is an invalid RegIdentityTypeEnum`);
    }
}
		