
import { ReportReasonEnum } from "./ReportReasonEnum"
export function describeReportReasonEnum(e: ReportReasonEnum): string{
    switch(e){
        case ReportReasonEnum.Adult:
            return "色情低俗";
        case ReportReasonEnum.Political:
            return "政治敏感";
        case ReportReasonEnum.Advertisement:
            return "广告骚扰";
        case ReportReasonEnum.Rumour:
            return "谣言";
        case ReportReasonEnum.Cheat:
            return "欺诈骗钱";
        case ReportReasonEnum.Illegal:
            return "违法（暴力恐怖/违禁品）";
        case ReportReasonEnum.Other:
            return "其他";
        default:
            throw new Error(`${e} is an invalid ReportReasonEnum`);
    }
}
		