
import { StatTimeRangeEnum } from "./StatTimeRangeEnum"
export function describeStatTimeRangeEnum(e: StatTimeRangeEnum): string{
    switch(e){
        case StatTimeRangeEnum.Yesterday:
            return "昨天";
        case StatTimeRangeEnum.PastWeek:
            return "最近一周";
        case StatTimeRangeEnum.PastMonth:
            return "最近1个月";
        default:
            throw new Error(`${e} is an invalid StatTimeRangeEnum`);
    }
}
		