
import { TemplateDesignTypeEnum } from "./TemplateDesignTypeEnum"
export function describeTemplateDesignTypeEnum(e: TemplateDesignTypeEnum): string{
    switch(e){
        case TemplateDesignTypeEnum.Responsive:
            return "响应式";
        case TemplateDesignTypeEnum.WebOnly:
            return "仅Web端";
        case TemplateDesignTypeEnum.WebAndSeparateMobile:
            return "Web端,移动端";
        default:
            throw new Error(`${e} is an invalid TemplateDesignTypeEnum`);
    }
}
		