
import { TemplateSuitableIndustryEnum } from "./TemplateSuitableIndustryEnum"
export function describeTemplateSuitableIndustryEnum(e: TemplateSuitableIndustryEnum): string{
    switch(e){
        case TemplateSuitableIndustryEnum.Hardware:
            return "五金仪表";
        case TemplateSuitableIndustryEnum.Mechanics:
            return "机械设备/机械配件";
        case TemplateSuitableIndustryEnum.Chemical:
            return "化工/能源/环保";
        case TemplateSuitableIndustryEnum.Furniture:
            return "家具/建材/房产";
        case TemplateSuitableIndustryEnum.Textile:
            return "皮革/纺织";
        case TemplateSuitableIndustryEnum.Security:
            return "安防/照明";
        case TemplateSuitableIndustryEnum.Business:
            return "商务服务";
        case TemplateSuitableIndustryEnum.Digital:
            return "3C数码/配件";
        case TemplateSuitableIndustryEnum.Store:
            return "百货/礼品/办公";
        case TemplateSuitableIndustryEnum.Printing:
            return "图书/印刷/包装";
        case TemplateSuitableIndustryEnum.MedicalCare:
            return "医疗/保健";
        case TemplateSuitableIndustryEnum.Agriculture:
            return "农林牧渔/食品";
        case TemplateSuitableIndustryEnum.Electronics:
            return "电子/电气/电工";
        case TemplateSuitableIndustryEnum.Trappings:
            return "服饰鞋帽/箱包";
        case TemplateSuitableIndustryEnum.Vehicle:
            return "车辆/汽配";
        case TemplateSuitableIndustryEnum.Outdoors:
            return "户外/体育用品";
        default:
            throw new Error(`${e} is an invalid TemplateSuitableIndustryEnum`);
    }
}
		