
import { TemporaryChatPreferenceEnum } from "./TemporaryChatPreferenceEnum"
export function describeTemporaryChatPreferenceEnum(e: TemporaryChatPreferenceEnum): string{
    switch(e){
        case TemporaryChatPreferenceEnum.Alert:
            return "完全允许";
        case TemporaryChatPreferenceEnum.Disabled:
            return "不允许";
        case TemporaryChatPreferenceEnum.NoDisturb:
            return "允许但是免打扰";
        default:
            throw new Error(`${e} is an invalid TemporaryChatPreferenceEnum`);
    }
}
		