
import { UserActivityTypeEnum } from "./UserActivityTypeEnum"
export function describeUserActivityTypeEnum(e: UserActivityTypeEnum): string{
    switch(e){
        case UserActivityTypeEnum.EnterApp:
            return "移动端启动";
        case UserActivityTypeEnum.Register:
            return "注册";
        case UserActivityTypeEnum.Login:
            return "登录";
        case UserActivityTypeEnum.CreateCompany:
            return "新建公司";
        case UserActivityTypeEnum.Create:
            return "创建";
        case UserActivityTypeEnum.Update:
            return "更新";
        case UserActivityTypeEnum.ViewDetail:
            return "阅读";
        case UserActivityTypeEnum.Impression:
            return "曝光";
        case UserActivityTypeEnum.ViewList:
            return "浏览列表";
        case UserActivityTypeEnum.Search:
            return "搜索";
        case UserActivityTypeEnum.Hover:
            return "悬浮查看";
        case UserActivityTypeEnum.Click:
            return "点击";
        case UserActivityTypeEnum.Collect:
            return "收藏";
        case UserActivityTypeEnum.Report:
            return "投诉";
        case UserActivityTypeEnum.Chat:
            return "聊天";
        case UserActivityTypeEnum.Forward:
            return "转发";
        case UserActivityTypeEnum.FriendRequest:
            return "好友请求";
        case UserActivityTypeEnum.AcceptFriend:
            return "接受好友请求";
        case UserActivityTypeEnum.RejectFriend:
            return "接受好友请求";
        case UserActivityTypeEnum.Error:
            return "客户端错误";
        case UserActivityTypeEnum.AuthenticateCompany:
            return "认证公司";
        case UserActivityTypeEnum.EnableShop:
            return "开启商铺铺";
        case UserActivityTypeEnum.CompanyManagement:
            return "公司管理";
        case UserActivityTypeEnum.JoinCompany:
            return "成员加入公司";
        case UserActivityTypeEnum.SwitchTemplate:
            return "改变模板";
        default:
            throw new Error(`${e} is an invalid UserActivityTypeEnum`);
    }
}
		