
import { VueFunctionalityEnum } from "./VueFunctionalityEnum"
export function describeVueFunctionalityEnum(e: VueFunctionalityEnum): string{
    switch(e){
        case VueFunctionalityEnum.Center:
            return "个人中心，企业中心";
        case VueFunctionalityEnum.Report:
            return "举报";
        case VueFunctionalityEnum.Feedback:
            return "意见反馈";
        case VueFunctionalityEnum.EditTemplate:
            return "编辑模板";
        case VueFunctionalityEnum.LayoutNotifications:
            return "topbar顶部通知栏";
        case VueFunctionalityEnum.CreateTopicPost:
            return "免费发布";
        case VueFunctionalityEnum.Login:
            return "登录";
        case VueFunctionalityEnum.FindPassword:
            return "找回密码";
        case VueFunctionalityEnum.Register:
            return "注册";
        case VueFunctionalityEnum.AgencyApplicationFormModal:
            return "代理商加盟申请";
        case VueFunctionalityEnum.MemberApplicationFormModal:
            return "会员申请";
        case VueFunctionalityEnum.CmsSettingAdmin:
            return "CmsSetting管理";
        case VueFunctionalityEnum.BindExternalAccount:
            return "绑定其它账号";
        default:
            throw new Error(`${e} is an invalid VueFunctionalityEnum`);
    }
}
		