$cmsDir = "E:\Works\FHT\trunk\FHT.Web\FHT.Web.CMS"
$modelDir = Join-Path $cmsDir "swagger\Model"
Write-Output "Fix optional CmsPresetPageEnum"

$modelFiles = Get-ChildItem -Path $modelDir;
foreach ($modelFile in $modelFiles)
{
	$modelFilePath = Join-Path $modelDir $modelFile
	$content = Get-Content $modelFilePath;
	$patt = "CmsPresetPageEnum PresetPage";
	$replacement = "CmsPresetPageEnum? PresetPage"
	if($content -match $patt)
	{
		$replacedContent = $content -replace $patt, $replacement;
		Write-Output "Replaced ${modelFile}";
	} 
}
