// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class AccountApiApi extends BaseApi {
    public accountApiApplyings(): Promise<models.CompanyForApplyingViewModel>  {        
		let localVarPath = '/api/applyings';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public accountApiBasicAccountInfo(p: { 
"hash.authHash": 
string
; }, ): Promise<models.MyBasicAccountInfoViewModel>  {        
		let localVarPath = '/api/accounts/basicAccount';
        this.r(p, [  "hash.authHash",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public accountApiChangePasswordAsync(p: { 
"model": 
models.ChangeUserPasswordInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/accounts/_changepassword';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public accountApiChangePhoneNumber(p: { 
"model": 
models.ChangePhoneNumberInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/accounts/_changephonenumber';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public accountApiCheckIfAccountExistsAsync(p: { 
"userName": 
string
; }, ): Promise<models.CheckIfUsedViewModel>  {        
		let localVarPath = '/api/accounts/_checkIfAccountExists';
        this.r(p, [  "userName",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public accountApiCreateFht1CompanyUser(p: { 
"inputModel": 
models.Fht1CompanyUserInputModel
; }, ): Promise<models.BoolViewModel>  {        
		let localVarPath = '/api/fht1CompanyUsers/_create';
        this.r(p, [  "inputModel",  ]);
        let bodyDict = p["inputModel"];
		const _p = p as any;
		delete _p["inputModel"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public accountApiCreateVerifyCode(p: { 
"model": 
models.CreateSmsVerificationCodeInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/accounts/_createVerifyCode';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public accountApiEditProfileAsync(p: { 
"model": 
models.UserProfileInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/accounts/_editProfile';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public accountApiFindPassword(p: { 
"model": 
models.FindUserPasswordInputModel
; }, ): Promise<boolean>  {        
		let localVarPath = '/api/accounts/_findPassword';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public accountApiGenLoginUuid(): Promise<models.UuidViewModel>  {        
		let localVarPath = '/api/accounts/_genLoginUuid';
        let bodyDict = {};
        return this.ajax("POST", localVarPath, {}, bodyDict) as any;
    }
    public accountApiGetFht1CompanyUserByFht1CompanyId(p: { 
"fht1CompanyId": 
number
; }, ): Promise<models.Fht1CompanyUserViewModel>  {        
		let localVarPath = '/api/fht1CompanyUsers/{fht1CompanyId}'
            .replace('{' + 'fht1CompanyId' + '}', String(p["fht1CompanyId"]));
        this.r(p, [  "fht1CompanyId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public accountApiGetFht1CompanyUserByFht2UserName(p: { 
"fht2UserName": 
string
; }, ): Promise<models.Fht1CompanyUserViewModel>  {        
		let localVarPath = '/api/fht1CompanyUsers/getForFht2UserName';
        this.r(p, [  "fht2UserName",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public accountApiGetMyProfile(p: { 
"hash.authHash": 
string
; }, ): Promise<models.MyProfileViewModel>  {        
		let localVarPath = '/api/accounts/myProfile';
        this.r(p, [  "hash.authHash",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public accountApiGetProfileForEdit(): Promise<models.UserProfileInputModel>  {        
		let localVarPath = '/api/accounts/_getProfileForEdit';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public accountApiInvitedCompany(p: { 
"args.currPage": 
number
;"args.limit": 
number
; }, ): Promise<models.QueryResultCompanyInvitingViewModel>  {        
		let localVarPath = '/api/invitedcompanies';
        this.r(p, [  "args.currPage",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public accountApiLogOff(): Promise<void>  {        
		let localVarPath = '/api/accounts/_logOff';
        let bodyDict = {};
        return this.ajax("POST", localVarPath, {}, bodyDict) as any;
    }
    public accountApiLoginAsync(p: { 
"model": 
models.AccountLoginInputModel
; }, ): Promise<models.StringViewModel>  {        
		let localVarPath = '/api/accounts/_login';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public accountApiOAuthLoginAsync(p: { 
"model": 
models.OAuthLoginInputModel
; }, ): Promise<models.VerifyResultViewModel>  {        
		let localVarPath = '/api/accounts/_oauthlogin';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public accountApiPostToFht1UrlAsync(): Promise<models.StringViewModel>  {        
		let localVarPath = '/api/accounts/_toOldFhtUrl';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public accountApiRefreshQrCodeAsync(p: { 
"uuid": 
string
; }, ): Promise<models.UuidResultViewModel>  {        
		let localVarPath = '/api/accounts/_refreshQrCode';
        this.r(p, [  "uuid",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public accountApiRegister(p: { 
"model": 
models.AccountRegisterInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/accounts/_register';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public accountApiResetAccount(p: { 
"model": 
models.ChangeFht1AccountInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/accounts/_resetAccount';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public accountApiSmsCodeLoginAsync(p: { 
"model": 
models.VerifySmsCodeInputModel
; }, ): Promise<models.VerifyResultViewModel>  {        
		let localVarPath = '/api/accounts/_smsCodeLogin';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public accountApiUpdateFht1CompanyUser(p: { 
"inputModel": 
models.Fht1CompanyUserInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/fht1CompanyUsers/_update';
        this.r(p, [  "inputModel",  ]);
        let bodyDict = p["inputModel"];
		const _p = p as any;
		delete _p["inputModel"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public accountApiVerifyAccountAndSmsCode(p: { 
"model": 
models.VerifyCodeInputModel
; }, ): Promise<models.BoolViewModel>  {        
		let localVarPath = '/api/accounts/_verifyAccountAndSmsCode';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
}
