// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class ArticleApiApi extends BaseApi {
    public articleApiAutoCompleteArticles(p: { 
"args.q"?: 
string | null
;"args.ids"?: 
Array<number> | null
; }, ): Promise<Array<models.AutoCompleteViewModel>>  {        
		let localVarPath = '/api/articles/_autoCompleteArticles';
        this.r(p, [  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public articleApiBatchArticleModify(p: { 
"model": 
models.BatchModifyInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/articles/_batchModify';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public articleApiBatchDelete(p: { 
"model": 
models.ActionableBatchInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/articles/_batchdelete';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public articleApiCreateArticle(p: { 
"model": 
models.ArticleInputModel
; }, ): Promise<models.CreatedViewModel>  {        
		let localVarPath = '/api/articles/_create';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public articleApiGetArticle(p: { 
"articleId": 
number
; }, ): Promise<models.ArticleDetailViewModel>  {        
		let localVarPath = '/api/articles/{articleId}'
            .replace('{' + 'articleId' + '}', String(p["articleId"]));
        this.r(p, [  "articleId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public articleApiGetArticleForInput(p: { 
"articleId": 
number
; }, ): Promise<models.ArticleInputModel>  {        
		let localVarPath = '/api/articles/getArticleForInput/{articleId}'
            .replace('{' + 'articleId' + '}', String(p["articleId"]));
        this.r(p, [  "articleId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public articleApiGetLatestNewsAsync(p: { 
"args.top": 
number
; }, ): Promise<Array<models.ArticleSimpleViewModel>>  {        
		let localVarPath = '/api/articles/latestNews';
        this.r(p, [  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public articleApiGetMyCompanyArticleCount(): Promise<models.NumberViewModel>  {        
		let localVarPath = '/api/articles/totalCount';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public articleApiGetSyncFht1News(p: { 
"fht1NewsIds": 
Array<number>
; }, ): Promise<Array<models.Fht1NewsSyncViewModel>>  {        
		let localVarPath = '/api/articles/getSyncFht1News';
        this.r(p, [  "fht1NewsIds",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public articleApiSearch(p: { 
"args.orderType": 
OrderTypeEnum
;"args.currPage": 
number
;"args.limit": 
number
;"args.fromTime"?: 
Date | null
;"args.endTime"?: 
Date | null
;"args.showStatus"?: 
AuditDisplayStatusEnum | null
;"args.q"?: 
string | null
;"args.articleTypeId"?: 
number | null
; }, ): Promise<models.QueryResultArticleViewModel>  {        
		let localVarPath = '/api/articles/_search';
        this.r(p, [  "args.orderType",  "args.currPage",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public articleApiSimpleSearch(p: { 
"args.top": 
number
;"q"?: 
string | null
;"articleTypeId"?: 
number | null
; }, ): Promise<Array<models.ArticleSimpleViewModel>>  {        
		let localVarPath = '/api/articles';
        this.r(p, [  "args.top",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public articleApiUpdateArticle(p: { 
"model": 
models.ArticleInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/articles/_update';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
}
