// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class ArticleTypeApiApi extends BaseApi {
    public articleTypeApiAutoCompleteArticleTypes(p: { 
"model.excludePresetArticles": 
boolean
;"model.q"?: 
string | null
; }, ): Promise<Array<models.AutoCompleteViewModel>>  {        
		let localVarPath = '/api/articleTypes/_autocompleteArticleTypes';
        this.r(p, [  "model.excludePresetArticles",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public articleTypeApiCheckArticleTypeUsed(p: { 
"articleTypeId": 
number
; }, ): Promise<models.CheckIfUsedViewModel>  {        
		let localVarPath = '/api/articleTypes/_CheckUsed/{articleTypeId}'
            .replace('{' + 'articleTypeId' + '}', String(p["articleTypeId"]));
        this.r(p, [  "articleTypeId",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public articleTypeApiChildArticleTypes(p: { 
"parentId": 
number
; }, ): Promise<Array<models.AutoCompleteViewModel>>  {        
		let localVarPath = '/api/articleTypes/{parentId}/children'
            .replace('{' + 'parentId' + '}', String(p["parentId"]));
        this.r(p, [  "parentId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public articleTypeApiGetArticleTypesForInput(): Promise<Array<models.CoreArticleTypeInputModel>>  {        
		let localVarPath = '/api/articleTypes';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public articleTypeApiMyArticleTypes(): Promise<Array<models.ArticleTypeViewModel>>  {        
		let localVarPath = '/api/articleTypes/myArticleTypes';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public articleTypeApiUpdateArticleTypes(p: { 
"model": 
models.ArticleTypesInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/articleTypes/_updateArticleTypes';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
}
