// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class CollectionApiApi extends BaseApi {
    public collectionApiAddProductToCollection(p: { 
"productId": 
number
; }, ): Promise<void>  {        
		let localVarPath = '/api/collections/productCollections/_addCollection/{productId}'
            .replace('{' + 'productId' + '}', String(p["productId"]));
        this.r(p, [  "productId",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public collectionApiAddTopicpostCollection(p: { 
"topicPostId": 
number
; }, ): Promise<void>  {        
		let localVarPath = '/api/collections/topicpostCollections/_addCollection/{topicPostId}'
            .replace('{' + 'topicPostId' + '}', String(p["topicPostId"]));
        this.r(p, [  "topicPostId",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public collectionApiGetProductAreCollected(p: { 
"model": 
models.ActionableBatchInputModel
; }, ): Promise<Array<number>>  {        
		let localVarPath = '/api/collections/productCollections/collectedIds';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public collectionApiGetTopicPostAreCollected(p: { 
"model": 
models.ActionableBatchInputModel
; }, ): Promise<Array<number>>  {        
		let localVarPath = '/api/collections/topicpostCollections/collectedIds';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public collectionApiMyCollection(p: { 
"args.currPage": 
number
;"args.limit": 
number
; }, ): Promise<models.QueryResultGenericItemViewModelCollectionItemViewModel>  {        
		let localVarPath = '/api/collections/mycollections';
        this.r(p, [  "args.currPage",  "args.limit",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public collectionApiRemoveProductFromCollection(p: { 
"model": 
models.ActionableBatchInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/collections/productCollections/_removeCollection';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public collectionApiRemoveTopicpostCollections(p: { 
"model": 
models.ActionableBatchInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/collections/topicpostCollections/_removeCollection';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
}
