// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class FriendlyLinkApiApi extends BaseApi {
    public friendlyLinkApiDeleteLink(p: { 
"linkId": 
number
; }, ): Promise<void>  {        
		let localVarPath = '/api/friendlyLinks/_delete';
        this.r(p, [  "linkId",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public friendlyLinkApiGetAllLinks(): Promise<Array<models.FriendlyLinkViewModel>>  {        
		let localVarPath = '/api/friendlyLinks';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public friendlyLinkApiGetLinkDetail(p: { 
"linkId": 
number
; }, ): Promise<models.FriendlyLinkInputModel>  {        
		let localVarPath = '/api/friendlyLinks/{linkId}'
            .replace('{' + 'linkId' + '}', String(p["linkId"]));
        this.r(p, [  "linkId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public friendlyLinkApiLink(p: { 
"model": 
models.FriendlyLinkInputModel
; }, ): Promise<models.IdViewModelInt64>  {        
		let localVarPath = '/api/friendlyLinks';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
}
