// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class OAuthApiApi extends BaseApi {
    public oAuthApiAlipayAuthorizeAsync(p: { 
"code": 
string
; }, ): Promise<models.UserOAuthViewModel>  {        
		let localVarPath = '/api/oauths/_alipayAuthorize';
        this.r(p, [  "code",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public oAuthApiBindAccountAsync(p: { 
"model.account": 
string
;"model.code": 
string
;"model.oAuthType": 
OAuthTypeEnum
;"model.oAuthOpenId": 
string
; }, ): Promise<models.VerifyResultViewModel>  {        
		let localVarPath = '/api/oauths/_bindaccount';
        this.r(p, [  "model.account",  "model.code",  "model.oAuthType",  "model.oAuthOpenId",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public oAuthApiBindAccountBasicAsync(p: { 
"model.oAuthType": 
OAuthTypeEnum
;"model.oAuthOpenId": 
string
; }, ): Promise<void>  {        
		let localVarPath = '/api/oauths/_bindaccountbasic';
        this.r(p, [  "model.oAuthType",  "model.oAuthOpenId",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public oAuthApiGetUserOAuthsByUserIdAsync(): Promise<Array<models.UserOAuthViewModel>>  {        
		let localVarPath = '/api/oauths/_getUserOAuths';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public oAuthApiQQAuthorizeAsync(p: { 
"model": 
models.UserOAuthTokenInputModel
; }, ): Promise<models.UserOAuthViewModel>  {        
		let localVarPath = '/api/oauths/_qqAuthorize';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public oAuthApiUnbundlingAccountAsync(p: { 
"model.oAuthType": 
OAuthTypeEnum
;"model.oAuthOpenId": 
string
; }, ): Promise<void>  {        
		let localVarPath = '/api/oauths/_unbundlingaccount';
        this.r(p, [  "model.oAuthType",  "model.oAuthOpenId",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public oAuthApiWebchatAuthorizeAsync(p: { 
"code": 
string
; }, ): Promise<models.UserOAuthViewModel>  {        
		let localVarPath = '/api/oauths/_webchatAuthorize';
        this.r(p, [  "code",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
}
