// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class ReportApiApi extends BaseApi {
    public reportApiGetReasons(): Promise<Array<models.ReportReasonItemViewModel>>  {        
		let localVarPath = '/api/reports/reasons';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public reportApiReportCompanyAsync(p: { 
"model": 
models.CompanyReportInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/reports/_reportCompany';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public reportApiReportProductAsync(p: { 
"model": 
models.ProductReportInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/reports/_reportProduct';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public reportApiReportTopicPostAsync(p: { 
"model": 
models.TopicPostReportInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/reports/_reportTopicPost';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public reportApiReportUserAsync(p: { 
"model": 
models.UserReportInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/reports/_reportUser';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
}
