// FHT Swagger axios client V2


/* eslint-disable */

import { BaseApi } from "./api";


export class TemplateApiApi extends BaseApi {
    public templateApiAddOrUpdateSettings(p: { 
"model": 
models.CmsSettingInputModel
; }, ): Promise<number>  {        
		let localVarPath = '/api/templates/_addOrUpdateSettings';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public templateApiAllMyTemplates(): Promise<Array<models.CmsSettingViewModel>>  {        
		let localVarPath = '/api/templates/allMyTemplates';
        let bodyDict = {};
        return this.ajax("POST", localVarPath, {}, bodyDict) as any;
    }
    public templateApiAvailableTemplates(): Promise<Array<models.TemplateInformation>>  {        
		let localVarPath = '/api/templates/availableTemplates';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public templateApiChangeTemplate(p: { 
"model": 
models.ChangeTemplateInputModel
; }, ): Promise<number>  {        
		let localVarPath = '/api/templates/_changeTemplate';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public templateApiEditNavigations(p: { 
"model": 
models.NavigationsInputModel
; }, ): Promise<void>  {        
		let localVarPath = '/api/templates/_editNavigations';
        this.r(p, [  "model",  ]);
        let bodyDict = p["model"];
		const _p = p as any;
		delete _p["model"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public templateApiGetMyCompanyNavigations(): Promise<models.NavigationsInputModel>  {        
		let localVarPath = '/api/templates/myCompanyNavigations';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public templateApiGetMyCurrentCmsSetting(): Promise<models.CmsSettingInputModel>  {        
		let localVarPath = '/api/templates/myCurrentCmsSetting';
        let bodyDict = {};
        return this.ajax("GET", localVarPath, {}, bodyDict) as any;
    }
    public templateApiGetTemplateCapabilities(p: { 
"cmsSettingId": 
number
; }, ): Promise<models.AllTemplateCapabilityViewModel>  {        
		let localVarPath = '/api/templates/capabilities';
        this.r(p, [  "cmsSettingId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public templateApiGetTemplateInfo(p: { 
"templateId": 
string
; }, ): Promise<models.TemplateInformation>  {        
		let localVarPath = '/api/templates/templateInfo';
        this.r(p, [  "templateId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public templateApiGetTemplateSettingJson(p: { 
"cmsSettingId": 
number
; }, ): Promise<models.StringViewModel>  {        
		let localVarPath = '/api/templates/_getTemplateSettingJson';
        this.r(p, [  "cmsSettingId",  ]);
        let bodyDict = {};
        return this.ajax("GET", localVarPath, p, bodyDict) as any;
    }
    public templateApiResetTemplate(p: { 
"cmsSettingId": 
number
; }, ): Promise<void>  {        
		let localVarPath = '/api/templates/_resetTemplate';
        this.r(p, [  "cmsSettingId",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public templateApiUpdateMyCmsBanners(p: { 
"banners": 
Array<models.BannerItem>
; }, ): Promise<void>  {        
		let localVarPath = '/api/templates/myCmsBanners/_update';
        this.r(p, [  "banners",  ]);
        let bodyDict = p["banners"];
		const _p = p as any;
		delete _p["banners"];
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
    public templateApiUpdateRecommendProducts(p: { 
"productIds": 
Array<number>
; }, ): Promise<void>  {        
		let localVarPath = '/api/templates/_updateRecommendProducts';
        this.r(p, [  "productIds",  ]);
        let bodyDict = {};
        return this.ajax("POST", localVarPath, p, bodyDict) as any;
    }
}
