// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   AccountLoginInputModel {
public static LABELS = {
    "Mobile": "账号",
    "Password": "密码",
    "RememberMe": "记住登录",
}
public static VALIDATORS = {
'Mobile': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入正确的账号" }, 
    { type: "string", min: 2, max: 30, trigger: 'blur', message: "账号必须是2到30位"},
].filter(r=>r) as ValidationRule[],
'Password': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入正确的密码" }, 
    { type: "string", min: 5, max: 20, trigger: 'blur', message: "密码必须是5到20位"},
].filter(r=>r) as ValidationRule[],
'RememberMe': [

].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Length(2, 30)
 'Mobile'
: 
    string; // not enum

//a smart property
    @Length(5, 20)
 'Password'
: 
    string; // not enum

//a smart property
 'RememberMe'
: 
    boolean; // not enum

}

