// FHT Swagger axios client V2


/**
 * FHT.AgencyApiWebHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.AgencyApiWebHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum AgencyApiWebHostTypeEnum {
    Local = "Local",
    Development = "Development",
    MobileDevelopment = "MobileDevelopment",
    Staging = "Staging",
    Production = "Production",
}

export function convertFromAgencyApiWebHostTypeEnum(e: AgencyApiWebHostTypeEnum): number{
    switch(e){
        case AgencyApiWebHostTypeEnum.Local:
            return 1;
        case AgencyApiWebHostTypeEnum.Development:
            return 2;
        case AgencyApiWebHostTypeEnum.MobileDevelopment:
            return 3;
        case AgencyApiWebHostTypeEnum.Staging:
            return 4;
        case AgencyApiWebHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid AgencyApiWebHostTypeEnum`);
    }
}

export function convertToAgencyApiWebHostTypeEnum(n: number): AgencyApiWebHostTypeEnum{
    switch(n){
        case 1:
            return AgencyApiWebHostTypeEnum.Local;
        case 2:
            return AgencyApiWebHostTypeEnum.Development;
        case 3:
            return AgencyApiWebHostTypeEnum.MobileDevelopment;
        case 4:
            return AgencyApiWebHostTypeEnum.Staging;
        case 5:
            return AgencyApiWebHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid AgencyApiWebHostTypeEnum`);
    }
}

export function describeAgencyApiWebHostTypeEnum(e: AgencyApiWebHostTypeEnum): string{
    switch(e){
        case AgencyApiWebHostTypeEnum.Local:
            return "http://localhost:8002";
        case AgencyApiWebHostTypeEnum.Development:
            return "http://development.fht360agency.com";
        case AgencyApiWebHostTypeEnum.MobileDevelopment:
            return "http://mobiledevelopment.fht360agency.com";
        case AgencyApiWebHostTypeEnum.Staging:
            return "http://staging.fht360agency.com";
        case AgencyApiWebHostTypeEnum.Production:
            return "https://agencyapi.fht360.com";
        default:
            throw new Error(`${e} is an invalid AgencyApiWebHostTypeEnum`);
    }
}


