// FHT Swagger axios client V2


/**
 * IO.Nswag.Cms.ArticleListStyle, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * IO.Nswag.Cms.ArticleListStyle, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ArticleListStyleEnum {
    Text = "Text",
    Image = "Image",
    Mix = "Mix",
}

export function convertFromArticleListStyleEnum(e: ArticleListStyleEnum): number{
    switch(e){
        case ArticleListStyleEnum.Text:
            return 1;
        case ArticleListStyleEnum.Image:
            return 2;
        case ArticleListStyleEnum.Mix:
            return 3;
        default:
            throw new Error(`${e} is an invalid ArticleListStyleEnum`);
    }
}

export function convertToArticleListStyleEnum(n: number): ArticleListStyleEnum{
    switch(n){
        case 1:
            return ArticleListStyleEnum.Text;
        case 2:
            return ArticleListStyleEnum.Image;
        case 3:
            return ArticleListStyleEnum.Mix;
        default:
            throw new Error(`${n} is an invalid ArticleListStyleEnum`);
    }
}

export function describeArticleListStyleEnum(e: ArticleListStyleEnum): string{
    switch(e){
        case ArticleListStyleEnum.Text:
            return "文字";
        case ArticleListStyleEnum.Image:
            return "图片";
        case ArticleListStyleEnum.Mix:
            return "图文";
        default:
            throw new Error(`${e} is an invalid ArticleListStyleEnum`);
    }
}


