// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ArticleTypePathInputModel {
public static LABELS = {
    "FirstTypeId": "一级类别",
    "SecondTypeId": "二级类别",
}
public static VALIDATORS = {
'FirstTypeId': [

// only-min-range
     { type: "number", required: true, trigger: 'blur', message: "请选择一级类别" }, 
    { type: "number", min: 1, trigger: 'blur', message: "请选择一级类别"},
].filter(r=>r) as ValidationRule[],
'SecondTypeId': [

// only-min-range
    
    { type: "number", min: 1, trigger: 'blur', message: "二级类别必须不小于1"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
 'FirstTypeId'
: 
    number; // not enum

//a smart property
    @Min(1)
 'SecondTypeId'
    ?
: 
null |
    number; // not enum

}

