// FHT Swagger axios client V2


/**
 * FHT.AssetsHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.AssetsHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum AssetsHostTypeEnum {
    Assets1 = "Assets1",
    Assets2 = "Assets2",
    Assets3 = "Assets3",
    img2 = "img2",
    img = "img",
}

export function convertFromAssetsHostTypeEnum(e: AssetsHostTypeEnum): number{
    switch(e){
        case AssetsHostTypeEnum.Assets1:
            return 1;
        case AssetsHostTypeEnum.Assets2:
            return 2;
        case AssetsHostTypeEnum.Assets3:
            return 3;
        case AssetsHostTypeEnum.img2:
            return 4;
        case AssetsHostTypeEnum.img:
            return 5;
        default:
            throw new Error(`${e} is an invalid AssetsHostTypeEnum`);
    }
}

export function convertToAssetsHostTypeEnum(n: number): AssetsHostTypeEnum{
    switch(n){
        case 1:
            return AssetsHostTypeEnum.Assets1;
        case 2:
            return AssetsHostTypeEnum.Assets2;
        case 3:
            return AssetsHostTypeEnum.Assets3;
        case 4:
            return AssetsHostTypeEnum.img2;
        case 5:
            return AssetsHostTypeEnum.img;
        default:
            throw new Error(`${n} is an invalid AssetsHostTypeEnum`);
    }
}

export function describeAssetsHostTypeEnum(e: AssetsHostTypeEnum): string{
    switch(e){
        case AssetsHostTypeEnum.Assets1:
            return "//assets1.fht360.cn";
        case AssetsHostTypeEnum.Assets2:
            return "//assets2.fht360.cn";
        case AssetsHostTypeEnum.Assets3:
            return "//assets3.fht360.cn";
        case AssetsHostTypeEnum.img2:
            return "https://img2.fht360.com";
        case AssetsHostTypeEnum.img:
            return "https://img.fht360.com";
        default:
            throw new Error(`${e} is an invalid AssetsHostTypeEnum`);
    }
}


