// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   AutoCompleteInputModel {
public static LABELS = {
    "q": "搜索词",
    "page": "页",
}
public static VALIDATORS = {
'q': [

// only-max-length 
    
    { type: "string", max: 50, trigger: 'blur', message: "搜索词长度为50字符"},
].filter(r=>r) as ValidationRule[],
'ids': [

    customValidators.elementCount?.(
"的个数必须为0与100之间",
0,
100,
    )
].filter(r=>r) as ValidationRule[],
'page': [

// min-max-range
    
    { type: "number",  min: 0, max: 2147483647, trigger: 'blur', message: "页必须不小于0"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'q'
    ?
: 
    string; // not enum

//a smart property
 'ids'
    ?
: 
    Array<number>; // not enum

//a smart property
    @Min(0)
    @Max(2147483647)
 'page'
: 
    number; // not enum

}

