// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   AutocompleteCmsProductInputModel {
public static LABELS = {
    "q": "搜索词",
    "CompanyId": "公司编号",
}
public static VALIDATORS = {
'q': [

// only-max-length 
    
    { type: "string", max: 50, trigger: 'blur', message: "搜索词长度为50字符"},
].filter(r=>r) as ValidationRule[],
'CompanyId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "公司编号必须不小于1"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'q'
    ?
: 
    string; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'CompanyId'
: 
    number; // not enum

}

