// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   AutocompleteTopicPostInputModel {
public static LABELS = {
    "Q": "关键词",
    "TopicTypeId": "服务分类",
}
public static VALIDATORS = {
'Q': [

// only-max-length 
    
    { type: "string", max: 50, trigger: 'blur', message: "关键词长度为50字符"},
].filter(r=>r) as ValidationRule[],
'TopicTypeId': [

// min-max-range
    
    { type: "number",  min: 0, max: 2147483647, trigger: 'blur', message: "服务分类必须不小于0"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'Q'
    ?
: 
    string; // not enum

//a smart property
    @Min(0)
    @Max(2147483647)
 'TopicTypeId'
    ?
: 
null |
    number; // not enum

}

