// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   BatchModifyCustomCategoryInputModel {
public static LABELS = {
    "CustomCategoryId": "自定义分类Id",
}
public static VALIDATORS = {
'ProductIds': [

    customValidators.elementCount?.(
"的个数必须为1与100之间",
1,
100,
    )
].filter(r=>r) as ValidationRule[],
'CustomCategoryId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "自定义分类Id必须不小于1"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'ProductIds'
    ?
: 
    Array<number>; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'CustomCategoryId'
: 
    number; // not enum

}

