// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ChangeAboutUsInputModel {
public static LABELS = {
    "Description": "描述",
    "CoverPictrue": "封面",
}
public static VALIDATORS = {
'Description': [

// only-min-length
     { type: "string", required: true, trigger: 'blur', message: "请输入描述" }, 
    { type: "string", min: 1, trigger: 'blur', message: "描述至少1个字符"},
    customValidators.sensitiveWord?.(
"描述包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'CoverPictrue': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "封面最长不超过200字"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'Description'
: 
    string; // not enum

//a smart property
 'CoverPictrue'
    ?
: 
    string; // not enum

}

