// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ChangeCompanyGeoLocationInputModel {
public static LABELS = {
    "Longitude": "经度",
    "Latitude": "纬度",
}
public static VALIDATORS = {
'Longitude': [

// only-min-range
    
    { type: "number", min: 1, trigger: 'blur', message: "经度必须不小于1"},
].filter(r=>r) as ValidationRule[],
'Latitude': [

// only-min-range
    
    { type: "number", min: 1, trigger: 'blur', message: "纬度必须不小于1"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
 'Longitude'
: 
    number; // not enum

//a smart property
    @Min(1)
 'Latitude'
: 
    number; // not enum

}

