// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.CmsPresetPage, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.CmsPresetPage, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum CmsPresetPageEnum {
    Home = "Home",
    Products = "Products",
    News = "News",
    AboutUs = "AboutUs",
    ContactUs = "ContactUs",
    Case = "Case",
    Honor = "Honor",
    Album = "Album",
}

export function convertFromCmsPresetPageEnum(e: CmsPresetPageEnum): number{
    switch(e){
        case CmsPresetPageEnum.Home:
            return 0;
        case CmsPresetPageEnum.Products:
            return 1;
        case CmsPresetPageEnum.News:
            return 2;
        case CmsPresetPageEnum.AboutUs:
            return 3;
        case CmsPresetPageEnum.ContactUs:
            return 4;
        case CmsPresetPageEnum.Case:
            return 5;
        case CmsPresetPageEnum.Honor:
            return 6;
        case CmsPresetPageEnum.Album:
            return 7;
        default:
            throw new Error(`${e} is an invalid CmsPresetPageEnum`);
    }
}

export function convertToCmsPresetPageEnum(n: number): CmsPresetPageEnum{
    switch(n){
        case 0:
            return CmsPresetPageEnum.Home;
        case 1:
            return CmsPresetPageEnum.Products;
        case 2:
            return CmsPresetPageEnum.News;
        case 3:
            return CmsPresetPageEnum.AboutUs;
        case 4:
            return CmsPresetPageEnum.ContactUs;
        case 5:
            return CmsPresetPageEnum.Case;
        case 6:
            return CmsPresetPageEnum.Honor;
        case 7:
            return CmsPresetPageEnum.Album;
        default:
            throw new Error(`${n} is an invalid CmsPresetPageEnum`);
    }
}

export function describeCmsPresetPageEnum(e: CmsPresetPageEnum): string{
    switch(e){
        case CmsPresetPageEnum.Home:
            return "首页";
        case CmsPresetPageEnum.Products:
            return "供应产品";
        case CmsPresetPageEnum.News:
            return "新闻";
        case CmsPresetPageEnum.AboutUs:
            return "关于我们";
        case CmsPresetPageEnum.ContactUs:
            return "联系我们";
        case CmsPresetPageEnum.Case:
            return "成功案例";
        case CmsPresetPageEnum.Honor:
            return "资质荣誉";
        case CmsPresetPageEnum.Album:
            return "公司相册";
        default:
            throw new Error(`${e} is an invalid CmsPresetPageEnum`);
    }
}


