// FHT Swagger axios client V2


/**
 * FHT.Notifications.Interfaces.Models.Transfer.CompactMessageType, FHT.Notifications.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Notifications.Interfaces.Models.Transfer.CompactMessageType, FHT.Notifications.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum CompactMessageTypeEnum {
    Compact = "Compact",
    Text = "Text",
    Image = "Image",
    Other = "Other",
}

export function convertFromCompactMessageTypeEnum(e: CompactMessageTypeEnum): number{
    switch(e){
        case CompactMessageTypeEnum.Compact:
            return 1;
        case CompactMessageTypeEnum.Text:
            return 2;
        case CompactMessageTypeEnum.Image:
            return 3;
        case CompactMessageTypeEnum.Other:
            return 255;
        default:
            throw new Error(`${e} is an invalid CompactMessageTypeEnum`);
    }
}

export function convertToCompactMessageTypeEnum(n: number): CompactMessageTypeEnum{
    switch(n){
        case 1:
            return CompactMessageTypeEnum.Compact;
        case 2:
            return CompactMessageTypeEnum.Text;
        case 3:
            return CompactMessageTypeEnum.Image;
        case 255:
            return CompactMessageTypeEnum.Other;
        default:
            throw new Error(`${n} is an invalid CompactMessageTypeEnum`);
    }
}

export function describeCompactMessageTypeEnum(e: CompactMessageTypeEnum): string{
    switch(e){
        case CompactMessageTypeEnum.Compact:
            return "合并消息";
        case CompactMessageTypeEnum.Text:
            return "文本消息";
        case CompactMessageTypeEnum.Image:
            return "图片消息";
        case CompactMessageTypeEnum.Other:
            return "其他消息";
        default:
            throw new Error(`${e} is an invalid CompactMessageTypeEnum`);
    }
}


