// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.CompanyMemberType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.CompanyMemberType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum CompanyMemberTypeEnum {
    MainAdmin = "MainAdmin",
    SubAdmin = "SubAdmin",
    Member = "Member",
}

export function convertFromCompanyMemberTypeEnum(e: CompanyMemberTypeEnum): number{
    switch(e){
        case CompanyMemberTypeEnum.MainAdmin:
            return 1;
        case CompanyMemberTypeEnum.SubAdmin:
            return 2;
        case CompanyMemberTypeEnum.Member:
            return 3;
        default:
            throw new Error(`${e} is an invalid CompanyMemberTypeEnum`);
    }
}

export function convertToCompanyMemberTypeEnum(n: number): CompanyMemberTypeEnum{
    switch(n){
        case 1:
            return CompanyMemberTypeEnum.MainAdmin;
        case 2:
            return CompanyMemberTypeEnum.SubAdmin;
        case 3:
            return CompanyMemberTypeEnum.Member;
        default:
            throw new Error(`${n} is an invalid CompanyMemberTypeEnum`);
    }
}

export function describeCompanyMemberTypeEnum(e: CompanyMemberTypeEnum): string{
    switch(e){
        case CompanyMemberTypeEnum.MainAdmin:
            return "主管理员";
        case CompanyMemberTypeEnum.SubAdmin:
            return "副管理员";
        case CompanyMemberTypeEnum.Member:
            return "普通成员";
        default:
            throw new Error(`${e} is an invalid CompanyMemberTypeEnum`);
    }
}


