// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   CompanySeoInputModel {
public static LABELS = {
    "MetaTitle": "标题",
    "MetaKeyword": "关键词",
    "MetaDescription": "描述",
}
public static VALIDATORS = {
'MetaTitle': [

// only-max-length 
    
    { type: "string", max: 40, trigger: 'blur', message: "标题最多输入40个字"},
    customValidators.sensitiveWord?.(
"标题包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'MetaKeyword': [

// only-max-length 
    
    { type: "string", max: 60, trigger: 'blur', message: "关键词最多输入60个字"},
    customValidators.sensitiveWord?.(
"关键词包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'MetaDescription': [

// only-max-length 
    
    { type: "string", max: 80, trigger: 'blur', message: "描述最多输入80个字"},
    customValidators.sensitiveWord?.(
"描述包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'MetaTitle'
    ?
: 
    string; // not enum

//a smart property
 'MetaKeyword'
    ?
: 
    string; // not enum

//a smart property
 'MetaDescription'
    ?
: 
    string; // not enum

}

