// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.ConstItem, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.ConstItem, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ConstItemEnum {
    CzCustmerServiceHotline = "CzCustmerServiceHotline",
    CzCustmerServiceHotlineExtra = "CzCustmerServiceHotlineExtra",
    NjCustmerServiceHotline = "NjCustmerServiceHotline",
    NjAddress = "NjAddress",
    CzAddress = "CzAddress",
    NjCompanyName = "NjCompanyName",
    CzCompanyName = "CzCompanyName",
    NjPostCode = "NjPostCode",
    CzPostCode = "CzPostCode",
}

export function convertFromConstItemEnum(e: ConstItemEnum): number{
    switch(e){
        case ConstItemEnum.CzCustmerServiceHotline:
            return 1;
        case ConstItemEnum.CzCustmerServiceHotlineExtra:
            return 2;
        case ConstItemEnum.NjCustmerServiceHotline:
            return 3;
        case ConstItemEnum.NjAddress:
            return 4;
        case ConstItemEnum.CzAddress:
            return 5;
        case ConstItemEnum.NjCompanyName:
            return 6;
        case ConstItemEnum.CzCompanyName:
            return 7;
        case ConstItemEnum.NjPostCode:
            return 8;
        case ConstItemEnum.CzPostCode:
            return 9;
        default:
            throw new Error(`${e} is an invalid ConstItemEnum`);
    }
}

export function convertToConstItemEnum(n: number): ConstItemEnum{
    switch(n){
        case 1:
            return ConstItemEnum.CzCustmerServiceHotline;
        case 2:
            return ConstItemEnum.CzCustmerServiceHotlineExtra;
        case 3:
            return ConstItemEnum.NjCustmerServiceHotline;
        case 4:
            return ConstItemEnum.NjAddress;
        case 5:
            return ConstItemEnum.CzAddress;
        case 6:
            return ConstItemEnum.NjCompanyName;
        case 7:
            return ConstItemEnum.CzCompanyName;
        case 8:
            return ConstItemEnum.NjPostCode;
        case 9:
            return ConstItemEnum.CzPostCode;
        default:
            throw new Error(`${n} is an invalid ConstItemEnum`);
    }
}

export function describeConstItemEnum(e: ConstItemEnum): string{
    switch(e){
        case ConstItemEnum.CzCustmerServiceHotline:
            return "0519-68688008";
        case ConstItemEnum.CzCustmerServiceHotlineExtra:
            return "0519-68208481";
        case ConstItemEnum.NjCustmerServiceHotline:
            return "025-58505218";
        case ConstItemEnum.NjAddress:
            return "江苏省南京市秦淮区集庆路198号泽天写字楼4F";
        case ConstItemEnum.CzAddress:
            return "江苏省常州市西横街10号创意产业园3号楼";
        case ConstItemEnum.NjCompanyName:
            return "江苏火火网络科技有限公司";
        case ConstItemEnum.CzCompanyName:
            return "江苏火火网络营销服务有限公司";
        case ConstItemEnum.NjPostCode:
            return "210000";
        case ConstItemEnum.CzPostCode:
            return "213003";
        default:
            throw new Error(`${e} is an invalid ConstItemEnum`);
    }
}


