// FHT Swagger axios client V2


/**
 * FHT.Statistics.Interfaces.Dto.Common.ContextKey, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Statistics.Interfaces.Dto.Common.ContextKey, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ContextKeyEnum {
    w_hm_recentts = "w_hm_recentts",
    w_hm_nearbyts = "w_hm_nearbyts",
    w_hm_activecs = "w_hm_activecs",
    w_hm_nearbycs = "w_hm_nearbycs",
    w_pl_main = "w_pl_main",
    w_pl_recentts = "w_pl_recentts",
    w_pl_relatedts = "w_pl_relatedts",
    w_pl_mobileps = "w_pl_mobileps",
    w_ps_main = "w_ps_main",
    w_ps_relatedts = "w_ps_relatedts",
    w_ps_relatedcs = "w_ps_relatedcs",
    w_ps_mobileps = "w_ps_mobileps",
    w_pd_main = "w_pd_main",
    w_pd_relatedps = "w_pd_relatedps",
    w_pd_relatedts = "w_pd_relatedts",
    w_pd_relatedcs = "w_pd_relatedcs",
    w_tl_main = "w_tl_main",
    w_tl_recentts = "w_tl_recentts",
    w_tl_activeus = "w_tl_activeus",
    w_ts_main = "w_ts_main",
    w_ts_relatedts = "w_ts_relatedts",
    w_ts_activeus = "w_ts_activeus",
    w_td_main = "w_td_main",
    w_td_relatedus = "w_td_relatedus",
    w_td_relatedts = "w_td_relatedts",
    w_ud_ts = "w_ud_ts",
    w_ud_industryus = "w_ud_industryus",
    cms_home = "cms_home",
    cms_pl = "cms_pl",
    cms_al = "cms_al",
}

export function convertFromContextKeyEnum(e: ContextKeyEnum): number{
    switch(e){
        case ContextKeyEnum.w_hm_recentts:
            return 1;
        case ContextKeyEnum.w_hm_nearbyts:
            return 2;
        case ContextKeyEnum.w_hm_activecs:
            return 3;
        case ContextKeyEnum.w_hm_nearbycs:
            return 4;
        case ContextKeyEnum.w_pl_main:
            return 100;
        case ContextKeyEnum.w_pl_recentts:
            return 101;
        case ContextKeyEnum.w_pl_relatedts:
            return 102;
        case ContextKeyEnum.w_pl_mobileps:
            return 103;
        case ContextKeyEnum.w_ps_main:
            return 200;
        case ContextKeyEnum.w_ps_relatedts:
            return 201;
        case ContextKeyEnum.w_ps_relatedcs:
            return 202;
        case ContextKeyEnum.w_ps_mobileps:
            return 203;
        case ContextKeyEnum.w_pd_main:
            return 300;
        case ContextKeyEnum.w_pd_relatedps:
            return 301;
        case ContextKeyEnum.w_pd_relatedts:
            return 302;
        case ContextKeyEnum.w_pd_relatedcs:
            return 303;
        case ContextKeyEnum.w_tl_main:
            return 500;
        case ContextKeyEnum.w_tl_recentts:
            return 501;
        case ContextKeyEnum.w_tl_activeus:
            return 502;
        case ContextKeyEnum.w_ts_main:
            return 600;
        case ContextKeyEnum.w_ts_relatedts:
            return 601;
        case ContextKeyEnum.w_ts_activeus:
            return 602;
        case ContextKeyEnum.w_td_main:
            return 700;
        case ContextKeyEnum.w_td_relatedus:
            return 701;
        case ContextKeyEnum.w_td_relatedts:
            return 702;
        case ContextKeyEnum.w_ud_ts:
            return 800;
        case ContextKeyEnum.w_ud_industryus:
            return 801;
        case ContextKeyEnum.cms_home:
            return 1000;
        case ContextKeyEnum.cms_pl:
            return 1001;
        case ContextKeyEnum.cms_al:
            return 1002;
        default:
            throw new Error(`${e} is an invalid ContextKeyEnum`);
    }
}

export function convertToContextKeyEnum(n: number): ContextKeyEnum{
    switch(n){
        case 1:
            return ContextKeyEnum.w_hm_recentts;
        case 2:
            return ContextKeyEnum.w_hm_nearbyts;
        case 3:
            return ContextKeyEnum.w_hm_activecs;
        case 4:
            return ContextKeyEnum.w_hm_nearbycs;
        case 100:
            return ContextKeyEnum.w_pl_main;
        case 101:
            return ContextKeyEnum.w_pl_recentts;
        case 102:
            return ContextKeyEnum.w_pl_relatedts;
        case 103:
            return ContextKeyEnum.w_pl_mobileps;
        case 200:
            return ContextKeyEnum.w_ps_main;
        case 201:
            return ContextKeyEnum.w_ps_relatedts;
        case 202:
            return ContextKeyEnum.w_ps_relatedcs;
        case 203:
            return ContextKeyEnum.w_ps_mobileps;
        case 300:
            return ContextKeyEnum.w_pd_main;
        case 301:
            return ContextKeyEnum.w_pd_relatedps;
        case 302:
            return ContextKeyEnum.w_pd_relatedts;
        case 303:
            return ContextKeyEnum.w_pd_relatedcs;
        case 500:
            return ContextKeyEnum.w_tl_main;
        case 501:
            return ContextKeyEnum.w_tl_recentts;
        case 502:
            return ContextKeyEnum.w_tl_activeus;
        case 600:
            return ContextKeyEnum.w_ts_main;
        case 601:
            return ContextKeyEnum.w_ts_relatedts;
        case 602:
            return ContextKeyEnum.w_ts_activeus;
        case 700:
            return ContextKeyEnum.w_td_main;
        case 701:
            return ContextKeyEnum.w_td_relatedus;
        case 702:
            return ContextKeyEnum.w_td_relatedts;
        case 800:
            return ContextKeyEnum.w_ud_ts;
        case 801:
            return ContextKeyEnum.w_ud_industryus;
        case 1000:
            return ContextKeyEnum.cms_home;
        case 1001:
            return ContextKeyEnum.cms_pl;
        case 1002:
            return ContextKeyEnum.cms_al;
        default:
            throw new Error(`${n} is an invalid ContextKeyEnum`);
    }
}

export function describeContextKeyEnum(e: ContextKeyEnum): string{
    switch(e){
        case ContextKeyEnum.w_hm_recentts:
            return "Web端首页最新发布";
        case ContextKeyEnum.w_hm_nearbyts:
            return "Web端首页附近商机";
        case ContextKeyEnum.w_hm_activecs:
            return "Web端首页活跃企业";
        case ContextKeyEnum.w_hm_nearbycs:
            return "Web端首页附近企业";
        case ContextKeyEnum.w_pl_main:
            return "Web产品列表页";
        case ContextKeyEnum.w_pl_recentts:
            return "Web产品列表页-最新发布";
        case ContextKeyEnum.w_pl_relatedts:
            return "Web产品列表页-相关服务";
        case ContextKeyEnum.w_pl_mobileps:
            return "Web产品列表页-移动端发布";
        case ContextKeyEnum.w_ps_main:
            return "Web产品搜索页";
        case ContextKeyEnum.w_ps_relatedts:
            return "Web产品搜索页-相关服务";
        case ContextKeyEnum.w_ps_relatedcs:
            return "Web产品搜索页-相关供应商";
        case ContextKeyEnum.w_ps_mobileps:
            return "Web产品搜索页-移动端发布";
        case ContextKeyEnum.w_pd_main:
            return "Web产品详情页";
        case ContextKeyEnum.w_pd_relatedps:
            return "Web产品搜索页-相关推荐";
        case ContextKeyEnum.w_pd_relatedts:
            return "Web产品搜索页-相关服务";
        case ContextKeyEnum.w_pd_relatedcs:
            return "Web产品搜索页-相关供应商";
        case ContextKeyEnum.w_tl_main:
            return "Web服务列表页";
        case ContextKeyEnum.w_tl_recentts:
            return "Web服务列表页-最新发布";
        case ContextKeyEnum.w_tl_activeus:
            return "Web服务列表页-活跃用户";
        case ContextKeyEnum.w_ts_main:
            return "Web服务搜索页";
        case ContextKeyEnum.w_ts_relatedts:
            return "Web服务搜索页-相关服务";
        case ContextKeyEnum.w_ts_activeus:
            return "Web服务搜索页-活跃用户";
        case ContextKeyEnum.w_td_main:
            return "Web服务详情页";
        case ContextKeyEnum.w_td_relatedus:
            return "Web服务详情页-同城好友";
        case ContextKeyEnum.w_td_relatedts:
            return "Web服务详情页-相关服务";
        case ContextKeyEnum.w_ud_ts:
            return "Web用户详情页-他的发布";
        case ContextKeyEnum.w_ud_industryus:
            return "Web用户详情页-同行业好友";
        case ContextKeyEnum.cms_home:
            return "CMS首页";
        case ContextKeyEnum.cms_pl:
            return "CMS产品列表";
        case ContextKeyEnum.cms_al:
            return "CMS文章列表";
        default:
            throw new Error(`${e} is an invalid ContextKeyEnum`);
    }
}


