// FHT Swagger axios client V2


/**
 * FHT.Core.Exceptions.Abstract.CoreExceptionCode, FHT.Core.Exceptions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.Exceptions.Abstract.CoreExceptionCode, FHT.Core.Exceptions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum CoreExceptionCodeEnum {
    FhtValidationErrorException = "FhtValidationErrorException",
    AccountUnauthorizedException = "AccountUnauthorizedException",
    InvalidSmsCodeException = "InvalidSmsCodeException",
    UnauthorizedNotificationException = "UnauthorizedNotificationException",
    EligibilityException = "EligibilityException",
    AccountLockException = "AccountLockException",
    AccountException = "AccountException",
    UserNotFoundException = "UserNotFoundException",
    UserProfileAlreadyCreatedException = "UserProfileAlreadyCreatedException",
    UserProfileNotFoundException = "UserProfileNotFoundException",
    UserContactListNotFoundException = "UserContactListNotFoundException",
    ChangePasswordException = "ChangePasswordException",
    AccountExistException = "AccountExistException",
    UserGeoLocationNotFoundException = "UserGeoLocationNotFoundException",
    ExistBlockedUsersException = "ExistBlockedUsersException",
    UserNotExistComopanyException = "UserNotExistComopanyException",
    ExistFht1VipAccountException = "ExistFht1VipAccountException",
    Fht1AccountException = "Fht1AccountException",
    RegIdentityTypeNotExistException = "RegIdentityTypeNotExistException",
    AccountNotFoundException = "AccountNotFoundException",
    ProductCollectionNotFoundException = "ProductCollectionNotFoundException",
    ProductAuditRejectedException = "ProductAuditRejectedException",
    ProductAuditPendingException = "ProductAuditPendingException",
    ProductSensitiveWordException = "ProductSensitiveWordException",
    ArticleUnauthorizedException = "ArticleUnauthorizedException",
    CompanyMemberException = "CompanyMemberException",
    CompanyMemberApplyRequestException = "CompanyMemberApplyRequestException",
    CompanyMemberChangeStatusApplyRequestException = "CompanyMemberChangeStatusApplyRequestException",
    CompanyMemberInviteRequestException = "CompanyMemberInviteRequestException",
    CompanyMemberInviteRequestNotFoundException = "CompanyMemberInviteRequestNotFoundException",
    CompanyMemberChangeStatusInviteRequestException = "CompanyMemberChangeStatusInviteRequestException",
    NotCompanyMemberException = "NotCompanyMemberException",
    CompanyMemberUnauthorizedException = "CompanyMemberUnauthorizedException",
    UnauthorizedCompanyAdminException = "UnauthorizedCompanyAdminException",
    CompanyNotFoundException = "CompanyNotFoundException",
    CompanyException = "CompanyException",
    CompanyNameAlreadyRegisteredException = "CompanyNameAlreadyRegisteredException",
    UserAlreadyBelongToCompanyException = "UserAlreadyBelongToCompanyException",
    CompanyCustomerServiceNotFoundException = "CompanyCustomerServiceNotFoundException",
    UserHasNoCompanyException = "UserHasNoCompanyException",
    CompanyMustChoiceSecondRegionException = "CompanyMustChoiceSecondRegionException",
    CompanyMemberOutofLimitException = "CompanyMemberOutofLimitException",
    CompanyMemberApplyRequestExpiredException = "CompanyMemberApplyRequestExpiredException",
    CompanyMemberInviteRequestExpiredException = "CompanyMemberInviteRequestExpiredException",
    UserHasBlockedByInviteUserException = "UserHasBlockedByInviteUserException",
    CompanyInvitationCodeException = "CompanyInvitationCodeException",
    CompanyMemberCountReachedException = "CompanyMemberCountReachedException",
    FriendRequestException = "FriendRequestException",
    NotFriendsException = "NotFriendsException",
    AlreadyFriendsException = "AlreadyFriendsException",
    GroupChatMemberOutofLimitException = "GroupChatMemberOutofLimitException",
    GroupChatMemberNotFoundException = "GroupChatMemberNotFoundException",
    GroupChatCoversationIdNotNullException = "GroupChatCoversationIdNotNullException",
    GroupChatNotFoundException = "GroupChatNotFoundException",
    GroupChatIllegalOpeartionException = "GroupChatIllegalOpeartionException",
    ChatMemberExistedException = "ChatMemberExistedException",
    PersonalChatMemberNotFoundException = "PersonalChatMemberNotFoundException",
    PersonalChatNotFoundException = "PersonalChatNotFoundException",
    PersonalChatConversationNotNullException = "PersonalChatConversationNotNullException",
    TouristChatException = "TouristChatException",
    TouristChatNotFoundException = "TouristChatNotFoundException",
    GroupChatUnauthorizedException = "GroupChatUnauthorizedException",
    PersonalChatException = "PersonalChatException",
    PersonalChatIllegalException = "PersonalChatIllegalException",
    FailedLeaveGroupChatException = "FailedLeaveGroupChatException",
    FailedKickFromGroupChatException = "FailedKickFromGroupChatException",
    FriendRequestExpiredException = "FriendRequestExpiredException",
    UnauthorizedChatException = "UnauthorizedChatException",
    ForbidTemporaryChatException = "ForbidTemporaryChatException",
    InvalidBlockChatException = "InvalidBlockChatException",
    GroupChatMemberLowerOfLimitException = "GroupChatMemberLowerOfLimitException",
    CollectionItemNotFoundException = "CollectionItemNotFoundException",
    CollectionItemDataInvalidException = "CollectionItemDataInvalidException",
    TopicPostNotFoundException = "TopicPostNotFoundException",
    TopicPostUnauthorizedException = "TopicPostUnauthorizedException",
    TopicPostException = "TopicPostException",
    TopicPostCreaterNotFoundException = "TopicPostCreaterNotFoundException",
    TopicPostTitleUniqueException = "TopicPostTitleUniqueException",
    TopicPostAuditRejectedException = "TopicPostAuditRejectedException",
    TopicPostAuditPendingException = "TopicPostAuditPendingException",
    TopicPostSensitiveWordException = "TopicPostSensitiveWordException",
    TopicTypeException = "TopicTypeException",
    ReportException = "ReportException",
    ReportUnauthorizedException = "ReportUnauthorizedException",
    CompanyAuthenticationException = "CompanyAuthenticationException",
    CompanyNameApplicationNotFoundException = "CompanyNameApplicationNotFoundException",
    CompanyNameApplicationAuthenticationException = "CompanyNameApplicationAuthenticationException",
    CompanyNameApplicationException = "CompanyNameApplicationException",
    InvalidRealNameException = "InvalidRealNameException",
    IpNotInDatabaseException = "IpNotInDatabaseException",
    InvalidHierachyItemIdException = "InvalidHierachyItemIdException",
    ProductUnauthorizedException = "ProductUnauthorizedException",
    ProductNotFoundException = "ProductNotFoundException",
    ProductException = "ProductException",
    CustomCategoryUnauthorizedException = "CustomCategoryUnauthorizedException",
    ArticleNotFoundException = "ArticleNotFoundException",
    ArticleTypeNotFoundException = "ArticleTypeNotFoundException",
    ArticleTypeDuplicateNameException = "ArticleTypeDuplicateNameException",
    ArticleTypeUnauthorizedException = "ArticleTypeUnauthorizedException",
    ArticleAuditRejectedException = "ArticleAuditRejectedException",
    ArticleAuditPendingException = "ArticleAuditPendingException",
    ArticleSensitiveWordException = "ArticleSensitiveWordException",
    ArticleTypeInvalidOperationException = "ArticleTypeInvalidOperationException",
    MeetupNotFoundException = "MeetupNotFoundException",
    MeetupUnauthorizedException = "MeetupUnauthorizedException",
    MeetupMemberNotFoundException = "MeetupMemberNotFoundException",
    MeetupMemberUnauthorizedException = "MeetupMemberUnauthorizedException",
    MeetupInvitationNotFoundException = "MeetupInvitationNotFoundException",
    MeetupInvitationUnauthorizedException = "MeetupInvitationUnauthorizedException",
    MeetupApplicationNotFoundException = "MeetupApplicationNotFoundException",
    MeetupApplicationUnauthorizedException = "MeetupApplicationUnauthorizedException",
    AlreadyAMemberOfMeetupException = "AlreadyAMemberOfMeetupException",
    MeetupHasBeenCancelledException = "MeetupHasBeenCancelledException",
    MeetupInvitationException = "MeetupInvitationException",
    MeetupApplicationException = "MeetupApplicationException",
    MeetupALreadyStartedOrExpiredException = "MeetupALreadyStartedOrExpiredException",
    MeetupMemberException = "MeetupMemberException",
    MeetupException = "MeetupException",
    MeetupChatMemberNotFoundException = "MeetupChatMemberNotFoundException",
    MeetupChatException = "MeetupChatException",
    MeetupChatNotFoundException = "MeetupChatNotFoundException",
    MeetupHasMaxMemberCountException = "MeetupHasMaxMemberCountException",
    MeetupApplicationExpiredException = "MeetupApplicationExpiredException",
    MeetupExistsMaxCountMembersException = "MeetupExistsMaxCountMembersException",
    MeetupUsingErrorMethodException = "MeetupUsingErrorMethodException",
    MeetupInvitationExpiredException = "MeetupInvitationExpiredException",
    MeetupSensitiveWordException = "MeetupSensitiveWordException",
    CustomPageNotFoundException = "CustomPageNotFoundException",
    CustomPageUnauthorizedException = "CustomPageUnauthorizedException",
    NavigationNotFoundException = "NavigationNotFoundException",
    InvalidNavigationContentTypeException = "InvalidNavigationContentTypeException",
    FriendlyLinkNotFoundException = "FriendlyLinkNotFoundException",
    FriendlyLinkUnauthorizedException = "FriendlyLinkUnauthorizedException",
    RegionSiteNotFoundException = "RegionSiteNotFoundException",
    RegionSiteUnauthorizedException = "RegionSiteUnauthorizedException",
    NotSecondLevelRegionException = "NotSecondLevelRegionException",
    RegionLimtException = "RegionLimtException",
    PageSizeTooLargeException = "PageSizeTooLargeException",
    AdvertisementSynchronizeException = "AdvertisementSynchronizeException",
    SensitiveWordsException = "SensitiveWordsException",
    GrpcClientException = "GrpcClientException",
    GroupIllegalOpeartionException = "GroupIllegalOpeartionException",
    GroupMemberNotFoundException = "GroupMemberNotFoundException",
    GroupNotFoundException = "GroupNotFoundException",
    GroupUnauthorizedException = "GroupUnauthorizedException",
    GroupExistException = "GroupExistException",
    WebChatOAuthException = "WebChatOAuthException",
    AlipayOAuthException = "AlipayOAuthException",
    QQOAuthException = "QQOAuthException",
    UserOAuthException = "UserOAuthException",
    GeoIpNotFoundException = "GeoIpNotFoundException",
}

export function convertFromCoreExceptionCodeEnum(e: CoreExceptionCodeEnum): number{
    switch(e){
        case CoreExceptionCodeEnum.FhtValidationErrorException:
            return 100;
        case CoreExceptionCodeEnum.AccountUnauthorizedException:
            return 401;
        case CoreExceptionCodeEnum.InvalidSmsCodeException:
            return 1000;
        case CoreExceptionCodeEnum.UnauthorizedNotificationException:
            return 2000;
        case CoreExceptionCodeEnum.EligibilityException:
            return 3000;
        case CoreExceptionCodeEnum.AccountLockException:
            return 10002;
        case CoreExceptionCodeEnum.AccountException:
            return 10003;
        case CoreExceptionCodeEnum.UserNotFoundException:
            return 10007;
        case CoreExceptionCodeEnum.UserProfileAlreadyCreatedException:
            return 10008;
        case CoreExceptionCodeEnum.UserProfileNotFoundException:
            return 10009;
        case CoreExceptionCodeEnum.UserContactListNotFoundException:
            return 10010;
        case CoreExceptionCodeEnum.ChangePasswordException:
            return 10011;
        case CoreExceptionCodeEnum.AccountExistException:
            return 10012;
        case CoreExceptionCodeEnum.UserGeoLocationNotFoundException:
            return 10013;
        case CoreExceptionCodeEnum.ExistBlockedUsersException:
            return 10014;
        case CoreExceptionCodeEnum.UserNotExistComopanyException:
            return 10015;
        case CoreExceptionCodeEnum.ExistFht1VipAccountException:
            return 10016;
        case CoreExceptionCodeEnum.Fht1AccountException:
            return 10017;
        case CoreExceptionCodeEnum.RegIdentityTypeNotExistException:
            return 10018;
        case CoreExceptionCodeEnum.AccountNotFoundException:
            return 10019;
        case CoreExceptionCodeEnum.ProductCollectionNotFoundException:
            return 12004;
        case CoreExceptionCodeEnum.ProductAuditRejectedException:
            return 12005;
        case CoreExceptionCodeEnum.ProductAuditPendingException:
            return 12006;
        case CoreExceptionCodeEnum.ProductSensitiveWordException:
            return 12007;
        case CoreExceptionCodeEnum.ArticleUnauthorizedException:
            return 14001;
        case CoreExceptionCodeEnum.CompanyMemberException:
            return 20001;
        case CoreExceptionCodeEnum.CompanyMemberApplyRequestException:
            return 20002;
        case CoreExceptionCodeEnum.CompanyMemberChangeStatusApplyRequestException:
            return 20004;
        case CoreExceptionCodeEnum.CompanyMemberInviteRequestException:
            return 20005;
        case CoreExceptionCodeEnum.CompanyMemberInviteRequestNotFoundException:
            return 20006;
        case CoreExceptionCodeEnum.CompanyMemberChangeStatusInviteRequestException:
            return 20007;
        case CoreExceptionCodeEnum.NotCompanyMemberException:
            return 20008;
        case CoreExceptionCodeEnum.CompanyMemberUnauthorizedException:
            return 20009;
        case CoreExceptionCodeEnum.UnauthorizedCompanyAdminException:
            return 20010;
        case CoreExceptionCodeEnum.CompanyNotFoundException:
            return 20011;
        case CoreExceptionCodeEnum.CompanyException:
            return 20012;
        case CoreExceptionCodeEnum.CompanyNameAlreadyRegisteredException:
            return 20013;
        case CoreExceptionCodeEnum.UserAlreadyBelongToCompanyException:
            return 20014;
        case CoreExceptionCodeEnum.CompanyCustomerServiceNotFoundException:
            return 20016;
        case CoreExceptionCodeEnum.UserHasNoCompanyException:
            return 20017;
        case CoreExceptionCodeEnum.CompanyMustChoiceSecondRegionException:
            return 20018;
        case CoreExceptionCodeEnum.CompanyMemberOutofLimitException:
            return 20019;
        case CoreExceptionCodeEnum.CompanyMemberApplyRequestExpiredException:
            return 20020;
        case CoreExceptionCodeEnum.CompanyMemberInviteRequestExpiredException:
            return 20021;
        case CoreExceptionCodeEnum.UserHasBlockedByInviteUserException:
            return 20022;
        case CoreExceptionCodeEnum.CompanyInvitationCodeException:
            return 20023;
        case CoreExceptionCodeEnum.CompanyMemberCountReachedException:
            return 20024;
        case CoreExceptionCodeEnum.FriendRequestException:
            return 30001;
        case CoreExceptionCodeEnum.NotFriendsException:
            return 30002;
        case CoreExceptionCodeEnum.AlreadyFriendsException:
            return 30003;
        case CoreExceptionCodeEnum.GroupChatMemberOutofLimitException:
            return 30004;
        case CoreExceptionCodeEnum.GroupChatMemberNotFoundException:
            return 30005;
        case CoreExceptionCodeEnum.GroupChatCoversationIdNotNullException:
            return 30006;
        case CoreExceptionCodeEnum.GroupChatNotFoundException:
            return 30007;
        case CoreExceptionCodeEnum.GroupChatIllegalOpeartionException:
            return 30008;
        case CoreExceptionCodeEnum.ChatMemberExistedException:
            return 30009;
        case CoreExceptionCodeEnum.PersonalChatMemberNotFoundException:
            return 30010;
        case CoreExceptionCodeEnum.PersonalChatNotFoundException:
            return 30011;
        case CoreExceptionCodeEnum.PersonalChatConversationNotNullException:
            return 30013;
        case CoreExceptionCodeEnum.TouristChatException:
            return 30016;
        case CoreExceptionCodeEnum.TouristChatNotFoundException:
            return 30017;
        case CoreExceptionCodeEnum.GroupChatUnauthorizedException:
            return 30018;
        case CoreExceptionCodeEnum.PersonalChatException:
            return 30019;
        case CoreExceptionCodeEnum.PersonalChatIllegalException:
            return 30020;
        case CoreExceptionCodeEnum.FailedLeaveGroupChatException:
            return 30021;
        case CoreExceptionCodeEnum.FailedKickFromGroupChatException:
            return 30022;
        case CoreExceptionCodeEnum.FriendRequestExpiredException:
            return 30023;
        case CoreExceptionCodeEnum.UnauthorizedChatException:
            return 30024;
        case CoreExceptionCodeEnum.ForbidTemporaryChatException:
            return 30025;
        case CoreExceptionCodeEnum.InvalidBlockChatException:
            return 30026;
        case CoreExceptionCodeEnum.GroupChatMemberLowerOfLimitException:
            return 30027;
        case CoreExceptionCodeEnum.CollectionItemNotFoundException:
            return 40003;
        case CoreExceptionCodeEnum.CollectionItemDataInvalidException:
            return 40005;
        case CoreExceptionCodeEnum.TopicPostNotFoundException:
            return 40006;
        case CoreExceptionCodeEnum.TopicPostUnauthorizedException:
            return 40007;
        case CoreExceptionCodeEnum.TopicPostException:
            return 40008;
        case CoreExceptionCodeEnum.TopicPostCreaterNotFoundException:
            return 40009;
        case CoreExceptionCodeEnum.TopicPostTitleUniqueException:
            return 40010;
        case CoreExceptionCodeEnum.TopicPostAuditRejectedException:
            return 40011;
        case CoreExceptionCodeEnum.TopicPostAuditPendingException:
            return 40012;
        case CoreExceptionCodeEnum.TopicPostSensitiveWordException:
            return 40013;
        case CoreExceptionCodeEnum.TopicTypeException:
            return 40014;
        case CoreExceptionCodeEnum.ReportException:
            return 50001;
        case CoreExceptionCodeEnum.ReportUnauthorizedException:
            return 50002;
        case CoreExceptionCodeEnum.CompanyAuthenticationException:
            return 60001;
        case CoreExceptionCodeEnum.CompanyNameApplicationNotFoundException:
            return 70001;
        case CoreExceptionCodeEnum.CompanyNameApplicationAuthenticationException:
            return 70002;
        case CoreExceptionCodeEnum.CompanyNameApplicationException:
            return 70003;
        case CoreExceptionCodeEnum.InvalidRealNameException:
            return 80001;
        case CoreExceptionCodeEnum.IpNotInDatabaseException:
            return 90001;
        case CoreExceptionCodeEnum.InvalidHierachyItemIdException:
            return 100001;
        case CoreExceptionCodeEnum.ProductUnauthorizedException:
            return 120001;
        case CoreExceptionCodeEnum.ProductNotFoundException:
            return 120002;
        case CoreExceptionCodeEnum.ProductException:
            return 120003;
        case CoreExceptionCodeEnum.CustomCategoryUnauthorizedException:
            return 130002;
        case CoreExceptionCodeEnum.ArticleNotFoundException:
            return 140002;
        case CoreExceptionCodeEnum.ArticleTypeNotFoundException:
            return 140003;
        case CoreExceptionCodeEnum.ArticleTypeDuplicateNameException:
            return 140004;
        case CoreExceptionCodeEnum.ArticleTypeUnauthorizedException:
            return 140005;
        case CoreExceptionCodeEnum.ArticleAuditRejectedException:
            return 140006;
        case CoreExceptionCodeEnum.ArticleAuditPendingException:
            return 140007;
        case CoreExceptionCodeEnum.ArticleSensitiveWordException:
            return 140008;
        case CoreExceptionCodeEnum.ArticleTypeInvalidOperationException:
            return 140009;
        case CoreExceptionCodeEnum.MeetupNotFoundException:
            return 150001;
        case CoreExceptionCodeEnum.MeetupUnauthorizedException:
            return 150002;
        case CoreExceptionCodeEnum.MeetupMemberNotFoundException:
            return 150003;
        case CoreExceptionCodeEnum.MeetupMemberUnauthorizedException:
            return 150004;
        case CoreExceptionCodeEnum.MeetupInvitationNotFoundException:
            return 150005;
        case CoreExceptionCodeEnum.MeetupInvitationUnauthorizedException:
            return 150006;
        case CoreExceptionCodeEnum.MeetupApplicationNotFoundException:
            return 150007;
        case CoreExceptionCodeEnum.MeetupApplicationUnauthorizedException:
            return 150008;
        case CoreExceptionCodeEnum.AlreadyAMemberOfMeetupException:
            return 150009;
        case CoreExceptionCodeEnum.MeetupHasBeenCancelledException:
            return 150010;
        case CoreExceptionCodeEnum.MeetupInvitationException:
            return 150011;
        case CoreExceptionCodeEnum.MeetupApplicationException:
            return 150012;
        case CoreExceptionCodeEnum.MeetupALreadyStartedOrExpiredException:
            return 150013;
        case CoreExceptionCodeEnum.MeetupMemberException:
            return 150014;
        case CoreExceptionCodeEnum.MeetupException:
            return 150015;
        case CoreExceptionCodeEnum.MeetupChatMemberNotFoundException:
            return 150016;
        case CoreExceptionCodeEnum.MeetupChatException:
            return 150017;
        case CoreExceptionCodeEnum.MeetupChatNotFoundException:
            return 150018;
        case CoreExceptionCodeEnum.MeetupHasMaxMemberCountException:
            return 150019;
        case CoreExceptionCodeEnum.MeetupApplicationExpiredException:
            return 150020;
        case CoreExceptionCodeEnum.MeetupExistsMaxCountMembersException:
            return 150021;
        case CoreExceptionCodeEnum.MeetupUsingErrorMethodException:
            return 150022;
        case CoreExceptionCodeEnum.MeetupInvitationExpiredException:
            return 150023;
        case CoreExceptionCodeEnum.MeetupSensitiveWordException:
            return 150024;
        case CoreExceptionCodeEnum.CustomPageNotFoundException:
            return 160001;
        case CoreExceptionCodeEnum.CustomPageUnauthorizedException:
            return 160002;
        case CoreExceptionCodeEnum.NavigationNotFoundException:
            return 160003;
        case CoreExceptionCodeEnum.InvalidNavigationContentTypeException:
            return 160004;
        case CoreExceptionCodeEnum.FriendlyLinkNotFoundException:
            return 170001;
        case CoreExceptionCodeEnum.FriendlyLinkUnauthorizedException:
            return 170002;
        case CoreExceptionCodeEnum.RegionSiteNotFoundException:
            return 180001;
        case CoreExceptionCodeEnum.RegionSiteUnauthorizedException:
            return 180002;
        case CoreExceptionCodeEnum.NotSecondLevelRegionException:
            return 190001;
        case CoreExceptionCodeEnum.RegionLimtException:
            return 190002;
        case CoreExceptionCodeEnum.PageSizeTooLargeException:
            return 200001;
        case CoreExceptionCodeEnum.AdvertisementSynchronizeException:
            return 210001;
        case CoreExceptionCodeEnum.SensitiveWordsException:
            return 220004;
        case CoreExceptionCodeEnum.GrpcClientException:
            return 220005;
        case CoreExceptionCodeEnum.GroupIllegalOpeartionException:
            return 230001;
        case CoreExceptionCodeEnum.GroupMemberNotFoundException:
            return 230002;
        case CoreExceptionCodeEnum.GroupNotFoundException:
            return 230003;
        case CoreExceptionCodeEnum.GroupUnauthorizedException:
            return 230004;
        case CoreExceptionCodeEnum.GroupExistException:
            return 230005;
        case CoreExceptionCodeEnum.WebChatOAuthException:
            return 240001;
        case CoreExceptionCodeEnum.AlipayOAuthException:
            return 240002;
        case CoreExceptionCodeEnum.QQOAuthException:
            return 240003;
        case CoreExceptionCodeEnum.UserOAuthException:
            return 240004;
        case CoreExceptionCodeEnum.GeoIpNotFoundException:
            return 250001;
        default:
            throw new Error(`${e} is an invalid CoreExceptionCodeEnum`);
    }
}

export function convertToCoreExceptionCodeEnum(n: number): CoreExceptionCodeEnum{
    switch(n){
        case 100:
            return CoreExceptionCodeEnum.FhtValidationErrorException;
        case 401:
            return CoreExceptionCodeEnum.AccountUnauthorizedException;
        case 1000:
            return CoreExceptionCodeEnum.InvalidSmsCodeException;
        case 2000:
            return CoreExceptionCodeEnum.UnauthorizedNotificationException;
        case 3000:
            return CoreExceptionCodeEnum.EligibilityException;
        case 10002:
            return CoreExceptionCodeEnum.AccountLockException;
        case 10003:
            return CoreExceptionCodeEnum.AccountException;
        case 10007:
            return CoreExceptionCodeEnum.UserNotFoundException;
        case 10008:
            return CoreExceptionCodeEnum.UserProfileAlreadyCreatedException;
        case 10009:
            return CoreExceptionCodeEnum.UserProfileNotFoundException;
        case 10010:
            return CoreExceptionCodeEnum.UserContactListNotFoundException;
        case 10011:
            return CoreExceptionCodeEnum.ChangePasswordException;
        case 10012:
            return CoreExceptionCodeEnum.AccountExistException;
        case 10013:
            return CoreExceptionCodeEnum.UserGeoLocationNotFoundException;
        case 10014:
            return CoreExceptionCodeEnum.ExistBlockedUsersException;
        case 10015:
            return CoreExceptionCodeEnum.UserNotExistComopanyException;
        case 10016:
            return CoreExceptionCodeEnum.ExistFht1VipAccountException;
        case 10017:
            return CoreExceptionCodeEnum.Fht1AccountException;
        case 10018:
            return CoreExceptionCodeEnum.RegIdentityTypeNotExistException;
        case 10019:
            return CoreExceptionCodeEnum.AccountNotFoundException;
        case 12004:
            return CoreExceptionCodeEnum.ProductCollectionNotFoundException;
        case 12005:
            return CoreExceptionCodeEnum.ProductAuditRejectedException;
        case 12006:
            return CoreExceptionCodeEnum.ProductAuditPendingException;
        case 12007:
            return CoreExceptionCodeEnum.ProductSensitiveWordException;
        case 14001:
            return CoreExceptionCodeEnum.ArticleUnauthorizedException;
        case 20001:
            return CoreExceptionCodeEnum.CompanyMemberException;
        case 20002:
            return CoreExceptionCodeEnum.CompanyMemberApplyRequestException;
        case 20004:
            return CoreExceptionCodeEnum.CompanyMemberChangeStatusApplyRequestException;
        case 20005:
            return CoreExceptionCodeEnum.CompanyMemberInviteRequestException;
        case 20006:
            return CoreExceptionCodeEnum.CompanyMemberInviteRequestNotFoundException;
        case 20007:
            return CoreExceptionCodeEnum.CompanyMemberChangeStatusInviteRequestException;
        case 20008:
            return CoreExceptionCodeEnum.NotCompanyMemberException;
        case 20009:
            return CoreExceptionCodeEnum.CompanyMemberUnauthorizedException;
        case 20010:
            return CoreExceptionCodeEnum.UnauthorizedCompanyAdminException;
        case 20011:
            return CoreExceptionCodeEnum.CompanyNotFoundException;
        case 20012:
            return CoreExceptionCodeEnum.CompanyException;
        case 20013:
            return CoreExceptionCodeEnum.CompanyNameAlreadyRegisteredException;
        case 20014:
            return CoreExceptionCodeEnum.UserAlreadyBelongToCompanyException;
        case 20016:
            return CoreExceptionCodeEnum.CompanyCustomerServiceNotFoundException;
        case 20017:
            return CoreExceptionCodeEnum.UserHasNoCompanyException;
        case 20018:
            return CoreExceptionCodeEnum.CompanyMustChoiceSecondRegionException;
        case 20019:
            return CoreExceptionCodeEnum.CompanyMemberOutofLimitException;
        case 20020:
            return CoreExceptionCodeEnum.CompanyMemberApplyRequestExpiredException;
        case 20021:
            return CoreExceptionCodeEnum.CompanyMemberInviteRequestExpiredException;
        case 20022:
            return CoreExceptionCodeEnum.UserHasBlockedByInviteUserException;
        case 20023:
            return CoreExceptionCodeEnum.CompanyInvitationCodeException;
        case 20024:
            return CoreExceptionCodeEnum.CompanyMemberCountReachedException;
        case 30001:
            return CoreExceptionCodeEnum.FriendRequestException;
        case 30002:
            return CoreExceptionCodeEnum.NotFriendsException;
        case 30003:
            return CoreExceptionCodeEnum.AlreadyFriendsException;
        case 30004:
            return CoreExceptionCodeEnum.GroupChatMemberOutofLimitException;
        case 30005:
            return CoreExceptionCodeEnum.GroupChatMemberNotFoundException;
        case 30006:
            return CoreExceptionCodeEnum.GroupChatCoversationIdNotNullException;
        case 30007:
            return CoreExceptionCodeEnum.GroupChatNotFoundException;
        case 30008:
            return CoreExceptionCodeEnum.GroupChatIllegalOpeartionException;
        case 30009:
            return CoreExceptionCodeEnum.ChatMemberExistedException;
        case 30010:
            return CoreExceptionCodeEnum.PersonalChatMemberNotFoundException;
        case 30011:
            return CoreExceptionCodeEnum.PersonalChatNotFoundException;
        case 30013:
            return CoreExceptionCodeEnum.PersonalChatConversationNotNullException;
        case 30016:
            return CoreExceptionCodeEnum.TouristChatException;
        case 30017:
            return CoreExceptionCodeEnum.TouristChatNotFoundException;
        case 30018:
            return CoreExceptionCodeEnum.GroupChatUnauthorizedException;
        case 30019:
            return CoreExceptionCodeEnum.PersonalChatException;
        case 30020:
            return CoreExceptionCodeEnum.PersonalChatIllegalException;
        case 30021:
            return CoreExceptionCodeEnum.FailedLeaveGroupChatException;
        case 30022:
            return CoreExceptionCodeEnum.FailedKickFromGroupChatException;
        case 30023:
            return CoreExceptionCodeEnum.FriendRequestExpiredException;
        case 30024:
            return CoreExceptionCodeEnum.UnauthorizedChatException;
        case 30025:
            return CoreExceptionCodeEnum.ForbidTemporaryChatException;
        case 30026:
            return CoreExceptionCodeEnum.InvalidBlockChatException;
        case 30027:
            return CoreExceptionCodeEnum.GroupChatMemberLowerOfLimitException;
        case 40003:
            return CoreExceptionCodeEnum.CollectionItemNotFoundException;
        case 40005:
            return CoreExceptionCodeEnum.CollectionItemDataInvalidException;
        case 40006:
            return CoreExceptionCodeEnum.TopicPostNotFoundException;
        case 40007:
            return CoreExceptionCodeEnum.TopicPostUnauthorizedException;
        case 40008:
            return CoreExceptionCodeEnum.TopicPostException;
        case 40009:
            return CoreExceptionCodeEnum.TopicPostCreaterNotFoundException;
        case 40010:
            return CoreExceptionCodeEnum.TopicPostTitleUniqueException;
        case 40011:
            return CoreExceptionCodeEnum.TopicPostAuditRejectedException;
        case 40012:
            return CoreExceptionCodeEnum.TopicPostAuditPendingException;
        case 40013:
            return CoreExceptionCodeEnum.TopicPostSensitiveWordException;
        case 40014:
            return CoreExceptionCodeEnum.TopicTypeException;
        case 50001:
            return CoreExceptionCodeEnum.ReportException;
        case 50002:
            return CoreExceptionCodeEnum.ReportUnauthorizedException;
        case 60001:
            return CoreExceptionCodeEnum.CompanyAuthenticationException;
        case 70001:
            return CoreExceptionCodeEnum.CompanyNameApplicationNotFoundException;
        case 70002:
            return CoreExceptionCodeEnum.CompanyNameApplicationAuthenticationException;
        case 70003:
            return CoreExceptionCodeEnum.CompanyNameApplicationException;
        case 80001:
            return CoreExceptionCodeEnum.InvalidRealNameException;
        case 90001:
            return CoreExceptionCodeEnum.IpNotInDatabaseException;
        case 100001:
            return CoreExceptionCodeEnum.InvalidHierachyItemIdException;
        case 120001:
            return CoreExceptionCodeEnum.ProductUnauthorizedException;
        case 120002:
            return CoreExceptionCodeEnum.ProductNotFoundException;
        case 120003:
            return CoreExceptionCodeEnum.ProductException;
        case 130002:
            return CoreExceptionCodeEnum.CustomCategoryUnauthorizedException;
        case 140002:
            return CoreExceptionCodeEnum.ArticleNotFoundException;
        case 140003:
            return CoreExceptionCodeEnum.ArticleTypeNotFoundException;
        case 140004:
            return CoreExceptionCodeEnum.ArticleTypeDuplicateNameException;
        case 140005:
            return CoreExceptionCodeEnum.ArticleTypeUnauthorizedException;
        case 140006:
            return CoreExceptionCodeEnum.ArticleAuditRejectedException;
        case 140007:
            return CoreExceptionCodeEnum.ArticleAuditPendingException;
        case 140008:
            return CoreExceptionCodeEnum.ArticleSensitiveWordException;
        case 140009:
            return CoreExceptionCodeEnum.ArticleTypeInvalidOperationException;
        case 150001:
            return CoreExceptionCodeEnum.MeetupNotFoundException;
        case 150002:
            return CoreExceptionCodeEnum.MeetupUnauthorizedException;
        case 150003:
            return CoreExceptionCodeEnum.MeetupMemberNotFoundException;
        case 150004:
            return CoreExceptionCodeEnum.MeetupMemberUnauthorizedException;
        case 150005:
            return CoreExceptionCodeEnum.MeetupInvitationNotFoundException;
        case 150006:
            return CoreExceptionCodeEnum.MeetupInvitationUnauthorizedException;
        case 150007:
            return CoreExceptionCodeEnum.MeetupApplicationNotFoundException;
        case 150008:
            return CoreExceptionCodeEnum.MeetupApplicationUnauthorizedException;
        case 150009:
            return CoreExceptionCodeEnum.AlreadyAMemberOfMeetupException;
        case 150010:
            return CoreExceptionCodeEnum.MeetupHasBeenCancelledException;
        case 150011:
            return CoreExceptionCodeEnum.MeetupInvitationException;
        case 150012:
            return CoreExceptionCodeEnum.MeetupApplicationException;
        case 150013:
            return CoreExceptionCodeEnum.MeetupALreadyStartedOrExpiredException;
        case 150014:
            return CoreExceptionCodeEnum.MeetupMemberException;
        case 150015:
            return CoreExceptionCodeEnum.MeetupException;
        case 150016:
            return CoreExceptionCodeEnum.MeetupChatMemberNotFoundException;
        case 150017:
            return CoreExceptionCodeEnum.MeetupChatException;
        case 150018:
            return CoreExceptionCodeEnum.MeetupChatNotFoundException;
        case 150019:
            return CoreExceptionCodeEnum.MeetupHasMaxMemberCountException;
        case 150020:
            return CoreExceptionCodeEnum.MeetupApplicationExpiredException;
        case 150021:
            return CoreExceptionCodeEnum.MeetupExistsMaxCountMembersException;
        case 150022:
            return CoreExceptionCodeEnum.MeetupUsingErrorMethodException;
        case 150023:
            return CoreExceptionCodeEnum.MeetupInvitationExpiredException;
        case 150024:
            return CoreExceptionCodeEnum.MeetupSensitiveWordException;
        case 160001:
            return CoreExceptionCodeEnum.CustomPageNotFoundException;
        case 160002:
            return CoreExceptionCodeEnum.CustomPageUnauthorizedException;
        case 160003:
            return CoreExceptionCodeEnum.NavigationNotFoundException;
        case 160004:
            return CoreExceptionCodeEnum.InvalidNavigationContentTypeException;
        case 170001:
            return CoreExceptionCodeEnum.FriendlyLinkNotFoundException;
        case 170002:
            return CoreExceptionCodeEnum.FriendlyLinkUnauthorizedException;
        case 180001:
            return CoreExceptionCodeEnum.RegionSiteNotFoundException;
        case 180002:
            return CoreExceptionCodeEnum.RegionSiteUnauthorizedException;
        case 190001:
            return CoreExceptionCodeEnum.NotSecondLevelRegionException;
        case 190002:
            return CoreExceptionCodeEnum.RegionLimtException;
        case 200001:
            return CoreExceptionCodeEnum.PageSizeTooLargeException;
        case 210001:
            return CoreExceptionCodeEnum.AdvertisementSynchronizeException;
        case 220004:
            return CoreExceptionCodeEnum.SensitiveWordsException;
        case 220005:
            return CoreExceptionCodeEnum.GrpcClientException;
        case 230001:
            return CoreExceptionCodeEnum.GroupIllegalOpeartionException;
        case 230002:
            return CoreExceptionCodeEnum.GroupMemberNotFoundException;
        case 230003:
            return CoreExceptionCodeEnum.GroupNotFoundException;
        case 230004:
            return CoreExceptionCodeEnum.GroupUnauthorizedException;
        case 230005:
            return CoreExceptionCodeEnum.GroupExistException;
        case 240001:
            return CoreExceptionCodeEnum.WebChatOAuthException;
        case 240002:
            return CoreExceptionCodeEnum.AlipayOAuthException;
        case 240003:
            return CoreExceptionCodeEnum.QQOAuthException;
        case 240004:
            return CoreExceptionCodeEnum.UserOAuthException;
        case 250001:
            return CoreExceptionCodeEnum.GeoIpNotFoundException;
        default:
            throw new Error(`${n} is an invalid CoreExceptionCodeEnum`);
    }
}

export function describeCoreExceptionCodeEnum(e: CoreExceptionCodeEnum): string{
    switch(e){
        case CoreExceptionCodeEnum.FhtValidationErrorException:
            return "验证异常";
        case CoreExceptionCodeEnum.AccountUnauthorizedException:
            return "未身份认证异常";
        case CoreExceptionCodeEnum.InvalidSmsCodeException:
            return "无效短息验证码异常";
        case CoreExceptionCodeEnum.UnauthorizedNotificationException:
            return "通知权限异常";
        case CoreExceptionCodeEnum.EligibilityException:
            return "资格验证异常";
        case CoreExceptionCodeEnum.AccountLockException:
            return "账号锁定异常";
        case CoreExceptionCodeEnum.AccountException:
            return "账号异常";
        case CoreExceptionCodeEnum.UserNotFoundException:
            return "未找到用户异常";
        case CoreExceptionCodeEnum.UserProfileAlreadyCreatedException:
            return "用户信息已存在异常";
        case CoreExceptionCodeEnum.UserProfileNotFoundException:
            return "未找到用户信息异常";
        case CoreExceptionCodeEnum.UserContactListNotFoundException:
            return "未找到用户通信录异常";
        case CoreExceptionCodeEnum.ChangePasswordException:
            return "修改密码异常";
        case CoreExceptionCodeEnum.AccountExistException:
            return "账号已存在异常";
        case CoreExceptionCodeEnum.UserGeoLocationNotFoundException:
            return "用户坐标不存在";
        case CoreExceptionCodeEnum.ExistBlockedUsersException:
            return "已存在用户拉黑异常";
        case CoreExceptionCodeEnum.UserNotExistComopanyException:
            return "用户没有公司异常";
        case CoreExceptionCodeEnum.ExistFht1VipAccountException:
            return "FHT1VIP账号已存在异常";
        case CoreExceptionCodeEnum.Fht1AccountException:
            return "FHT1账号异常";
        case CoreExceptionCodeEnum.RegIdentityTypeNotExistException:
            return "会员注册类型不存在";
        case CoreExceptionCodeEnum.AccountNotFoundException:
            return "账号不存在";
        case CoreExceptionCodeEnum.ProductCollectionNotFoundException:
            return "产品收藏不存在";
        case CoreExceptionCodeEnum.ProductAuditRejectedException:
            return "产品审核拒绝异常";
        case CoreExceptionCodeEnum.ProductAuditPendingException:
            return "产品等待审核异常";
        case CoreExceptionCodeEnum.ProductSensitiveWordException:
            return "产品敏感词异常";
        case CoreExceptionCodeEnum.ArticleUnauthorizedException:
            return "非法操作文章";
        case CoreExceptionCodeEnum.CompanyMemberException:
            return "公司成员异常";
        case CoreExceptionCodeEnum.CompanyMemberApplyRequestException:
            return "申请公司成员异常";
        case CoreExceptionCodeEnum.CompanyMemberChangeStatusApplyRequestException:
            return "修改申请公司成员请求状态异常";
        case CoreExceptionCodeEnum.CompanyMemberInviteRequestException:
            return "邀请加入公司成员异常";
        case CoreExceptionCodeEnum.CompanyMemberInviteRequestNotFoundException:
            return "邀请加入公司请求不存在异常";
        case CoreExceptionCodeEnum.CompanyMemberChangeStatusInviteRequestException:
            return "修改邀请加入公司请求状态异常";
        case CoreExceptionCodeEnum.NotCompanyMemberException:
            return "公司没有成员异常";
        case CoreExceptionCodeEnum.CompanyMemberUnauthorizedException:
            return "公司成员权限异常";
        case CoreExceptionCodeEnum.UnauthorizedCompanyAdminException:
            return "公司管理员权限异常";
        case CoreExceptionCodeEnum.CompanyNotFoundException:
            return "公司不存在异常";
        case CoreExceptionCodeEnum.CompanyException:
            return "公司异常";
        case CoreExceptionCodeEnum.CompanyNameAlreadyRegisteredException:
            return "公司已注册异常";
        case CoreExceptionCodeEnum.UserAlreadyBelongToCompanyException:
            return "用户已加入公司异常";
        case CoreExceptionCodeEnum.CompanyCustomerServiceNotFoundException:
            return "公司客服不存在异常";
        case CoreExceptionCodeEnum.UserHasNoCompanyException:
            return "用户没有公司异常";
        case CoreExceptionCodeEnum.CompanyMustChoiceSecondRegionException:
            return "公司地区必须选择二级";
        case CoreExceptionCodeEnum.CompanyMemberOutofLimitException:
            return "超出公司成员总数";
        case CoreExceptionCodeEnum.CompanyMemberApplyRequestExpiredException:
            return "申请加入公司请求过期";
        case CoreExceptionCodeEnum.CompanyMemberInviteRequestExpiredException:
            return "邀请加入公司请求过期";
        case CoreExceptionCodeEnum.UserHasBlockedByInviteUserException:
            return "邀请的用户已被拉黑";
        case CoreExceptionCodeEnum.CompanyInvitationCodeException:
            return "邀请编码过期异常";
        case CoreExceptionCodeEnum.CompanyMemberCountReachedException:
            return "企业成员数量已达最大限制异常";
        case CoreExceptionCodeEnum.FriendRequestException:
            return "加好友请求";
        case CoreExceptionCodeEnum.NotFriendsException:
            return "不是好友";
        case CoreExceptionCodeEnum.AlreadyFriendsException:
            return "已是好友";
        case CoreExceptionCodeEnum.GroupChatMemberOutofLimitException:
            return "超出群聊成员总数";
        case CoreExceptionCodeEnum.GroupChatMemberNotFoundException:
            return "去聊成员不存在";
        case CoreExceptionCodeEnum.GroupChatCoversationIdNotNullException:
            return "群聊CoversationId不能空";
        case CoreExceptionCodeEnum.GroupChatNotFoundException:
            return "群聊不存在";
        case CoreExceptionCodeEnum.GroupChatIllegalOpeartionException:
            return "非法操作群聊";
        case CoreExceptionCodeEnum.ChatMemberExistedException:
            return "聊天成员已存在";
        case CoreExceptionCodeEnum.PersonalChatMemberNotFoundException:
            return "单聊成员不存在";
        case CoreExceptionCodeEnum.PersonalChatNotFoundException:
            return "单聊不存在";
        case CoreExceptionCodeEnum.PersonalChatConversationNotNullException:
            return "单聊Conversation不能为空";
        case CoreExceptionCodeEnum.TouristChatException:
            return "游客聊天异常";
        case CoreExceptionCodeEnum.TouristChatNotFoundException:
            return "游客聊天不存在";
        case CoreExceptionCodeEnum.GroupChatUnauthorizedException:
            return "没有群聊权限";
        case CoreExceptionCodeEnum.PersonalChatException:
            return "单聊异常";
        case CoreExceptionCodeEnum.PersonalChatIllegalException:
            return "非法操作单聊";
        case CoreExceptionCodeEnum.FailedLeaveGroupChatException:
            return "退出群聊失败";
        case CoreExceptionCodeEnum.FailedKickFromGroupChatException:
            return "踢出群聊失败";
        case CoreExceptionCodeEnum.FriendRequestExpiredException:
            return "好友请求到期";
        case CoreExceptionCodeEnum.UnauthorizedChatException:
            return "没有权限聊天";
        case CoreExceptionCodeEnum.ForbidTemporaryChatException:
            return "禁止临时聊天";
        case CoreExceptionCodeEnum.InvalidBlockChatException:
            return "无效拉黑";
        case CoreExceptionCodeEnum.GroupChatMemberLowerOfLimitException:
            return "小于群聊最小成员数";
        case CoreExceptionCodeEnum.CollectionItemNotFoundException:
            return "收藏不存在";
        case CoreExceptionCodeEnum.CollectionItemDataInvalidException:
            return "收藏数据无效";
        case CoreExceptionCodeEnum.TopicPostNotFoundException:
            return "服务信息不存在";
        case CoreExceptionCodeEnum.TopicPostUnauthorizedException:
            return "操作服务信息权限";
        case CoreExceptionCodeEnum.TopicPostException:
            return "服务异常";
        case CoreExceptionCodeEnum.TopicPostCreaterNotFoundException:
            return "服务信息创建者不存在";
        case CoreExceptionCodeEnum.TopicPostTitleUniqueException:
            return "服务信息标题不是唯一";
        case CoreExceptionCodeEnum.TopicPostAuditRejectedException:
            return "服务信息审核拒绝异常";
        case CoreExceptionCodeEnum.TopicPostAuditPendingException:
            return "服务信息等待审核异常";
        case CoreExceptionCodeEnum.TopicPostSensitiveWordException:
            return "服务信息敏感词异常";
        case CoreExceptionCodeEnum.TopicTypeException:
            return "服务类型异常";
        case CoreExceptionCodeEnum.ReportException:
            return "投诉异常";
        case CoreExceptionCodeEnum.ReportUnauthorizedException:
            return "投诉权限异常";
        case CoreExceptionCodeEnum.CompanyAuthenticationException:
            return "公司认证异常";
        case CoreExceptionCodeEnum.CompanyNameApplicationNotFoundException:
            return "企业冠名权申请不存在";
        case CoreExceptionCodeEnum.CompanyNameApplicationAuthenticationException:
            return "企业冠名权申请权限";
        case CoreExceptionCodeEnum.CompanyNameApplicationException:
            return "企业冠名权申请异常";
        case CoreExceptionCodeEnum.InvalidRealNameException:
            return "无效用户姓名";
        case CoreExceptionCodeEnum.IpNotInDatabaseException:
            return "IP不在数据库";
        case CoreExceptionCodeEnum.InvalidHierachyItemIdException:
            return "redis无效的Id";
        case CoreExceptionCodeEnum.ProductUnauthorizedException:
            return "产品操作权限";
        case CoreExceptionCodeEnum.ProductNotFoundException:
            return "产品不存在";
        case CoreExceptionCodeEnum.ProductException:
            return "产品异常";
        case CoreExceptionCodeEnum.CustomCategoryUnauthorizedException:
            return "非法操作自定义分类";
        case CoreExceptionCodeEnum.ArticleNotFoundException:
            return "文章不存在";
        case CoreExceptionCodeEnum.ArticleTypeNotFoundException:
            return "文章类型不存在";
        case CoreExceptionCodeEnum.ArticleTypeDuplicateNameException:
            return "重复文章类型名称";
        case CoreExceptionCodeEnum.ArticleTypeUnauthorizedException:
            return "非法操作文章类型";
        case CoreExceptionCodeEnum.ArticleAuditRejectedException:
            return "文章审核拒绝异常";
        case CoreExceptionCodeEnum.ArticleAuditPendingException:
            return "文章等待审核异常";
        case CoreExceptionCodeEnum.ArticleSensitiveWordException:
            return "文章敏感词异常";
        case CoreExceptionCodeEnum.ArticleTypeInvalidOperationException:
            return "非法操作文章分类异常";
        case CoreExceptionCodeEnum.MeetupNotFoundException:
            return "一起玩不存在";
        case CoreExceptionCodeEnum.MeetupUnauthorizedException:
            return "非法操作一起玩";
        case CoreExceptionCodeEnum.MeetupMemberNotFoundException:
            return "一起玩成员不存在";
        case CoreExceptionCodeEnum.MeetupMemberUnauthorizedException:
            return "一起玩成员非法操作";
        case CoreExceptionCodeEnum.MeetupInvitationNotFoundException:
            return "一起玩邀请不存在";
        case CoreExceptionCodeEnum.MeetupInvitationUnauthorizedException:
            return "非法操作一起玩邀请";
        case CoreExceptionCodeEnum.MeetupApplicationNotFoundException:
            return "一起玩申请不存在";
        case CoreExceptionCodeEnum.MeetupApplicationUnauthorizedException:
            return "非法操作一起玩申请";
        case CoreExceptionCodeEnum.AlreadyAMemberOfMeetupException:
            return "已属于一起玩成员";
        case CoreExceptionCodeEnum.MeetupHasBeenCancelledException:
            return "已取消一起玩";
        case CoreExceptionCodeEnum.MeetupInvitationException:
            return "邀请加入一起玩异常";
        case CoreExceptionCodeEnum.MeetupApplicationException:
            return "申请加入一起玩异常";
        case CoreExceptionCodeEnum.MeetupALreadyStartedOrExpiredException:
            return "一起玩已开始或结束";
        case CoreExceptionCodeEnum.MeetupMemberException:
            return "一起玩成员异常";
        case CoreExceptionCodeEnum.MeetupException:
            return "一起玩异常";
        case CoreExceptionCodeEnum.MeetupChatMemberNotFoundException:
            return "一起玩聊天成员不存在";
        case CoreExceptionCodeEnum.MeetupChatException:
            return "一起玩聊天异常";
        case CoreExceptionCodeEnum.MeetupChatNotFoundException:
            return "一起玩聊天不存在";
        case CoreExceptionCodeEnum.MeetupHasMaxMemberCountException:
            return "一起玩参与人数已满";
        case CoreExceptionCodeEnum.MeetupApplicationExpiredException:
            return "一起玩申请过期";
        case CoreExceptionCodeEnum.MeetupExistsMaxCountMembersException:
            return "一起玩最大成员数异常";
        case CoreExceptionCodeEnum.MeetupUsingErrorMethodException:
            return "一起玩调用错误方法";
        case CoreExceptionCodeEnum.MeetupInvitationExpiredException:
            return "一起玩邀请过期";
        case CoreExceptionCodeEnum.MeetupSensitiveWordException:
            return "一起玩敏感词异常";
        case CoreExceptionCodeEnum.CustomPageNotFoundException:
            return "CMS自定页面不存在";
        case CoreExceptionCodeEnum.CustomPageUnauthorizedException:
            return "非法操作CMS自定义页面";
        case CoreExceptionCodeEnum.NavigationNotFoundException:
            return "CMS导航不存在";
        case CoreExceptionCodeEnum.InvalidNavigationContentTypeException:
            return "CMS无效导航类型";
        case CoreExceptionCodeEnum.FriendlyLinkNotFoundException:
            return "友情链接不存在";
        case CoreExceptionCodeEnum.FriendlyLinkUnauthorizedException:
            return "非法操作友情链接";
        case CoreExceptionCodeEnum.RegionSiteNotFoundException:
            return "城市分站不存在";
        case CoreExceptionCodeEnum.RegionSiteUnauthorizedException:
            return "非法操作城市分站";
        case CoreExceptionCodeEnum.NotSecondLevelRegionException:
            return "地区没有二级";
        case CoreExceptionCodeEnum.RegionLimtException:
            return "地区数量设置异常";
        case CoreExceptionCodeEnum.PageSizeTooLargeException:
            return "每页总数太大";
        case CoreExceptionCodeEnum.AdvertisementSynchronizeException:
            return "广告同步异常";
        case CoreExceptionCodeEnum.SensitiveWordsException:
            return "通用敏感词异常";
        case CoreExceptionCodeEnum.GrpcClientException:
            return "GRPC客户端异常";
        case CoreExceptionCodeEnum.GroupIllegalOpeartionException:
            return "非法操作好友分组";
        case CoreExceptionCodeEnum.GroupMemberNotFoundException:
            return "好友组成员不存在";
        case CoreExceptionCodeEnum.GroupNotFoundException:
            return "好友组不存在";
        case CoreExceptionCodeEnum.GroupUnauthorizedException:
            return "没有权限操作好友组";
        case CoreExceptionCodeEnum.GroupExistException:
            return "好友组异常";
        case CoreExceptionCodeEnum.WebChatOAuthException:
            return "微信授权异常";
        case CoreExceptionCodeEnum.AlipayOAuthException:
            return "支付宝授权异常";
        case CoreExceptionCodeEnum.QQOAuthException:
            return "QQ授权异常";
        case CoreExceptionCodeEnum.UserOAuthException:
            return "用户授权异常";
        case CoreExceptionCodeEnum.GeoIpNotFoundException:
            return "ip、地址、坐标转换失败";
        default:
            throw new Error(`${e} is an invalid CoreExceptionCodeEnum`);
    }
}


