// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   CursorPaginationInputModel {
public static LABELS = {
    "Limit": "条数",
    "Cursor": "游标",
}
public static VALIDATORS = {
'Limit': [

// min-max-range
    
    { type: "number",  min: 1, max: 10000, trigger: 'blur', message: "条数必须为1与10000之间"},
].filter(r=>r) as ValidationRule[],
'Cursor': [

// only-min-range
    
    { type: "number", min: 0, trigger: 'blur', message: "游标必须不小于0"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
    @Max(10000)
 'Limit'
: 
    number; // not enum

//a smart property
    @Min(0)
 'Cursor'
    ?
: 
null |
    number; // not enum

}

