// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.DeviceType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.DeviceType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum DeviceTypeEnum {
    Web = "Web",
    Ios = "Ios",
    Android = "Android",
    MobileWeb = "MobileWeb",
    Other = "Other",
}

export function convertFromDeviceTypeEnum(e: DeviceTypeEnum): number{
    switch(e){
        case DeviceTypeEnum.Web:
            return 0;
        case DeviceTypeEnum.Ios:
            return 1;
        case DeviceTypeEnum.Android:
            return 2;
        case DeviceTypeEnum.MobileWeb:
            return 3;
        case DeviceTypeEnum.Other:
            return 255;
        default:
            throw new Error(`${e} is an invalid DeviceTypeEnum`);
    }
}

export function convertToDeviceTypeEnum(n: number): DeviceTypeEnum{
    switch(n){
        case 0:
            return DeviceTypeEnum.Web;
        case 1:
            return DeviceTypeEnum.Ios;
        case 2:
            return DeviceTypeEnum.Android;
        case 3:
            return DeviceTypeEnum.MobileWeb;
        case 255:
            return DeviceTypeEnum.Other;
        default:
            throw new Error(`${n} is an invalid DeviceTypeEnum`);
    }
}

export function describeDeviceTypeEnum(e: DeviceTypeEnum): string{
    switch(e){
        case DeviceTypeEnum.Web:
            return "Web";
        case DeviceTypeEnum.Ios:
            return "iOS";
        case DeviceTypeEnum.Android:
            return "安卓";
        case DeviceTypeEnum.MobileWeb:
            return "MobileWeb";
        case DeviceTypeEnum.Other:
            return "所有";
        default:
            throw new Error(`${e} is an invalid DeviceTypeEnum`);
    }
}


