// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.EligibilityStatus, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.EligibilityStatus, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum EligibilityStatusEnum {
    Ok = "Ok",
    Warn = "Warn",
    Error = "Error",
}

export function convertFromEligibilityStatusEnum(e: EligibilityStatusEnum): number{
    switch(e){
        case EligibilityStatusEnum.Ok:
            return 1;
        case EligibilityStatusEnum.Warn:
            return 2;
        case EligibilityStatusEnum.Error:
            return 3;
        default:
            throw new Error(`${e} is an invalid EligibilityStatusEnum`);
    }
}

export function convertToEligibilityStatusEnum(n: number): EligibilityStatusEnum{
    switch(n){
        case 1:
            return EligibilityStatusEnum.Ok;
        case 2:
            return EligibilityStatusEnum.Warn;
        case 3:
            return EligibilityStatusEnum.Error;
        default:
            throw new Error(`${n} is an invalid EligibilityStatusEnum`);
    }
}

export function describeEligibilityStatusEnum(e: EligibilityStatusEnum): string{
    switch(e){
        case EligibilityStatusEnum.Ok:
            return "OK";
        case EligibilityStatusEnum.Warn:
            return "Warn";
        case EligibilityStatusEnum.Error:
            return "Error";
        default:
            throw new Error(`${e} is an invalid EligibilityStatusEnum`);
    }
}


