// FHT Swagger axios client V2


// mark 2 model generic



// not an enum
export   interface  EligibilityViewModel {
 
//a smart property
 readonly  'Status'
: 
    EligibilityStatusEnum; //is single enum

//a smart property
 readonly  'ReasonCode'
?
: 
null |
    EligibilityReasonEnum; //is single enum

//a smart property
 readonly  'Reason'
: 
    string; // not enum

//a smart property
 readonly  'RedirectUrl'
: 
    string; // not enum

}
//export namespace EligibilityViewModel 
export enum EligibilityStatusEnum {
	Ok = 'Ok',
	Warn = 'Warn',
	Error = 'Error'
}
export enum EligibilityReasonEnum {
	UserInactive = 'UserInactive',
	UserAuditPendingOrRejected = 'UserAuditPendingOrRejected',
	UserRealNameInvalid = 'UserRealNameInvalid',
	UserAccountNotMobile = 'UserAccountNotMobile',
	UserHasNoCompany = 'UserHasNoCompany',
	CompanyInactive = 'CompanyInactive',
	CompanyAuditPendingOrRejected = 'CompanyAuditPendingOrRejected',
	NotCompanyAdmin = 'NotCompanyAdmin',
	CompanyNotVip = 'CompanyNotVip',
	CompanyInfoNotPerfect = 'CompanyInfoNotPerfect',
	NoShops = 'NoShops'
}

