// FHT Swagger axios client V2


// mark 2 model generic

import { StatExtensionModel } from "../model/StatExtensionModel";


// not an enum
export   interface  EnterAppStatExtensionModel extends StatExtensionModel  {
 
//a smart property
 'Entry'
: 
    AppEntryTypeEnum; //is single enum

//a smart property
 'LoadingMs'
: 
    number; // not enum

//a smart property
 'OpenAdId'
?
: 
null |
    number; // not enum

//a smart property
 'OpenAdMs'
?
: 
null |
    number; // not enum

//a smart property
 'OpenAdSkipMs'
?
: 
null |
    number; // not enum

//a smart property

//a smart property

//a smart property

}
//export namespace EnterAppStatExtensionModel 
export enum AppEntryTypeEnum {
	Fresh = 'Fresh',
	Icon = 'Icon',
	Chat = 'Chat',
	Notification = 'Notification'
}
export enum UserActivityTypeEnum {
	EnterApp = 'EnterApp',
	Register = 'Register',
	Login = 'Login',
	CreateCompany = 'CreateCompany',
	Create = 'Create',
	Update = 'Update',
	ViewDetail = 'ViewDetail',
	Impression = 'Impression',
	ViewList = 'ViewList',
	Search = 'Search',
	Hover = 'Hover',
	Click = 'Click',
	Collect = 'Collect',
	Report = 'Report',
	Chat = 'Chat',
	Forward = 'Forward',
	FriendRequest = 'FriendRequest',
	AcceptFriend = 'AcceptFriend',
	RejectFriend = 'RejectFriend',
	Error = 'Error',
	AuthenticateCompany = 'AuthenticateCompany',
	EnableShop = 'EnableShop',
	CompanyManagement = 'CompanyManagement',
	JoinCompany = 'JoinCompany',
	SwitchTemplate = 'SwitchTemplate'
}

