// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.ExamineItemName, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.ExamineItemName, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ExamineItemNameEnum {
    ProductCreate = "ProductCreate",
    ShopDesign = "ShopDesign",
    NewsCreate = "NewsCreate",
    CustomCategory = "CustomCategory",
    CustomerServiceManagement = "CustomerServiceManagement",
    JoinMemberManagement = "JoinMemberManagement",
    Authentication = "Authentication",
    Membership = "Membership",
    LogoSetting = "LogoSetting",
    Contact = "Contact",
}

export function convertFromExamineItemNameEnum(e: ExamineItemNameEnum): number{
    switch(e){
        case ExamineItemNameEnum.ProductCreate:
            return 1;
        case ExamineItemNameEnum.ShopDesign:
            return 2;
        case ExamineItemNameEnum.NewsCreate:
            return 3;
        case ExamineItemNameEnum.CustomCategory:
            return 4;
        case ExamineItemNameEnum.CustomerServiceManagement:
            return 5;
        case ExamineItemNameEnum.JoinMemberManagement:
            return 6;
        case ExamineItemNameEnum.Authentication:
            return 7;
        case ExamineItemNameEnum.Membership:
            return 8;
        case ExamineItemNameEnum.LogoSetting:
            return 9;
        case ExamineItemNameEnum.Contact:
            return 10;
        default:
            throw new Error(`${e} is an invalid ExamineItemNameEnum`);
    }
}

export function convertToExamineItemNameEnum(n: number): ExamineItemNameEnum{
    switch(n){
        case 1:
            return ExamineItemNameEnum.ProductCreate;
        case 2:
            return ExamineItemNameEnum.ShopDesign;
        case 3:
            return ExamineItemNameEnum.NewsCreate;
        case 4:
            return ExamineItemNameEnum.CustomCategory;
        case 5:
            return ExamineItemNameEnum.CustomerServiceManagement;
        case 6:
            return ExamineItemNameEnum.JoinMemberManagement;
        case 7:
            return ExamineItemNameEnum.Authentication;
        case 8:
            return ExamineItemNameEnum.Membership;
        case 9:
            return ExamineItemNameEnum.LogoSetting;
        case 10:
            return ExamineItemNameEnum.Contact;
        default:
            throw new Error(`${n} is an invalid ExamineItemNameEnum`);
    }
}

export function describeExamineItemNameEnum(e: ExamineItemNameEnum): string{
    switch(e){
        case ExamineItemNameEnum.ProductCreate:
            return "产品发布";
        case ExamineItemNameEnum.ShopDesign:
            return "商铺维护";
        case ExamineItemNameEnum.NewsCreate:
            return "新闻发布";
        case ExamineItemNameEnum.CustomCategory:
            return "自定义分类";
        case ExamineItemNameEnum.CustomerServiceManagement:
            return "客服管理";
        case ExamineItemNameEnum.JoinMemberManagement:
            return "新加入管理";
        case ExamineItemNameEnum.Authentication:
            return "企业认证";
        case ExamineItemNameEnum.Membership:
            return "会员等级";
        case ExamineItemNameEnum.LogoSetting:
            return "Logo设置";
        case ExamineItemNameEnum.Contact:
            return "联系方式";
        default:
            throw new Error(`${e} is an invalid ExamineItemNameEnum`);
    }
}


