// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.ExamineModuleName, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.ExamineModuleName, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ExamineModuleNameEnum {
    ShopDesign = "ShopDesign",
    BasicManage = "BasicManage",
    CompanySetting = "CompanySetting",
}

export function convertFromExamineModuleNameEnum(e: ExamineModuleNameEnum): number{
    switch(e){
        case ExamineModuleNameEnum.ShopDesign:
            return 1;
        case ExamineModuleNameEnum.BasicManage:
            return 2;
        case ExamineModuleNameEnum.CompanySetting:
            return 3;
        default:
            throw new Error(`${e} is an invalid ExamineModuleNameEnum`);
    }
}

export function convertToExamineModuleNameEnum(n: number): ExamineModuleNameEnum{
    switch(n){
        case 1:
            return ExamineModuleNameEnum.ShopDesign;
        case 2:
            return ExamineModuleNameEnum.BasicManage;
        case 3:
            return ExamineModuleNameEnum.CompanySetting;
        default:
            throw new Error(`${n} is an invalid ExamineModuleNameEnum`);
    }
}

export function describeExamineModuleNameEnum(e: ExamineModuleNameEnum): string{
    switch(e){
        case ExamineModuleNameEnum.ShopDesign:
            return "商铺装修";
        case ExamineModuleNameEnum.BasicManage:
            return "基础管理";
        case ExamineModuleNameEnum.CompanySetting:
            return "企业设置";
        default:
            throw new Error(`${e} is an invalid ExamineModuleNameEnum`);
    }
}


