// FHT Swagger axios client V2


/**
 * FHT.Management.Interfaces.Enums.FeedBackType, FHT.Management.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Management.Interfaces.Enums.FeedBackType, FHT.Management.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum FeedBackTypeEnum {
    Wrong = "Wrong",
    Appeal = "Appeal",
    Suggestion = "Suggestion",
    False = "False",
    Forbid = "Forbid",
    Cheat = "Cheat",
    Doubt = "Doubt",
    Other = "Other",
}

export function convertFromFeedBackTypeEnum(e: FeedBackTypeEnum): number{
    switch(e){
        case FeedBackTypeEnum.Wrong:
            return 1;
        case FeedBackTypeEnum.Appeal:
            return 2;
        case FeedBackTypeEnum.Suggestion:
            return 3;
        case FeedBackTypeEnum.False:
            return 4;
        case FeedBackTypeEnum.Forbid:
            return 5;
        case FeedBackTypeEnum.Cheat:
            return 6;
        case FeedBackTypeEnum.Doubt:
            return 7;
        case FeedBackTypeEnum.Other:
            return 8;
        default:
            throw new Error(`${e} is an invalid FeedBackTypeEnum`);
    }
}

export function convertToFeedBackTypeEnum(n: number): FeedBackTypeEnum{
    switch(n){
        case 1:
            return FeedBackTypeEnum.Wrong;
        case 2:
            return FeedBackTypeEnum.Appeal;
        case 3:
            return FeedBackTypeEnum.Suggestion;
        case 4:
            return FeedBackTypeEnum.False;
        case 5:
            return FeedBackTypeEnum.Forbid;
        case 6:
            return FeedBackTypeEnum.Cheat;
        case 7:
            return FeedBackTypeEnum.Doubt;
        case 8:
            return FeedBackTypeEnum.Other;
        default:
            throw new Error(`${n} is an invalid FeedBackTypeEnum`);
    }
}

export function describeFeedBackTypeEnum(e: FeedBackTypeEnum): string{
    switch(e){
        case FeedBackTypeEnum.Wrong:
            return "网页错误";
        case FeedBackTypeEnum.Appeal:
            return "申诉";
        case FeedBackTypeEnum.Suggestion:
            return "提建议";
        case FeedBackTypeEnum.False:
            return "投诉虚假信息";
        case FeedBackTypeEnum.Forbid:
            return "投诉禁限销售信息";
        case FeedBackTypeEnum.Cheat:
            return "投诉欺诈信息";
        case FeedBackTypeEnum.Doubt:
            return "使用疑问";
        case FeedBackTypeEnum.Other:
            return "其他";
        default:
            throw new Error(`${e} is an invalid FeedBackTypeEnum`);
    }
}


