// FHT Swagger axios client V2


/**
 * FHT.FhtApiHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.FhtApiHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum FhtApiHostTypeEnum {
    Local = "Local",
    Development = "Development",
    MobileDevelopment = "MobileDevelopment",
    Staging = "Staging",
    Production = "Production",
}

export function convertFromFhtApiHostTypeEnum(e: FhtApiHostTypeEnum): number{
    switch(e){
        case FhtApiHostTypeEnum.Local:
            return 1;
        case FhtApiHostTypeEnum.Development:
            return 2;
        case FhtApiHostTypeEnum.MobileDevelopment:
            return 3;
        case FhtApiHostTypeEnum.Staging:
            return 4;
        case FhtApiHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid FhtApiHostTypeEnum`);
    }
}

export function convertToFhtApiHostTypeEnum(n: number): FhtApiHostTypeEnum{
    switch(n){
        case 1:
            return FhtApiHostTypeEnum.Local;
        case 2:
            return FhtApiHostTypeEnum.Development;
        case 3:
            return FhtApiHostTypeEnum.MobileDevelopment;
        case 4:
            return FhtApiHostTypeEnum.Staging;
        case 5:
            return FhtApiHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid FhtApiHostTypeEnum`);
    }
}

export function describeFhtApiHostTypeEnum(e: FhtApiHostTypeEnum): string{
    switch(e){
        case FhtApiHostTypeEnum.Local:
            return "http://localhost:2000";
        case FhtApiHostTypeEnum.Development:
            return "http://192.168.0.223:7000";
        case FhtApiHostTypeEnum.MobileDevelopment:
            return "http://192.168.0.223:8000";
        case FhtApiHostTypeEnum.Staging:
            return "http://192.168.0.223:9000";
        case FhtApiHostTypeEnum.Production:
            return "https://api.fht360.com";
        default:
            throw new Error(`${e} is an invalid FhtApiHostTypeEnum`);
    }
}


