// FHT Swagger axios client V2


/**
 * FHT.FhtWebDetailHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.FhtWebDetailHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum FhtWebDetailHostTypeEnum {
    Local = "Local",
    Development = "Development",
    MobileDevelopment = "MobileDevelopment",
    Staging = "Staging",
    Production = "Production",
}

export function convertFromFhtWebDetailHostTypeEnum(e: FhtWebDetailHostTypeEnum): number{
    switch(e){
        case FhtWebDetailHostTypeEnum.Local:
            return 1;
        case FhtWebDetailHostTypeEnum.Development:
            return 2;
        case FhtWebDetailHostTypeEnum.MobileDevelopment:
            return 3;
        case FhtWebDetailHostTypeEnum.Staging:
            return 4;
        case FhtWebDetailHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid FhtWebDetailHostTypeEnum`);
    }
}

export function convertToFhtWebDetailHostTypeEnum(n: number): FhtWebDetailHostTypeEnum{
    switch(n){
        case 1:
            return FhtWebDetailHostTypeEnum.Local;
        case 2:
            return FhtWebDetailHostTypeEnum.Development;
        case 3:
            return FhtWebDetailHostTypeEnum.MobileDevelopment;
        case 4:
            return FhtWebDetailHostTypeEnum.Staging;
        case 5:
            return FhtWebDetailHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid FhtWebDetailHostTypeEnum`);
    }
}

export function describeFhtWebDetailHostTypeEnum(e: FhtWebDetailHostTypeEnum): string{
    switch(e){
        case FhtWebDetailHostTypeEnum.Local:
            return "http://localhost:8001";
        case FhtWebDetailHostTypeEnum.Development:
            return "http://detail.developmentfht360web.com";
        case FhtWebDetailHostTypeEnum.MobileDevelopment:
            return "http://detail.mobiledevelopmentfht360web.com";
        case FhtWebDetailHostTypeEnum.Staging:
            return "http://detail.stagingfht360web.com";
        case FhtWebDetailHostTypeEnum.Production:
            return "https://detail.fht360.com";
        default:
            throw new Error(`${e} is an invalid FhtWebDetailHostTypeEnum`);
    }
}


