// FHT Swagger axios client V2


// mark 2 model generic

import { StatExtensionModel } from "../model/StatExtensionModel";


// not an enum
export   interface  ForwardStatExtensionModel extends StatExtensionModel  {
 
//a smart property
 'ItemType'
: 
    GenericItemTypeEnum; //is single enum

//a smart property
 'Id'
: 
    number; // not enum

//a smart property
 'Platform'
: 
    ForwardPlatformEnum; //is single enum

//a smart property

//a smart property

//a smart property

}
//export namespace ForwardStatExtensionModel 
export enum GenericItemTypeEnum {
	Product = 'Product',
	TopicPost = 'TopicPost',
	User = 'User',
	Company = 'Company',
	Meetup = 'Meetup',
	Article = 'Article'
}
export enum ForwardPlatformEnum {
	Feige = 'Feige',
	WeixinFriend = 'WeixinFriend',
	WeixinZone = 'WeixinZone',
	QQFriend = 'QQFriend',
	QQZone = 'QQZone',
	SinaWeibo = 'SinaWeibo',
	Other = 'Other'
}
export enum UserActivityTypeEnum {
	EnterApp = 'EnterApp',
	Register = 'Register',
	Login = 'Login',
	CreateCompany = 'CreateCompany',
	Create = 'Create',
	Update = 'Update',
	ViewDetail = 'ViewDetail',
	Impression = 'Impression',
	ViewList = 'ViewList',
	Search = 'Search',
	Hover = 'Hover',
	Click = 'Click',
	Collect = 'Collect',
	Report = 'Report',
	Chat = 'Chat',
	Forward = 'Forward',
	FriendRequest = 'FriendRequest',
	AcceptFriend = 'AcceptFriend',
	RejectFriend = 'RejectFriend',
	Error = 'Error',
	AuthenticateCompany = 'AuthenticateCompany',
	EnableShop = 'EnableShop',
	CompanyManagement = 'CompanyManagement',
	JoinCompany = 'JoinCompany',
	SwitchTemplate = 'SwitchTemplate'
}

