// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.GenericItemType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.GenericItemType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum GenericItemTypeEnum {
    Product = "Product",
    TopicPost = "TopicPost",
    User = "User",
    Company = "Company",
    Meetup = "Meetup",
    Article = "Article",
}

export function convertFromGenericItemTypeEnum(e: GenericItemTypeEnum): number{
    switch(e){
        case GenericItemTypeEnum.Product:
            return 1;
        case GenericItemTypeEnum.TopicPost:
            return 2;
        case GenericItemTypeEnum.User:
            return 3;
        case GenericItemTypeEnum.Company:
            return 4;
        case GenericItemTypeEnum.Meetup:
            return 5;
        case GenericItemTypeEnum.Article:
            return 6;
        default:
            throw new Error(`${e} is an invalid GenericItemTypeEnum`);
    }
}

export function convertToGenericItemTypeEnum(n: number): GenericItemTypeEnum{
    switch(n){
        case 1:
            return GenericItemTypeEnum.Product;
        case 2:
            return GenericItemTypeEnum.TopicPost;
        case 3:
            return GenericItemTypeEnum.User;
        case 4:
            return GenericItemTypeEnum.Company;
        case 5:
            return GenericItemTypeEnum.Meetup;
        case 6:
            return GenericItemTypeEnum.Article;
        default:
            throw new Error(`${n} is an invalid GenericItemTypeEnum`);
    }
}

export function describeGenericItemTypeEnum(e: GenericItemTypeEnum): string{
    switch(e){
        case GenericItemTypeEnum.Product:
            return "产品";
        case GenericItemTypeEnum.TopicPost:
            return "服务";
        case GenericItemTypeEnum.User:
            return "用户";
        case GenericItemTypeEnum.Company:
            return "公司";
        case GenericItemTypeEnum.Meetup:
            return "一起玩";
        case GenericItemTypeEnum.Article:
            return "文章";
        default:
            throw new Error(`${e} is an invalid GenericItemTypeEnum`);
    }
}


