// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   GeoLocationInputModel {
public static LABELS = {
    "Longitude": "经度",
    "Latitude": "纬度",
    "IsAccurate": "精准",
    "Ip": "Ip地址",
}
public static VALIDATORS = {
'Longitude': [

// min-max-range
    
    { type: "number",  min: 1, max: 180, trigger: 'blur', message: "经度必须为1与180之间"},
].filter(r=>r) as ValidationRule[],
'Latitude': [

// min-max-range
    
    { type: "number",  min: 1, max: 90, trigger: 'blur', message: "纬度必须为1与90之间"},
].filter(r=>r) as ValidationRule[],
'IsAccurate': [

].filter(r=>r) as ValidationRule[],
'Ip': [

// only-min-length
    
    { type: "string", min: 8, trigger: 'blur', message: "Impossible"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
    @Max(180)
 'Longitude'
: 
    number; // not enum

//a smart property
    @Min(1)
    @Max(90)
 'Latitude'
: 
    number; // not enum

//a smart property
 'IsAccurate'
: 
    boolean; // not enum

//a smart property
 'Ip'
    ?
: 
    string; // not enum

}

