// FHT Swagger axios client V2


/**
 * FHT.HostNameEnum, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.HostNameEnum, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum HostNameEnumEnum {
    www = "www",
    m = "m",
    wap = "wap",
    company = "company",
    detail = "detail",
    topic = "topic",
}

export function convertFromHostNameEnumEnum(e: HostNameEnumEnum): number{
    switch(e){
        case HostNameEnumEnum.www:
            return 1;
        case HostNameEnumEnum.m:
            return 3;
        case HostNameEnumEnum.wap:
            return 4;
        case HostNameEnumEnum.company:
            return 5;
        case HostNameEnumEnum.detail:
            return 6;
        case HostNameEnumEnum.topic:
            return 7;
        default:
            throw new Error(`${e} is an invalid HostNameEnumEnum`);
    }
}

export function convertToHostNameEnumEnum(n: number): HostNameEnumEnum{
    switch(n){
        case 1:
            return HostNameEnumEnum.www;
        case 3:
            return HostNameEnumEnum.m;
        case 4:
            return HostNameEnumEnum.wap;
        case 5:
            return HostNameEnumEnum.company;
        case 6:
            return HostNameEnumEnum.detail;
        case 7:
            return HostNameEnumEnum.topic;
        default:
            throw new Error(`${n} is an invalid HostNameEnumEnum`);
    }
}

export function describeHostNameEnumEnum(e: HostNameEnumEnum): string{
    switch(e){
        case HostNameEnumEnum.www:
            return "www.";
        case HostNameEnumEnum.m:
            return "m.";
        case HostNameEnumEnum.wap:
            return "wap.";
        case HostNameEnumEnum.company:
            return "company.";
        case HostNameEnumEnum.detail:
            return "detail.";
        case HostNameEnumEnum.topic:
            return "topic.";
        default:
            throw new Error(`${e} is an invalid HostNameEnumEnum`);
    }
}


