// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.HotSearchWordType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.HotSearchWordType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum HotSearchWordTypeEnum {
    Product = "Product",
    TopicPost = "TopicPost",
    User = "User",
    Company = "Company",
    Meetup = "Meetup",
}

export function convertFromHotSearchWordTypeEnum(e: HotSearchWordTypeEnum): number{
    switch(e){
        case HotSearchWordTypeEnum.Product:
            return 1;
        case HotSearchWordTypeEnum.TopicPost:
            return 2;
        case HotSearchWordTypeEnum.User:
            return 3;
        case HotSearchWordTypeEnum.Company:
            return 4;
        case HotSearchWordTypeEnum.Meetup:
            return 5;
        default:
            throw new Error(`${e} is an invalid HotSearchWordTypeEnum`);
    }
}

export function convertToHotSearchWordTypeEnum(n: number): HotSearchWordTypeEnum{
    switch(n){
        case 1:
            return HotSearchWordTypeEnum.Product;
        case 2:
            return HotSearchWordTypeEnum.TopicPost;
        case 3:
            return HotSearchWordTypeEnum.User;
        case 4:
            return HotSearchWordTypeEnum.Company;
        case 5:
            return HotSearchWordTypeEnum.Meetup;
        default:
            throw new Error(`${n} is an invalid HotSearchWordTypeEnum`);
    }
}

export function describeHotSearchWordTypeEnum(e: HotSearchWordTypeEnum): string{
    switch(e){
        case HotSearchWordTypeEnum.Product:
            return "产品";
        case HotSearchWordTypeEnum.TopicPost:
            return "服务";
        case HotSearchWordTypeEnum.User:
            return "用户";
        case HotSearchWordTypeEnum.Company:
            return "公司";
        case HotSearchWordTypeEnum.Meetup:
            return "一起玩";
        default:
            throw new Error(`${e} is an invalid HotSearchWordTypeEnum`);
    }
}


