// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   InviteCompanyMemberRequestInputModel {
public static LABELS = {
    "OtherUserId": "其它用户",
    "Message": "备注",
}
public static VALIDATORS = {
'OtherUserId': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "必须输入其它用户" }, 
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "其它用户必须不小于1"},
].filter(r=>r) as ValidationRule[],
'Message': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "备注最长不超过200字"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
    @Max(2147483647)
 'OtherUserId'
: 
    number; // not enum

//a smart property
 'Message'
    ?
: 
    string; // not enum

}

