// FHT Swagger axios client V2


/**
 * FHT.LeancloudFileServiceHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.LeancloudFileServiceHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum LeancloudFileServiceHostTypeEnum {
    Local = "Local",
    Development = "Development",
    MobileDevelopment = "MobileDevelopment",
    Staging = "Staging",
    Production = "Production",
}

export function convertFromLeancloudFileServiceHostTypeEnum(e: LeancloudFileServiceHostTypeEnum): number{
    switch(e){
        case LeancloudFileServiceHostTypeEnum.Local:
            return 1;
        case LeancloudFileServiceHostTypeEnum.Development:
            return 2;
        case LeancloudFileServiceHostTypeEnum.MobileDevelopment:
            return 3;
        case LeancloudFileServiceHostTypeEnum.Staging:
            return 4;
        case LeancloudFileServiceHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid LeancloudFileServiceHostTypeEnum`);
    }
}

export function convertToLeancloudFileServiceHostTypeEnum(n: number): LeancloudFileServiceHostTypeEnum{
    switch(n){
        case 1:
            return LeancloudFileServiceHostTypeEnum.Local;
        case 2:
            return LeancloudFileServiceHostTypeEnum.Development;
        case 3:
            return LeancloudFileServiceHostTypeEnum.MobileDevelopment;
        case 4:
            return LeancloudFileServiceHostTypeEnum.Staging;
        case 5:
            return LeancloudFileServiceHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid LeancloudFileServiceHostTypeEnum`);
    }
}

export function describeLeancloudFileServiceHostTypeEnum(e: LeancloudFileServiceHostTypeEnum): string{
    switch(e){
        case LeancloudFileServiceHostTypeEnum.Local:
            return "";
        case LeancloudFileServiceHostTypeEnum.Development:
            return "http://development.fht360.com";
        case LeancloudFileServiceHostTypeEnum.MobileDevelopment:
            return "http://mobiledevelopment.fht360.com";
        case LeancloudFileServiceHostTypeEnum.Staging:
            return "http://staging.fht360.com";
        case LeancloudFileServiceHostTypeEnum.Production:
            return "http://production.fht360.com";
        default:
            throw new Error(`${e} is an invalid LeancloudFileServiceHostTypeEnum`);
    }
}


