// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.MarketingKeywordType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.MarketingKeywordType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum MarketingKeywordTypeEnum {
    Company = "Company",
    Product = "Product",
    Article = "Article",
}

export function convertFromMarketingKeywordTypeEnum(e: MarketingKeywordTypeEnum): number{
    switch(e){
        case MarketingKeywordTypeEnum.Company:
            return 1;
        case MarketingKeywordTypeEnum.Product:
            return 2;
        case MarketingKeywordTypeEnum.Article:
            return 3;
        default:
            throw new Error(`${e} is an invalid MarketingKeywordTypeEnum`);
    }
}

export function convertToMarketingKeywordTypeEnum(n: number): MarketingKeywordTypeEnum{
    switch(n){
        case 1:
            return MarketingKeywordTypeEnum.Company;
        case 2:
            return MarketingKeywordTypeEnum.Product;
        case 3:
            return MarketingKeywordTypeEnum.Article;
        default:
            throw new Error(`${n} is an invalid MarketingKeywordTypeEnum`);
    }
}

export function describeMarketingKeywordTypeEnum(e: MarketingKeywordTypeEnum): string{
    switch(e){
        case MarketingKeywordTypeEnum.Company:
            return "企业厂商";
        case MarketingKeywordTypeEnum.Product:
            return "产品服务";
        case MarketingKeywordTypeEnum.Article:
            return "资讯新闻";
        default:
            throw new Error(`${e} is an invalid MarketingKeywordTypeEnum`);
    }
}


