// FHT Swagger axios client V2


// mark 2 model generic



// not an enum
export   interface  MyCompanyProfileViewModel {
 
//a smart property
 'CompanyId'
: 
    number; // not enum

//a smart property
 'Name'
: 
    string; // not enum

//a smart property
 'Domain'
: 
    string; // not enum

//a smart property
 'Icp'
: 
    string; // not enum

//a smart property
 'Content'
: 
    models.ContentViewModel; // not enum

//a smart property
 'MainBusiness'
: 
    string; // not enum

//a smart property
 'CoverPicture'
: 
    models.ImageViewModel; // not enum

//a smart property
 'LicenseUrl'
: 
    string; // not enum

//a smart property
 'Region'
: 
    models.CoreRegionViewModel; // not enum

//a smart property
 'Address'
: 
    string; // not enum

//a smart property
 'IsActive'
: 
    boolean; // not enum

//a smart property
 'AuditStatus'
: 
    AuditStatusEnum; //is single enum

//a smart property
 'NoShops'
: 
    boolean; // not enum

//a smart property
 'FounderId'
: 
    number; // not enum

//a smart property
 'LogoUrl'
: 
    models.ImageViewModel; // not enum

//a smart property
 'IsCompanyVerified'
: 
    boolean; // not enum

//a smart property
 'VerifiedIconUrl'
: 
    string; // not enum

//a smart property
 'CompanyPackageType'
: 
    CompanyMembershipTypeEnum; //is single enum

//a smart property
 'HasCmsFeature'
: 
    boolean; // not enum

//a smart property
 'CompanyPackageTypeImageUrl'
: 
    string; // not enum

//a smart property
 'EffectiveTime'
?
: 
null |
    Date; // not enum

//a smart property
 'ExpireTime'
?
: 
null |
    Date; // not enum

//a smart property
 'Telephone'
: 
    string; // not enum

//a smart property
 'Mobile'
: 
    string; // not enum

//a smart property
 'MetaKeyword'
: 
    string; // not enum

//a smart property
 'MetaTitle'
: 
    string; // not enum

//a smart property
 'MetaDescription'
: 
    string; // not enum

//a smart property
 'RegionSiteEnabled'
: 
    boolean; // not enum

//a smart property
 'Industry'
: 
    models.CoreIndustryViewModel; // not enum

//a smart property
 'CompanyContactInfo'
: 
    models.CompanyContactInfoViewModel; // not enum

//a smart property
 'LastModified'
: 
    Date; // not enum

//a smart property
 readonly  'QrCodeUrl'
: 
    string; // not enum

//a smart property
 readonly  'IsCompanyInfoPerfect'
: 
    boolean; // not enum

//a smart property
 readonly  'IsVip'
: 
    boolean; // not enum

//a smart property
 'Fht1CompanyUrl'
: 
    string; // not enum

//a smart property
 'ShowMembersInShops'
: 
    boolean; // not enum

//a smart property
 'ProductCount'
: 
    number; // not enum

//a smart property
 'ProductCountLastModified'
: 
    Date; // not enum

//a smart property
 'MemberCount'
: 
    number; // not enum

//a smart property
 'Members'
: 
    Array<models.CompanyMemberSimpleViewModel>; // not enum

//a smart property
 'CustomerServiceCount'
: 
    number; // not enum

//a smart property
 'CustomerServices'
: 
    Array<models.CompanyMemberSimpleViewModel>; // not enum

}
//export namespace MyCompanyProfileViewModel 
export enum AuditStatusEnum {
	Accepted = 'Accepted',
	Suspicious = 'Suspicious',
	Pending = 'Pending',
	Rejected = 'Rejected'
}
export enum CompanyMembershipTypeEnum {
	None = 'None',
	General = 'General',
	Gold = 'Gold',
	Silver = 'Silver',
	FhtMember = 'FhtMember',
	FHT1VIP905 = 'FHT1VIP_905',
	FHT1VIP906 = 'FHT1VIP_906',
	FHT1VIP908 = 'FHT1VIP_908',
	FHT1VIP912 = 'FHT1VIP_912',
	FHT1VIP918 = 'FHT1VIP_918',
	FHT1VIP922 = 'FHT1VIP_922',
	FHT1VIP925 = 'FHT1VIP_925',
	FHT1VIP935 = 'FHT1VIP_935',
	FHT1VIP937 = 'FHT1VIP_937',
	FHT1VIP941 = 'FHT1VIP_941',
	FHT1VIP942 = 'FHT1VIP_942',
	FHT1VIP947 = 'FHT1VIP_947',
	FHT1VIP949 = 'FHT1VIP_949',
	FHT1VIP950 = 'FHT1VIP_950',
	FHT1VIP951 = 'FHT1VIP_951',
	FHT1VIP952 = 'FHT1VIP_952',
	FHT1VIP958 = 'FHT1VIP_958',
	FHT1VIP959 = 'FHT1VIP_959',
	FHT1VIP960 = 'FHT1VIP_960',
	FHT1VIP963 = 'FHT1VIP_963',
	FHT1VIP964 = 'FHT1VIP_964',
	FHT1VIP965 = 'FHT1VIP_965',
	FHT1VIP966 = 'FHT1VIP_966',
	FHT1VIP968 = 'FHT1VIP_968',
	FHT1VIP969 = 'FHT1VIP_969',
	FHT1VIP970 = 'FHT1VIP_970',
	FHT1VIP971 = 'FHT1VIP_971',
	FHT1VIP972 = 'FHT1VIP_972',
	FHT1VIP973 = 'FHT1VIP_973'
}

