// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   NavigationInputModel {
public static LABELS = {
    "Name": "导航栏名字",
    "Alias": "别名",
}
public static VALIDATORS = {
'NavigationId': [

// only-min-range
     { type: "number", required: true, trigger: 'blur', message: "必须输入" }, 
    { type: "number", min: 0, trigger: 'blur', message: "必须不小于0"},
].filter(r=>r) as ValidationRule[],
'Name': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "必须输入导航栏名字" }, 
    { type: "string", min: 1, max: 10, trigger: 'blur', message: "导航栏名字必须是1到10个字"},
].filter(r=>r) as ValidationRule[],
'Alias': [

// only-max-length 
    
    { type: "string", max: 20, trigger: 'blur', message: "别名最长不超过20字"},
].filter(r=>r) as ValidationRule[],
'Content': [

].filter(r=>r) as ValidationRule[],
'ChildNavigations': [

    customValidators.elementCount?.(
"的个数必须为0与10之间",
0,
10,
    )
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(0)
 'NavigationId'
: 
    number; // not enum

//a smart property
    @Length(1, 10)
 'Name'
: 
    string; // not enum

//a smart property
 'Alias'
    ?
: 
    string; // not enum

//a smart property
 'Content'
: 
    models.NavigationContentInputModelBase; // not enum

//a smart property
 'ChildNavigations'
    ?
: 
    Array<models.NavigationInputModel>; // not enum

}

