// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.NotificationContentPartType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.NotificationContentPartType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum NotificationContentPartTypeEnum {
    String = "String",
    Company = "Company",
    User = "User",
    Product = "Product",
    TopicPost = "TopicPost",
    Meetup = "Meetup",
    GroupChat = "GroupChat",
    NearByMeetup = "NearByMeetup",
    FriendRequestToUser = "FriendRequestToUser",
    Article = "Article",
    Url = "Url",
    Mobile = "Mobile",
    Tel = "Tel",
}

export function convertFromNotificationContentPartTypeEnum(e: NotificationContentPartTypeEnum): number{
    switch(e){
        case NotificationContentPartTypeEnum.String:
            return 1;
        case NotificationContentPartTypeEnum.Company:
            return 2;
        case NotificationContentPartTypeEnum.User:
            return 3;
        case NotificationContentPartTypeEnum.Product:
            return 4;
        case NotificationContentPartTypeEnum.TopicPost:
            return 5;
        case NotificationContentPartTypeEnum.Meetup:
            return 6;
        case NotificationContentPartTypeEnum.GroupChat:
            return 7;
        case NotificationContentPartTypeEnum.NearByMeetup:
            return 8;
        case NotificationContentPartTypeEnum.FriendRequestToUser:
            return 9;
        case NotificationContentPartTypeEnum.Article:
            return 10;
        case NotificationContentPartTypeEnum.Url:
            return 11;
        case NotificationContentPartTypeEnum.Mobile:
            return 12;
        case NotificationContentPartTypeEnum.Tel:
            return 13;
        default:
            throw new Error(`${e} is an invalid NotificationContentPartTypeEnum`);
    }
}

export function convertToNotificationContentPartTypeEnum(n: number): NotificationContentPartTypeEnum{
    switch(n){
        case 1:
            return NotificationContentPartTypeEnum.String;
        case 2:
            return NotificationContentPartTypeEnum.Company;
        case 3:
            return NotificationContentPartTypeEnum.User;
        case 4:
            return NotificationContentPartTypeEnum.Product;
        case 5:
            return NotificationContentPartTypeEnum.TopicPost;
        case 6:
            return NotificationContentPartTypeEnum.Meetup;
        case 7:
            return NotificationContentPartTypeEnum.GroupChat;
        case 8:
            return NotificationContentPartTypeEnum.NearByMeetup;
        case 9:
            return NotificationContentPartTypeEnum.FriendRequestToUser;
        case 10:
            return NotificationContentPartTypeEnum.Article;
        case 11:
            return NotificationContentPartTypeEnum.Url;
        case 12:
            return NotificationContentPartTypeEnum.Mobile;
        case 13:
            return NotificationContentPartTypeEnum.Tel;
        default:
            throw new Error(`${n} is an invalid NotificationContentPartTypeEnum`);
    }
}

export function describeNotificationContentPartTypeEnum(e: NotificationContentPartTypeEnum): string{
    switch(e){
        case NotificationContentPartTypeEnum.String:
            return "字符串";
        case NotificationContentPartTypeEnum.Company:
            return "企业";
        case NotificationContentPartTypeEnum.User:
            return "用户";
        case NotificationContentPartTypeEnum.Product:
            return "产品";
        case NotificationContentPartTypeEnum.TopicPost:
            return "服务";
        case NotificationContentPartTypeEnum.Meetup:
            return "一起玩";
        case NotificationContentPartTypeEnum.GroupChat:
            return "群聊";
        case NotificationContentPartTypeEnum.NearByMeetup:
            return "附近一起玩";
        case NotificationContentPartTypeEnum.FriendRequestToUser:
            return "加好友申请";
        case NotificationContentPartTypeEnum.Article:
            return "文章";
        case NotificationContentPartTypeEnum.Url:
            return "网址";
        case NotificationContentPartTypeEnum.Mobile:
            return "手机号码";
        case NotificationContentPartTypeEnum.Tel:
            return "电话号码";
        default:
            throw new Error(`${e} is an invalid NotificationContentPartTypeEnum`);
    }
}


