// FHT Swagger axios client V2


// mark 2 model generic



// not an enum
export   interface  NotificationModelBase {
 
//a smart property
 'Id'
: 
    number; // not enum

//a smart property
 'ToUserId'
: 
    number; // not enum

//a smart property
 'NotificationType'
: 
    NotificationTypeEnum; //is single enum

//a smart property
 'RedirectCategory'
: 
    NotificationRedirectCategoryEnum; //is single enum

//a smart property
 readonly  'RedirectTargetId'
?
: 
null |
    number; // not enum

//a smart property
 'Created'
: 
    Date; // not enum

//a smart property
 'IsRead'
: 
    boolean; // not enum

//a smart property
 'IconUrl'
?
: 
null |
    string; // not enum

//a smart property
 readonly  'ContentParts'
: 
    Array<models.NotificationContentPart>; // not enum

//a smart property
 readonly  'TitleParts'
: 
    Array<models.NotificationContentPart>; // not enum

}
//export namespace NotificationModelBase 
export enum NotificationTypeEnum {
	UserProfileModified = 'UserProfileModified',
	UserSyncModified = 'UserSyncModified',
	UserProfileCreated = 'UserProfileCreated',
	UserRejected = 'UserRejected',
	ContactUserCreated = 'ContactUserCreated',
	RealNameInValid = 'RealNameInValid',
	CompanyMemberApplyRequestCreatedToCompanyAdmin = 'CompanyMemberApplyRequestCreatedToCompanyAdmin',
	CompanyMemberApplyRequestAcceptedToApplicantUser = 'CompanyMemberApplyRequestAcceptedToApplicantUser',
	CompanyMemberInviteRequestCreatedToInvitedUser = 'CompanyMemberInviteRequestCreatedToInvitedUser',
	CompanyMemberInviteRequestAccepted = 'CompanyMemberInviteRequestAccepted',
	CompanyAdministratorAssignedToAssignedMember = 'CompanyAdministratorAssignedToAssignedMember',
	CompanyAdministratorAssignedToAdminSelf = 'CompanyAdministratorAssignedToAdminSelf',
	CompanyAdministratorKickedToKickedMember = 'CompanyAdministratorKickedToKickedMember',
	CompanyAdministratorKickedToAdminSelf = 'CompanyAdministratorKickedToAdminSelf',
	CompanyMemberKickedToKickedMember = 'CompanyMemberKickedToKickedMember',
	CompanyMemberKickedToAdminSelf = 'CompanyMemberKickedToAdminSelf',
	CompanyMemberLeftToSelf = 'CompanyMemberLeftToSelf',
	CompanyProfileModified = 'CompanyProfileModified',
	CompanyMemberLeftToCompanyAdmin = 'CompanyMemberLeftToCompanyAdmin',
	CompanyCreated = 'CompanyCreated',
	CompanyDeactivated = 'CompanyDeactivated',
	CompanyCustomerServiceAssignedToAssignedMember = 'CompanyCustomerServiceAssignedToAssignedMember',
	CompanyCustomerServiceAssignedToAdminSelf = 'CompanyCustomerServiceAssignedToAdminSelf',
	CompanyCustomerServiceKickedToKickedMember = 'CompanyCustomerServiceKickedToKickedMember',
	CompanyCustomerServiceKickedToAdminSelf = 'CompanyCustomerServiceKickedToAdminSelf',
	CompanyActivated = 'CompanyActivated',
	CompanyAuthenticationAudit = 'CompanyAuthenticationAudit',
	CompanyRejected = 'CompanyRejected',
	NearbyCompanyNotified = 'NearbyCompanyNotified',
	CompanyMemberInviteRequestCanceledToInvitedUser = 'CompanyMemberInviteRequestCanceledToInvitedUser',
	CompanyMemberInviteRequestCanceledToAdminSelf = 'CompanyMemberInviteRequestCanceledToAdminSelf',
	CompanyMemberApplyRequestCanceledToCompanyAdmin = 'CompanyMemberApplyRequestCanceledToCompanyAdmin',
	FriendRequestAccepted = 'FriendRequestAccepted',
	FriendRequestCreated = 'FriendRequestCreated',
	PersonalUserSettingModified = 'PersonalUserSettingModified',
	PersonalUserBlockEnabled = 'PersonalUserBlockEnabled',
	PersonalUserBlockDisabled = 'PersonalUserBlockDisabled',
	GroupChatMemberJoined = 'GroupChatMemberJoined',
	GroupChatAdminTransferred = 'GroupChatAdminTransferred',
	GroupChatNameChanged = 'GroupChatNameChanged',
	GroupChatAvatarChanged = 'GroupChatAvatarChanged',
	GroupChatMemberKicked = 'GroupChatMemberKicked',
	GroupChatAllowInviteChanged = 'GroupChatAllowInviteChanged',
	GroupChatMemberLeft = 'GroupChatMemberLeft',
	MeetupTitleChanged = 'MeetupTitleChanged',
	MeetupInvitationCreated = 'MeetupInvitationCreated',
	MeetupInvitationAccepted = 'MeetupInvitationAccepted',
	MeetupInvitationAcceptedToInviteeSelf = 'MeetupInvitationAcceptedToInviteeSelf',
	MeetupInvitationNonCreatorAccepted = 'MeetupInvitationNonCreatorAccepted',
	MeetupApplicationCreated = 'MeetupApplicationCreated',
	MeetupApplicationAccepted = 'MeetupApplicationAccepted',
	MeetupApplicationAcceptedToSelf = 'MeetupApplicationAcceptedToSelf',
	MeetupMemberDeleted = 'MeetupMemberDeleted',
	MeetupCancelled = 'MeetupCancelled',
	MeetupCancelledToSelf = 'MeetupCancelledToSelf',
	MeetupMemberLeft = 'MeetupMemberLeft',
	MeetupMemberCreated = 'MeetupMemberCreated',
	MeetupDeleted = 'MeetupDeleted',
	MeetupDeletedToSelf = 'MeetupDeletedToSelf',
	MeetupMemberKicked = 'MeetupMemberKicked',
	MeetupMemberKickedToSelf = 'MeetupMemberKickedToSelf',
	MeetupAvatarChanged = 'MeetupAvatarChanged',
	MeetupRejected = 'MeetupRejected',
	ProductRejected = 'ProductRejected',
	ProductPublishTip = 'ProductPublishTip',
	TopicPostRejected = 'TopicPostRejected',
	ReportDealed = 'ReportDealed',
	FeedBackDealed = 'FeedBackDealed',
	ArticleRejected = 'ArticleRejected',
	BroadcastAllCompany = 'BroadcastAllCompany',
	CompanyOrderWillExpired = 'CompanyOrderWillExpired',
	OperationSingleUser = 'OperationSingleUser',
	OperationSingleCompany = 'OperationSingleCompany',
	BroadcastAllUser = 'BroadcastAllUser',
	PersonalChatTransfered = 'PersonalChatTransfered',
	TouristChatTransfered = 'TouristChatTransfered',
	LeanCloudConversationChanged = 'LeanCloudConversationChanged'
}
export enum NotificationRedirectCategoryEnum {
	SystemNotification = 'SystemNotification',
	MeetupApplication = 'MeetupApplication',
	MeetupInvitation = 'MeetupInvitation',
	CompanyAuthentication = 'CompanyAuthentication',
	CompanyMemberApplication = 'CompanyMemberApplication',
	CompanyMemberInvitation = 'CompanyMemberInvitation',
	SystemBroadcast = 'SystemBroadcast'
}

