// FHT Swagger axios client V2


/**
 * FHT.Notifications.Interfaces.Models.NotificationRedirectCategory, FHT.Notifications.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Notifications.Interfaces.Models.NotificationRedirectCategory, FHT.Notifications.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum NotificationRedirectCategoryEnum {
    SystemNotification = "SystemNotification",
    MeetupApplication = "MeetupApplication",
    MeetupInvitation = "MeetupInvitation",
    CompanyAuthentication = "CompanyAuthentication",
    CompanyMemberApplication = "CompanyMemberApplication",
    CompanyMemberInvitation = "CompanyMemberInvitation",
    SystemBroadcast = "SystemBroadcast",
}

export function convertFromNotificationRedirectCategoryEnum(e: NotificationRedirectCategoryEnum): number{
    switch(e){
        case NotificationRedirectCategoryEnum.SystemNotification:
            return 0;
        case NotificationRedirectCategoryEnum.MeetupApplication:
            return 1;
        case NotificationRedirectCategoryEnum.MeetupInvitation:
            return 2;
        case NotificationRedirectCategoryEnum.CompanyAuthentication:
            return 3;
        case NotificationRedirectCategoryEnum.CompanyMemberApplication:
            return 4;
        case NotificationRedirectCategoryEnum.CompanyMemberInvitation:
            return 5;
        case NotificationRedirectCategoryEnum.SystemBroadcast:
            return 6;
        default:
            throw new Error(`${e} is an invalid NotificationRedirectCategoryEnum`);
    }
}

export function convertToNotificationRedirectCategoryEnum(n: number): NotificationRedirectCategoryEnum{
    switch(n){
        case 0:
            return NotificationRedirectCategoryEnum.SystemNotification;
        case 1:
            return NotificationRedirectCategoryEnum.MeetupApplication;
        case 2:
            return NotificationRedirectCategoryEnum.MeetupInvitation;
        case 3:
            return NotificationRedirectCategoryEnum.CompanyAuthentication;
        case 4:
            return NotificationRedirectCategoryEnum.CompanyMemberApplication;
        case 5:
            return NotificationRedirectCategoryEnum.CompanyMemberInvitation;
        case 6:
            return NotificationRedirectCategoryEnum.SystemBroadcast;
        default:
            throw new Error(`${n} is an invalid NotificationRedirectCategoryEnum`);
    }
}

export function describeNotificationRedirectCategoryEnum(e: NotificationRedirectCategoryEnum): string{
    switch(e){
        case NotificationRedirectCategoryEnum.SystemNotification:
            return "系统通知";
        case NotificationRedirectCategoryEnum.MeetupApplication:
            return "申请一起玩";
        case NotificationRedirectCategoryEnum.MeetupInvitation:
            return "邀请一起玩";
        case NotificationRedirectCategoryEnum.CompanyAuthentication:
            return "企业认证";
        case NotificationRedirectCategoryEnum.CompanyMemberApplication:
            return "企业申请";
        case NotificationRedirectCategoryEnum.CompanyMemberInvitation:
            return "企业邀请";
        case NotificationRedirectCategoryEnum.SystemBroadcast:
            return "系统广播";
        default:
            throw new Error(`${e} is an invalid NotificationRedirectCategoryEnum`);
    }
}


