// FHT Swagger axios client V2


/**
 * FHT.Notifications.Interfaces.Models.NotificationType, FHT.Notifications.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Notifications.Interfaces.Models.NotificationType, FHT.Notifications.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum NotificationTypeEnum {
    UserProfileModified = "UserProfileModified",
    UserSyncModified = "UserSyncModified",
    UserProfileCreated = "UserProfileCreated",
    UserRejected = "UserRejected",
    ContactUserCreated = "ContactUserCreated",
    RealNameInValid = "RealNameInValid",
    CompanyMemberApplyRequestCreatedToCompanyAdmin = "CompanyMemberApplyRequestCreatedToCompanyAdmin",
    CompanyMemberApplyRequestAcceptedToApplicantUser = "CompanyMemberApplyRequestAcceptedToApplicantUser",
    CompanyMemberInviteRequestCreatedToInvitedUser = "CompanyMemberInviteRequestCreatedToInvitedUser",
    CompanyMemberInviteRequestAccepted = "CompanyMemberInviteRequestAccepted",
    CompanyAdministratorAssignedToAssignedMember = "CompanyAdministratorAssignedToAssignedMember",
    CompanyAdministratorAssignedToAdminSelf = "CompanyAdministratorAssignedToAdminSelf",
    CompanyAdministratorKickedToKickedMember = "CompanyAdministratorKickedToKickedMember",
    CompanyAdministratorKickedToAdminSelf = "CompanyAdministratorKickedToAdminSelf",
    CompanyMemberKickedToKickedMember = "CompanyMemberKickedToKickedMember",
    CompanyMemberLeftToSelf = "CompanyMemberLeftToSelf",
    CompanyProfileModified = "CompanyProfileModified",
    CompanyMemberKickedToAdminSelf = "CompanyMemberKickedToAdminSelf",
    CompanyMemberLeftToCompanyAdmin = "CompanyMemberLeftToCompanyAdmin",
    CompanyCreated = "CompanyCreated",
    CompanyDeactivated = "CompanyDeactivated",
    CompanyCustomerServiceAssignedToAssignedMember = "CompanyCustomerServiceAssignedToAssignedMember",
    CompanyCustomerServiceAssignedToAdminSelf = "CompanyCustomerServiceAssignedToAdminSelf",
    CompanyCustomerServiceKickedToKickedMember = "CompanyCustomerServiceKickedToKickedMember",
    CompanyActivated = "CompanyActivated",
    CompanyRejected = "CompanyRejected",
    NearbyCompanyNotified = "NearbyCompanyNotified",
    CompanyMemberInviteRequestCanceledToInvitedUser = "CompanyMemberInviteRequestCanceledToInvitedUser",
    CompanyMemberApplyRequestCanceledToCompanyAdmin = "CompanyMemberApplyRequestCanceledToCompanyAdmin",
    CompanyCustomerServiceKickedToAdminSelf = "CompanyCustomerServiceKickedToAdminSelf",
    CompanyMemberInviteRequestCanceledToAdminSelf = "CompanyMemberInviteRequestCanceledToAdminSelf",
    FriendRequestAccepted = "FriendRequestAccepted",
    FriendRequestCreated = "FriendRequestCreated",
    PersonalUserSettingModified = "PersonalUserSettingModified",
    PersonalUserBlockEnabled = "PersonalUserBlockEnabled",
    PersonalUserBlockDisabled = "PersonalUserBlockDisabled",
    GroupChatMemberJoined = "GroupChatMemberJoined",
    GroupChatAdminTransferred = "GroupChatAdminTransferred",
    GroupChatNameChanged = "GroupChatNameChanged",
    GroupChatAvatarChanged = "GroupChatAvatarChanged",
    GroupChatMemberKicked = "GroupChatMemberKicked",
    GroupChatAllowInviteChanged = "GroupChatAllowInviteChanged",
    GroupChatMemberLeft = "GroupChatMemberLeft",
    MeetupTitleChanged = "MeetupTitleChanged",
    MeetupInvitationCreated = "MeetupInvitationCreated",
    MeetupInvitationAccepted = "MeetupInvitationAccepted",
    MeetupInvitationNonCreatorAccepted = "MeetupInvitationNonCreatorAccepted",
    MeetupApplicationCreated = "MeetupApplicationCreated",
    MeetupApplicationAccepted = "MeetupApplicationAccepted",
    MeetupMemberDeleted = "MeetupMemberDeleted",
    MeetupCancelled = "MeetupCancelled",
    MeetupMemberLeft = "MeetupMemberLeft",
    MeetupMemberCreated = "MeetupMemberCreated",
    MeetupDeleted = "MeetupDeleted",
    MeetupMemberKicked = "MeetupMemberKicked",
    MeetupAvatarChanged = "MeetupAvatarChanged",
    MeetupRejected = "MeetupRejected",
    MeetupInvitationAcceptedToInviteeSelf = "MeetupInvitationAcceptedToInviteeSelf",
    MeetupApplicationAcceptedToSelf = "MeetupApplicationAcceptedToSelf",
    MeetupCancelledToSelf = "MeetupCancelledToSelf",
    MeetupDeletedToSelf = "MeetupDeletedToSelf",
    MeetupMemberKickedToSelf = "MeetupMemberKickedToSelf",
    ProductRejected = "ProductRejected",
    ProductPublishTip = "ProductPublishTip",
    TopicPostRejected = "TopicPostRejected",
    ReportDealed = "ReportDealed",
    FeedBackDealed = "FeedBackDealed",
    CompanyAuthenticationAudit = "CompanyAuthenticationAudit",
    BroadcastAllCompany = "BroadcastAllCompany",
    CompanyOrderWillExpired = "CompanyOrderWillExpired",
    OperationSingleUser = "OperationSingleUser",
    OperationSingleCompany = "OperationSingleCompany",
    BroadcastAllUser = "BroadcastAllUser",
    PersonalChatTransfered = "PersonalChatTransfered",
    TouristChatTransfered = "TouristChatTransfered",
    LeanCloudConversationChanged = "LeanCloudConversationChanged",
    ArticleRejected = "ArticleRejected",
}

export function convertFromNotificationTypeEnum(e: NotificationTypeEnum): number{
    switch(e){
        case NotificationTypeEnum.UserProfileModified:
            return 1;
        case NotificationTypeEnum.UserSyncModified:
            return 2;
        case NotificationTypeEnum.UserProfileCreated:
            return 3;
        case NotificationTypeEnum.UserRejected:
            return 4;
        case NotificationTypeEnum.ContactUserCreated:
            return 5;
        case NotificationTypeEnum.RealNameInValid:
            return 6;
        case NotificationTypeEnum.CompanyMemberApplyRequestCreatedToCompanyAdmin:
            return 1001;
        case NotificationTypeEnum.CompanyMemberApplyRequestAcceptedToApplicantUser:
            return 1002;
        case NotificationTypeEnum.CompanyMemberInviteRequestCreatedToInvitedUser:
            return 1003;
        case NotificationTypeEnum.CompanyMemberInviteRequestAccepted:
            return 1004;
        case NotificationTypeEnum.CompanyAdministratorAssignedToAssignedMember:
            return 1005;
        case NotificationTypeEnum.CompanyAdministratorAssignedToAdminSelf:
            return 1006;
        case NotificationTypeEnum.CompanyAdministratorKickedToKickedMember:
            return 1007;
        case NotificationTypeEnum.CompanyAdministratorKickedToAdminSelf:
            return 1008;
        case NotificationTypeEnum.CompanyMemberKickedToKickedMember:
            return 1009;
        case NotificationTypeEnum.CompanyMemberLeftToSelf:
            return 1010;
        case NotificationTypeEnum.CompanyProfileModified:
            return 1011;
        case NotificationTypeEnum.CompanyMemberKickedToAdminSelf:
            return 1013;
        case NotificationTypeEnum.CompanyMemberLeftToCompanyAdmin:
            return 1016;
        case NotificationTypeEnum.CompanyCreated:
            return 1017;
        case NotificationTypeEnum.CompanyDeactivated:
            return 1018;
        case NotificationTypeEnum.CompanyCustomerServiceAssignedToAssignedMember:
            return 1019;
        case NotificationTypeEnum.CompanyCustomerServiceAssignedToAdminSelf:
            return 1020;
        case NotificationTypeEnum.CompanyCustomerServiceKickedToKickedMember:
            return 1021;
        case NotificationTypeEnum.CompanyActivated:
            return 1022;
        case NotificationTypeEnum.CompanyRejected:
            return 1023;
        case NotificationTypeEnum.NearbyCompanyNotified:
            return 1024;
        case NotificationTypeEnum.CompanyMemberInviteRequestCanceledToInvitedUser:
            return 1025;
        case NotificationTypeEnum.CompanyMemberApplyRequestCanceledToCompanyAdmin:
            return 1026;
        case NotificationTypeEnum.CompanyCustomerServiceKickedToAdminSelf:
            return 1027;
        case NotificationTypeEnum.CompanyMemberInviteRequestCanceledToAdminSelf:
            return 1028;
        case NotificationTypeEnum.FriendRequestAccepted:
            return 2001;
        case NotificationTypeEnum.FriendRequestCreated:
            return 2002;
        case NotificationTypeEnum.PersonalUserSettingModified:
            return 2003;
        case NotificationTypeEnum.PersonalUserBlockEnabled:
            return 2004;
        case NotificationTypeEnum.PersonalUserBlockDisabled:
            return 2005;
        case NotificationTypeEnum.GroupChatMemberJoined:
            return 3001;
        case NotificationTypeEnum.GroupChatAdminTransferred:
            return 3002;
        case NotificationTypeEnum.GroupChatNameChanged:
            return 3004;
        case NotificationTypeEnum.GroupChatAvatarChanged:
            return 3005;
        case NotificationTypeEnum.GroupChatMemberKicked:
            return 3009;
        case NotificationTypeEnum.GroupChatAllowInviteChanged:
            return 3010;
        case NotificationTypeEnum.GroupChatMemberLeft:
            return 3011;
        case NotificationTypeEnum.MeetupTitleChanged:
            return 4001;
        case NotificationTypeEnum.MeetupInvitationCreated:
            return 4002;
        case NotificationTypeEnum.MeetupInvitationAccepted:
            return 4003;
        case NotificationTypeEnum.MeetupInvitationNonCreatorAccepted:
            return 4004;
        case NotificationTypeEnum.MeetupApplicationCreated:
            return 4005;
        case NotificationTypeEnum.MeetupApplicationAccepted:
            return 4006;
        case NotificationTypeEnum.MeetupMemberDeleted:
            return 4007;
        case NotificationTypeEnum.MeetupCancelled:
            return 4008;
        case NotificationTypeEnum.MeetupMemberLeft:
            return 4009;
        case NotificationTypeEnum.MeetupMemberCreated:
            return 4010;
        case NotificationTypeEnum.MeetupDeleted:
            return 4011;
        case NotificationTypeEnum.MeetupMemberKicked:
            return 4012;
        case NotificationTypeEnum.MeetupAvatarChanged:
            return 4013;
        case NotificationTypeEnum.MeetupRejected:
            return 4014;
        case NotificationTypeEnum.MeetupInvitationAcceptedToInviteeSelf:
            return 4015;
        case NotificationTypeEnum.MeetupApplicationAcceptedToSelf:
            return 4016;
        case NotificationTypeEnum.MeetupCancelledToSelf:
            return 4017;
        case NotificationTypeEnum.MeetupDeletedToSelf:
            return 4018;
        case NotificationTypeEnum.MeetupMemberKickedToSelf:
            return 4019;
        case NotificationTypeEnum.ProductRejected:
            return 5001;
        case NotificationTypeEnum.ProductPublishTip:
            return 5002;
        case NotificationTypeEnum.TopicPostRejected:
            return 6001;
        case NotificationTypeEnum.ReportDealed:
            return 7001;
        case NotificationTypeEnum.FeedBackDealed:
            return 7002;
        case NotificationTypeEnum.CompanyAuthenticationAudit:
            return 8001;
        case NotificationTypeEnum.BroadcastAllCompany:
            return 9001;
        case NotificationTypeEnum.CompanyOrderWillExpired:
            return 9002;
        case NotificationTypeEnum.OperationSingleUser:
            return 9003;
        case NotificationTypeEnum.OperationSingleCompany:
            return 9004;
        case NotificationTypeEnum.BroadcastAllUser:
            return 9005;
        case NotificationTypeEnum.PersonalChatTransfered:
            return 10001;
        case NotificationTypeEnum.TouristChatTransfered:
            return 10002;
        case NotificationTypeEnum.LeanCloudConversationChanged:
            return 10003;
        case NotificationTypeEnum.ArticleRejected:
            return 12001;
        default:
            throw new Error(`${e} is an invalid NotificationTypeEnum`);
    }
}

export function convertToNotificationTypeEnum(n: number): NotificationTypeEnum{
    switch(n){
        case 1:
            return NotificationTypeEnum.UserProfileModified;
        case 2:
            return NotificationTypeEnum.UserSyncModified;
        case 3:
            return NotificationTypeEnum.UserProfileCreated;
        case 4:
            return NotificationTypeEnum.UserRejected;
        case 5:
            return NotificationTypeEnum.ContactUserCreated;
        case 6:
            return NotificationTypeEnum.RealNameInValid;
        case 1001:
            return NotificationTypeEnum.CompanyMemberApplyRequestCreatedToCompanyAdmin;
        case 1002:
            return NotificationTypeEnum.CompanyMemberApplyRequestAcceptedToApplicantUser;
        case 1003:
            return NotificationTypeEnum.CompanyMemberInviteRequestCreatedToInvitedUser;
        case 1004:
            return NotificationTypeEnum.CompanyMemberInviteRequestAccepted;
        case 1005:
            return NotificationTypeEnum.CompanyAdministratorAssignedToAssignedMember;
        case 1006:
            return NotificationTypeEnum.CompanyAdministratorAssignedToAdminSelf;
        case 1007:
            return NotificationTypeEnum.CompanyAdministratorKickedToKickedMember;
        case 1008:
            return NotificationTypeEnum.CompanyAdministratorKickedToAdminSelf;
        case 1009:
            return NotificationTypeEnum.CompanyMemberKickedToKickedMember;
        case 1010:
            return NotificationTypeEnum.CompanyMemberLeftToSelf;
        case 1011:
            return NotificationTypeEnum.CompanyProfileModified;
        case 1013:
            return NotificationTypeEnum.CompanyMemberKickedToAdminSelf;
        case 1016:
            return NotificationTypeEnum.CompanyMemberLeftToCompanyAdmin;
        case 1017:
            return NotificationTypeEnum.CompanyCreated;
        case 1018:
            return NotificationTypeEnum.CompanyDeactivated;
        case 1019:
            return NotificationTypeEnum.CompanyCustomerServiceAssignedToAssignedMember;
        case 1020:
            return NotificationTypeEnum.CompanyCustomerServiceAssignedToAdminSelf;
        case 1021:
            return NotificationTypeEnum.CompanyCustomerServiceKickedToKickedMember;
        case 1022:
            return NotificationTypeEnum.CompanyActivated;
        case 1023:
            return NotificationTypeEnum.CompanyRejected;
        case 1024:
            return NotificationTypeEnum.NearbyCompanyNotified;
        case 1025:
            return NotificationTypeEnum.CompanyMemberInviteRequestCanceledToInvitedUser;
        case 1026:
            return NotificationTypeEnum.CompanyMemberApplyRequestCanceledToCompanyAdmin;
        case 1027:
            return NotificationTypeEnum.CompanyCustomerServiceKickedToAdminSelf;
        case 1028:
            return NotificationTypeEnum.CompanyMemberInviteRequestCanceledToAdminSelf;
        case 2001:
            return NotificationTypeEnum.FriendRequestAccepted;
        case 2002:
            return NotificationTypeEnum.FriendRequestCreated;
        case 2003:
            return NotificationTypeEnum.PersonalUserSettingModified;
        case 2004:
            return NotificationTypeEnum.PersonalUserBlockEnabled;
        case 2005:
            return NotificationTypeEnum.PersonalUserBlockDisabled;
        case 3001:
            return NotificationTypeEnum.GroupChatMemberJoined;
        case 3002:
            return NotificationTypeEnum.GroupChatAdminTransferred;
        case 3004:
            return NotificationTypeEnum.GroupChatNameChanged;
        case 3005:
            return NotificationTypeEnum.GroupChatAvatarChanged;
        case 3009:
            return NotificationTypeEnum.GroupChatMemberKicked;
        case 3010:
            return NotificationTypeEnum.GroupChatAllowInviteChanged;
        case 3011:
            return NotificationTypeEnum.GroupChatMemberLeft;
        case 4001:
            return NotificationTypeEnum.MeetupTitleChanged;
        case 4002:
            return NotificationTypeEnum.MeetupInvitationCreated;
        case 4003:
            return NotificationTypeEnum.MeetupInvitationAccepted;
        case 4004:
            return NotificationTypeEnum.MeetupInvitationNonCreatorAccepted;
        case 4005:
            return NotificationTypeEnum.MeetupApplicationCreated;
        case 4006:
            return NotificationTypeEnum.MeetupApplicationAccepted;
        case 4007:
            return NotificationTypeEnum.MeetupMemberDeleted;
        case 4008:
            return NotificationTypeEnum.MeetupCancelled;
        case 4009:
            return NotificationTypeEnum.MeetupMemberLeft;
        case 4010:
            return NotificationTypeEnum.MeetupMemberCreated;
        case 4011:
            return NotificationTypeEnum.MeetupDeleted;
        case 4012:
            return NotificationTypeEnum.MeetupMemberKicked;
        case 4013:
            return NotificationTypeEnum.MeetupAvatarChanged;
        case 4014:
            return NotificationTypeEnum.MeetupRejected;
        case 4015:
            return NotificationTypeEnum.MeetupInvitationAcceptedToInviteeSelf;
        case 4016:
            return NotificationTypeEnum.MeetupApplicationAcceptedToSelf;
        case 4017:
            return NotificationTypeEnum.MeetupCancelledToSelf;
        case 4018:
            return NotificationTypeEnum.MeetupDeletedToSelf;
        case 4019:
            return NotificationTypeEnum.MeetupMemberKickedToSelf;
        case 5001:
            return NotificationTypeEnum.ProductRejected;
        case 5002:
            return NotificationTypeEnum.ProductPublishTip;
        case 6001:
            return NotificationTypeEnum.TopicPostRejected;
        case 7001:
            return NotificationTypeEnum.ReportDealed;
        case 7002:
            return NotificationTypeEnum.FeedBackDealed;
        case 8001:
            return NotificationTypeEnum.CompanyAuthenticationAudit;
        case 9001:
            return NotificationTypeEnum.BroadcastAllCompany;
        case 9002:
            return NotificationTypeEnum.CompanyOrderWillExpired;
        case 9003:
            return NotificationTypeEnum.OperationSingleUser;
        case 9004:
            return NotificationTypeEnum.OperationSingleCompany;
        case 9005:
            return NotificationTypeEnum.BroadcastAllUser;
        case 10001:
            return NotificationTypeEnum.PersonalChatTransfered;
        case 10002:
            return NotificationTypeEnum.TouristChatTransfered;
        case 10003:
            return NotificationTypeEnum.LeanCloudConversationChanged;
        case 12001:
            return NotificationTypeEnum.ArticleRejected;
        default:
            throw new Error(`${n} is an invalid NotificationTypeEnum`);
    }
}

export function describeNotificationTypeEnum(e: NotificationTypeEnum): string{
    switch(e){
        case NotificationTypeEnum.UserProfileModified:
            return "个人资料被修改";
        case NotificationTypeEnum.UserSyncModified:
            return "移动端UserModel缓存同步消息";
        case NotificationTypeEnum.UserProfileCreated:
            return "用户创建,通知创建的人";
        case NotificationTypeEnum.UserRejected:
            return "用户审核不通过,通知用户";
        case NotificationTypeEnum.ContactUserCreated:
            return "通讯录好友加入烽火台";
        case NotificationTypeEnum.RealNameInValid:
            return "用户名称无效";
        case NotificationTypeEnum.CompanyMemberApplyRequestCreatedToCompanyAdmin:
            return "用户申请加入公司，通知公司所有管理员";
        case NotificationTypeEnum.CompanyMemberApplyRequestAcceptedToApplicantUser:
            return "管理员同意用户加入公司，通知申请者";
        case NotificationTypeEnum.CompanyMemberInviteRequestCreatedToInvitedUser:
            return "管理员邀请用户加入公司，通知被邀请人";
        case NotificationTypeEnum.CompanyMemberInviteRequestAccepted:
            return "被邀请人接受邀请加入公司，通知邀请管理员";
        case NotificationTypeEnum.CompanyAdministratorAssignedToAssignedMember:
            return "管理员设置成员为公司管理员，通知被加为管理员的成员";
        case NotificationTypeEnum.CompanyAdministratorAssignedToAdminSelf:
            return "管理员设置成员为公司管理员，通知管理员自己";
        case NotificationTypeEnum.CompanyAdministratorKickedToKickedMember:
            return "管理员取消用户的管理员角色，通知被取消的公司成员";
        case NotificationTypeEnum.CompanyAdministratorKickedToAdminSelf:
            return "管理员取消用户的管理员角色，通知管理员自己";
        case NotificationTypeEnum.CompanyMemberKickedToKickedMember:
            return "用户被管理员踢出公司，通知被踢公司成员";
        case NotificationTypeEnum.CompanyMemberLeftToSelf:
            return "用户自己退出公司";
        case NotificationTypeEnum.CompanyProfileModified:
            return "管理员修改公司资料";
        case NotificationTypeEnum.CompanyMemberKickedToAdminSelf:
            return "用户被管理员踢出公司，通知管理员自己";
        case NotificationTypeEnum.CompanyMemberLeftToCompanyAdmin:
            return "用户自己退出公司，通知公司管理员";
        case NotificationTypeEnum.CompanyCreated:
            return "创建公司";
        case NotificationTypeEnum.CompanyDeactivated:
            return "公司冻结，通知所有成员";
        case NotificationTypeEnum.CompanyCustomerServiceAssignedToAssignedMember:
            return "管理员设置用户为公司客服，通知被加为公司客服的公司成员";
        case NotificationTypeEnum.CompanyCustomerServiceAssignedToAdminSelf:
            return "管理员设置用户为公司客服，通知管理员自己";
        case NotificationTypeEnum.CompanyCustomerServiceKickedToKickedMember:
            return "管理员取消用户的公司客服，通知被取消的公司成员";
        case NotificationTypeEnum.CompanyActivated:
            return "公司被激活，通知所有成员";
        case NotificationTypeEnum.CompanyRejected:
            return "企业审核不通过,企业管理员";
        case NotificationTypeEnum.NearbyCompanyNotified:
            return "新入驻企业，通知附近企业";
        case NotificationTypeEnum.CompanyMemberInviteRequestCanceledToInvitedUser:
            return "管理员取消发给用户加入公司的邀请，通知被邀请人";
        case NotificationTypeEnum.CompanyMemberApplyRequestCanceledToCompanyAdmin:
            return "用户取消申请加入公司，通知公司所有管理员";
        case NotificationTypeEnum.CompanyCustomerServiceKickedToAdminSelf:
            return "管理员取消用户的公司客服，通知管理员自己";
        case NotificationTypeEnum.CompanyMemberInviteRequestCanceledToAdminSelf:
            return "管理员取消发给用户加入公司的邀请，通知管理员自己";
        case NotificationTypeEnum.FriendRequestAccepted:
            return "接受好友申请，通知申请人";
        case NotificationTypeEnum.FriendRequestCreated:
            return "有人申请加为好友";
        case NotificationTypeEnum.PersonalUserSettingModified:
            return "修好用户备注";
        case NotificationTypeEnum.PersonalUserBlockEnabled:
            return "拉黑用户";
        case NotificationTypeEnum.PersonalUserBlockDisabled:
            return "取消拉黑";
        case NotificationTypeEnum.GroupChatMemberJoined:
            return "新成员加入聊天组";
        case NotificationTypeEnum.GroupChatAdminTransferred:
            return "聊天组设定新管理员";
        case NotificationTypeEnum.GroupChatNameChanged:
            return "修改群名称";
        case NotificationTypeEnum.GroupChatAvatarChanged:
            return "修改群头像";
        case NotificationTypeEnum.GroupChatMemberKicked:
            return "用户被踢除聊天组";
        case NotificationTypeEnum.GroupChatAllowInviteChanged:
            return "是否允许成员邀请";
        case NotificationTypeEnum.GroupChatMemberLeft:
            return "用户离开聊天组";
        case NotificationTypeEnum.MeetupTitleChanged:
            return "一起玩活动内容修改";
        case NotificationTypeEnum.MeetupInvitationCreated:
            return "一起玩邀请，通知被邀请者";
        case NotificationTypeEnum.MeetupInvitationAccepted:
            return "同意一起玩邀请，通知邀请者";
        case NotificationTypeEnum.MeetupInvitationNonCreatorAccepted:
            return "非创建者同意一起玩邀请，通知邀请者";
        case NotificationTypeEnum.MeetupApplicationCreated:
            return "申请一起玩，通知组织者";
        case NotificationTypeEnum.MeetupApplicationAccepted:
            return "同意一起玩申请，通知申请者";
        case NotificationTypeEnum.MeetupMemberDeleted:
            return "成员删除活动";
        case NotificationTypeEnum.MeetupCancelled:
            return "组织者取消活动，通知所有成员";
        case NotificationTypeEnum.MeetupMemberLeft:
            return "成员离开活动";
        case NotificationTypeEnum.MeetupMemberCreated:
            return "用户加入一起玩";
        case NotificationTypeEnum.MeetupDeleted:
            return "组织者删除活动，通知所有成员";
        case NotificationTypeEnum.MeetupMemberKicked:
            return "成员被踢除，通知被踢除者";
        case NotificationTypeEnum.MeetupAvatarChanged:
            return "一起玩头像修改";
        case NotificationTypeEnum.MeetupRejected:
            return "一起玩头审核不通过,通知发帖的人";
        case NotificationTypeEnum.MeetupInvitationAcceptedToInviteeSelf:
            return "同意一起玩邀请，通知被邀请者";
        case NotificationTypeEnum.MeetupApplicationAcceptedToSelf:
            return "同意一起玩申请，通知活动发起者";
        case NotificationTypeEnum.MeetupCancelledToSelf:
            return "组织者取消活动，通知活动发起者";
        case NotificationTypeEnum.MeetupDeletedToSelf:
            return "组织者删除活动，通知活动发起者";
        case NotificationTypeEnum.MeetupMemberKickedToSelf:
            return "成员被踢除，通知活动发起者";
        case NotificationTypeEnum.ProductRejected:
            return "产品审核不通过,通知公司管理员";
        case NotificationTypeEnum.ProductPublishTip:
            return "用户创建,提示如何完善商铺产品信息";
        case NotificationTypeEnum.TopicPostRejected:
            return "服务信息审核不通过,通知发帖的人";
        case NotificationTypeEnum.ReportDealed:
            return "和我相关举报，处理后通知举报人";
        case NotificationTypeEnum.FeedBackDealed:
            return "我反馈的意见，处理后通知反馈人";
        case NotificationTypeEnum.CompanyAuthenticationAudit:
            return "公司认证审核";
        case NotificationTypeEnum.BroadcastAllCompany:
            return "运营广播平台所有企业推送";
        case NotificationTypeEnum.CompanyOrderWillExpired:
            return "订单即将到期提醒消息";
        case NotificationTypeEnum.OperationSingleUser:
            return "运营指定用户消息推送";
        case NotificationTypeEnum.OperationSingleCompany:
            return "运营指定企业消息推送";
        case NotificationTypeEnum.BroadcastAllUser:
            return "运营广播平台所有人推送";
        case NotificationTypeEnum.PersonalChatTransfered:
            return "单聊转接消息";
        case NotificationTypeEnum.TouristChatTransfered:
            return "游客转接消息";
        case NotificationTypeEnum.LeanCloudConversationChanged:
            return "LeanCloud Conv Change 消息";
        case NotificationTypeEnum.ArticleRejected:
            return "文章审核不通过,通知公司管理员";
        default:
            throw new Error(`${e} is an invalid NotificationTypeEnum`);
    }
}


