// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   OAuthLoginInputModel {
public static LABELS = {
    "Mobile": "手机号码",
    "OAuthOpenId": "授权唯一编号",
    "OAuthType": "授权类型",
}
public static VALIDATORS = {
'Mobile': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入手机号码" }, 
    { type: "string", min: 11, max: 11, trigger: 'blur', message: "手机号码必须为11字符"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号"},
].filter(r=>r) as ValidationRule[],
'OAuthOpenId': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "必须输入授权唯一编号" }, 
    { type: "string", max: 100, trigger: 'blur', message: "授权唯一编号最长不超过100字"},
].filter(r=>r) as ValidationRule[],
'OAuthType': [

].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
    @Length(11, 11)
 'Mobile'
: 
    string; // not enum

//a smart property
 'OAuthOpenId'
: 
    string; // not enum

//a smart property
 'OAuthType'
: 
    OAuthTypeEnum; //is single enum

}
//export namespace OAuthLoginInputModel 
export enum OAuthTypeEnum {
	Alipay = 'Alipay',
	WeChat = 'WeChat',
	QQ = 'QQ',
	Apple = 'Apple'
}

