// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   OffsetPaginationInputModel {
public static LABELS = {
    "Offset": "跳过条数",
    "Limit": "条数",
}
public static VALIDATORS = {
'Offset': [

// min-max-range
    
    { type: "number",  min: 0, max: 100000, trigger: 'blur', message: "跳过条数必须为0与100000之间"},
].filter(r=>r) as ValidationRule[],
'Limit': [

// min-max-range
    
    { type: "number",  min: 1, max: 1000, trigger: 'blur', message: "条数必须为1与1000之间"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(0)
    @Max(100000)
 'Offset'
: 
    number; // not enum

//a smart property
    @Min(1)
    @Max(1000)
 'Limit'
: 
    number; // not enum

}

