// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.OrderType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.OrderType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum OrderTypeEnum {
    Ascending = "Ascending",
    Descending = "Descending",
}

export function convertFromOrderTypeEnum(e: OrderTypeEnum): number{
    switch(e){
        case OrderTypeEnum.Ascending:
            return 1;
        case OrderTypeEnum.Descending:
            return 2;
        default:
            throw new Error(`${e} is an invalid OrderTypeEnum`);
    }
}

export function convertToOrderTypeEnum(n: number): OrderTypeEnum{
    switch(n){
        case 1:
            return OrderTypeEnum.Ascending;
        case 2:
            return OrderTypeEnum.Descending;
        default:
            throw new Error(`${n} is an invalid OrderTypeEnum`);
    }
}

export function describeOrderTypeEnum(e: OrderTypeEnum): string{
    switch(e){
        case OrderTypeEnum.Ascending:
            return "升序";
        case OrderTypeEnum.Descending:
            return "降序";
        default:
            throw new Error(`${e} is an invalid OrderTypeEnum`);
    }
}


