// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   PaginationInputModel {
public static LABELS = {
    "CurrPage": "页码",
    "Limit": "条数",
}
public static VALIDATORS = {
'CurrPage': [

// min-max-range
    
    { type: "number",  min: 1, max: 10000, trigger: 'blur', message: "页码必须为1与10000之间"},
].filter(r=>r) as ValidationRule[],
'Limit': [

// min-max-range
    
    { type: "number",  min: 1, max: 1000, trigger: 'blur', message: "条数必须为1与1000之间"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
    @Max(10000)
 'CurrPage'
: 
    number; // not enum

//a smart property
    @Min(1)
    @Max(1000)
 'Limit'
: 
    number; // not enum

}

