// FHT Swagger axios client V2


/**
 * FHT.Core.Web.Models.PlatformMenuType, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.Web.Models.PlatformMenuType, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum PlatformMenuTypeEnum {
    Home = "Home",
    CompanyInfo = "CompanyInfo",
    ProductAndService = "ProductAndService",
    ServiceSupport = "ServiceSupport",
    NewUserGuid = "NewUserGuid",
    Privacy = "Privacy",
}

export function convertFromPlatformMenuTypeEnum(e: PlatformMenuTypeEnum): number{
    switch(e){
        case PlatformMenuTypeEnum.Home:
            return 1;
        case PlatformMenuTypeEnum.CompanyInfo:
            return 2;
        case PlatformMenuTypeEnum.ProductAndService:
            return 3;
        case PlatformMenuTypeEnum.ServiceSupport:
            return 4;
        case PlatformMenuTypeEnum.NewUserGuid:
            return 5;
        case PlatformMenuTypeEnum.Privacy:
            return 6;
        default:
            throw new Error(`${e} is an invalid PlatformMenuTypeEnum`);
    }
}

export function convertToPlatformMenuTypeEnum(n: number): PlatformMenuTypeEnum{
    switch(n){
        case 1:
            return PlatformMenuTypeEnum.Home;
        case 2:
            return PlatformMenuTypeEnum.CompanyInfo;
        case 3:
            return PlatformMenuTypeEnum.ProductAndService;
        case 4:
            return PlatformMenuTypeEnum.ServiceSupport;
        case 5:
            return PlatformMenuTypeEnum.NewUserGuid;
        case 6:
            return PlatformMenuTypeEnum.Privacy;
        default:
            throw new Error(`${n} is an invalid PlatformMenuTypeEnum`);
    }
}

export function describePlatformMenuTypeEnum(e: PlatformMenuTypeEnum): string{
    switch(e){
        case PlatformMenuTypeEnum.Home:
            return "首页";
        case PlatformMenuTypeEnum.CompanyInfo:
            return "公司信息";
        case PlatformMenuTypeEnum.ProductAndService:
            return "产品与服务";
        case PlatformMenuTypeEnum.ServiceSupport:
            return "服务支持";
        case PlatformMenuTypeEnum.NewUserGuid:
            return "新手引导";
        case PlatformMenuTypeEnum.Privacy:
            return "隐私政策";
        default:
            throw new Error(`${e} is an invalid PlatformMenuTypeEnum`);
    }
}


