// FHT Swagger axios client V2


// mark 2 model generic

import { Fht1ProductBaseViewModel } from "../model/Fht1ProductBaseViewModel";


// not an enum
export   interface  ProductBondViewModel extends Fht1ProductBaseViewModel  {
 
//a smart property
 'ProductBondType'
: 
    ProductBondTypeEnum; //is single enum

//a smart property
 'GeoCity'
: 
    string; // not enum

//a smart property
 'Distance'
: 
    string; // not enum

//a smart property
 'PicUrls'
: 
    Array<models.ImageViewModel>; // not enum

//a smart property
 'Company'
: 
    models.CompanySimpleViewModel; // not enum

//a smart property
 'GeoAddress'
: 
    models.GeoAddressViewModel; // not enum

//a smart property
 'IsShowGeoAddress'
: 
    boolean; // not enum

//a smart property
 'Creator'
: 
    models.UserSimpleViewModel; // not enum

//a smart property
 'IsAdvertisement'
: 
    boolean; // not enum

//a smart property
 readonly  'CompanyUrl'
: 
    string; // not enum

//a smart property
 readonly  'ProductCenterUrl'
: 
    string; // not enum

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

}
//export namespace ProductBondViewModel 
export enum ProductBondTypeEnum {
	WebProduct = 'WebProduct',
	MobileProduct = 'MobileProduct'
}

