// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.ProductTagType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.ProductTagType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ProductTagTypeEnum {
    Recommend = "Recommend",
    New = "New",
}

export function convertFromProductTagTypeEnum(e: ProductTagTypeEnum): number{
    switch(e){
        case ProductTagTypeEnum.Recommend:
            return 1;
        case ProductTagTypeEnum.New:
            return 2;
        default:
            throw new Error(`${e} is an invalid ProductTagTypeEnum`);
    }
}

export function convertToProductTagTypeEnum(n: number): ProductTagTypeEnum{
    switch(n){
        case 1:
            return ProductTagTypeEnum.Recommend;
        case 2:
            return ProductTagTypeEnum.New;
        default:
            throw new Error(`${n} is an invalid ProductTagTypeEnum`);
    }
}

export function describeProductTagTypeEnum(e: ProductTagTypeEnum): string{
    switch(e){
        case ProductTagTypeEnum.Recommend:
            return "精品";
        case ProductTagTypeEnum.New:
            return "新品";
        default:
            throw new Error(`${e} is an invalid ProductTagTypeEnum`);
    }
}


