// FHT Swagger axios client V2


// mark 2 model generic

import { StatExtensionModel } from "../model/StatExtensionModel";


// not an enum
export   interface  SearchStatExtensionModel extends StatExtensionModel  {
 
//a smart property
 'SearchType'
: 
    SearchTypeEnum; //is single enum

//a smart property
 readonly  'Q'
: 
    string; // not enum

//a smart property
 readonly  'PrevSearchType'
?
: 
null |
    SearchTypeEnum; //is single enum

//a smart property
 readonly  'PrevQ'
: 
    string; // not enum

//a smart property
 readonly  'Page'
: 
    number; // not enum

//a smart property
 readonly  'CategoryId'
?
: 
null |
    number; // not enum

//a smart property
 readonly  'TotalCount'
: 
    number; // not enum

//a smart property

//a smart property

//a smart property

}
//export namespace SearchStatExtensionModel 
export enum SearchTypeEnum {
	Product = 'Product',
	TopicPost = 'TopicPost',
	User = 'User',
	Company = 'Company',
	Meetup = 'Meetup'
}
export enum SearchTypeEnum {
	Product = 'Product',
	TopicPost = 'TopicPost',
	User = 'User',
	Company = 'Company',
	Meetup = 'Meetup'
}
export enum UserActivityTypeEnum {
	EnterApp = 'EnterApp',
	Register = 'Register',
	Login = 'Login',
	CreateCompany = 'CreateCompany',
	Create = 'Create',
	Update = 'Update',
	ViewDetail = 'ViewDetail',
	Impression = 'Impression',
	ViewList = 'ViewList',
	Search = 'Search',
	Hover = 'Hover',
	Click = 'Click',
	Collect = 'Collect',
	Report = 'Report',
	Chat = 'Chat',
	Forward = 'Forward',
	FriendRequest = 'FriendRequest',
	AcceptFriend = 'AcceptFriend',
	RejectFriend = 'RejectFriend',
	Error = 'Error',
	AuthenticateCompany = 'AuthenticateCompany',
	EnableShop = 'EnableShop',
	CompanyManagement = 'CompanyManagement',
	JoinCompany = 'JoinCompany',
	SwitchTemplate = 'SwitchTemplate'
}

