// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.SearchType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.SearchType, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum SearchTypeEnum {
    Product = "Product",
    TopicPost = "TopicPost",
    User = "User",
    Company = "Company",
    Meetup = "Meetup",
}

export function convertFromSearchTypeEnum(e: SearchTypeEnum): number{
    switch(e){
        case SearchTypeEnum.Product:
            return 1;
        case SearchTypeEnum.TopicPost:
            return 2;
        case SearchTypeEnum.User:
            return 3;
        case SearchTypeEnum.Company:
            return 4;
        case SearchTypeEnum.Meetup:
            return 5;
        default:
            throw new Error(`${e} is an invalid SearchTypeEnum`);
    }
}

export function convertToSearchTypeEnum(n: number): SearchTypeEnum{
    switch(n){
        case 1:
            return SearchTypeEnum.Product;
        case 2:
            return SearchTypeEnum.TopicPost;
        case 3:
            return SearchTypeEnum.User;
        case 4:
            return SearchTypeEnum.Company;
        case 5:
            return SearchTypeEnum.Meetup;
        default:
            throw new Error(`${n} is an invalid SearchTypeEnum`);
    }
}

export function describeSearchTypeEnum(e: SearchTypeEnum): string{
    switch(e){
        case SearchTypeEnum.Product:
            return "产品";
        case SearchTypeEnum.TopicPost:
            return "服务";
        case SearchTypeEnum.User:
            return "用户";
        case SearchTypeEnum.Company:
            return "公司";
        case SearchTypeEnum.Meetup:
            return "一起玩";
        default:
            throw new Error(`${e} is an invalid SearchTypeEnum`);
    }
}


