// FHT Swagger axios client V2


/**
 * FHT.RPC.BigData.Common.Utilities.StatTimeRange, FHT.RPC.BigData.Common, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.RPC.BigData.Common.Utilities.StatTimeRange, FHT.RPC.BigData.Common, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum StatTimeRangeEnum {
    Yesterday = "Yesterday",
    PastWeek = "PastWeek",
    PastMonth = "PastMonth",
}

export function convertFromStatTimeRangeEnum(e: StatTimeRangeEnum): number{
    switch(e){
        case StatTimeRangeEnum.Yesterday:
            return 1;
        case StatTimeRangeEnum.PastWeek:
            return 2;
        case StatTimeRangeEnum.PastMonth:
            return 3;
        default:
            throw new Error(`${e} is an invalid StatTimeRangeEnum`);
    }
}

export function convertToStatTimeRangeEnum(n: number): StatTimeRangeEnum{
    switch(n){
        case 1:
            return StatTimeRangeEnum.Yesterday;
        case 2:
            return StatTimeRangeEnum.PastWeek;
        case 3:
            return StatTimeRangeEnum.PastMonth;
        default:
            throw new Error(`${n} is an invalid StatTimeRangeEnum`);
    }
}

export function describeStatTimeRangeEnum(e: StatTimeRangeEnum): string{
    switch(e){
        case StatTimeRangeEnum.Yesterday:
            return "昨天";
        case StatTimeRangeEnum.PastWeek:
            return "最近一周";
        case StatTimeRangeEnum.PastMonth:
            return "最近1个月";
        default:
            throw new Error(`${e} is an invalid StatTimeRangeEnum`);
    }
}


