// FHT Swagger axios client V2


// mark 2 model generic



// not an enum
export   interface  TemplateConfig {
 
//a smart property
    @MinLength(2)
    @MaxLength(10)
 'Title'
: 
    string; // not enum

//a smart property
 'Version'
: 
    number; // not enum

//a smart property
 'IsAbstract'
: 
    boolean; // not enum

//a smart property
 'Author'
: 
    string; // not enum

//a smart property
 'Inherit'
: 
    string; // not enum

//a smart property
 'FallbackMobileTemplateId'
: 
    string; // not enum

//a smart property
 'TemplatePreviewUrl'
: 
    string; // not enum

//a smart property
 'Order'
: 
    number; // not enum

//a smart property
 'Deprecated'
: 
    boolean; // not enum

//a smart property
 'IsAdvanced'
: 
    boolean; // not enum

//a smart property
 'TemplateType'
: 
    TemplateDesignTypeEnum; //is single enum

//a smart property
 'SuitableIndustries'
: 
    Array<TemplateSuitableIndustryEnum>; //is enum container

//a smart property
 'CoverImageUrl'
: 
    string; // not enum

//a smart property
 'MobileCoverImageUrl'
: 
    string; // not enum

}
//export namespace TemplateConfig 
export enum TemplateDesignTypeEnum {
	Responsive = 'Responsive',
	WebOnly = 'WebOnly',
	WebAndSeparateMobile = 'WebAndSeparateMobile'
}
export enum TemplateSuitableIndustryEnum {
	Hardware = 'Hardware',
	Mechanics = 'Mechanics',
	Chemical = 'Chemical',
	Furniture = 'Furniture',
	Textile = 'Textile',
	Security = 'Security',
	Business = 'Business',
	Digital = 'Digital',
	Store = 'Store',
	Printing = 'Printing',
	MedicalCare = 'MedicalCare',
	Agriculture = 'Agriculture',
	Electronics = 'Electronics',
	Trappings = 'Trappings',
	Vehicle = 'Vehicle',
	Outdoors = 'Outdoors'
}

