// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.TemporaryChatPreference, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.TemporaryChatPreference, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum TemporaryChatPreferenceEnum {
    Alert = "Alert",
    Disabled = "Disabled",
    NoDisturb = "NoDisturb",
}

export function convertFromTemporaryChatPreferenceEnum(e: TemporaryChatPreferenceEnum): number{
    switch(e){
        case TemporaryChatPreferenceEnum.Alert:
            return 0;
        case TemporaryChatPreferenceEnum.Disabled:
            return 1;
        case TemporaryChatPreferenceEnum.NoDisturb:
            return 2;
        default:
            throw new Error(`${e} is an invalid TemporaryChatPreferenceEnum`);
    }
}

export function convertToTemporaryChatPreferenceEnum(n: number): TemporaryChatPreferenceEnum{
    switch(n){
        case 0:
            return TemporaryChatPreferenceEnum.Alert;
        case 1:
            return TemporaryChatPreferenceEnum.Disabled;
        case 2:
            return TemporaryChatPreferenceEnum.NoDisturb;
        default:
            throw new Error(`${n} is an invalid TemporaryChatPreferenceEnum`);
    }
}

export function describeTemporaryChatPreferenceEnum(e: TemporaryChatPreferenceEnum): string{
    switch(e){
        case TemporaryChatPreferenceEnum.Alert:
            return "完全允许";
        case TemporaryChatPreferenceEnum.Disabled:
            return "不允许";
        case TemporaryChatPreferenceEnum.NoDisturb:
            return "允许但是免打扰";
        default:
            throw new Error(`${e} is an invalid TemporaryChatPreferenceEnum`);
    }
}


