// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   UpdateProductOrderInputModel {
public static LABELS = {
    "Order": "排序",
}
public static VALIDATORS = {
'ProductId': [

// only-min-range
     { type: "number", required: true, trigger: 'blur', message: "必须输入" }, 
    { type: "number", min: 1, trigger: 'blur', message: "必须不小于1"},
].filter(r=>r) as ValidationRule[],
'Order': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "请输入排序" }, 
    { type: "number",  min: 0, max: 10000, trigger: 'blur', message: "排序必须是在10000到0之间"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
 'ProductId'
: 
    number; // not enum

//a smart property
    @Min(0)
    @Max(10000)
 'Order'
: 
    number; // not enum

}

