// FHT Swagger axios client V2


// mark 2 model generic

import { UserOAuthBindBasiceInputModel } from "../model/UserOAuthBindBasiceInputModel";

import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   UserOAuthBindInputModel extends UserOAuthBindBasiceInputModel  {
public static LABELS = {
    "Account": "账号",
    "Code": "验证码",
    "OAuthType": "授权类型",
    "OAuthOpenId": "授权唯一编号",
}
public static VALIDATORS = {
'Account': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "必须输入账号" }, 
    { type: "string", max: 50, trigger: 'blur', message: "账号最长不超过50字"},
].filter(r=>r) as ValidationRule[],
'Code': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "必须输入验证码" }, 
    { type: "string", max: 6, trigger: 'blur', message: "验证码最长不超过6字"},
].filter(r=>r) as ValidationRule[],
'OAuthType': [

].filter(r=>r) as ValidationRule[],
'OAuthOpenId': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "必须输入授权唯一编号" }, 
    { type: "string", max: 100, trigger: 'blur', message: "授权唯一编号最长不超过100字"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'Account'
: 
    string; // not enum

//a smart property
 'Code'
: 
    string; // not enum

//a smart property

//a smart property

}
//export namespace UserOAuthBindInputModel 
export enum OAuthTypeEnum {
	Alipay = 'Alipay',
	WeChat = 'WeChat',
	QQ = 'QQ',
	Apple = 'Apple'
}

