// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   UserOAuthTokenInputModel {
public static LABELS = {
    "OAuthAccessToken": "授权ToKen",
    "OAuthOpenId": "授权唯一编号",
}
public static VALIDATORS = {
'OAuthAccessToken': [

// only-max-length 
    
    { type: "string", max: 1000, trigger: 'blur', message: "授权ToKen最长不超过1000字"},
].filter(r=>r) as ValidationRule[],
'OAuthOpenId': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "必须输入授权唯一编号" }, 
    { type: "string", max: 100, trigger: 'blur', message: "授权唯一编号最长不超过100字"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'OAuthAccessToken'
    ?
: 
    string; // not enum

//a smart property
 'OAuthOpenId'
: 
    string; // not enum

}

