
import { AgencyApiWebHostTypeEnum } from "./AgencyApiWebHostTypeEnum"
export function convertFromAgencyApiWebHostTypeEnum(e: AgencyApiWebHostTypeEnum): number{
    switch(e){
        case AgencyApiWebHostTypeEnum.Local:
            return 1;
        case AgencyApiWebHostTypeEnum.Development:
            return 2;
        case AgencyApiWebHostTypeEnum.MobileDevelopment:
            return 3;
        case AgencyApiWebHostTypeEnum.Staging:
            return 4;
        case AgencyApiWebHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid AgencyApiWebHostTypeEnum`);
    }
}
		