
import { AgencyWebHostTypeEnum } from "./AgencyWebHostTypeEnum"
export function convertFromAgencyWebHostTypeEnum(e: AgencyWebHostTypeEnum): number{
    switch(e){
        case AgencyWebHostTypeEnum.Local:
            return 1;
        case AgencyWebHostTypeEnum.Development:
            return 2;
        case AgencyWebHostTypeEnum.MobileDevelopment:
            return 3;
        case AgencyWebHostTypeEnum.Staging:
            return 4;
        case AgencyWebHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid AgencyWebHostTypeEnum`);
    }
}
		