
import { AppEntryTypeEnum } from "./AppEntryTypeEnum"
export function convertFromAppEntryTypeEnum(e: AppEntryTypeEnum): number{
    switch(e){
        case AppEntryTypeEnum.Fresh:
            return 1;
        case AppEntryTypeEnum.Icon:
            return 2;
        case AppEntryTypeEnum.Chat:
            return 3;
        case AppEntryTypeEnum.Notification:
            return 4;
        default:
            throw new Error(`${e} is an invalid AppEntryTypeEnum`);
    }
}
		