
import { ApplicationEnvEnum } from "./ApplicationEnvEnum"
export function convertFromApplicationEnvEnum(e: ApplicationEnvEnum): number{
    switch(e){
        case ApplicationEnvEnum.Local:
            return 1;
        case ApplicationEnvEnum.Development:
            return 2;
        case ApplicationEnvEnum.MobileDevelopment:
            return 3;
        case ApplicationEnvEnum.Staging:
            return 4;
        case ApplicationEnvEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid ApplicationEnvEnum`);
    }
}
		