
import { ApplyRequestStatusEnum } from "./ApplyRequestStatusEnum"
export function convertFromApplyRequestStatusEnum(e: ApplyRequestStatusEnum): number{
    switch(e){
        case ApplyRequestStatusEnum.Applying:
            return 1;
        case ApplyRequestStatusEnum.Accepted:
            return 2;
        case ApplyRequestStatusEnum.Rejected:
            return 3;
        case ApplyRequestStatusEnum.Canceled:
            return 4;
        default:
            throw new Error(`${e} is an invalid ApplyRequestStatusEnum`);
    }
}
		