
import { ArticleListStyleEnum } from "./ArticleListStyleEnum"
export function convertFromArticleListStyleEnum(e: ArticleListStyleEnum): number{
    switch(e){
        case ArticleListStyleEnum.Text:
            return 1;
        case ArticleListStyleEnum.Image:
            return 2;
        case ArticleListStyleEnum.Mix:
            return 3;
        default:
            throw new Error(`${e} is an invalid ArticleListStyleEnum`);
    }
}
		