
import { BusinessEmojiEnum } from "./BusinessEmojiEnum"
export function convertFromBusinessEmojiEnum(e: BusinessEmojiEnum): number{
    switch(e){
        case BusinessEmojiEnum.business_0:
            return 1;
        case BusinessEmojiEnum.business_1:
            return 2;
        case BusinessEmojiEnum.business_2:
            return 3;
        case BusinessEmojiEnum.business_3:
            return 4;
        case BusinessEmojiEnum.business_4:
            return 5;
        case BusinessEmojiEnum.business_5:
            return 6;
        case BusinessEmojiEnum.business_6:
            return 7;
        case BusinessEmojiEnum.business_7:
            return 8;
        case BusinessEmojiEnum.business_8:
            return 9;
        default:
            throw new Error(`${e} is an invalid BusinessEmojiEnum`);
    }
}
		