
import { ChatTypeEnum } from "./ChatTypeEnum"
export function convertFromChatTypeEnum(e: ChatTypeEnum): number{
    switch(e){
        case ChatTypeEnum.Tourist:
            return 1;
        case ChatTypeEnum.Personal:
            return 2;
        case ChatTypeEnum.Group:
            return 3;
        case ChatTypeEnum.Meetup:
            return 4;
        default:
            throw new Error(`${e} is an invalid ChatTypeEnum`);
    }
}
		