
import { CmsPresetPageEnum } from "./CmsPresetPageEnum"
export function convertFromCmsPresetPageEnum(e: CmsPresetPageEnum): number{
    switch(e){
        case CmsPresetPageEnum.Home:
            return 0;
        case CmsPresetPageEnum.Products:
            return 1;
        case CmsPresetPageEnum.News:
            return 2;
        case CmsPresetPageEnum.AboutUs:
            return 3;
        case CmsPresetPageEnum.ContactUs:
            return 4;
        case CmsPresetPageEnum.Case:
            return 5;
        case CmsPresetPageEnum.Honor:
            return 6;
        case CmsPresetPageEnum.Album:
            return 7;
        default:
            throw new Error(`${e} is an invalid CmsPresetPageEnum`);
    }
}
		