
import { CompactMessageTypeEnum } from "./CompactMessageTypeEnum"
export function convertFromCompactMessageTypeEnum(e: CompactMessageTypeEnum): number{
    switch(e){
        case CompactMessageTypeEnum.Compact:
            return 1;
        case CompactMessageTypeEnum.Text:
            return 2;
        case CompactMessageTypeEnum.Image:
            return 3;
        case CompactMessageTypeEnum.Other:
            return 255;
        default:
            throw new Error(`${e} is an invalid CompactMessageTypeEnum`);
    }
}
		