
import { CompanyMemberTypeEnum } from "./CompanyMemberTypeEnum"
export function convertFromCompanyMemberTypeEnum(e: CompanyMemberTypeEnum): number{
    switch(e){
        case CompanyMemberTypeEnum.MainAdmin:
            return 1;
        case CompanyMemberTypeEnum.SubAdmin:
            return 2;
        case CompanyMemberTypeEnum.Member:
            return 3;
        default:
            throw new Error(`${e} is an invalid CompanyMemberTypeEnum`);
    }
}
		