
import { ContextKeyEnum } from "./ContextKeyEnum"
export function convertFromContextKeyEnum(e: ContextKeyEnum): number{
    switch(e){
        case ContextKeyEnum.w_hm_recentts:
            return 1;
        case ContextKeyEnum.w_hm_nearbyts:
            return 2;
        case ContextKeyEnum.w_hm_activecs:
            return 3;
        case ContextKeyEnum.w_hm_nearbycs:
            return 4;
        case ContextKeyEnum.w_pl_main:
            return 100;
        case ContextKeyEnum.w_pl_recentts:
            return 101;
        case ContextKeyEnum.w_pl_relatedts:
            return 102;
        case ContextKeyEnum.w_pl_mobileps:
            return 103;
        case ContextKeyEnum.w_ps_main:
            return 200;
        case ContextKeyEnum.w_ps_relatedts:
            return 201;
        case ContextKeyEnum.w_ps_relatedcs:
            return 202;
        case ContextKeyEnum.w_ps_mobileps:
            return 203;
        case ContextKeyEnum.w_pd_main:
            return 300;
        case ContextKeyEnum.w_pd_relatedps:
            return 301;
        case ContextKeyEnum.w_pd_relatedts:
            return 302;
        case ContextKeyEnum.w_pd_relatedcs:
            return 303;
        case ContextKeyEnum.w_tl_main:
            return 500;
        case ContextKeyEnum.w_tl_recentts:
            return 501;
        case ContextKeyEnum.w_tl_activeus:
            return 502;
        case ContextKeyEnum.w_ts_main:
            return 600;
        case ContextKeyEnum.w_ts_relatedts:
            return 601;
        case ContextKeyEnum.w_ts_activeus:
            return 602;
        case ContextKeyEnum.w_td_main:
            return 700;
        case ContextKeyEnum.w_td_relatedus:
            return 701;
        case ContextKeyEnum.w_td_relatedts:
            return 702;
        case ContextKeyEnum.w_ud_ts:
            return 800;
        case ContextKeyEnum.w_ud_industryus:
            return 801;
        case ContextKeyEnum.cms_home:
            return 1000;
        case ContextKeyEnum.cms_pl:
            return 1001;
        case ContextKeyEnum.cms_al:
            return 1002;
        default:
            throw new Error(`${e} is an invalid ContextKeyEnum`);
    }
}
		