
import { EligibilityReasonEnum } from "./EligibilityReasonEnum"
export function convertFromEligibilityReasonEnum(e: EligibilityReasonEnum): number{
    switch(e){
        case EligibilityReasonEnum.UserInactive:
            return 1;
        case EligibilityReasonEnum.UserAuditPendingOrRejected:
            return 10;
        case EligibilityReasonEnum.UserRealNameInvalid:
            return 11;
        case EligibilityReasonEnum.UserAccountNotMobile:
            return 12;
        case EligibilityReasonEnum.UserHasNoCompany:
            return 13;
        case EligibilityReasonEnum.CompanyInactive:
            return 20;
        case EligibilityReasonEnum.CompanyAuditPendingOrRejected:
            return 21;
        case EligibilityReasonEnum.NotCompanyAdmin:
            return 22;
        case EligibilityReasonEnum.CompanyNotVip:
            return 23;
        case EligibilityReasonEnum.CompanyInfoNotPerfect:
            return 24;
        case EligibilityReasonEnum.NoShops:
            return 25;
        default:
            throw new Error(`${e} is an invalid EligibilityReasonEnum`);
    }
}
		