
import { EligibilityTypeEnum } from "./EligibilityTypeEnum"
export function convertFromEligibilityTypeEnum(e: EligibilityTypeEnum): number{
    switch(e){
        case EligibilityTypeEnum.TopicPost:
            return 1;
        case EligibilityTypeEnum.Product:
            return 10;
        case EligibilityTypeEnum.OtherCompanyCommonManagement:
            return 11;
        case EligibilityTypeEnum.CompanyVipManagement:
            return 12;
        case EligibilityTypeEnum.Article:
            return 13;
        case EligibilityTypeEnum.JoinCompany:
            return 17;
        case EligibilityTypeEnum.InviteCompany:
            return 18;
        case EligibilityTypeEnum.Chat:
            return 20;
        case EligibilityTypeEnum.Meetup:
            return 30;
        case EligibilityTypeEnum.JoinMeetup:
            return 31;
        case EligibilityTypeEnum.AddFriend:
            return 40;
        default:
            throw new Error(`${e} is an invalid EligibilityTypeEnum`);
    }
}
		