
import { EnterpriseCenterMenuEnum } from "./EnterpriseCenterMenuEnum"
export function convertFromEnterpriseCenterMenuEnum(e: EnterpriseCenterMenuEnum): number{
    switch(e){
        case EnterpriseCenterMenuEnum.EnterpriseHome:
            return 1;
        case EnterpriseCenterMenuEnum.ProductManagement:
            return 2;
        case EnterpriseCenterMenuEnum.ProductList:
            return 3;
        case EnterpriseCenterMenuEnum.CompanyManagement:
            return 4;
        case EnterpriseCenterMenuEnum.CompanyAuthentication:
            return 5;
        case EnterpriseCenterMenuEnum.CompanyProfile:
            return 6;
        case EnterpriseCenterMenuEnum.FriendlyLink:
            return 7;
        case EnterpriseCenterMenuEnum.CreateArticle:
            return 8;
        case EnterpriseCenterMenuEnum.SiteRenovation:
            return 9;
        case EnterpriseCenterMenuEnum.EditNavigations:
            return 10;
        case EnterpriseCenterMenuEnum.MemberManagement:
            return 11;
        case EnterpriseCenterMenuEnum.MemberInvitations:
            return 12;
        case EnterpriseCenterMenuEnum.MemberApplications:
            return 13;
        case EnterpriseCenterMenuEnum.Statistics:
            return 15;
        case EnterpriseCenterMenuEnum.EditArticleTypes:
            return 16;
        case EnterpriseCenterMenuEnum.ArticleList:
            return 17;
        case EnterpriseCenterMenuEnum.SelectTemplate:
            return 18;
        case EnterpriseCenterMenuEnum.CreateProduct:
            return 20;
        case EnterpriseCenterMenuEnum.EditCustomCategories:
            return 21;
        case EnterpriseCenterMenuEnum.SEOSetting:
            return 23;
        case EnterpriseCenterMenuEnum.ArticleManagement:
            return 24;
        case EnterpriseCenterMenuEnum.SiteExamination:
            return 25;
        case EnterpriseCenterMenuEnum.CreateProductFinished:
            return 26;
        case EnterpriseCenterMenuEnum.CreateArticleFinished:
            return 27;
        default:
            throw new Error(`${e} is an invalid EnterpriseCenterMenuEnum`);
    }
}
		