
import { ExamineItemNameEnum } from "./ExamineItemNameEnum"
export function convertFromExamineItemNameEnum(e: ExamineItemNameEnum): number{
    switch(e){
        case ExamineItemNameEnum.ProductCreate:
            return 1;
        case ExamineItemNameEnum.ShopDesign:
            return 2;
        case ExamineItemNameEnum.NewsCreate:
            return 3;
        case ExamineItemNameEnum.CustomCategory:
            return 4;
        case ExamineItemNameEnum.CustomerServiceManagement:
            return 5;
        case ExamineItemNameEnum.JoinMemberManagement:
            return 6;
        case ExamineItemNameEnum.Authentication:
            return 7;
        case ExamineItemNameEnum.Membership:
            return 8;
        case ExamineItemNameEnum.LogoSetting:
            return 9;
        case ExamineItemNameEnum.Contact:
            return 10;
        default:
            throw new Error(`${e} is an invalid ExamineItemNameEnum`);
    }
}
		