
import { FeedBackTypeEnum } from "./FeedBackTypeEnum"
export function convertFromFeedBackTypeEnum(e: FeedBackTypeEnum): number{
    switch(e){
        case FeedBackTypeEnum.Wrong:
            return 1;
        case FeedBackTypeEnum.Appeal:
            return 2;
        case FeedBackTypeEnum.Suggestion:
            return 3;
        case FeedBackTypeEnum.False:
            return 4;
        case FeedBackTypeEnum.Forbid:
            return 5;
        case FeedBackTypeEnum.Cheat:
            return 6;
        case FeedBackTypeEnum.Doubt:
            return 7;
        case FeedBackTypeEnum.Other:
            return 8;
        default:
            throw new Error(`${e} is an invalid FeedBackTypeEnum`);
    }
}
		