
import { Fht1AccountMigrationStatusEnum } from "./Fht1AccountMigrationStatusEnum"
export function convertFromFht1AccountMigrationStatusEnum(e: Fht1AccountMigrationStatusEnum): number{
    switch(e){
        case Fht1AccountMigrationStatusEnum.InFht1:
            return 1;
        case Fht1AccountMigrationStatusEnum.InFht2AndNeedAccountWizard:
            return 2;
        case Fht1AccountMigrationStatusEnum.InFht2:
            return 3;
        default:
            throw new Error(`${e} is an invalid Fht1AccountMigrationStatusEnum`);
    }
}
		