
import { ForwardPlatformEnum } from "./ForwardPlatformEnum"
export function convertFromForwardPlatformEnum(e: ForwardPlatformEnum): number{
    switch(e){
        case ForwardPlatformEnum.Feige:
            return 1;
        case ForwardPlatformEnum.WeixinFriend:
            return 2;
        case ForwardPlatformEnum.WeixinZone:
            return 3;
        case ForwardPlatformEnum.QQFriend:
            return 4;
        case ForwardPlatformEnum.QQZone:
            return 5;
        case ForwardPlatformEnum.SinaWeibo:
            return 6;
        case ForwardPlatformEnum.Other:
            return 255;
        default:
            throw new Error(`${e} is an invalid ForwardPlatformEnum`);
    }
}
		