
import { GenericItemTypeEnum } from "./GenericItemTypeEnum"
export function convertFromGenericItemTypeEnum(e: GenericItemTypeEnum): number{
    switch(e){
        case GenericItemTypeEnum.Product:
            return 1;
        case GenericItemTypeEnum.TopicPost:
            return 2;
        case GenericItemTypeEnum.User:
            return 3;
        case GenericItemTypeEnum.Company:
            return 4;
        case GenericItemTypeEnum.Meetup:
            return 5;
        case GenericItemTypeEnum.Article:
            return 6;
        default:
            throw new Error(`${e} is an invalid GenericItemTypeEnum`);
    }
}
		