
import { HotSearchWordTypeEnum } from "./HotSearchWordTypeEnum"
export function convertFromHotSearchWordTypeEnum(e: HotSearchWordTypeEnum): number{
    switch(e){
        case HotSearchWordTypeEnum.Product:
            return 1;
        case HotSearchWordTypeEnum.TopicPost:
            return 2;
        case HotSearchWordTypeEnum.User:
            return 3;
        case HotSearchWordTypeEnum.Company:
            return 4;
        case HotSearchWordTypeEnum.Meetup:
            return 5;
        default:
            throw new Error(`${e} is an invalid HotSearchWordTypeEnum`);
    }
}
		