
import { ImageSizeTypeEnum } from "./ImageSizeTypeEnum"
export function convertFromImageSizeTypeEnum(e: ImageSizeTypeEnum): number{
    switch(e){
        case ImageSizeTypeEnum.Large:
            return 0;
        case ImageSizeTypeEnum.Thumbnail44whFill:
            return 1;
        case ImageSizeTypeEnum.Thumbnail100whFill:
            return 2;
        case ImageSizeTypeEnum.Thumbnail200whFill:
            return 3;
        case ImageSizeTypeEnum.Thumbnail300whFill:
            return 4;
        case ImageSizeTypeEnum.Thumbnail400_300whFill:
            return 5;
        case ImageSizeTypeEnum.Thumbnail100wh7rFill:
            return 6;
        case ImageSizeTypeEnum.Thumbnail80wh40crFill:
            return 7;
        case ImageSizeTypeEnum.Thumbnail200w:
            return 8;
        case ImageSizeTypeEnum.Thumbnail200whFit:
            return 9;
        case ImageSizeTypeEnum.Thumbnail750_440whFill:
            return 10;
        case ImageSizeTypeEnum.Thumbnail1920_500whFill:
            return 11;
        case ImageSizeTypeEnum.Thumbnail1600_500whFill:
            return 12;
        case ImageSizeTypeEnum.Thumbnail1440_500whFill:
            return 13;
        case ImageSizeTypeEnum.Thumbnail1280_500whFill:
            return 14;
        case ImageSizeTypeEnum.Thumbnail440whFill:
            return 15;
        case ImageSizeTypeEnum.Thumbnail500hAlpha:
            return 16;
        case ImageSizeTypeEnum.Thumbnail120_60whLongSideAlpha:
            return 17;
        case ImageSizeTypeEnum.Thumbnail100whLongSideAlpha:
            return 18;
        case ImageSizeTypeEnum.Thumbnail80whAlphaFit:
            return 19;
        case ImageSizeTypeEnum.Thumbnail200whAlphaFill:
            return 20;
        case ImageSizeTypeEnum.AssetsOrigin:
            return 21;
        case ImageSizeTypeEnum.AssetsGif:
            return 22;
        default:
            throw new Error(`${e} is an invalid ImageSizeTypeEnum`);
    }
}
		