
import { InviteRequestStatusEnum } from "./InviteRequestStatusEnum"
export function convertFromInviteRequestStatusEnum(e: InviteRequestStatusEnum): number{
    switch(e){
        case InviteRequestStatusEnum.Inviting:
            return 1;
        case InviteRequestStatusEnum.Accepted:
            return 2;
        case InviteRequestStatusEnum.Rejected:
            return 3;
        case InviteRequestStatusEnum.Canceled:
            return 4;
        default:
            throw new Error(`${e} is an invalid InviteRequestStatusEnum`);
    }
}
		