
import { KeywordStatusEnum } from "./KeywordStatusEnum"
export function convertFromKeywordStatusEnum(e: KeywordStatusEnum): number{
    switch(e){
        case KeywordStatusEnum.Deleted:
            return 1;
        case KeywordStatusEnum.InUse:
            return 2;
        case KeywordStatusEnum.NotUsedAnyMore:
            return 3;
        default:
            throw new Error(`${e} is an invalid KeywordStatusEnum`);
    }
}
		