
import { KnownPageTypeEnum } from "./KnownPageTypeEnum"
export function convertFromKnownPageTypeEnum(e: KnownPageTypeEnum): number{
    switch(e){
        case KnownPageTypeEnum.Home:
            return 1;
        case KnownPageTypeEnum.ProductList:
            return 2;
        case KnownPageTypeEnum.ProductDetail:
            return 3;
        case KnownPageTypeEnum.TopicPostList:
            return 4;
        case KnownPageTypeEnum.TopicPostDetail:
            return 5;
        case KnownPageTypeEnum.UserDetail:
            return 6;
        case KnownPageTypeEnum.Account:
            return 8;
        case KnownPageTypeEnum.OfficialSite:
            return 9;
        case KnownPageTypeEnum.App:
            return 20;
        case KnownPageTypeEnum.Membership:
            return 21;
        case KnownPageTypeEnum.EditTemplate:
            return 22;
        case KnownPageTypeEnum.Center:
            return 23;
        case KnownPageTypeEnum.ProductSearch:
            return 40;
        case KnownPageTypeEnum.TopicPostSearch:
            return 41;
        case KnownPageTypeEnum.UserSearch:
            return 42;
        case KnownPageTypeEnum.CompanySearch:
            return 43;
        default:
            throw new Error(`${e} is an invalid KnownPageTypeEnum`);
    }
}
		