
import { MarketingKeywordTypeEnum } from "./MarketingKeywordTypeEnum"
export function convertFromMarketingKeywordTypeEnum(e: MarketingKeywordTypeEnum): number{
    switch(e){
        case MarketingKeywordTypeEnum.Company:
            return 1;
        case MarketingKeywordTypeEnum.Product:
            return 2;
        case MarketingKeywordTypeEnum.Article:
            return 3;
        default:
            throw new Error(`${e} is an invalid MarketingKeywordTypeEnum`);
    }
}
		