
import { MobilePageIdEnum } from "./MobilePageIdEnum"
export function convertFromMobilePageIdEnum(e: MobilePageIdEnum): number{
    switch(e){
        case MobilePageIdEnum.Login:
            return 1;
        case MobilePageIdEnum.Registration:
            return 2;
        case MobilePageIdEnum.FindPassword:
            return 3;
        case MobilePageIdEnum.HomeTab:
            return 100;
        case MobilePageIdEnum.MyBusinessOpportunity:
            return 101;
        case MobilePageIdEnum.Notifications:
            return 102;
        case MobilePageIdEnum.Broadcasts:
            return 103;
        case MobilePageIdEnum.ChatRoom:
            return 110;
        case MobilePageIdEnum.ChatRoomSetting:
            return 111;
        case MobilePageIdEnum.FriendsTab:
            return 200;
        case MobilePageIdEnum.SearchFriends:
            return 201;
        case MobilePageIdEnum.DiscoverFriends:
            return 202;
        case MobilePageIdEnum.FriendGroup:
            return 203;
        case MobilePageIdEnum.FriendRequests:
            return 204;
        case MobilePageIdEnum.SavedGroups:
            return 205;
        case MobilePageIdEnum.DiscoverNearbyFriends:
            return 207;
        case MobilePageIdEnum.DiscoverIndustryFriends:
            return 208;
        case MobilePageIdEnum.Meetups:
            return 210;
        case MobilePageIdEnum.MeetupDetail:
            return 211;
        case MobilePageIdEnum.MeetupMembers:
            return 212;
        case MobilePageIdEnum.PublishTab:
            return 300;
        case MobilePageIdEnum.CreateTopicPost:
            return 301;
        case MobilePageIdEnum.BusinessOpportunityTab:
            return 400;
        case MobilePageIdEnum.ProductList:
            return 410;
        case MobilePageIdEnum.ProductDetail:
            return 411;
        case MobilePageIdEnum.TopicPostList:
            return 420;
        case MobilePageIdEnum.TopicPostDetail:
            return 421;
        case MobilePageIdEnum.NearbyTopicPosts:
            return 430;
        case MobilePageIdEnum.NearbyCompanies:
            return 431;
        case MobilePageIdEnum.RecommendedTopicPosts:
            return 432;
        case MobilePageIdEnum.MeTab:
            return 500;
        case MobilePageIdEnum.UpdateMyProfile:
            return 501;
        case MobilePageIdEnum.MyQrCode:
            return 502;
        case MobilePageIdEnum.MyTopicPosts:
            return 503;
        case MobilePageIdEnum.MyCollections:
            return 504;
        case MobilePageIdEnum.RecentVisitors:
            return 505;
        case MobilePageIdEnum.ViewingHistories:
            return 506;
        case MobilePageIdEnum.MyCompany:
            return 510;
        case MobilePageIdEnum.MyCompanyProfile:
            return 511;
        case MobilePageIdEnum.MyCompanyMembers:
            return 512;
        case MobilePageIdEnum.MyCompanyQrCode:
            return 513;
        case MobilePageIdEnum.UpdateMyCompanyProfile:
            return 514;
        case MobilePageIdEnum.MyCompanyAuthentication:
            return 515;
        case MobilePageIdEnum.MyCompanyStatistics:
            return 516;
        case MobilePageIdEnum.IncomingCompanyApplications:
            return 517;
        case MobilePageIdEnum.MyCompanyAdminManagment:
            return 518;
        case MobilePageIdEnum.MyCompanyCustomerServiceManagement:
            return 519;
        case MobilePageIdEnum.CompanyDetail:
            return 520;
        case MobilePageIdEnum.Settings:
            return 550;
        case MobilePageIdEnum.NotificationSettings:
            return 551;
        case MobilePageIdEnum.AccountSecurity:
            return 552;
        case MobilePageIdEnum.Privacy:
            return 553;
        case MobilePageIdEnum.BlockSettings:
            return 554;
        case MobilePageIdEnum.AboutUs:
            return 555;
        case MobilePageIdEnum.ClearCaches:
            return 556;
        case MobilePageIdEnum.FontSettings:
            return 557;
        case MobilePageIdEnum.UserDetail:
            return 600;
        case MobilePageIdEnum.MobileWeb:
            return 610;
        case MobilePageIdEnum.RecommendedProducts:
            return 701;
        case MobilePageIdEnum.GeneralSearch:
            return 702;
        case MobilePageIdEnum.UserTopicPosts:
            return 703;
        case MobilePageIdEnum.AboutUsContactUs:
            return 800;
        case MobilePageIdEnum.AboutUsIntroduction:
            return 801;
        case MobilePageIdEnum.AddFriend:
            return 803;
        case MobilePageIdEnum.CreateFriendRequest:
            return 804;
        case MobilePageIdEnum.LoginSearchCompanies:
            return 805;
        case MobilePageIdEnum.RegisterSearchCompanies:
            return 806;
        case MobilePageIdEnum.BindPhone:
            return 807;
        case MobilePageIdEnum.SearchProductTopicPosts:
            return 808;
        case MobilePageIdEnum.SearchChatMessages:
            return 809;
        case MobilePageIdEnum.GeneralTypeSearch:
            return 810;
        case MobilePageIdEnum.CompactCompositeMessages:
            return 811;
        case MobilePageIdEnum.City:
            return 812;
        case MobilePageIdEnum.Location:
            return 813;
        case MobilePageIdEnum.Complain:
            return 814;
        case MobilePageIdEnum.ComplainEvidence:
            return 815;
        case MobilePageIdEnum.CompanyCustomerServices:
            return 816;
        case MobilePageIdEnum.CompanyManagers:
            return 817;
        case MobilePageIdEnum.ContactFriends:
            return 818;
        case MobilePageIdEnum.CreateFriendGroup:
            return 819;
        case MobilePageIdEnum.UpdateFriendGroup:
            return 820;
        case MobilePageIdEnum.CreateGroupChat:
            return 821;
        case MobilePageIdEnum.CreateOrJoinCompany:
            return 822;
        case MobilePageIdEnum.LoginCreateCompany:
            return 823;
        case MobilePageIdEnum.RegisterCreateCompany:
            return 824;
        case MobilePageIdEnum.FeedBack:
            return 825;
        case MobilePageIdEnum.ForgetPassword:
            return 826;
        case MobilePageIdEnum.FriendGroupDetail:
            return 828;
        case MobilePageIdEnum.FriendSelection:
            return 829;
        case MobilePageIdEnum.GroupChatDetail:
            return 830;
        case MobilePageIdEnum.GroupChatMembers:
            return 831;
        case MobilePageIdEnum.IncomingCompanyInvitations:
            return 832;
        case MobilePageIdEnum.ViewLocation:
            return 833;
        case MobilePageIdEnum.IncomingMeetupInvitations:
            return 834;
        case MobilePageIdEnum.MeetupChatDetail:
            return 835;
        case MobilePageIdEnum.ModifyBindedPhone:
            return 836;
        case MobilePageIdEnum.ModifyPassword:
            return 837;
        case MobilePageIdEnum.MyCompanyAuthenticationIdCard:
            return 838;
        case MobilePageIdEnum.MyCompanyAuthenticationLicense:
            return 839;
        case MobilePageIdEnum.RegisterationCompanyType:
            return 840;
        case MobilePageIdEnum.RegisterationOptimization:
            return 841;
        case MobilePageIdEnum.PersonChatDetail:
            return 842;
        case MobilePageIdEnum.PlayVideo:
            return 843;
        case MobilePageIdEnum.PreviewTopicPost:
            return 844;
        case MobilePageIdEnum.PublishMeetup:
            return 845;
        case MobilePageIdEnum.SystemRemindReadList:
            return 846;
        case MobilePageIdEnum.SystemRemindUnReadList:
            return 847;
        case MobilePageIdEnum.UpdateTopicPost:
            return 848;
        case MobilePageIdEnum.TouristDetail:
            return 849;
        case MobilePageIdEnum.TouristChatDetail:
            return 850;
        case MobilePageIdEnum.TouristRemark:
            return 851;
        case MobilePageIdEnum.ForwardTo:
            return 852;
        case MobilePageIdEnum.UserRemark:
            return 853;
        case MobilePageIdEnum.SearchUsers:
            return 854;
        case MobilePageIdEnum.V1UserBindPhone:
            return 855;
        case MobilePageIdEnum.PrvicayServiceProtocol:
            return 856;
        case MobilePageIdEnum.NotificationDetail:
            return 857;
        case MobilePageIdEnum.BroadcastDetail:
            return 858;
        case MobilePageIdEnum.IncomingMeetupApplications:
            return 859;
        default:
            throw new Error(`${e} is an invalid MobilePageIdEnum`);
    }
}
		