
import { NavigationContentTypeEnum } from "./NavigationContentTypeEnum"
export function convertFromNavigationContentTypeEnum(e: NavigationContentTypeEnum): number{
    switch(e){
        case NavigationContentTypeEnum.Preset:
            return 0;
        case NavigationContentTypeEnum.CustomPage:
            return 1;
        case NavigationContentTypeEnum.ArticleType:
            return 2;
        case NavigationContentTypeEnum.Url:
            return 3;
        case NavigationContentTypeEnum.CustomCategory:
            return 4;
        default:
            throw new Error(`${e} is an invalid NavigationContentTypeEnum`);
    }
}
		