
import { NotificationContentPartTypeEnum } from "./NotificationContentPartTypeEnum"
export function convertFromNotificationContentPartTypeEnum(e: NotificationContentPartTypeEnum): number{
    switch(e){
        case NotificationContentPartTypeEnum.String:
            return 1;
        case NotificationContentPartTypeEnum.Company:
            return 2;
        case NotificationContentPartTypeEnum.User:
            return 3;
        case NotificationContentPartTypeEnum.Product:
            return 4;
        case NotificationContentPartTypeEnum.TopicPost:
            return 5;
        case NotificationContentPartTypeEnum.Meetup:
            return 6;
        case NotificationContentPartTypeEnum.GroupChat:
            return 7;
        case NotificationContentPartTypeEnum.NearByMeetup:
            return 8;
        case NotificationContentPartTypeEnum.FriendRequestToUser:
            return 9;
        case NotificationContentPartTypeEnum.Article:
            return 10;
        case NotificationContentPartTypeEnum.Url:
            return 11;
        case NotificationContentPartTypeEnum.Mobile:
            return 12;
        case NotificationContentPartTypeEnum.Tel:
            return 13;
        default:
            throw new Error(`${e} is an invalid NotificationContentPartTypeEnum`);
    }
}
		