
import { NotificationRedirectCategoryEnum } from "./NotificationRedirectCategoryEnum"
export function convertFromNotificationRedirectCategoryEnum(e: NotificationRedirectCategoryEnum): number{
    switch(e){
        case NotificationRedirectCategoryEnum.SystemNotification:
            return 0;
        case NotificationRedirectCategoryEnum.MeetupApplication:
            return 1;
        case NotificationRedirectCategoryEnum.MeetupInvitation:
            return 2;
        case NotificationRedirectCategoryEnum.CompanyAuthentication:
            return 3;
        case NotificationRedirectCategoryEnum.CompanyMemberApplication:
            return 4;
        case NotificationRedirectCategoryEnum.CompanyMemberInvitation:
            return 5;
        case NotificationRedirectCategoryEnum.SystemBroadcast:
            return 6;
        default:
            throw new Error(`${e} is an invalid NotificationRedirectCategoryEnum`);
    }
}
		