
import { PlatformMenuTypeEnum } from "./PlatformMenuTypeEnum"
export function convertFromPlatformMenuTypeEnum(e: PlatformMenuTypeEnum): number{
    switch(e){
        case PlatformMenuTypeEnum.Home:
            return 1;
        case PlatformMenuTypeEnum.CompanyInfo:
            return 2;
        case PlatformMenuTypeEnum.ProductAndService:
            return 3;
        case PlatformMenuTypeEnum.ServiceSupport:
            return 4;
        case PlatformMenuTypeEnum.NewUserGuid:
            return 5;
        case PlatformMenuTypeEnum.Privacy:
            return 6;
        default:
            throw new Error(`${e} is an invalid PlatformMenuTypeEnum`);
    }
}
		