
import { ProcessingStatusEnum } from "./ProcessingStatusEnum"
export function convertFromProcessingStatusEnum(e: ProcessingStatusEnum): number{
    switch(e){
        case ProcessingStatusEnum.Pending:
            return 1;
        case ProcessingStatusEnum.Accepted:
            return 2;
        case ProcessingStatusEnum.Rejected:
            return 3;
        default:
            throw new Error(`${e} is an invalid ProcessingStatusEnum`);
    }
}
		