
import { ProductMenuTypeEnum } from "./ProductMenuTypeEnum"
export function convertFromProductMenuTypeEnum(e: ProductMenuTypeEnum): number{
    switch(e){
        case ProductMenuTypeEnum.Introduction:
            return 1;
        case ProductMenuTypeEnum.AppDownload:
            return 2;
        case ProductMenuTypeEnum.Agreement:
            return 3;
        case ProductMenuTypeEnum.Privacy:
            return 4;
        case ProductMenuTypeEnum.Templates:
            return 5;
        default:
            throw new Error(`${e} is an invalid ProductMenuTypeEnum`);
    }
}
		