
import { RealNameStatusEnum } from "./RealNameStatusEnum"
export function convertFromRealNameStatusEnum(e: RealNameStatusEnum): number{
    switch(e){
        case RealNameStatusEnum.Valid:
            return 1;
        case RealNameStatusEnum.CheckNeeded:
            return 2;
        case RealNameStatusEnum.Invalid:
            return 3;
        default:
            throw new Error(`${e} is an invalid RealNameStatusEnum`);
    }
}
		