
import { RegistrationSourceTypeEnum } from "./RegistrationSourceTypeEnum"
export function convertFromRegistrationSourceTypeEnum(e: RegistrationSourceTypeEnum): number{
    switch(e){
        case RegistrationSourceTypeEnum.Web:
            return 0;
        case RegistrationSourceTypeEnum.App:
            return 1;
        case RegistrationSourceTypeEnum.Agency:
            return 2;
        case RegistrationSourceTypeEnum.Crawler:
            return 3;
        default:
            throw new Error(`${e} is an invalid RegistrationSourceTypeEnum`);
    }
}
		