
import { ReportReasonEnum } from "./ReportReasonEnum"
export function convertFromReportReasonEnum(e: ReportReasonEnum): number{
    switch(e){
        case ReportReasonEnum.Adult:
            return 1;
        case ReportReasonEnum.Political:
            return 2;
        case ReportReasonEnum.Advertisement:
            return 3;
        case ReportReasonEnum.Rumour:
            return 4;
        case ReportReasonEnum.Cheat:
            return 5;
        case ReportReasonEnum.Illegal:
            return 6;
        case ReportReasonEnum.Other:
            return 7;
        default:
            throw new Error(`${e} is an invalid ReportReasonEnum`);
    }
}
		