
import { SearchTypeEnum } from "./SearchTypeEnum"
export function convertFromSearchTypeEnum(e: SearchTypeEnum): number{
    switch(e){
        case SearchTypeEnum.Product:
            return 1;
        case SearchTypeEnum.TopicPost:
            return 2;
        case SearchTypeEnum.User:
            return 3;
        case SearchTypeEnum.Company:
            return 4;
        case SearchTypeEnum.Meetup:
            return 5;
        default:
            throw new Error(`${e} is an invalid SearchTypeEnum`);
    }
}
		