
import { StatTimeRangeEnum } from "./StatTimeRangeEnum"
export function convertFromStatTimeRangeEnum(e: StatTimeRangeEnum): number{
    switch(e){
        case StatTimeRangeEnum.Yesterday:
            return 1;
        case StatTimeRangeEnum.PastWeek:
            return 2;
        case StatTimeRangeEnum.PastMonth:
            return 3;
        default:
            throw new Error(`${e} is an invalid StatTimeRangeEnum`);
    }
}
		