
import { TemporaryChatPreferenceEnum } from "./TemporaryChatPreferenceEnum"
export function convertFromTemporaryChatPreferenceEnum(e: TemporaryChatPreferenceEnum): number{
    switch(e){
        case TemporaryChatPreferenceEnum.Alert:
            return 0;
        case TemporaryChatPreferenceEnum.Disabled:
            return 1;
        case TemporaryChatPreferenceEnum.NoDisturb:
            return 2;
        default:
            throw new Error(`${e} is an invalid TemporaryChatPreferenceEnum`);
    }
}
		