
import { AgencyWebHostTypeEnum } from "./AgencyWebHostTypeEnum"
export function convertToAgencyWebHostTypeEnum(n: number): AgencyWebHostTypeEnum{
    switch(n){
        case 1:
            return AgencyWebHostTypeEnum.Local;
        case 2:
            return AgencyWebHostTypeEnum.Development;
        case 3:
            return AgencyWebHostTypeEnum.MobileDevelopment;
        case 4:
            return AgencyWebHostTypeEnum.Staging;
        case 5:
            return AgencyWebHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid AgencyWebHostTypeEnum`);
    }
}
		