
import { AppEntryTypeEnum } from "./AppEntryTypeEnum"
export function convertToAppEntryTypeEnum(n: number): AppEntryTypeEnum{
    switch(n){
        case 1:
            return AppEntryTypeEnum.Fresh;
        case 2:
            return AppEntryTypeEnum.Icon;
        case 3:
            return AppEntryTypeEnum.Chat;
        case 4:
            return AppEntryTypeEnum.Notification;
        default:
            throw new Error(`${n} is an invalid AppEntryTypeEnum`);
    }
}
		