
import { ApplicationEnvEnum } from "./ApplicationEnvEnum"
export function convertToApplicationEnvEnum(n: number): ApplicationEnvEnum{
    switch(n){
        case 1:
            return ApplicationEnvEnum.Local;
        case 2:
            return ApplicationEnvEnum.Development;
        case 3:
            return ApplicationEnvEnum.MobileDevelopment;
        case 4:
            return ApplicationEnvEnum.Staging;
        case 5:
            return ApplicationEnvEnum.Production;
        default:
            throw new Error(`${n} is an invalid ApplicationEnvEnum`);
    }
}
		