
import { ArticleListStyleEnum } from "./ArticleListStyleEnum"
export function convertToArticleListStyleEnum(n: number): ArticleListStyleEnum{
    switch(n){
        case 1:
            return ArticleListStyleEnum.Text;
        case 2:
            return ArticleListStyleEnum.Image;
        case 3:
            return ArticleListStyleEnum.Mix;
        default:
            throw new Error(`${n} is an invalid ArticleListStyleEnum`);
    }
}
		