
import { CmsPresetPageEnum } from "./CmsPresetPageEnum"
export function convertToCmsPresetPageEnum(n: number): CmsPresetPageEnum{
    switch(n){
        case 0:
            return CmsPresetPageEnum.Home;
        case 1:
            return CmsPresetPageEnum.Products;
        case 2:
            return CmsPresetPageEnum.News;
        case 3:
            return CmsPresetPageEnum.AboutUs;
        case 4:
            return CmsPresetPageEnum.ContactUs;
        case 5:
            return CmsPresetPageEnum.Case;
        case 6:
            return CmsPresetPageEnum.Honor;
        case 7:
            return CmsPresetPageEnum.Album;
        default:
            throw new Error(`${n} is an invalid CmsPresetPageEnum`);
    }
}
		