
import { CompanyMembershipTypeEnum } from "./CompanyMembershipTypeEnum"
export function convertToCompanyMembershipTypeEnum(n: number): CompanyMembershipTypeEnum{
    switch(n){
        case 0:
            return CompanyMembershipTypeEnum.None;
        case 1:
            return CompanyMembershipTypeEnum.General;
        case 2:
            return CompanyMembershipTypeEnum.Gold;
        case 3:
            return CompanyMembershipTypeEnum.Silver;
        case 4:
            return CompanyMembershipTypeEnum.FhtMember;
        case 905:
            return CompanyMembershipTypeEnum.FHT1VIP_905;
        case 906:
            return CompanyMembershipTypeEnum.FHT1VIP_906;
        case 908:
            return CompanyMembershipTypeEnum.FHT1VIP_908;
        case 912:
            return CompanyMembershipTypeEnum.FHT1VIP_912;
        case 918:
            return CompanyMembershipTypeEnum.FHT1VIP_918;
        case 922:
            return CompanyMembershipTypeEnum.FHT1VIP_922;
        case 925:
            return CompanyMembershipTypeEnum.FHT1VIP_925;
        case 935:
            return CompanyMembershipTypeEnum.FHT1VIP_935;
        case 937:
            return CompanyMembershipTypeEnum.FHT1VIP_937;
        case 941:
            return CompanyMembershipTypeEnum.FHT1VIP_941;
        case 942:
            return CompanyMembershipTypeEnum.FHT1VIP_942;
        case 947:
            return CompanyMembershipTypeEnum.FHT1VIP_947;
        case 949:
            return CompanyMembershipTypeEnum.FHT1VIP_949;
        case 950:
            return CompanyMembershipTypeEnum.FHT1VIP_950;
        case 951:
            return CompanyMembershipTypeEnum.FHT1VIP_951;
        case 952:
            return CompanyMembershipTypeEnum.FHT1VIP_952;
        case 958:
            return CompanyMembershipTypeEnum.FHT1VIP_958;
        case 959:
            return CompanyMembershipTypeEnum.FHT1VIP_959;
        case 960:
            return CompanyMembershipTypeEnum.FHT1VIP_960;
        case 963:
            return CompanyMembershipTypeEnum.FHT1VIP_963;
        case 964:
            return CompanyMembershipTypeEnum.FHT1VIP_964;
        case 965:
            return CompanyMembershipTypeEnum.FHT1VIP_965;
        case 966:
            return CompanyMembershipTypeEnum.FHT1VIP_966;
        case 968:
            return CompanyMembershipTypeEnum.FHT1VIP_968;
        case 969:
            return CompanyMembershipTypeEnum.FHT1VIP_969;
        case 970:
            return CompanyMembershipTypeEnum.FHT1VIP_970;
        case 971:
            return CompanyMembershipTypeEnum.FHT1VIP_971;
        case 972:
            return CompanyMembershipTypeEnum.FHT1VIP_972;
        case 973:
            return CompanyMembershipTypeEnum.FHT1VIP_973;
        default:
            throw new Error(`${n} is an invalid CompanyMembershipTypeEnum`);
    }
}
		