
import { ConstItemEnum } from "./ConstItemEnum"
export function convertToConstItemEnum(n: number): ConstItemEnum{
    switch(n){
        case 1:
            return ConstItemEnum.CzCustmerServiceHotline;
        case 2:
            return ConstItemEnum.CzCustmerServiceHotlineExtra;
        case 3:
            return ConstItemEnum.NjCustmerServiceHotline;
        case 4:
            return ConstItemEnum.NjAddress;
        case 5:
            return ConstItemEnum.CzAddress;
        case 6:
            return ConstItemEnum.NjCompanyName;
        case 7:
            return ConstItemEnum.CzCompanyName;
        case 8:
            return ConstItemEnum.NjPostCode;
        case 9:
            return ConstItemEnum.CzPostCode;
        default:
            throw new Error(`${n} is an invalid ConstItemEnum`);
    }
}
		