
import { ContextKeyEnum } from "./ContextKeyEnum"
export function convertToContextKeyEnum(n: number): ContextKeyEnum{
    switch(n){
        case 1:
            return ContextKeyEnum.w_hm_recentts;
        case 2:
            return ContextKeyEnum.w_hm_nearbyts;
        case 3:
            return ContextKeyEnum.w_hm_activecs;
        case 4:
            return ContextKeyEnum.w_hm_nearbycs;
        case 100:
            return ContextKeyEnum.w_pl_main;
        case 101:
            return ContextKeyEnum.w_pl_recentts;
        case 102:
            return ContextKeyEnum.w_pl_relatedts;
        case 103:
            return ContextKeyEnum.w_pl_mobileps;
        case 200:
            return ContextKeyEnum.w_ps_main;
        case 201:
            return ContextKeyEnum.w_ps_relatedts;
        case 202:
            return ContextKeyEnum.w_ps_relatedcs;
        case 203:
            return ContextKeyEnum.w_ps_mobileps;
        case 300:
            return ContextKeyEnum.w_pd_main;
        case 301:
            return ContextKeyEnum.w_pd_relatedps;
        case 302:
            return ContextKeyEnum.w_pd_relatedts;
        case 303:
            return ContextKeyEnum.w_pd_relatedcs;
        case 500:
            return ContextKeyEnum.w_tl_main;
        case 501:
            return ContextKeyEnum.w_tl_recentts;
        case 502:
            return ContextKeyEnum.w_tl_activeus;
        case 600:
            return ContextKeyEnum.w_ts_main;
        case 601:
            return ContextKeyEnum.w_ts_relatedts;
        case 602:
            return ContextKeyEnum.w_ts_activeus;
        case 700:
            return ContextKeyEnum.w_td_main;
        case 701:
            return ContextKeyEnum.w_td_relatedus;
        case 702:
            return ContextKeyEnum.w_td_relatedts;
        case 800:
            return ContextKeyEnum.w_ud_ts;
        case 801:
            return ContextKeyEnum.w_ud_industryus;
        case 1000:
            return ContextKeyEnum.cms_home;
        case 1001:
            return ContextKeyEnum.cms_pl;
        case 1002:
            return ContextKeyEnum.cms_al;
        default:
            throw new Error(`${n} is an invalid ContextKeyEnum`);
    }
}
		