
import { DeviceTypeEnum } from "./DeviceTypeEnum"
export function convertToDeviceTypeEnum(n: number): DeviceTypeEnum{
    switch(n){
        case 0:
            return DeviceTypeEnum.Web;
        case 1:
            return DeviceTypeEnum.Ios;
        case 2:
            return DeviceTypeEnum.Android;
        case 3:
            return DeviceTypeEnum.MobileWeb;
        case 255:
            return DeviceTypeEnum.Other;
        default:
            throw new Error(`${n} is an invalid DeviceTypeEnum`);
    }
}
		