
import { EligibilityReasonEnum } from "./EligibilityReasonEnum"
export function convertToEligibilityReasonEnum(n: number): EligibilityReasonEnum{
    switch(n){
        case 1:
            return EligibilityReasonEnum.UserInactive;
        case 10:
            return EligibilityReasonEnum.UserAuditPendingOrRejected;
        case 11:
            return EligibilityReasonEnum.UserRealNameInvalid;
        case 12:
            return EligibilityReasonEnum.UserAccountNotMobile;
        case 13:
            return EligibilityReasonEnum.UserHasNoCompany;
        case 20:
            return EligibilityReasonEnum.CompanyInactive;
        case 21:
            return EligibilityReasonEnum.CompanyAuditPendingOrRejected;
        case 22:
            return EligibilityReasonEnum.NotCompanyAdmin;
        case 23:
            return EligibilityReasonEnum.CompanyNotVip;
        case 24:
            return EligibilityReasonEnum.CompanyInfoNotPerfect;
        case 25:
            return EligibilityReasonEnum.NoShops;
        default:
            throw new Error(`${n} is an invalid EligibilityReasonEnum`);
    }
}
		