
import { EligibilityStatusEnum } from "./EligibilityStatusEnum"
export function convertToEligibilityStatusEnum(n: number): EligibilityStatusEnum{
    switch(n){
        case 1:
            return EligibilityStatusEnum.Ok;
        case 2:
            return EligibilityStatusEnum.Warn;
        case 3:
            return EligibilityStatusEnum.Error;
        default:
            throw new Error(`${n} is an invalid EligibilityStatusEnum`);
    }
}
		