
import { EligibilityTypeEnum } from "./EligibilityTypeEnum"
export function convertToEligibilityTypeEnum(n: number): EligibilityTypeEnum{
    switch(n){
        case 1:
            return EligibilityTypeEnum.TopicPost;
        case 10:
            return EligibilityTypeEnum.Product;
        case 11:
            return EligibilityTypeEnum.OtherCompanyCommonManagement;
        case 12:
            return EligibilityTypeEnum.CompanyVipManagement;
        case 13:
            return EligibilityTypeEnum.Article;
        case 17:
            return EligibilityTypeEnum.JoinCompany;
        case 18:
            return EligibilityTypeEnum.InviteCompany;
        case 20:
            return EligibilityTypeEnum.Chat;
        case 30:
            return EligibilityTypeEnum.Meetup;
        case 31:
            return EligibilityTypeEnum.JoinMeetup;
        case 40:
            return EligibilityTypeEnum.AddFriend;
        default:
            throw new Error(`${n} is an invalid EligibilityTypeEnum`);
    }
}
		