
import { EnterpriseCenterMenuEnum } from "./EnterpriseCenterMenuEnum"
export function convertToEnterpriseCenterMenuEnum(n: number): EnterpriseCenterMenuEnum{
    switch(n){
        case 1:
            return EnterpriseCenterMenuEnum.EnterpriseHome;
        case 2:
            return EnterpriseCenterMenuEnum.ProductManagement;
        case 3:
            return EnterpriseCenterMenuEnum.ProductList;
        case 4:
            return EnterpriseCenterMenuEnum.CompanyManagement;
        case 5:
            return EnterpriseCenterMenuEnum.CompanyAuthentication;
        case 6:
            return EnterpriseCenterMenuEnum.CompanyProfile;
        case 7:
            return EnterpriseCenterMenuEnum.FriendlyLink;
        case 8:
            return EnterpriseCenterMenuEnum.CreateArticle;
        case 9:
            return EnterpriseCenterMenuEnum.SiteRenovation;
        case 10:
            return EnterpriseCenterMenuEnum.EditNavigations;
        case 11:
            return EnterpriseCenterMenuEnum.MemberManagement;
        case 12:
            return EnterpriseCenterMenuEnum.MemberInvitations;
        case 13:
            return EnterpriseCenterMenuEnum.MemberApplications;
        case 15:
            return EnterpriseCenterMenuEnum.Statistics;
        case 16:
            return EnterpriseCenterMenuEnum.EditArticleTypes;
        case 17:
            return EnterpriseCenterMenuEnum.ArticleList;
        case 18:
            return EnterpriseCenterMenuEnum.SelectTemplate;
        case 20:
            return EnterpriseCenterMenuEnum.CreateProduct;
        case 21:
            return EnterpriseCenterMenuEnum.EditCustomCategories;
        case 23:
            return EnterpriseCenterMenuEnum.SEOSetting;
        case 24:
            return EnterpriseCenterMenuEnum.ArticleManagement;
        case 25:
            return EnterpriseCenterMenuEnum.SiteExamination;
        case 26:
            return EnterpriseCenterMenuEnum.CreateProductFinished;
        case 27:
            return EnterpriseCenterMenuEnum.CreateArticleFinished;
        default:
            throw new Error(`${n} is an invalid EnterpriseCenterMenuEnum`);
    }
}
		