
import { Fht1AccountMigrationStatusEnum } from "./Fht1AccountMigrationStatusEnum"
export function convertToFht1AccountMigrationStatusEnum(n: number): Fht1AccountMigrationStatusEnum{
    switch(n){
        case 1:
            return Fht1AccountMigrationStatusEnum.InFht1;
        case 2:
            return Fht1AccountMigrationStatusEnum.InFht2AndNeedAccountWizard;
        case 3:
            return Fht1AccountMigrationStatusEnum.InFht2;
        default:
            throw new Error(`${n} is an invalid Fht1AccountMigrationStatusEnum`);
    }
}
		