
import { HostNameEnumEnum } from "./HostNameEnumEnum"
export function convertToHostNameEnumEnum(n: number): HostNameEnumEnum{
    switch(n){
        case 1:
            return HostNameEnumEnum.www;
        case 3:
            return HostNameEnumEnum.m;
        case 4:
            return HostNameEnumEnum.wap;
        case 5:
            return HostNameEnumEnum.company;
        case 6:
            return HostNameEnumEnum.detail;
        case 7:
            return HostNameEnumEnum.topic;
        default:
            throw new Error(`${n} is an invalid HostNameEnumEnum`);
    }
}
		