
import { ImageSizeTypeEnum } from "./ImageSizeTypeEnum"
export function convertToImageSizeTypeEnum(n: number): ImageSizeTypeEnum{
    switch(n){
        case 0:
            return ImageSizeTypeEnum.Large;
        case 1:
            return ImageSizeTypeEnum.Thumbnail44whFill;
        case 2:
            return ImageSizeTypeEnum.Thumbnail100whFill;
        case 3:
            return ImageSizeTypeEnum.Thumbnail200whFill;
        case 4:
            return ImageSizeTypeEnum.Thumbnail300whFill;
        case 5:
            return ImageSizeTypeEnum.Thumbnail400_300whFill;
        case 6:
            return ImageSizeTypeEnum.Thumbnail100wh7rFill;
        case 7:
            return ImageSizeTypeEnum.Thumbnail80wh40crFill;
        case 8:
            return ImageSizeTypeEnum.Thumbnail200w;
        case 9:
            return ImageSizeTypeEnum.Thumbnail200whFit;
        case 10:
            return ImageSizeTypeEnum.Thumbnail750_440whFill;
        case 11:
            return ImageSizeTypeEnum.Thumbnail1920_500whFill;
        case 12:
            return ImageSizeTypeEnum.Thumbnail1600_500whFill;
        case 13:
            return ImageSizeTypeEnum.Thumbnail1440_500whFill;
        case 14:
            return ImageSizeTypeEnum.Thumbnail1280_500whFill;
        case 15:
            return ImageSizeTypeEnum.Thumbnail440whFill;
        case 16:
            return ImageSizeTypeEnum.Thumbnail500hAlpha;
        case 17:
            return ImageSizeTypeEnum.Thumbnail120_60whLongSideAlpha;
        case 18:
            return ImageSizeTypeEnum.Thumbnail100whLongSideAlpha;
        case 19:
            return ImageSizeTypeEnum.Thumbnail80whAlphaFit;
        case 20:
            return ImageSizeTypeEnum.Thumbnail200whAlphaFill;
        case 21:
            return ImageSizeTypeEnum.AssetsOrigin;
        case 22:
            return ImageSizeTypeEnum.AssetsGif;
        default:
            throw new Error(`${n} is an invalid ImageSizeTypeEnum`);
    }
}
		