
import { InviteRequestStatusEnum } from "./InviteRequestStatusEnum"
export function convertToInviteRequestStatusEnum(n: number): InviteRequestStatusEnum{
    switch(n){
        case 1:
            return InviteRequestStatusEnum.Inviting;
        case 2:
            return InviteRequestStatusEnum.Accepted;
        case 3:
            return InviteRequestStatusEnum.Rejected;
        case 4:
            return InviteRequestStatusEnum.Canceled;
        default:
            throw new Error(`${n} is an invalid InviteRequestStatusEnum`);
    }
}
		