
import { MobilePageIdEnum } from "./MobilePageIdEnum"
export function convertToMobilePageIdEnum(n: number): MobilePageIdEnum{
    switch(n){
        case 1:
            return MobilePageIdEnum.Login;
        case 2:
            return MobilePageIdEnum.Registration;
        case 3:
            return MobilePageIdEnum.FindPassword;
        case 100:
            return MobilePageIdEnum.HomeTab;
        case 101:
            return MobilePageIdEnum.MyBusinessOpportunity;
        case 102:
            return MobilePageIdEnum.Notifications;
        case 103:
            return MobilePageIdEnum.Broadcasts;
        case 110:
            return MobilePageIdEnum.ChatRoom;
        case 111:
            return MobilePageIdEnum.ChatRoomSetting;
        case 200:
            return MobilePageIdEnum.FriendsTab;
        case 201:
            return MobilePageIdEnum.SearchFriends;
        case 202:
            return MobilePageIdEnum.DiscoverFriends;
        case 203:
            return MobilePageIdEnum.FriendGroup;
        case 204:
            return MobilePageIdEnum.FriendRequests;
        case 205:
            return MobilePageIdEnum.SavedGroups;
        case 207:
            return MobilePageIdEnum.DiscoverNearbyFriends;
        case 208:
            return MobilePageIdEnum.DiscoverIndustryFriends;
        case 210:
            return MobilePageIdEnum.Meetups;
        case 211:
            return MobilePageIdEnum.MeetupDetail;
        case 212:
            return MobilePageIdEnum.MeetupMembers;
        case 300:
            return MobilePageIdEnum.PublishTab;
        case 301:
            return MobilePageIdEnum.CreateTopicPost;
        case 400:
            return MobilePageIdEnum.BusinessOpportunityTab;
        case 410:
            return MobilePageIdEnum.ProductList;
        case 411:
            return MobilePageIdEnum.ProductDetail;
        case 420:
            return MobilePageIdEnum.TopicPostList;
        case 421:
            return MobilePageIdEnum.TopicPostDetail;
        case 430:
            return MobilePageIdEnum.NearbyTopicPosts;
        case 431:
            return MobilePageIdEnum.NearbyCompanies;
        case 432:
            return MobilePageIdEnum.RecommendedTopicPosts;
        case 500:
            return MobilePageIdEnum.MeTab;
        case 501:
            return MobilePageIdEnum.UpdateMyProfile;
        case 502:
            return MobilePageIdEnum.MyQrCode;
        case 503:
            return MobilePageIdEnum.MyTopicPosts;
        case 504:
            return MobilePageIdEnum.MyCollections;
        case 505:
            return MobilePageIdEnum.RecentVisitors;
        case 506:
            return MobilePageIdEnum.ViewingHistories;
        case 510:
            return MobilePageIdEnum.MyCompany;
        case 511:
            return MobilePageIdEnum.MyCompanyProfile;
        case 512:
            return MobilePageIdEnum.MyCompanyMembers;
        case 513:
            return MobilePageIdEnum.MyCompanyQrCode;
        case 514:
            return MobilePageIdEnum.UpdateMyCompanyProfile;
        case 515:
            return MobilePageIdEnum.MyCompanyAuthentication;
        case 516:
            return MobilePageIdEnum.MyCompanyStatistics;
        case 517:
            return MobilePageIdEnum.IncomingCompanyApplications;
        case 518:
            return MobilePageIdEnum.MyCompanyAdminManagment;
        case 519:
            return MobilePageIdEnum.MyCompanyCustomerServiceManagement;
        case 520:
            return MobilePageIdEnum.CompanyDetail;
        case 550:
            return MobilePageIdEnum.Settings;
        case 551:
            return MobilePageIdEnum.NotificationSettings;
        case 552:
            return MobilePageIdEnum.AccountSecurity;
        case 553:
            return MobilePageIdEnum.Privacy;
        case 554:
            return MobilePageIdEnum.BlockSettings;
        case 555:
            return MobilePageIdEnum.AboutUs;
        case 556:
            return MobilePageIdEnum.ClearCaches;
        case 557:
            return MobilePageIdEnum.FontSettings;
        case 600:
            return MobilePageIdEnum.UserDetail;
        case 610:
            return MobilePageIdEnum.MobileWeb;
        case 701:
            return MobilePageIdEnum.RecommendedProducts;
        case 702:
            return MobilePageIdEnum.GeneralSearch;
        case 703:
            return MobilePageIdEnum.UserTopicPosts;
        case 800:
            return MobilePageIdEnum.AboutUsContactUs;
        case 801:
            return MobilePageIdEnum.AboutUsIntroduction;
        case 803:
            return MobilePageIdEnum.AddFriend;
        case 804:
            return MobilePageIdEnum.CreateFriendRequest;
        case 805:
            return MobilePageIdEnum.LoginSearchCompanies;
        case 806:
            return MobilePageIdEnum.RegisterSearchCompanies;
        case 807:
            return MobilePageIdEnum.BindPhone;
        case 808:
            return MobilePageIdEnum.SearchProductTopicPosts;
        case 809:
            return MobilePageIdEnum.SearchChatMessages;
        case 810:
            return MobilePageIdEnum.GeneralTypeSearch;
        case 811:
            return MobilePageIdEnum.CompactCompositeMessages;
        case 812:
            return MobilePageIdEnum.City;
        case 813:
            return MobilePageIdEnum.Location;
        case 814:
            return MobilePageIdEnum.Complain;
        case 815:
            return MobilePageIdEnum.ComplainEvidence;
        case 816:
            return MobilePageIdEnum.CompanyCustomerServices;
        case 817:
            return MobilePageIdEnum.CompanyManagers;
        case 818:
            return MobilePageIdEnum.ContactFriends;
        case 819:
            return MobilePageIdEnum.CreateFriendGroup;
        case 820:
            return MobilePageIdEnum.UpdateFriendGroup;
        case 821:
            return MobilePageIdEnum.CreateGroupChat;
        case 822:
            return MobilePageIdEnum.CreateOrJoinCompany;
        case 823:
            return MobilePageIdEnum.LoginCreateCompany;
        case 824:
            return MobilePageIdEnum.RegisterCreateCompany;
        case 825:
            return MobilePageIdEnum.FeedBack;
        case 826:
            return MobilePageIdEnum.ForgetPassword;
        case 828:
            return MobilePageIdEnum.FriendGroupDetail;
        case 829:
            return MobilePageIdEnum.FriendSelection;
        case 830:
            return MobilePageIdEnum.GroupChatDetail;
        case 831:
            return MobilePageIdEnum.GroupChatMembers;
        case 832:
            return MobilePageIdEnum.IncomingCompanyInvitations;
        case 833:
            return MobilePageIdEnum.ViewLocation;
        case 834:
            return MobilePageIdEnum.IncomingMeetupInvitations;
        case 835:
            return MobilePageIdEnum.MeetupChatDetail;
        case 836:
            return MobilePageIdEnum.ModifyBindedPhone;
        case 837:
            return MobilePageIdEnum.ModifyPassword;
        case 838:
            return MobilePageIdEnum.MyCompanyAuthenticationIdCard;
        case 839:
            return MobilePageIdEnum.MyCompanyAuthenticationLicense;
        case 840:
            return MobilePageIdEnum.RegisterationCompanyType;
        case 841:
            return MobilePageIdEnum.RegisterationOptimization;
        case 842:
            return MobilePageIdEnum.PersonChatDetail;
        case 843:
            return MobilePageIdEnum.PlayVideo;
        case 844:
            return MobilePageIdEnum.PreviewTopicPost;
        case 845:
            return MobilePageIdEnum.PublishMeetup;
        case 846:
            return MobilePageIdEnum.SystemRemindReadList;
        case 847:
            return MobilePageIdEnum.SystemRemindUnReadList;
        case 848:
            return MobilePageIdEnum.UpdateTopicPost;
        case 849:
            return MobilePageIdEnum.TouristDetail;
        case 850:
            return MobilePageIdEnum.TouristChatDetail;
        case 851:
            return MobilePageIdEnum.TouristRemark;
        case 852:
            return MobilePageIdEnum.ForwardTo;
        case 853:
            return MobilePageIdEnum.UserRemark;
        case 854:
            return MobilePageIdEnum.SearchUsers;
        case 855:
            return MobilePageIdEnum.V1UserBindPhone;
        case 856:
            return MobilePageIdEnum.PrvicayServiceProtocol;
        case 857:
            return MobilePageIdEnum.NotificationDetail;
        case 858:
            return MobilePageIdEnum.BroadcastDetail;
        case 859:
            return MobilePageIdEnum.IncomingMeetupApplications;
        default:
            throw new Error(`${n} is an invalid MobilePageIdEnum`);
    }
}
		