
import { RegIdentityTypeEnum } from "./RegIdentityTypeEnum"
export function convertToRegIdentityTypeEnum(n: number): RegIdentityTypeEnum{
    switch(n){
        case 1:
            return RegIdentityTypeEnum.NomalMember;
        case 2:
            return RegIdentityTypeEnum.JoinCompanyMember;
        case 3:
            return RegIdentityTypeEnum.CreateCompanyMember;
        default:
            throw new Error(`${n} is an invalid RegIdentityTypeEnum`);
    }
}
		