
import { ReportReasonEnum } from "./ReportReasonEnum"
export function convertToReportReasonEnum(n: number): ReportReasonEnum{
    switch(n){
        case 1:
            return ReportReasonEnum.Adult;
        case 2:
            return ReportReasonEnum.Political;
        case 3:
            return ReportReasonEnum.Advertisement;
        case 4:
            return ReportReasonEnum.Rumour;
        case 5:
            return ReportReasonEnum.Cheat;
        case 6:
            return ReportReasonEnum.Illegal;
        case 7:
            return ReportReasonEnum.Other;
        default:
            throw new Error(`${n} is an invalid ReportReasonEnum`);
    }
}
		