
import { SearchTypeEnum } from "./SearchTypeEnum"
export function convertToSearchTypeEnum(n: number): SearchTypeEnum{
    switch(n){
        case 1:
            return SearchTypeEnum.Product;
        case 2:
            return SearchTypeEnum.TopicPost;
        case 3:
            return SearchTypeEnum.User;
        case 4:
            return SearchTypeEnum.Company;
        case 5:
            return SearchTypeEnum.Meetup;
        default:
            throw new Error(`${n} is an invalid SearchTypeEnum`);
    }
}
		