
import { TimeRuleEnum } from "./TimeRuleEnum"
export function convertToTimeRuleEnum(n: number): TimeRuleEnum{
    switch(n){
        case 1:
            return TimeRuleEnum.All;
        case 2:
            return TimeRuleEnum.Within24Hours;
        case 3:
            return TimeRuleEnum.Within3Days;
        case 4:
            return TimeRuleEnum.Within1Week;
        case 5:
            return TimeRuleEnum.Within1Month;
        default:
            throw new Error(`${n} is an invalid TimeRuleEnum`);
    }
}
		