
import { UserActivityTypeEnum } from "./UserActivityTypeEnum"
export function convertToUserActivityTypeEnum(n: number): UserActivityTypeEnum{
    switch(n){
        case 101:
            return UserActivityTypeEnum.EnterApp;
        case 102:
            return UserActivityTypeEnum.Register;
        case 103:
            return UserActivityTypeEnum.Login;
        case 111:
            return UserActivityTypeEnum.CreateCompany;
        case 121:
            return UserActivityTypeEnum.Create;
        case 122:
            return UserActivityTypeEnum.Update;
        case 201:
            return UserActivityTypeEnum.ViewDetail;
        case 202:
            return UserActivityTypeEnum.Impression;
        case 203:
            return UserActivityTypeEnum.ViewList;
        case 204:
            return UserActivityTypeEnum.Search;
        case 205:
            return UserActivityTypeEnum.Hover;
        case 206:
            return UserActivityTypeEnum.Click;
        case 301:
            return UserActivityTypeEnum.Collect;
        case 302:
            return UserActivityTypeEnum.Report;
        case 303:
            return UserActivityTypeEnum.Chat;
        case 304:
            return UserActivityTypeEnum.Forward;
        case 311:
            return UserActivityTypeEnum.FriendRequest;
        case 312:
            return UserActivityTypeEnum.AcceptFriend;
        case 313:
            return UserActivityTypeEnum.RejectFriend;
        case 400:
            return UserActivityTypeEnum.Error;
        case 512:
            return UserActivityTypeEnum.AuthenticateCompany;
        case 513:
            return UserActivityTypeEnum.EnableShop;
        case 514:
            return UserActivityTypeEnum.CompanyManagement;
        case 515:
            return UserActivityTypeEnum.JoinCompany;
        case 516:
            return UserActivityTypeEnum.SwitchTemplate;
        default:
            throw new Error(`${n} is an invalid UserActivityTypeEnum`);
    }
}
		