
import { UuidCodeTypeEnum } from "./UuidCodeTypeEnum"
export function convertToUuidCodeTypeEnum(n: number): UuidCodeTypeEnum{
    switch(n){
        case 201:
            return UuidCodeTypeEnum.NotScanned;
        case 202:
            return UuidCodeTypeEnum.ToBeConfirmed;
        case 203:
            return UuidCodeTypeEnum.Revoke;
        case 204:
            return UuidCodeTypeEnum.SignedIn;
        case 205:
            return UuidCodeTypeEnum.Invalid;
        case 206:
            return UuidCodeTypeEnum.Used;
        default:
            throw new Error(`${n} is an invalid UuidCodeTypeEnum`);
    }
}
		