
import { VueFunctionalityEnum } from "./VueFunctionalityEnum"
export function convertToVueFunctionalityEnum(n: number): VueFunctionalityEnum{
    switch(n){
        case 1:
            return VueFunctionalityEnum.Center;
        case 2:
            return VueFunctionalityEnum.Report;
        case 3:
            return VueFunctionalityEnum.Feedback;
        case 4:
            return VueFunctionalityEnum.EditTemplate;
        case 5:
            return VueFunctionalityEnum.LayoutNotifications;
        case 6:
            return VueFunctionalityEnum.CreateTopicPost;
        case 7:
            return VueFunctionalityEnum.Login;
        case 8:
            return VueFunctionalityEnum.FindPassword;
        case 9:
            return VueFunctionalityEnum.Register;
        case 10:
            return VueFunctionalityEnum.AgencyApplicationFormModal;
        case 11:
            return VueFunctionalityEnum.MemberApplicationFormModal;
        case 100:
            return VueFunctionalityEnum.CmsSettingAdmin;
        case 101:
            return VueFunctionalityEnum.BindExternalAccount;
        default:
            throw new Error(`${n} is an invalid VueFunctionalityEnum`);
    }
}
		