
import { ApplicationEnvEnum } from "./ApplicationEnvEnum"
export function describeApplicationEnvEnum(e: ApplicationEnvEnum): string{
    switch(e){
        case ApplicationEnvEnum.Local:
            return "各个程序员开发的本地环境";
        case ApplicationEnvEnum.Development:
            return "线下开发环境";
        case ApplicationEnvEnum.MobileDevelopment:
            return "移动开发线下环境";
        case ApplicationEnvEnum.Staging:
            return "线下模拟的准生产环境";
        case ApplicationEnvEnum.Production:
            return "线上生产环境";
        default:
            throw new Error(`${e} is an invalid ApplicationEnvEnum`);
    }
}
		