
import { ApplyRequestStatusEnum } from "./ApplyRequestStatusEnum"
export function describeApplyRequestStatusEnum(e: ApplyRequestStatusEnum): string{
    switch(e){
        case ApplyRequestStatusEnum.Applying:
            return "申请中";
        case ApplyRequestStatusEnum.Accepted:
            return "已同意";
        case ApplyRequestStatusEnum.Rejected:
            return "已拒绝";
        case ApplyRequestStatusEnum.Canceled:
            return "已取消";
        default:
            throw new Error(`${e} is an invalid ApplyRequestStatusEnum`);
    }
}
		