
import { BusinessEmojiEnum } from "./BusinessEmojiEnum"
export function describeBusinessEmojiEnum(e: BusinessEmojiEnum): string{
    switch(e){
        case BusinessEmojiEnum.business_0:
            return "出差";
        case BusinessEmojiEnum.business_1:
            return "上班";
        case BusinessEmojiEnum.business_2:
            return "合作愉快";
        case BusinessEmojiEnum.business_3:
            return "开会";
        case BusinessEmojiEnum.business_4:
            return "见面详谈";
        case BusinessEmojiEnum.business_5:
            return "聚会";
        case BusinessEmojiEnum.business_6:
            return "开车";
        case BusinessEmojiEnum.business_7:
            return "握手";
        case BusinessEmojiEnum.business_8:
            return "有什么可以帮您";
        default:
            throw new Error(`${e} is an invalid BusinessEmojiEnum`);
    }
}
		