
import { ChatTypeEnum } from "./ChatTypeEnum"
export function describeChatTypeEnum(e: ChatTypeEnum): string{
    switch(e){
        case ChatTypeEnum.Tourist:
            return "游客聊";
        case ChatTypeEnum.Personal:
            return "单聊";
        case ChatTypeEnum.Group:
            return "群聊";
        case ChatTypeEnum.Meetup:
            return "一起玩";
        default:
            throw new Error(`${e} is an invalid ChatTypeEnum`);
    }
}
		