
import { ConstItemEnum } from "./ConstItemEnum"
export function describeConstItemEnum(e: ConstItemEnum): string{
    switch(e){
        case ConstItemEnum.CzCustmerServiceHotline:
            return "0519-68688008";
        case ConstItemEnum.CzCustmerServiceHotlineExtra:
            return "0519-68208481";
        case ConstItemEnum.NjCustmerServiceHotline:
            return "025-58505218";
        case ConstItemEnum.NjAddress:
            return "江苏省南京市秦淮区集庆路198号泽天写字楼4F";
        case ConstItemEnum.CzAddress:
            return "江苏省常州市西横街10号创意产业园3号楼";
        case ConstItemEnum.NjCompanyName:
            return "江苏火火网络科技有限公司";
        case ConstItemEnum.CzCompanyName:
            return "江苏火火网络营销服务有限公司";
        case ConstItemEnum.NjPostCode:
            return "210000";
        case ConstItemEnum.CzPostCode:
            return "213003";
        default:
            throw new Error(`${e} is an invalid ConstItemEnum`);
    }
}
		