
import { EnterpriseCenterMenuEnum } from "./EnterpriseCenterMenuEnum"
export function describeEnterpriseCenterMenuEnum(e: EnterpriseCenterMenuEnum): string{
    switch(e){
        case EnterpriseCenterMenuEnum.EnterpriseHome:
            return "企业首页";
        case EnterpriseCenterMenuEnum.ProductManagement:
            return "产品管理";
        case EnterpriseCenterMenuEnum.ProductList:
            return "产品列表";
        case EnterpriseCenterMenuEnum.CompanyManagement:
            return "企业管理";
        case EnterpriseCenterMenuEnum.CompanyAuthentication:
            return "企业认证";
        case EnterpriseCenterMenuEnum.CompanyProfile:
            return "公司资料";
        case EnterpriseCenterMenuEnum.FriendlyLink:
            return "友情链接管理";
        case EnterpriseCenterMenuEnum.CreateArticle:
            return "发布文章";
        case EnterpriseCenterMenuEnum.SiteRenovation:
            return "商铺装修";
        case EnterpriseCenterMenuEnum.EditNavigations:
            return "导航栏设置";
        case EnterpriseCenterMenuEnum.MemberManagement:
            return "我的企业";
        case EnterpriseCenterMenuEnum.MemberInvitations:
            return "成员邀请";
        case EnterpriseCenterMenuEnum.MemberApplications:
            return "成员申请";
        case EnterpriseCenterMenuEnum.Statistics:
            return "数据统计";
        case EnterpriseCenterMenuEnum.EditArticleTypes:
            return "文章分类设置";
        case EnterpriseCenterMenuEnum.ArticleList:
            return "文章列表";
        case EnterpriseCenterMenuEnum.SelectTemplate:
            return "选择模板";
        case EnterpriseCenterMenuEnum.CreateProduct:
            return "发布产品";
        case EnterpriseCenterMenuEnum.EditCustomCategories:
            return "产品分类设置";
        case EnterpriseCenterMenuEnum.SEOSetting:
            return "SEO功能";
        case EnterpriseCenterMenuEnum.ArticleManagement:
            return "文章管理";
        case EnterpriseCenterMenuEnum.SiteExamination:
            return "站点体检";
        case EnterpriseCenterMenuEnum.CreateProductFinished:
            return "产品发布成功";
        case EnterpriseCenterMenuEnum.CreateArticleFinished:
            return "文章发布成功";
        default:
            throw new Error(`${e} is an invalid EnterpriseCenterMenuEnum`);
    }
}
		