
import { ExamineItemNameEnum } from "./ExamineItemNameEnum"
export function describeExamineItemNameEnum(e: ExamineItemNameEnum): string{
    switch(e){
        case ExamineItemNameEnum.ProductCreate:
            return "产品发布";
        case ExamineItemNameEnum.ShopDesign:
            return "商铺维护";
        case ExamineItemNameEnum.NewsCreate:
            return "新闻发布";
        case ExamineItemNameEnum.CustomCategory:
            return "自定义分类";
        case ExamineItemNameEnum.CustomerServiceManagement:
            return "客服管理";
        case ExamineItemNameEnum.JoinMemberManagement:
            return "新加入管理";
        case ExamineItemNameEnum.Authentication:
            return "企业认证";
        case ExamineItemNameEnum.Membership:
            return "会员等级";
        case ExamineItemNameEnum.LogoSetting:
            return "Logo设置";
        case ExamineItemNameEnum.Contact:
            return "联系方式";
        default:
            throw new Error(`${e} is an invalid ExamineItemNameEnum`);
    }
}
		