
import { ExamineModuleNameEnum } from "./ExamineModuleNameEnum"
export function describeExamineModuleNameEnum(e: ExamineModuleNameEnum): string{
    switch(e){
        case ExamineModuleNameEnum.ShopDesign:
            return "商铺装修";
        case ExamineModuleNameEnum.BasicManage:
            return "基础管理";
        case ExamineModuleNameEnum.CompanySetting:
            return "企业设置";
        default:
            throw new Error(`${e} is an invalid ExamineModuleNameEnum`);
    }
}
		