
import { FhtWebDetailHostTypeEnum } from "./FhtWebDetailHostTypeEnum"
export function describeFhtWebDetailHostTypeEnum(e: FhtWebDetailHostTypeEnum): string{
    switch(e){
        case FhtWebDetailHostTypeEnum.Local:
            return "http://localhost:8001";
        case FhtWebDetailHostTypeEnum.Development:
            return "http://detail.developmentfht360web.com";
        case FhtWebDetailHostTypeEnum.MobileDevelopment:
            return "http://detail.mobiledevelopmentfht360web.com";
        case FhtWebDetailHostTypeEnum.Staging:
            return "http://detail.stagingfht360web.com";
        case FhtWebDetailHostTypeEnum.Production:
            return "https://detail.fht360.com";
        default:
            throw new Error(`${e} is an invalid FhtWebDetailHostTypeEnum`);
    }
}
		