
import { FhtWebMobileCompanyHostTypeEnum } from "./FhtWebMobileCompanyHostTypeEnum"
export function describeFhtWebMobileCompanyHostTypeEnum(e: FhtWebMobileCompanyHostTypeEnum): string{
    switch(e){
        case FhtWebMobileCompanyHostTypeEnum.Local:
            return "http://localhost:8001";
        case FhtWebMobileCompanyHostTypeEnum.Development:
            return "http://wap.developmentfht360web.com";
        case FhtWebMobileCompanyHostTypeEnum.MobileDevelopment:
            return "http://wap.mobiledevelopmentfht360web.com";
        case FhtWebMobileCompanyHostTypeEnum.Staging:
            return "http://wap.stagingfht360web.com";
        case FhtWebMobileCompanyHostTypeEnum.Production:
            return "https://wap.fht360.com";
        default:
            throw new Error(`${e} is an invalid FhtWebMobileCompanyHostTypeEnum`);
    }
}
		