
import { FhtWebMobileHostTypeEnum } from "./FhtWebMobileHostTypeEnum"
export function describeFhtWebMobileHostTypeEnum(e: FhtWebMobileHostTypeEnum): string{
    switch(e){
        case FhtWebMobileHostTypeEnum.Local:
            return "http://localhost:8001";
        case FhtWebMobileHostTypeEnum.Development:
            return "http://m.developmentfht360web.com:7004";
        case FhtWebMobileHostTypeEnum.MobileDevelopment:
            return "http://m.mobiledevelopmentfht360web.com:8004";
        case FhtWebMobileHostTypeEnum.Staging:
            return "http://m.stagingfht360web.com:9004";
        case FhtWebMobileHostTypeEnum.Production:
            return "https://m.fht360.com";
        default:
            throw new Error(`${e} is an invalid FhtWebMobileHostTypeEnum`);
    }
}
		