
import { ForwardPlatformEnum } from "./ForwardPlatformEnum"
export function describeForwardPlatformEnum(e: ForwardPlatformEnum): string{
    switch(e){
        case ForwardPlatformEnum.Feige:
            return "飞鸽联动";
        case ForwardPlatformEnum.WeixinFriend:
            return "微信好友";
        case ForwardPlatformEnum.WeixinZone:
            return "微信朋友圈";
        case ForwardPlatformEnum.QQFriend:
            return "QQ好友";
        case ForwardPlatformEnum.QQZone:
            return "QQ空间";
        case ForwardPlatformEnum.SinaWeibo:
            return "新浪微博";
        case ForwardPlatformEnum.Other:
            return "其他";
        default:
            throw new Error(`${e} is an invalid ForwardPlatformEnum`);
    }
}
		