
import { GenericItemTypeEnum } from "./GenericItemTypeEnum"
export function describeGenericItemTypeEnum(e: GenericItemTypeEnum): string{
    switch(e){
        case GenericItemTypeEnum.Product:
            return "产品";
        case GenericItemTypeEnum.TopicPost:
            return "服务";
        case GenericItemTypeEnum.User:
            return "用户";
        case GenericItemTypeEnum.Company:
            return "公司";
        case GenericItemTypeEnum.Meetup:
            return "一起玩";
        case GenericItemTypeEnum.Article:
            return "文章";
        default:
            throw new Error(`${e} is an invalid GenericItemTypeEnum`);
    }
}
		