
import { HotSearchWordTypeEnum } from "./HotSearchWordTypeEnum"
export function describeHotSearchWordTypeEnum(e: HotSearchWordTypeEnum): string{
    switch(e){
        case HotSearchWordTypeEnum.Product:
            return "产品";
        case HotSearchWordTypeEnum.TopicPost:
            return "服务";
        case HotSearchWordTypeEnum.User:
            return "用户";
        case HotSearchWordTypeEnum.Company:
            return "公司";
        case HotSearchWordTypeEnum.Meetup:
            return "一起玩";
        default:
            throw new Error(`${e} is an invalid HotSearchWordTypeEnum`);
    }
}
		