
import { InviteRequestStatusEnum } from "./InviteRequestStatusEnum"
export function describeInviteRequestStatusEnum(e: InviteRequestStatusEnum): string{
    switch(e){
        case InviteRequestStatusEnum.Inviting:
            return "邀请中";
        case InviteRequestStatusEnum.Accepted:
            return "已同意";
        case InviteRequestStatusEnum.Rejected:
            return "已拒绝";
        case InviteRequestStatusEnum.Canceled:
            return "已取消";
        default:
            throw new Error(`${e} is an invalid InviteRequestStatusEnum`);
    }
}
		