
import { KeywordStatusEnum } from "./KeywordStatusEnum"
export function describeKeywordStatusEnum(e: KeywordStatusEnum): string{
    switch(e){
        case KeywordStatusEnum.Deleted:
            return "删除";
        case KeywordStatusEnum.InUse:
            return "启用";
        case KeywordStatusEnum.NotUsedAnyMore:
            return "禁用";
        default:
            throw new Error(`${e} is an invalid KeywordStatusEnum`);
    }
}
		