
import { LinkTypeEnum } from "./LinkTypeEnum"
export function describeLinkTypeEnum(e: LinkTypeEnum): string{
    switch(e){
        case LinkTypeEnum.None:
            return "无";
        case LinkTypeEnum.Product:
            return "产品";
        case LinkTypeEnum.ArticleType:
            return "文章类型";
        case LinkTypeEnum.Article:
            return "文章";
        case LinkTypeEnum.CustomCategory:
            return "产品自定义分类";
        default:
            throw new Error(`${e} is an invalid LinkTypeEnum`);
    }
}
		