
import { ManagementActionEnum } from "./ManagementActionEnum"
export function describeManagementActionEnum(e: ManagementActionEnum): string{
    switch(e){
        case ManagementActionEnum.UpdateCompany:
            return "更新公司资料";
        case ManagementActionEnum.UpdateTemplate:
            return "更新模板配置";
        default:
            throw new Error(`${e} is an invalid ManagementActionEnum`);
    }
}
		