
import { MarketingKeywordTypeEnum } from "./MarketingKeywordTypeEnum"
export function describeMarketingKeywordTypeEnum(e: MarketingKeywordTypeEnum): string{
    switch(e){
        case MarketingKeywordTypeEnum.Company:
            return "企业厂商";
        case MarketingKeywordTypeEnum.Product:
            return "产品服务";
        case MarketingKeywordTypeEnum.Article:
            return "资讯新闻";
        default:
            throw new Error(`${e} is an invalid MarketingKeywordTypeEnum`);
    }
}
		