
import { MobilePageIdEnum } from "./MobilePageIdEnum"
export function describeMobilePageIdEnum(e: MobilePageIdEnum): string{
    switch(e){
        case MobilePageIdEnum.Login:
            return "登录";
        case MobilePageIdEnum.Registration:
            return "注册";
        case MobilePageIdEnum.FindPassword:
            return "找回密码";
        case MobilePageIdEnum.HomeTab:
            return "首页";
        case MobilePageIdEnum.MyBusinessOpportunity:
            return "首页我的商机";
        case MobilePageIdEnum.Notifications:
            return "通知消息";
        case MobilePageIdEnum.Broadcasts:
            return "系统公告";
        case MobilePageIdEnum.ChatRoom:
            return "聊天房间";
        case MobilePageIdEnum.ChatRoomSetting:
            return "聊天设置";
        case MobilePageIdEnum.FriendsTab:
            return "商友";
        case MobilePageIdEnum.SearchFriends:
            return "搜索好友";
        case MobilePageIdEnum.DiscoverFriends:
            return "发现商友";
        case MobilePageIdEnum.FriendGroup:
            return "商友分组";
        case MobilePageIdEnum.FriendRequests:
            return "好友申请";
        case MobilePageIdEnum.SavedGroups:
            return "我的群聊";
        case MobilePageIdEnum.DiscoverNearbyFriends:
            return "发现附近商友";
        case MobilePageIdEnum.DiscoverIndustryFriends:
            return "发现附近商友";
        case MobilePageIdEnum.Meetups:
            return "一起玩";
        case MobilePageIdEnum.MeetupDetail:
            return "一起玩详情";
        case MobilePageIdEnum.MeetupMembers:
            return "一起玩成员";
        case MobilePageIdEnum.PublishTab:
            return "发布";
        case MobilePageIdEnum.CreateTopicPost:
            return "发布表单";
        case MobilePageIdEnum.BusinessOpportunityTab:
            return "商机";
        case MobilePageIdEnum.ProductList:
            return "产品列表";
        case MobilePageIdEnum.ProductDetail:
            return "产品详情";
        case MobilePageIdEnum.TopicPostList:
            return "服务列表";
        case MobilePageIdEnum.TopicPostDetail:
            return "服务详情";
        case MobilePageIdEnum.NearbyTopicPosts:
            return "附近服务";
        case MobilePageIdEnum.NearbyCompanies:
            return "附近企业";
        case MobilePageIdEnum.RecommendedTopicPosts:
            return "推荐商机";
        case MobilePageIdEnum.MeTab:
            return "我";
        case MobilePageIdEnum.UpdateMyProfile:
            return "更新个人资料";
        case MobilePageIdEnum.MyQrCode:
            return "我的二维码";
        case MobilePageIdEnum.MyTopicPosts:
            return "我的发布";
        case MobilePageIdEnum.MyCollections:
            return "我的收藏";
        case MobilePageIdEnum.RecentVisitors:
            return "最近访客";
        case MobilePageIdEnum.ViewingHistories:
            return "历史足迹";
        case MobilePageIdEnum.MyCompany:
            return "我的企业";
        case MobilePageIdEnum.MyCompanyProfile:
            return "企业页面";
        case MobilePageIdEnum.MyCompanyMembers:
            return "我的企业成员";
        case MobilePageIdEnum.MyCompanyQrCode:
            return "企业二维码";
        case MobilePageIdEnum.UpdateMyCompanyProfile:
            return "修改企业资料";
        case MobilePageIdEnum.MyCompanyAuthentication:
            return "企业认证";
        case MobilePageIdEnum.MyCompanyStatistics:
            return "流量统计";
        case MobilePageIdEnum.IncomingCompanyApplications:
            return "新加入管理";
        case MobilePageIdEnum.MyCompanyAdminManagment:
            return "管理员设置";
        case MobilePageIdEnum.MyCompanyCustomerServiceManagement:
            return "客服设置";
        case MobilePageIdEnum.CompanyDetail:
            return "企业详情";
        case MobilePageIdEnum.Settings:
            return "设置";
        case MobilePageIdEnum.NotificationSettings:
            return "消息管理";
        case MobilePageIdEnum.AccountSecurity:
            return "账号安全";
        case MobilePageIdEnum.Privacy:
            return "隐私";
        case MobilePageIdEnum.BlockSettings:
            return "黑名单";
        case MobilePageIdEnum.AboutUs:
            return "关于我们";
        case MobilePageIdEnum.ClearCaches:
            return "清理存储空间";
        case MobilePageIdEnum.FontSettings:
            return "字体设置";
        case MobilePageIdEnum.UserDetail:
            return "用户详情";
        case MobilePageIdEnum.MobileWeb:
            return "webview打开移动web端";
        case MobilePageIdEnum.RecommendedProducts:
            return "推荐产品";
        case MobilePageIdEnum.GeneralSearch:
            return "综合搜索";
        case MobilePageIdEnum.UserTopicPosts:
            return "搜索";
        case MobilePageIdEnum.AboutUsContactUs:
            return "联系我们";
        case MobilePageIdEnum.AboutUsIntroduction:
            return "关于我们简介";
        case MobilePageIdEnum.AddFriend:
            return "添加好友";
        case MobilePageIdEnum.CreateFriendRequest:
            return "申请添加好友";
        case MobilePageIdEnum.LoginSearchCompanies:
            return "搜索企业(已登录)";
        case MobilePageIdEnum.RegisterSearchCompanies:
            return "搜索企业(未注册)";
        case MobilePageIdEnum.BindPhone:
            return "绑定手机号";
        case MobilePageIdEnum.SearchProductTopicPosts:
            return "产品帖子搜索";
        case MobilePageIdEnum.SearchChatMessages:
            return "消息搜索";
        case MobilePageIdEnum.GeneralTypeSearch:
            return "综合搜索-分类搜索";
        case MobilePageIdEnum.CompactCompositeMessages:
            return "浏览合并消息";
        case MobilePageIdEnum.City:
            return "选择城市";
        case MobilePageIdEnum.Location:
            return "地址定位";
        case MobilePageIdEnum.Complain:
            return "投诉";
        case MobilePageIdEnum.ComplainEvidence:
            return "投诉-提交截图等";
        case MobilePageIdEnum.CompanyCustomerServices:
            return "企业客服";
        case MobilePageIdEnum.CompanyManagers:
            return "企业管理员";
        case MobilePageIdEnum.ContactFriends:
            return "通讯录好友";
        case MobilePageIdEnum.CreateFriendGroup:
            return "创建好友分组";
        case MobilePageIdEnum.UpdateFriendGroup:
            return "修改好友分组";
        case MobilePageIdEnum.CreateGroupChat:
            return "创建群聊";
        case MobilePageIdEnum.CreateOrJoinCompany:
            return "创建或加入企业(已登录)";
        case MobilePageIdEnum.LoginCreateCompany:
            return "创建企业(已登录)";
        case MobilePageIdEnum.RegisterCreateCompany:
            return "创建企业(未注册)";
        case MobilePageIdEnum.FeedBack:
            return "意见反馈";
        case MobilePageIdEnum.ForgetPassword:
            return "忘记密码";
        case MobilePageIdEnum.FriendGroupDetail:
            return "好友分组详情";
        case MobilePageIdEnum.FriendSelection:
            return "好友列表(选择好友:邀请好友加入企业、好友分组等)";
        case MobilePageIdEnum.GroupChatDetail:
            return "群聊详情";
        case MobilePageIdEnum.GroupChatMembers:
            return "群聊成员";
        case MobilePageIdEnum.IncomingCompanyInvitations:
            return "企业邀请";
        case MobilePageIdEnum.ViewLocation:
            return "位置预览(预览已知地理位置)";
        case MobilePageIdEnum.IncomingMeetupInvitations:
            return "一起玩新邀请";
        case MobilePageIdEnum.MeetupChatDetail:
            return "一起玩群聊详情";
        case MobilePageIdEnum.ModifyBindedPhone:
            return "修改手机号";
        case MobilePageIdEnum.ModifyPassword:
            return "修改密码";
        case MobilePageIdEnum.MyCompanyAuthenticationIdCard:
            return "企业认证-上传联系人身份证";
        case MobilePageIdEnum.MyCompanyAuthenticationLicense:
            return "企业认证-上传营业执照";
        case MobilePageIdEnum.RegisterationCompanyType:
            return "注册-选择企业类型";
        case MobilePageIdEnum.RegisterationOptimization:
            return "注册-完善注册信息";
        case MobilePageIdEnum.PersonChatDetail:
            return "单聊详情";
        case MobilePageIdEnum.PlayVideo:
            return "播放视频";
        case MobilePageIdEnum.PreviewTopicPost:
            return "预览服务发布";
        case MobilePageIdEnum.PublishMeetup:
            return "发布一起玩";
        case MobilePageIdEnum.SystemRemindReadList:
            return "服务提醒记录(已读)";
        case MobilePageIdEnum.SystemRemindUnReadList:
            return "服务提醒记录(未读)";
        case MobilePageIdEnum.UpdateTopicPost:
            return "更新/编辑已发布服务";
        case MobilePageIdEnum.TouristDetail:
            return "游客详情";
        case MobilePageIdEnum.TouristChatDetail:
            return "游客聊天详情";
        case MobilePageIdEnum.TouristRemark:
            return "游客备注详情";
        case MobilePageIdEnum.ForwardTo:
            return "选择转发给";
        case MobilePageIdEnum.UserRemark:
            return "用户备注";
        case MobilePageIdEnum.SearchUsers:
            return "搜索用户(加好友-搜索陌生人)";
        case MobilePageIdEnum.V1UserBindPhone:
            return "V1.0用户绑定手机号";
        case MobilePageIdEnum.PrvicayServiceProtocol:
            return "隐私/服务协议";
        case MobilePageIdEnum.NotificationDetail:
            return "消息详情";
        case MobilePageIdEnum.BroadcastDetail:
            return "系统公告详情";
        case MobilePageIdEnum.IncomingMeetupApplications:
            return "一起玩新加入申请";
        default:
            throw new Error(`${e} is an invalid MobilePageIdEnum`);
    }
}
		