
import { NavigationContentTypeEnum } from "./NavigationContentTypeEnum"
export function describeNavigationContentTypeEnum(e: NavigationContentTypeEnum): string{
    switch(e){
        case NavigationContentTypeEnum.Preset:
            return "系统预设";
        case NavigationContentTypeEnum.CustomPage:
            return "自定义页面";
        case NavigationContentTypeEnum.ArticleType:
            return "文章分类";
        case NavigationContentTypeEnum.Url:
            return "网页链接";
        case NavigationContentTypeEnum.CustomCategory:
            return "产品分类";
        default:
            throw new Error(`${e} is an invalid NavigationContentTypeEnum`);
    }
}
		