
import { NotificationContentPartTypeEnum } from "./NotificationContentPartTypeEnum"
export function describeNotificationContentPartTypeEnum(e: NotificationContentPartTypeEnum): string{
    switch(e){
        case NotificationContentPartTypeEnum.String:
            return "字符串";
        case NotificationContentPartTypeEnum.Company:
            return "企业";
        case NotificationContentPartTypeEnum.User:
            return "用户";
        case NotificationContentPartTypeEnum.Product:
            return "产品";
        case NotificationContentPartTypeEnum.TopicPost:
            return "服务";
        case NotificationContentPartTypeEnum.Meetup:
            return "一起玩";
        case NotificationContentPartTypeEnum.GroupChat:
            return "群聊";
        case NotificationContentPartTypeEnum.NearByMeetup:
            return "附近一起玩";
        case NotificationContentPartTypeEnum.FriendRequestToUser:
            return "加好友申请";
        case NotificationContentPartTypeEnum.Article:
            return "文章";
        case NotificationContentPartTypeEnum.Url:
            return "网址";
        case NotificationContentPartTypeEnum.Mobile:
            return "手机号码";
        case NotificationContentPartTypeEnum.Tel:
            return "电话号码";
        default:
            throw new Error(`${e} is an invalid NotificationContentPartTypeEnum`);
    }
}
		