
import { NotificationRedirectCategoryEnum } from "./NotificationRedirectCategoryEnum"
export function describeNotificationRedirectCategoryEnum(e: NotificationRedirectCategoryEnum): string{
    switch(e){
        case NotificationRedirectCategoryEnum.SystemNotification:
            return "系统通知";
        case NotificationRedirectCategoryEnum.MeetupApplication:
            return "申请一起玩";
        case NotificationRedirectCategoryEnum.MeetupInvitation:
            return "邀请一起玩";
        case NotificationRedirectCategoryEnum.CompanyAuthentication:
            return "企业认证";
        case NotificationRedirectCategoryEnum.CompanyMemberApplication:
            return "企业申请";
        case NotificationRedirectCategoryEnum.CompanyMemberInvitation:
            return "企业邀请";
        case NotificationRedirectCategoryEnum.SystemBroadcast:
            return "系统广播";
        default:
            throw new Error(`${e} is an invalid NotificationRedirectCategoryEnum`);
    }
}
		