
import { ProcessingStatusEnum } from "./ProcessingStatusEnum"
export function describeProcessingStatusEnum(e: ProcessingStatusEnum): string{
    switch(e){
        case ProcessingStatusEnum.Pending:
            return "待处理";
        case ProcessingStatusEnum.Accepted:
            return "通过";
        case ProcessingStatusEnum.Rejected:
            return "拒绝";
        default:
            throw new Error(`${e} is an invalid ProcessingStatusEnum`);
    }
}
		