
import { ProductMenuTypeEnum } from "./ProductMenuTypeEnum"
export function describeProductMenuTypeEnum(e: ProductMenuTypeEnum): string{
    switch(e){
        case ProductMenuTypeEnum.Introduction:
            return "产品介绍";
        case ProductMenuTypeEnum.AppDownload:
            return "APP下载";
        case ProductMenuTypeEnum.Agreement:
            return "服务协议";
        case ProductMenuTypeEnum.Privacy:
            return "隐私政策";
        case ProductMenuTypeEnum.Templates:
            return "网站模板";
        default:
            throw new Error(`${e} is an invalid ProductMenuTypeEnum`);
    }
}
		