
import { RegistrationSourceTypeEnum } from "./RegistrationSourceTypeEnum"
export function describeRegistrationSourceTypeEnum(e: RegistrationSourceTypeEnum): string{
    switch(e){
        case RegistrationSourceTypeEnum.Web:
            return "PC端";
        case RegistrationSourceTypeEnum.App:
            return "App端";
        case RegistrationSourceTypeEnum.Agency:
            return "代理商";
        case RegistrationSourceTypeEnum.Crawler:
            return "蜘蛛抓取";
        default:
            throw new Error(`${e} is an invalid RegistrationSourceTypeEnum`);
    }
}
		