
import { TimeRuleEnum } from "./TimeRuleEnum"
export function describeTimeRuleEnum(e: TimeRuleEnum): string{
    switch(e){
        case TimeRuleEnum.All:
            return "所有时间";
        case TimeRuleEnum.Within24Hours:
            return "24小时内";
        case TimeRuleEnum.Within3Days:
            return "近三天";
        case TimeRuleEnum.Within1Week:
            return "近一周";
        case TimeRuleEnum.Within1Month:
            return "近一月";
        default:
            throw new Error(`${e} is an invalid TimeRuleEnum`);
    }
}
		