
import { UserCenterMenuEnum } from "./UserCenterMenuEnum"
export function describeUserCenterMenuEnum(e: UserCenterMenuEnum): string{
    switch(e){
        case UserCenterMenuEnum.UserHome:
            return "个人首页";
        case UserCenterMenuEnum.UserProfile:
            return "个人资料";
        case UserCenterMenuEnum.ViewingHistory:
            return "历史足迹";
        case UserCenterMenuEnum.CreateTopicPost:
            return "发布信息";
        case UserCenterMenuEnum.MyCompany:
            return "我的企业";
        case UserCenterMenuEnum.MyTopicPosts:
            return "发布服务";
        case UserCenterMenuEnum.MyCollections:
            return "我的收藏";
        case UserCenterMenuEnum.MyNotifications:
            return "我的通知";
        case UserCenterMenuEnum.AccountSecurity:
            return "账号安全";
        case UserCenterMenuEnum.InviteApplies:
            return "待处理";
        case UserCenterMenuEnum.CreateCompany:
            return "创建企业";
        case UserCenterMenuEnum.JoinCompany:
            return "加入企业";
        case UserCenterMenuEnum.CreateTopicPostFinished:
            return "服务发布成功";
        case UserCenterMenuEnum.SecuritySettings:
            return "安全设置";
        case UserCenterMenuEnum.AccountBinding:
            return "账号绑定";
        default:
            throw new Error(`${e} is an invalid UserCenterMenuEnum`);
    }
}
		