
import { UuidCodeTypeEnum } from "./UuidCodeTypeEnum"
export function describeUuidCodeTypeEnum(e: UuidCodeTypeEnum): string{
    switch(e){
        case UuidCodeTypeEnum.NotScanned:
            return "未扫描";
        case UuidCodeTypeEnum.ToBeConfirmed:
            return "确认登录";
        case UuidCodeTypeEnum.Revoke:
            return "取消授权";
        case UuidCodeTypeEnum.SignedIn:
            return "登录成功";
        case UuidCodeTypeEnum.Invalid:
            return "二维码已失效";
        case UuidCodeTypeEnum.Used:
            return "已占用";
        default:
            throw new Error(`${e} is an invalid UuidCodeTypeEnum`);
    }
}
		